library verilog;
use verilog.vl_types.all;
entity AXI_BFM is
    generic(
        VECTFILE        : string  := "serdes.vec";
        ACT_CONFIG      : string  := "SERDESIF_0"
    );
    port(
        AXI_AHB_CLK     : in     vl_logic;
        SYSRSTN         : in     vl_logic;
        AXI_AHB         : in     vl_logic;
        M_RDATA_HRDATA  : in     vl_logic_vector(63 downto 0);
        M_WREADY_HREADY : in     vl_logic;
        M_BRESP_HRESP   : in     vl_logic_vector(1 downto 0);
        M_AWREADY       : in     vl_logic;
        M_BVALID        : in     vl_logic;
        M_ARREADY       : in     vl_logic;
        M_RRESP         : in     vl_logic_vector(1 downto 0);
        M_RLAST         : in     vl_logic;
        M_RVALID        : in     vl_logic;
        M_AWADDR_HADDR  : out    vl_logic_vector(31 downto 0);
        M_AWLEN_HBURST  : out    vl_logic_vector(3 downto 0);
        M_AWSIZE_HSIZE  : out    vl_logic_vector(1 downto 0);
        M_AWBURST_HTRANS: out    vl_logic_vector(1 downto 0);
        M_AWVALID_HWRITE: out    vl_logic;
        M_WDATA_HWDATA  : out    vl_logic_vector(63 downto 0);
        M_WSTRB         : out    vl_logic_vector(7 downto 0);
        M_WLAST         : out    vl_logic;
        M_WVALID        : out    vl_logic;
        M_BREADY        : out    vl_logic;
        M_ARADDR        : out    vl_logic_vector(31 downto 0);
        M_ARLEN         : out    vl_logic_vector(3 downto 0);
        M_ARSIZE        : out    vl_logic_vector(1 downto 0);
        M_ARBURST       : out    vl_logic_vector(1 downto 0);
        M_ARVALID       : out    vl_logic;
        M_RREADY        : out    vl_logic;
        M_AWID          : out    vl_logic_vector(3 downto 0);
        M_ARID          : out    vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of VECTFILE : constant is 1;
    attribute mti_svvh_generic_type of ACT_CONFIG : constant is 1;
end AXI_BFM;
