library verilog;
use verilog.vl_types.all;
entity DDR3_main is
    generic(
        DQ_BITS         : integer := 16;
        ADDR_BITS       : integer := 16;
        BA_BITS         : integer := 3;
        DQS_BITS        : integer := 2;
        DM_BITS         : integer := 2;
        BL_BITS         : integer := 3;
        ROW_ADDR_BITS   : integer := 16;
        COL_ADDR_BITS   : integer := 16;
        MAX_BURST_IN_MEM: integer := 10;
        PARTIAL_REFRESH_EN: integer := 1;
        AP              : integer := 10;
        BC              : integer := 12;
        CL_MIN          : integer := 5;
        CL_MAX          : integer := 14;
        AL_MIN          : integer := 0;
        AL_MAX          : integer := 2;
        CWL_MIN         : integer := 5;
        CWL_MAX         : integer := 10;
        WR_MIN          : integer := 5;
        WR_MAX          : integer := 16;
        BL_MAX          : integer := 8;
        RZQ             : integer := 240;
        TDLLK           : integer := 512;
        TCCD            : integer := 4;
        TJIT_PER        : integer := 0;
        TRFC            : integer := 35;
        MODE_REG_SET_CMD: integer := 0;
        REFRESH_CMD     : integer := 1;
        PRECHARGE_CMD   : integer := 2;
        ACTIVATE_CMD    : integer := 3;
        WRITE_CMD       : integer := 4;
        READ_CMD        : integer := 5;
        ZQ_CALIBERATION_CMD: integer := 6;
        NOP_CMD         : integer := 7;
        INITIALIZE_STATE: integer := 0;
        ZQ_CALIBERATION_STATE: integer := 1;
        IDLE_STATE      : integer := 2;
        ACTIVE_STATE    : integer := 3;
        WRITING_STATE   : integer := 4;
        READING_STATE   : integer := 5;
        PRECHARGING_STATE: integer := 6;
        REFRESH_STATE   : integer := 7;
        POWER_DOWN_STATE: integer := 8;
        MULTI_PURPOSE_REG_STATE: integer := 9;
        INIT_START      : integer := 0;
        INIT_MRS2       : integer := 1;
        INIT_MRS3       : integer := 2;
        INIT_MRS1       : integer := 3;
        INIT_MRS0       : integer := 4;
        INIT_DONE       : integer := 5;
        RD_WR_BUF_SIZE  : integer := 10
    );
    port(
        CK_IN           : in     vl_logic;
        CKN_IN          : in     vl_logic;
        CKE_IN          : in     vl_logic;
        RST_N_IN        : in     vl_logic;
        CS_N_IN         : in     vl_logic;
        RAS_N_IN        : in     vl_logic;
        CAS_N_IN        : in     vl_logic;
        WE_N_IN         : in     vl_logic;
        DQ_INO          : inout  vl_logic_vector;
        DQS_INO         : inout  vl_logic_vector;
        DQS_N_INO       : inout  vl_logic_vector;
        DM_TDQS_IN      : in     vl_logic_vector;
        BA_IN           : in     vl_logic_vector;
        ADDR_IN         : in     vl_logic_vector;
        ODT_IN          : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DQ_BITS : constant is 1;
    attribute mti_svvh_generic_type of ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of BA_BITS : constant is 1;
    attribute mti_svvh_generic_type of DQS_BITS : constant is 1;
    attribute mti_svvh_generic_type of DM_BITS : constant is 1;
    attribute mti_svvh_generic_type of BL_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of COL_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of MAX_BURST_IN_MEM : constant is 1;
    attribute mti_svvh_generic_type of PARTIAL_REFRESH_EN : constant is 1;
    attribute mti_svvh_generic_type of AP : constant is 1;
    attribute mti_svvh_generic_type of BC : constant is 1;
    attribute mti_svvh_generic_type of CL_MIN : constant is 1;
    attribute mti_svvh_generic_type of CL_MAX : constant is 1;
    attribute mti_svvh_generic_type of AL_MIN : constant is 1;
    attribute mti_svvh_generic_type of AL_MAX : constant is 1;
    attribute mti_svvh_generic_type of CWL_MIN : constant is 1;
    attribute mti_svvh_generic_type of CWL_MAX : constant is 1;
    attribute mti_svvh_generic_type of WR_MIN : constant is 1;
    attribute mti_svvh_generic_type of WR_MAX : constant is 1;
    attribute mti_svvh_generic_type of BL_MAX : constant is 1;
    attribute mti_svvh_generic_type of RZQ : constant is 1;
    attribute mti_svvh_generic_type of TDLLK : constant is 1;
    attribute mti_svvh_generic_type of TCCD : constant is 1;
    attribute mti_svvh_generic_type of TJIT_PER : constant is 1;
    attribute mti_svvh_generic_type of TRFC : constant is 1;
    attribute mti_svvh_generic_type of MODE_REG_SET_CMD : constant is 1;
    attribute mti_svvh_generic_type of REFRESH_CMD : constant is 1;
    attribute mti_svvh_generic_type of PRECHARGE_CMD : constant is 1;
    attribute mti_svvh_generic_type of ACTIVATE_CMD : constant is 1;
    attribute mti_svvh_generic_type of WRITE_CMD : constant is 1;
    attribute mti_svvh_generic_type of READ_CMD : constant is 1;
    attribute mti_svvh_generic_type of ZQ_CALIBERATION_CMD : constant is 1;
    attribute mti_svvh_generic_type of NOP_CMD : constant is 1;
    attribute mti_svvh_generic_type of INITIALIZE_STATE : constant is 1;
    attribute mti_svvh_generic_type of ZQ_CALIBERATION_STATE : constant is 1;
    attribute mti_svvh_generic_type of IDLE_STATE : constant is 1;
    attribute mti_svvh_generic_type of ACTIVE_STATE : constant is 1;
    attribute mti_svvh_generic_type of WRITING_STATE : constant is 1;
    attribute mti_svvh_generic_type of READING_STATE : constant is 1;
    attribute mti_svvh_generic_type of PRECHARGING_STATE : constant is 1;
    attribute mti_svvh_generic_type of REFRESH_STATE : constant is 1;
    attribute mti_svvh_generic_type of POWER_DOWN_STATE : constant is 1;
    attribute mti_svvh_generic_type of MULTI_PURPOSE_REG_STATE : constant is 1;
    attribute mti_svvh_generic_type of INIT_START : constant is 1;
    attribute mti_svvh_generic_type of INIT_MRS2 : constant is 1;
    attribute mti_svvh_generic_type of INIT_MRS3 : constant is 1;
    attribute mti_svvh_generic_type of INIT_MRS1 : constant is 1;
    attribute mti_svvh_generic_type of INIT_MRS0 : constant is 1;
    attribute mti_svvh_generic_type of INIT_DONE : constant is 1;
    attribute mti_svvh_generic_type of RD_WR_BUF_SIZE : constant is 1;
end DDR3_main;
