library verilog;
use verilog.vl_types.all;
entity FACC is
    port(
        fic32_0_divisor : in     vl_logic_vector(2 downto 0);
        fic32_1_divisor : in     vl_logic_vector(2 downto 0);
        gatehclk        : in     vl_logic;
        mddr_config_local: in     vl_logic;
        apb0_divisor    : in     vl_logic_vector(2 downto 0);
        apb1_divisor    : in     vl_logic_vector(2 downto 0);
        base_divisor    : in     vl_logic_vector(2 downto 0);
        divisor_a       : in     vl_logic_vector(1 downto 0);
        fclk_divisor    : in     vl_logic_vector(2 downto 0);
        ddr_clk_en      : in     vl_logic;
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        controller_pll_init: in     vl_logic;
        fab_calib_start : in     vl_logic;
        facc_src_sel    : in     vl_logic_vector(2 downto 0);
        facc_pre_src_sel: in     vl_logic;
        facc_standby_sel: in     vl_logic_vector(2 downto 0);
        facc_glmux_sel  : in     vl_logic;
        facc_fab_ref_sel: in     vl_logic;
        facc_pll_divr   : in     vl_logic_vector(5 downto 0);
        facc_pll_fse    : in     vl_logic;
        facc_pll_divf   : in     vl_logic_vector(9 downto 0);
        facc_pll_mode_3v3: in     vl_logic;
        facc_pll_mode_1v2: in     vl_logic;
        facc_pll_lockwin: in     vl_logic_vector(2 downto 0);
        facc_pll_lockcnt: in     vl_logic_vector(3 downto 0);
        facc_pll_pd     : in     vl_logic;
        facc_pll_divq   : in     vl_logic_vector(2 downto 0);
        facc_pll_range  : in     vl_logic_vector(3 downto 0);
        facc_pll_bypass : in     vl_logic;
        facc_pll_sse    : in     vl_logic;
        facc_pll_ssmd   : in     vl_logic_vector(1 downto 0);
        facc_pll_ssmf   : in     vl_logic_vector(4 downto 0);
        m3_allowed      : in     vl_logic;
        m3_disable      : in     vl_logic;
        last_cycle_apb  : out    vl_logic;
        last_cycle_fic32_0: out    vl_logic;
        last_cycle_fic32_1: out    vl_logic;
        fab_calib_fail  : out    vl_logic;
        fclk_pre        : out    vl_logic;
        clk_fic64_pre   : out    vl_logic;
        pclk2_pre       : out    vl_logic;
        clk_ddr_pre     : out    vl_logic;
        hclk_pre        : out    vl_logic;
        pclk0_pre       : out    vl_logic;
        pclk1_pre       : out    vl_logic;
        clk_xtal        : in     vl_logic;
        cc_reset_n      : in     vl_logic;
        fpga_reset_n    : in     vl_logic;
        atpg_tm         : in     vl_logic;
        atpg_rst_b      : in     vl_logic;
        ltap_control    : in     vl_logic_vector(52 downto 0);
        fast_tpg_mode   : in     vl_logic;
        start_tpg       : in     vl_logic;
        tpg_mode_a      : in     vl_logic;
        fab_pll_lock    : in     vl_logic;
        f2hcalib        : in     vl_logic;
        clk_base        : in     vl_logic;
        ccc2asic        : in     vl_logic;
        clk_mddr_apb    : in     vl_logic;
        clk_config_apb  : out    vl_logic;
        facc_pll_lock   : out    vl_logic;
        h2fcalib        : out    vl_logic;
        clk_25_50mhz    : in     vl_logic;
        clk_1mhz        : in     vl_logic;
        lt_srst_b       : in     vl_logic;
        clk_calib       : out    vl_logic;
        pll_out_clk     : in     vl_logic;
        pll_lock        : in     vl_logic;
        pll_ref_clk     : out    vl_logic;
        pll_fb_clk      : out    vl_logic;
        pll_divr        : out    vl_logic_vector(5 downto 0);
        pll_fse         : out    vl_logic;
        pll_divf        : out    vl_logic_vector(9 downto 0);
        pll_mode_3v3    : out    vl_logic;
        pll_mode_1v2    : out    vl_logic;
        pll_lockwin     : out    vl_logic_vector(2 downto 0);
        pll_lockcnt     : out    vl_logic_vector(3 downto 0);
        pll_pd          : out    vl_logic;
        pll_divq        : out    vl_logic_vector(2 downto 0);
        pll_range       : out    vl_logic_vector(3 downto 0);
        pll_bypass      : out    vl_logic;
        pll_sse         : out    vl_logic;
        pll_ssmd        : out    vl_logic_vector(1 downto 0);
        pll_ssmf        : out    vl_logic_vector(4 downto 0);
        cc_reset_fclk_n : out    vl_logic;
        fclk_div2       : out    vl_logic;
        bg_por_b        : in     vl_logic;
        div_reset       : in     vl_logic
    );
end FACC;
