library verilog;
use verilog.vl_types.all;
entity G4MAIN_AXISYNC is
    port(
        F_AXI_AHB_CLK   : in     vl_logic;
        AXI_DDR_CLK     : in     vl_logic;
        RESETn          : in     vl_logic;
        atpg_tpg_mode   : in     vl_logic;
        divisor_a       : in     vl_logic_vector(1 downto 0);
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        LOCK_TIMEOUT_REG: in     vl_logic_vector(19 downto 0);
        LOCK_TIMEOUT_INT: out    vl_logic;
        LOCK_TIMEOUT_EN : in     vl_logic;
        F_AWID          : in     vl_logic_vector(3 downto 0);
        F_AWADDR        : in     vl_logic_vector(31 downto 0);
        F_AWLEN         : in     vl_logic_vector(3 downto 0);
        F_AWSIZE        : in     vl_logic_vector(1 downto 0);
        F_AWLOCK        : in     vl_logic_vector(1 downto 0);
        F_AWBURST       : in     vl_logic_vector(1 downto 0);
        F_AWVALID       : in     vl_logic;
        F_RMW           : in     vl_logic;
        F_AWREADY       : out    vl_logic;
        F_WID           : in     vl_logic_vector(3 downto 0);
        F_WSTRB         : in     vl_logic_vector(7 downto 0);
        F_WLAST         : in     vl_logic;
        F_WVALID        : in     vl_logic;
        F_WDATA         : in     vl_logic_vector(63 downto 0);
        F_WREADY        : out    vl_logic;
        F_BID           : out    vl_logic_vector(3 downto 0);
        F_BRESP         : out    vl_logic_vector(1 downto 0);
        F_BVALID        : out    vl_logic;
        F_BREADY        : in     vl_logic;
        F_ARID          : in     vl_logic_vector(3 downto 0);
        F_ARADDR        : in     vl_logic_vector(31 downto 0);
        F_ARLEN         : in     vl_logic_vector(3 downto 0);
        F_ARSIZE        : in     vl_logic_vector(1 downto 0);
        F_ARBURST       : in     vl_logic_vector(1 downto 0);
        F_ARLOCK        : in     vl_logic_vector(1 downto 0);
        F_ARVALID       : in     vl_logic;
        F_ARREADY       : out    vl_logic;
        F_RID           : out    vl_logic_vector(3 downto 0);
        F_RDATA         : out    vl_logic_vector(63 downto 0);
        F_RRESP         : out    vl_logic_vector(1 downto 0);
        F_RLAST         : out    vl_logic;
        F_RVALID        : out    vl_logic;
        F_RREADY        : in     vl_logic;
        AXIDDR_AWID     : out    vl_logic_vector(3 downto 0);
        AXIDDR_AWADDR   : out    vl_logic_vector(31 downto 0);
        AXIDDR_AWLEN    : out    vl_logic_vector(3 downto 0);
        AXIDDR_AWSIZE   : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWBURST  : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWLOCK   : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWVALID  : out    vl_logic;
        AXIDDR_AWRMW    : out    vl_logic;
        AXIDDR_AWREADY  : in     vl_logic;
        AXIDDR_WID      : out    vl_logic_vector(3 downto 0);
        AXIDDR_WSTRB    : out    vl_logic_vector(7 downto 0);
        AXIDDR_WLAST    : out    vl_logic;
        AXIDDR_WDATA    : out    vl_logic_vector(63 downto 0);
        AXIDDR_WVALID   : out    vl_logic;
        AXIDDR_WREADY   : in     vl_logic;
        AXIDDR_BID      : in     vl_logic_vector(3 downto 0);
        AXIDDR_BRESP    : in     vl_logic_vector(1 downto 0);
        AXIDDR_BVALID   : in     vl_logic;
        AXIDDR_BREADY   : out    vl_logic;
        AXIDDR_ARID     : out    vl_logic_vector(3 downto 0);
        AXIDDR_ARADDR   : out    vl_logic_vector(31 downto 0);
        AXIDDR_ARLEN    : out    vl_logic_vector(3 downto 0);
        AXIDDR_ARSIZE   : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARBURST  : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARLOCK   : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARVALID  : out    vl_logic;
        AXIDDR_ARREADY  : in     vl_logic;
        AXIDDR_RID      : in     vl_logic_vector(3 downto 0);
        AXIDDR_RDATA    : in     vl_logic_vector(63 downto 0);
        AXIDDR_RRESP    : in     vl_logic_vector(1 downto 0);
        AXIDDR_RLAST    : in     vl_logic;
        AXIDDR_RVALID   : in     vl_logic;
        AXIDDR_RREADY   : out    vl_logic
    );
end G4MAIN_AXISYNC;
