library verilog;
use verilog.vl_types.all;
entity G4M_AXI_DDRINTF_120 is
    generic(
        K_F_TKN_DP      : integer := 10;
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_DDRC_TKN_VLD_WD: integer := 4;
        K_B_RD_CMD_FIFO_DP: integer := 4;
        K_WDATARAM_DP   : integer := 32;
        K_WDATARAM_WD   : integer := 72;
        K_CACHE_ID      : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi0);
        K_DSG_ID        : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        K_DISABLE_BRIDGE: integer := 0;
        DDR_PHY_WIDTH   : integer := 32;
        debug           : integer := 0
    );
    port(
        test_mode       : in     vl_logic;
        ACLK            : in     vl_logic;
        ARESETn         : in     vl_logic;
        PCLK            : in     vl_logic;
        PRESETn         : in     vl_logic;
        ddrc_rstn       : in     vl_logic;
        b_AWID          : in     vl_logic_vector(3 downto 0);
        b_AWADDR        : in     vl_logic_vector(31 downto 0);
        b_AWLEN         : in     vl_logic_vector(3 downto 0);
        b_AWSIZE        : in     vl_logic_vector(1 downto 0);
        b_AWBURST       : in     vl_logic_vector(1 downto 0);
        b_AWLOCK        : in     vl_logic_vector(1 downto 0);
        b_AWVALID       : in     vl_logic;
        b_AWREADY       : out    vl_logic;
        b_WID           : in     vl_logic_vector(3 downto 0);
        b_WDATA         : in     vl_logic_vector(63 downto 0);
        b_WSTRB         : in     vl_logic_vector(7 downto 0);
        b_WLAST         : in     vl_logic;
        b_WVALID        : in     vl_logic;
        b_WREADY        : out    vl_logic;
        b_RMW           : in     vl_logic;
        b_BREADY        : in     vl_logic;
        b_BID           : out    vl_logic_vector(3 downto 0);
        b_BRESP         : out    vl_logic_vector(1 downto 0);
        b_BVALID        : out    vl_logic;
        b_ARID          : in     vl_logic_vector(3 downto 0);
        b_ARADDR        : in     vl_logic_vector(31 downto 0);
        b_ARLEN         : in     vl_logic_vector(3 downto 0);
        b_ARSIZE        : in     vl_logic_vector(1 downto 0);
        b_ARBURST       : in     vl_logic_vector(1 downto 0);
        b_ARLOCK        : in     vl_logic_vector(1 downto 0);
        b_ARVALID       : in     vl_logic;
        b_ARREADY       : out    vl_logic;
        b_RREADY        : in     vl_logic;
        b_RID           : out    vl_logic_vector(3 downto 0);
        b_RDATA         : out    vl_logic_vector(63 downto 0);
        b_RRESP         : out    vl_logic_vector(1 downto 0);
        b_RLAST         : out    vl_logic;
        b_RVALID        : out    vl_logic;
        f_AWID          : in     vl_logic_vector(3 downto 0);
        f_AWADDR        : in     vl_logic_vector(31 downto 0);
        f_AWLEN         : in     vl_logic_vector(3 downto 0);
        f_AWSIZE        : in     vl_logic_vector(1 downto 0);
        f_AWBURST       : in     vl_logic_vector(1 downto 0);
        f_AWLOCK        : in     vl_logic_vector(1 downto 0);
        f_AWVALID       : in     vl_logic;
        f_AWREADY       : out    vl_logic;
        f_WID           : in     vl_logic_vector(3 downto 0);
        f_WDATA         : in     vl_logic_vector(63 downto 0);
        f_WSTRB         : in     vl_logic_vector(7 downto 0);
        f_WLAST         : in     vl_logic;
        f_WVALID        : in     vl_logic;
        f_WREADY        : out    vl_logic;
        f_RMW           : in     vl_logic;
        f_BREADY        : in     vl_logic;
        f_BID           : out    vl_logic_vector(3 downto 0);
        f_BRESP         : out    vl_logic_vector(1 downto 0);
        f_BVALID        : out    vl_logic;
        f_ARID          : in     vl_logic_vector(3 downto 0);
        f_ARADDR        : in     vl_logic_vector(31 downto 0);
        f_ARLEN         : in     vl_logic_vector(3 downto 0);
        f_ARSIZE        : in     vl_logic_vector(1 downto 0);
        f_ARBURST       : in     vl_logic_vector(1 downto 0);
        f_ARLOCK        : in     vl_logic_vector(1 downto 0);
        f_ARVALID       : in     vl_logic;
        f_ARREADY       : out    vl_logic;
        f_RREADY        : in     vl_logic;
        f_RID           : out    vl_logic_vector(3 downto 0);
        f_RDATA         : out    vl_logic_vector(63 downto 0);
        f_RRESP         : out    vl_logic_vector(1 downto 0);
        f_RLAST         : out    vl_logic;
        f_RVALID        : out    vl_logic;
        PSEL            : in     vl_logic;
        PADDR           : in     vl_logic_vector(7 downto 0);
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector(15 downto 0);
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PSLVERR         : out    vl_logic;
        PREADY          : out    vl_logic;
        ecc_err_intrpt  : out    vl_logic;
        ddrc_dfi_address: out    vl_logic_vector(15 downto 0);
        ddrc_dfi_bank   : out    vl_logic_vector(2 downto 0);
        ddrc_dfi_cs_n   : out    vl_logic;
        ddrc_dfi_cas_n  : out    vl_logic;
        ddrc_dfi_ras_n  : out    vl_logic;
        ddrc_dfi_we_n   : out    vl_logic;
        ddrc_dfi_cke    : out    vl_logic;
        ddrc_dfi_odt    : out    vl_logic;
        ddrc_dfi_reset_n: out    vl_logic;
        ddrc_dfi_wrdata_en: out    vl_logic_vector(4 downto 0);
        ddrc_dfi_wrdata : out    vl_logic_vector(79 downto 0);
        ddrc_dfi_wrdata_mask: out    vl_logic_vector(9 downto 0);
        phy_dfi_rddata  : in     vl_logic_vector(79 downto 0);
        phy_dfi_rddata_valid: in     vl_logic;
        ddrc_dfi_rddata_en: out    vl_logic_vector(4 downto 0);
        phy_dfi_ctrlupd_ack: in     vl_logic;
        ddrc_dfi_ctrlupd_req: out    vl_logic;
        phy_dfi_init_complete: in     vl_logic;
        ddrc_dfi_dram_clk_disable: out    vl_logic;
        phy_dfi_rdlvl_mode: in     vl_logic_vector(1 downto 0);
        phy_dfi_rdlvl_gate_mode: in     vl_logic_vector(1 downto 0);
        phy_dfi_rdlvl_resp: in     vl_logic_vector(4 downto 0);
        phy_dfi_wrlvl_mode: in     vl_logic_vector(1 downto 0);
        phy_dfi_wrlvl_resp: in     vl_logic_vector(4 downto 0);
        ddrc_dfi_rdlvl_en: out    vl_logic_vector(4 downto 0);
        ddrc_dfi_rdlvl_gate_en: out    vl_logic_vector(4 downto 0);
        ddrc_dfi_rdlvl_cs_n: out    vl_logic;
        ddrc_dfi_rdlvl_edge: out    vl_logic;
        ddrc_dfi_wrlvl_en: out    vl_logic_vector(4 downto 0);
        ddrc_dfi_wrlvl_cs_n: out    vl_logic;
        ddrc_dfi_wrlvl_strobe: out    vl_logic;
        fic_axi_ahb_mode: in     vl_logic;
        f_access_disable_r: in     vl_logic;
        f_access_disable_w: in     vl_logic;
        phy_self_ref    : out    vl_logic;
        phy_rstn        : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_F_TKN_DP : constant is 1;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_DDRC_TKN_VLD_WD : constant is 1;
    attribute mti_svvh_generic_type of K_B_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_WDATARAM_DP : constant is 1;
    attribute mti_svvh_generic_type of K_WDATARAM_WD : constant is 1;
    attribute mti_svvh_generic_type of K_CACHE_ID : constant is 1;
    attribute mti_svvh_generic_type of K_DSG_ID : constant is 1;
    attribute mti_svvh_generic_type of K_DISABLE_BRIDGE : constant is 1;
    attribute mti_svvh_generic_type of DDR_PHY_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of debug : constant is 1;
end G4M_AXI_DDRINTF_120;
