library verilog;
use verilog.vl_types.all;
entity G4M_CACHE is
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        HADDRI          : in     vl_logic_vector(31 downto 0);
        HTRANSI         : in     vl_logic_vector(1 downto 0);
        HSIZEI          : in     vl_logic_vector(2 downto 0);
        HBURSTI         : in     vl_logic_vector(2 downto 0);
        HADDRD          : in     vl_logic_vector(31 downto 0);
        HTRANSD         : in     vl_logic_vector(1 downto 0);
        HWRITED         : in     vl_logic;
        HSIZED          : in     vl_logic_vector(2 downto 0);
        HBURSTD         : in     vl_logic_vector(2 downto 0);
        HWDATAD         : in     vl_logic_vector(31 downto 0);
        EXREQD          : in     vl_logic;
        HADDRS          : in     vl_logic_vector(31 downto 0);
        HTRANSS         : in     vl_logic_vector(1 downto 0);
        HWRITES         : in     vl_logic;
        HSIZES          : in     vl_logic_vector(2 downto 0);
        HBURSTS         : in     vl_logic_vector(2 downto 0);
        HWDATAS         : in     vl_logic_vector(31 downto 0);
        HMASTLOCKS      : in     vl_logic;
        EXREQS          : in     vl_logic;
        CC_D_HREADY     : in     vl_logic;
        CC_D_HRESP      : in     vl_logic_vector(1 downto 0);
        CC_D_HRDATA     : in     vl_logic_vector(31 downto 0);
        CC_SG_HREADY    : in     vl_logic;
        CC_SG_HRESP     : in     vl_logic;
        CC_SG_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_IC_HREADY    : in     vl_logic;
        CC_IC_HRESP     : in     vl_logic;
        CC_IC_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_IDC_HREADY   : in     vl_logic;
        CC_IDC_HRESP    : in     vl_logic_vector(1 downto 0);
        CC_IDC_HRDATA   : in     vl_logic_vector(127 downto 0);
        CC_DSG_HREADY   : in     vl_logic;
        CC_DSG_HRESP    : in     vl_logic;
        CC_DSG_HRDATA   : in     vl_logic_vector(31 downto 0);
        syr_cache_enb   : in     vl_logic;
        syr_cache_region: in     vl_logic_vector(3 downto 0);
        syr_ddr_remap   : in     vl_logic;
        syr_esram_remap : in     vl_logic;
        syr_cache_lock  : in     vl_logic;
        syr_sbus_wr_mode: in     vl_logic;
        cm3_mddr_allowed_r: in     vl_logic;
        cm3_mddr_allowed_w: in     vl_logic;
        syr_edc_en      : in     vl_logic;
        syr_lock_baseadd: in     vl_logic_vector(18 downto 0);
        syr_flush_cache : in     vl_logic;
        syr_flush_chline: in     vl_logic;
        syr_flush_index : in     vl_logic_vector(5 downto 0);
        HRDATAI         : out    vl_logic_vector(31 downto 0);
        HREADYI         : out    vl_logic;
        HRESPI          : out    vl_logic_vector(1 downto 0);
        HREADYD         : out    vl_logic;
        HRESPD          : out    vl_logic_vector(1 downto 0);
        HRDATAD         : out    vl_logic_vector(31 downto 0);
        HREADYS         : out    vl_logic;
        HRESPS          : out    vl_logic_vector(1 downto 0);
        HRDATAS         : out    vl_logic_vector(31 downto 0);
        CC_D_HADDR      : out    vl_logic_vector(31 downto 0);
        CC_D_HTRANS1    : out    vl_logic;
        CC_D_HWRITE     : out    vl_logic;
        CC_D_HSIZE      : out    vl_logic_vector(2 downto 0);
        CC_D_HBURST     : out    vl_logic_vector(2 downto 0);
        CC_D_HWDATA     : out    vl_logic_vector(31 downto 0);
        CC_SG_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_SG_HTRANS1   : out    vl_logic;
        CC_SG_HWRITE    : out    vl_logic;
        CC_SG_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_SG_HBURST    : out    vl_logic_vector(2 downto 0);
        CC_SG_HMASTLOCK : out    vl_logic;
        CC_SG_HWDATA    : out    vl_logic_vector(31 downto 0);
        CC_IC_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_IC_HTRANS    : out    vl_logic_vector(1 downto 0);
        CC_IC_HWRITE    : out    vl_logic;
        CC_IC_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_IC_HBURST    : out    vl_logic_vector(2 downto 0);
        CC_IDC_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_IDC_HTRANS   : out    vl_logic_vector(1 downto 0);
        CC_IDC_HWRITE   : out    vl_logic;
        CC_IDC_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_IDC_HBURST   : out    vl_logic_vector(2 downto 0);
        CC_DSG_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_DSG_HTRANS1  : out    vl_logic;
        CC_DSG_HWRITE   : out    vl_logic;
        CC_DSG_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_DSG_HBURST   : out    vl_logic_vector(2 downto 0);
        CC_DSG_HWDATA   : out    vl_logic_vector(31 downto 0);
        syr_hresp_err   : out    vl_logic_vector(3 downto 0);
        syr_dc_err_addr : out    vl_logic_vector(31 downto 0);
        syr_ic_err_addr : out    vl_logic_vector(31 downto 0);
        syr_sb_err_addr : out    vl_logic_vector(31 downto 0);
        syr_dc_exacc_intr: out    vl_logic;
        syr_sb_exacc_intr: out    vl_logic;
        syr_dedc_err_add: out    vl_logic_vector(5 downto 0);
        syr_ic_hit_p    : out    vl_logic;
        syr_ic_miss_p   : out    vl_logic;
        syr_dc_hit_p    : out    vl_logic;
        syr_dc_miss_p   : out    vl_logic;
        syr_ic_trans_p  : out    vl_logic;
        syr_dc_trans_p  : out    vl_logic;
        CC_EDAC_1E      : out    vl_logic;
        CC_EDAC_2E      : out    vl_logic;
        MBIST_TESTMODE  : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        CA0_DO_MB       : out    vl_logic_vector(71 downto 0);
        CA0_A_MB        : in     vl_logic_vector(7 downto 0);
        CA0_CSB_MB      : in     vl_logic;
        CA0_WEB_MB      : in     vl_logic;
        CA0_DI_MB       : in     vl_logic_vector(71 downto 0);
        CA1_DO_MB       : out    vl_logic_vector(71 downto 0);
        CA1_A_MB        : in     vl_logic_vector(7 downto 0);
        CA1_CSB_MB      : in     vl_logic;
        CA1_WEB_MB      : in     vl_logic;
        CA1_DI_MB       : in     vl_logic_vector(71 downto 0);
        CA2_DO_MB       : out    vl_logic_vector(71 downto 0);
        CA2_A_MB        : in     vl_logic_vector(7 downto 0);
        CA2_CSB_MB      : in     vl_logic;
        CA2_WEB_MB      : in     vl_logic;
        CA2_DI_MB       : in     vl_logic_vector(71 downto 0);
        CA3_DO_MB       : out    vl_logic_vector(71 downto 0);
        CA3_A_MB        : in     vl_logic_vector(7 downto 0);
        CA3_CSB_MB      : in     vl_logic;
        CA3_WEB_MB      : in     vl_logic;
        CA3_DI_MB       : in     vl_logic_vector(71 downto 0)
    );
end G4M_CACHE;
