library verilog;
use verilog.vl_types.all;
entity G4M_DDRBRIDGE is
    port(
        DDR_CLK         : in     vl_logic;
        DDR_FCLK        : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        syr_ddrb_nb_add : in     vl_logic_vector(15 downto 0);
        syr_ddrb_nbuf_sz: in     vl_logic_vector(3 downto 0);
        syr_ddrb_timer  : in     vl_logic_vector(9 downto 0);
        syr_ddrb_wcb_sz : in     vl_logic;
        syr_ddrb_idc_en : in     vl_logic;
        syr_invalid_idc : in     vl_logic;
        syr_ddrb_dsg_wen: in     vl_logic;
        syr_ddrb_dsg_ren: in     vl_logic;
        syr_invalid_dsg : in     vl_logic;
        syr_ddrb_flshdsg: in     vl_logic;
        syr_ddrb_hpd_wen: in     vl_logic;
        syr_ddrb_hpd_ren: in     vl_logic;
        syr_invalid_hpd : in     vl_logic;
        syr_ddrb_flshhpd: in     vl_logic;
        syr_ddrb_sw_wen : in     vl_logic;
        syr_ddrb_sw_ren : in     vl_logic;
        syr_invalid_sw  : in     vl_logic;
        syr_ddrb_flshsw : in     vl_logic;
        cc_dsg_haddr    : in     vl_logic_vector(31 downto 0);
        cc_dsg_hwrite   : in     vl_logic;
        cc_dsg_hsize    : in     vl_logic_vector(2 downto 0);
        cc_dsg_htrans   : in     vl_logic_vector(1 downto 0);
        cc_dsg_hlock    : in     vl_logic;
        cc_dsg_hwdata   : in     vl_logic_vector(31 downto 0);
        cc_dsg_hburst   : in     vl_logic_vector(2 downto 0);
        cc_dsg_hsel     : in     vl_logic;
        cc_dsg_hreadyin : in     vl_logic;
        cc_idc_haddr    : in     vl_logic_vector(31 downto 0);
        cc_idc_hwrite   : in     vl_logic;
        cc_idc_hsize    : in     vl_logic_vector(2 downto 0);
        cc_idc_htrans   : in     vl_logic_vector(1 downto 0);
        cc_idc_hlock    : in     vl_logic;
        cc_idc_hwdata   : in     vl_logic_vector(127 downto 0);
        cc_idc_hburst   : in     vl_logic_vector(2 downto 0);
        cc_idc_hsel     : in     vl_logic;
        cc_idc_hreadyin : in     vl_logic;
        hpd_ddrb_haddr  : in     vl_logic_vector(31 downto 0);
        hpd_ddrb_hwrite : in     vl_logic;
        hpd_ddrb_hsize  : in     vl_logic_vector(2 downto 0);
        hpd_ddrb_htrans : in     vl_logic_vector(1 downto 0);
        hpd_ddrb_hlock  : in     vl_logic;
        hpd_ddrb_hwdata : in     vl_logic_vector(31 downto 0);
        hpd_ddrb_hburst : in     vl_logic_vector(2 downto 0);
        hpd_ddrb_hsel   : in     vl_logic;
        hpd_ddrb_hreadyin: in     vl_logic;
        ddrb_haddr      : in     vl_logic_vector(31 downto 0);
        ddrb_hwrite     : in     vl_logic;
        ddrb_hsize      : in     vl_logic_vector(2 downto 0);
        ddrb_htrans     : in     vl_logic_vector(1 downto 0);
        ddrb_hlock      : in     vl_logic;
        ddrb_hwdata     : in     vl_logic_vector(31 downto 0);
        ddrb_hburst     : in     vl_logic_vector(2 downto 0);
        sw_ddrb_hsel    : in     vl_logic;
        sw_ddrb_hreadyin: in     vl_logic;
        ddrs_axi_awready: in     vl_logic;
        ddrs_axi_wready : in     vl_logic;
        ddrs_axi_bid    : in     vl_logic_vector(3 downto 0);
        ddrs_axi_bresp  : in     vl_logic_vector(1 downto 0);
        ddrs_axi_bvalid : in     vl_logic;
        ddrs_axi_arready: in     vl_logic;
        ddrs_axi_rid    : in     vl_logic_vector(3 downto 0);
        ddrs_axi_rdata  : in     vl_logic_vector(63 downto 0);
        ddrs_axi_rresp  : in     vl_logic_vector(1 downto 0);
        ddrs_axi_rlast  : in     vl_logic;
        ddrs_axi_rvalid : in     vl_logic;
        syr_ddrb_dp     : out    vl_logic_vector(31 downto 0);
        syr_dsg_err_add : out    vl_logic_vector(31 downto 0);
        syr_hpd_err_add : out    vl_logic_vector(31 downto 0);
        syr_sw_err_add  : out    vl_logic_vector(31 downto 0);
        syr_dsg_wbempty : out    vl_logic;
        syr_dsg_rbempty : out    vl_logic;
        syr_hpd_wbempty : out    vl_logic;
        syr_hpd_rbempty : out    vl_logic;
        syr_sw_wbempty  : out    vl_logic;
        syr_sw_rbempty  : out    vl_logic;
        syr_idc_rbempty : out    vl_logic;
        syr_ddrb_lock_mid: out    vl_logic;
        syr_ddrb_lcktout: out    vl_logic;
        syr_idc_dsbl_dn : out    vl_logic;
        syr_dsg_wdsbl_dn: out    vl_logic;
        syr_dsg_rdsbl_dn: out    vl_logic;
        syr_hpd_wdsbl_dn: out    vl_logic;
        syr_hpd_rdsbl_dn: out    vl_logic;
        syr_sw_wdsbl_dn : out    vl_logic;
        syr_sw_rdsbl_dn : out    vl_logic;
        syr_dsg_wr_err  : out    vl_logic;
        syr_sw_wr_err   : out    vl_logic;
        syr_hpd_wr_err  : out    vl_logic;
        syr_rdwr_err_reg: out    vl_logic_vector(5 downto 0);
        cc_dsg_hresp    : out    vl_logic;
        cc_dsg_hrdata   : out    vl_logic_vector(31 downto 0);
        cc_dsg_hready   : out    vl_logic;
        cc_idc_hresp    : out    vl_logic;
        cc_idc_hrdata   : out    vl_logic_vector(127 downto 0);
        cc_idc_hready   : out    vl_logic;
        hpd_ddrb_hresp  : out    vl_logic;
        hpd_ddrb_hrdata : out    vl_logic_vector(31 downto 0);
        hpd_ddrb_hready : out    vl_logic;
        ddrb_hresp      : out    vl_logic;
        ddrb_hrdata     : out    vl_logic_vector(31 downto 0);
        ddrb_hready     : out    vl_logic;
        ddrb_rmw_req    : out    vl_logic;
        ddrb_burst_type : out    vl_logic;
        ddrb_axi_awaddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_awlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_awsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_awburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_awlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_awvalid: out    vl_logic;
        ddrb_axi_awid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_wid    : out    vl_logic_vector(3 downto 0);
        ddrb_axi_wdata  : out    vl_logic_vector(63 downto 0);
        ddrb_axi_wstrb  : out    vl_logic_vector(7 downto 0);
        ddrb_axi_wlast  : out    vl_logic;
        ddrb_axi_wvalid : out    vl_logic;
        ddrb_axi_bready : out    vl_logic;
        ddrb_axi_arid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_araddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_arlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_arsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_arburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_arlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_arvalid: out    vl_logic;
        ddrb_axi_rready : out    vl_logic
    );
end G4M_DDRBRIDGE;
