library verilog;
use verilog.vl_types.all;
entity G4M_FDDR_SUBSYS_120 is
    generic(
        K_DISABLE_BRIDGE: integer := 1
    );
    port(
        bg_por_b        : in     vl_logic;
        iocalibrst_b    : in     vl_logic;
        atpg_tpg_mode   : in     vl_logic;
        sck             : in     vl_logic;
        srst_b          : in     vl_logic;
        se              : in     vl_logic;
        tm              : in     vl_logic;
        f_axi_ahb_clk   : in     vl_logic;
        aclk            : in     vl_logic;
        aresetn         : in     vl_logic;
        pclk            : in     vl_logic;
        presetn         : in     vl_logic;
        clk_50m         : in     vl_logic;
        f_awid_hsel1    : in     vl_logic_vector(3 downto 0);
        f_awaddr_haddr1 : in     vl_logic_vector(31 downto 0);
        f_awlen_hburst1 : in     vl_logic_vector(3 downto 0);
        f_awsize_hsize1 : in     vl_logic_vector(1 downto 0);
        f_awlock_hmastlock1: in     vl_logic_vector(1 downto 0);
        f_awburst_htrans1: in     vl_logic_vector(1 downto 0);
        f_awvalid_hwrite1: in     vl_logic;
        f_rmw_axi       : in     vl_logic;
        f_awready_hreadyout1: out    vl_logic;
        f_wid_hready12  : in     vl_logic_vector(3 downto 0);
        f_wdata_hwdata12: in     vl_logic_vector(63 downto 0);
        f_wstrb         : in     vl_logic_vector(7 downto 0);
        f_wlast         : in     vl_logic;
        f_wvalid        : in     vl_logic;
        f_wready        : out    vl_logic;
        f_bready        : in     vl_logic;
        f_bid           : out    vl_logic_vector(3 downto 0);
        f_bresp_hresp1  : out    vl_logic_vector(1 downto 0);
        f_bvalid        : out    vl_logic;
        f_arid_hsel2    : in     vl_logic_vector(3 downto 0);
        f_araddr_haddr2 : in     vl_logic_vector(31 downto 0);
        f_arlen_hburst2 : in     vl_logic_vector(3 downto 0);
        f_arsize_hsize2 : in     vl_logic_vector(1 downto 0);
        f_arburst_htrans2: in     vl_logic_vector(1 downto 0);
        f_arlock_hmastlock2: in     vl_logic_vector(1 downto 0);
        f_arvalid_hwrite2: in     vl_logic;
        f_arready_hreadyout2: out    vl_logic;
        f_rready        : in     vl_logic;
        f_rid           : out    vl_logic_vector(3 downto 0);
        f_rdata_hrdata12: out    vl_logic_vector(63 downto 0);
        f_rresp_hresp2  : out    vl_logic_vector(1 downto 0);
        f_rlast         : out    vl_logic;
        f_rvalid        : out    vl_logic;
        psel            : in     vl_logic;
        paddr           : in     vl_logic_vector(10 downto 0);
        penable         : in     vl_logic;
        pwrite          : in     vl_logic;
        pwdata          : in     vl_logic_vector(15 downto 0);
        prdata          : out    vl_logic_vector(15 downto 0);
        pslverr         : out    vl_logic;
        pready          : out    vl_logic;
        ecc_err_intrpt  : out    vl_logic;
        fic_intrpt      : out    vl_logic;
        iocalib_intrpt  : out    vl_logic;
        calib_start     : in     vl_logic;
        calib_lock      : in     vl_logic;
        calib_trim      : in     vl_logic;
        comp_p          : in     vl_logic;
        comp_n          : in     vl_logic;
        apb_pc_pcode    : in     vl_logic_vector(5 downto 0);
        apb_pc_ncode    : in     vl_logic_vector(5 downto 0);
        calib_status    : out    vl_logic;
        xpcode          : out    vl_logic_vector(5 downto 0);
        xncode          : out    vl_logic_vector(5 downto 0);
        pcode           : out    vl_logic_vector(5 downto 0);
        ncode           : out    vl_logic_vector(5 downto 0);
        apb_rd_codes    : out    vl_logic_vector(13 downto 0);
        ddrpoweron      : out    vl_logic;
        f_axi_ahb_mode  : in     vl_logic;
        f_fic64_divisor : in     vl_logic_vector(2 downto 0);
        f_divisor_a     : in     vl_logic_vector(1 downto 0);
        phy_self_ref_en : in     vl_logic;
        fddr_ctrl_softreset: in     vl_logic;
        fddr_fic64_softreset: in     vl_logic;
        scan_in0        : in     vl_logic;
        scan_out0       : out    vl_logic;
        scan_in1        : in     vl_logic;
        scan_out1       : out    vl_logic;
        scan_in2        : in     vl_logic;
        scan_out2       : out    vl_logic;
        scan_in3        : in     vl_logic;
        scan_out3       : out    vl_logic;
        scan_in4        : in     vl_logic;
        scan_out4       : out    vl_logic;
        scan_in5        : in     vl_logic;
        scan_out5       : out    vl_logic;
        dm_in           : in     vl_logic_vector(4 downto 0);
        dm_oe           : out    vl_logic_vector(4 downto 0);
        dram_ba         : out    vl_logic_vector(2 downto 0);
        dram_addr       : out    vl_logic_vector(15 downto 0);
        dram_casn       : out    vl_logic;
        dram_rasn       : out    vl_logic;
        dram_wen        : out    vl_logic;
        dram_csn        : out    vl_logic;
        dram_cke        : out    vl_logic;
        dram_odt        : out    vl_logic;
        dram_dq_out     : out    vl_logic_vector(35 downto 0);
        dram_dq_oe      : out    vl_logic_vector(35 downto 0);
        dram_dqs_out    : out    vl_logic_vector(4 downto 0);
        dram_dqs_oe     : out    vl_logic_vector(4 downto 0);
        dram_dm_rdqs_out: out    vl_logic_vector(4 downto 0);
        dram_clk        : out    vl_logic;
        dram_rstn       : out    vl_logic;
        dram_fifo_we_out: out    vl_logic_vector(2 downto 0);
        dram_local_odt_bit_dq: out    vl_logic_vector(35 downto 0);
        dram_local_odt_bit_dqs: out    vl_logic_vector(4 downto 0);
        dram_local_odt_bit_dm: out    vl_logic_vector(4 downto 0);
        dram_local_odt_bit_fifo_we_in: out    vl_logic_vector(2 downto 0);
        dram_fifo_we_in : in     vl_logic_vector(2 downto 0);
        dram_dq_in      : in     vl_logic_vector(35 downto 0);
        dram_dqs_in     : in     vl_logic_vector(4 downto 0);
        apb_final_rstn  : out    vl_logic;
        fic_final_rstn  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_DISABLE_BRIDGE : constant is 1;
end G4M_FDDR_SUBSYS_120;
