library verilog;
use verilog.vl_types.all;
entity G4M_FIC64 is
    port(
        F_AXI_AHB_CLK   : in     vl_logic;
        AXIDDR_CLK      : in     vl_logic;
        RESETn          : in     vl_logic;
        atpg_tpg_mode   : in     vl_logic;
        INTERRUPT       : out    vl_logic;
        divisor_a       : in     vl_logic_vector(1 downto 0);
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        AXI_AHB_SLAVE   : in     vl_logic;
        DDRB_RMW_REQ    : out    vl_logic;
        F_AWID_HSEL1    : in     vl_logic_vector(3 downto 0);
        F_AWADDR_HADDR1 : in     vl_logic_vector(31 downto 0);
        F_AWLEN_HBURST1 : in     vl_logic_vector(3 downto 0);
        F_AWSIZE_HSIZE1 : in     vl_logic_vector(1 downto 0);
        F_AWLOCK_HMASTLOCK1: in     vl_logic_vector(1 downto 0);
        F_AWBURST_HTRANS1: in     vl_logic_vector(1 downto 0);
        F_AWVALID_HWRITE1: in     vl_logic;
        F_AWREADY_HREADYOUT1: out    vl_logic;
        F_RMW           : in     vl_logic;
        F_WID_HREADYIN_12: in     vl_logic_vector(3 downto 0);
        F_WSTRB         : in     vl_logic_vector(7 downto 0);
        F_WLAST         : in     vl_logic;
        F_WVALID        : in     vl_logic;
        F_WDATA_HWDATA12: in     vl_logic_vector(63 downto 0);
        F_WREADY        : out    vl_logic;
        F_BID           : out    vl_logic_vector(3 downto 0);
        F_BRESP_HRESP1  : out    vl_logic_vector(1 downto 0);
        F_BVALID        : out    vl_logic;
        F_BREADY        : in     vl_logic;
        F_ARID_HSEL2    : in     vl_logic_vector(3 downto 0);
        F_ARADDR_HADDR2 : in     vl_logic_vector(31 downto 0);
        F_ARLEN_HBURST2 : in     vl_logic_vector(3 downto 0);
        F_ARSIZE_HSIZE2 : in     vl_logic_vector(1 downto 0);
        F_ARLOCK_HMASTLOCK2: in     vl_logic_vector(1 downto 0);
        F_ARBURST_HTRANS2: in     vl_logic_vector(1 downto 0);
        F_ARVALID_HWRITE2: in     vl_logic;
        F_ARREADY_HREADYOUT2: out    vl_logic;
        F_RID           : out    vl_logic_vector(3 downto 0);
        F_RDATA_HRDATA12: out    vl_logic_vector(63 downto 0);
        F_RRESP_HRESP2  : out    vl_logic_vector(1 downto 0);
        F_RLAST         : out    vl_logic;
        F_RVALID        : out    vl_logic;
        F_RREADY        : in     vl_logic;
        AXIDDR_AWID     : out    vl_logic_vector(3 downto 0);
        AXIDDR_AWADDR   : out    vl_logic_vector(31 downto 0);
        AXIDDR_AWLEN    : out    vl_logic_vector(3 downto 0);
        AXIDDR_AWSIZE   : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWLOCK   : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWBURST  : out    vl_logic_vector(1 downto 0);
        AXIDDR_AWVALID  : out    vl_logic;
        AXIDDR_AWREADY  : in     vl_logic;
        AXIDDR_WID      : out    vl_logic_vector(3 downto 0);
        AXIDDR_WSTRB    : out    vl_logic_vector(7 downto 0);
        AXIDDR_WLAST    : out    vl_logic;
        AXIDDR_WVALID   : out    vl_logic;
        AXIDDR_WDATA    : out    vl_logic_vector(63 downto 0);
        AXIDDR_WREADY   : in     vl_logic;
        AXIDDR_BID      : in     vl_logic_vector(3 downto 0);
        AXIDDR_BRESP    : in     vl_logic_vector(1 downto 0);
        AXIDDR_BVALID   : in     vl_logic;
        AXIDDR_BREADY   : out    vl_logic;
        AXIDDR_ARID     : out    vl_logic_vector(3 downto 0);
        AXIDDR_ARADDR   : out    vl_logic_vector(31 downto 0);
        AXIDDR_ARLEN    : out    vl_logic_vector(3 downto 0);
        AXIDDR_ARSIZE   : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARLOCK   : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARBURST  : out    vl_logic_vector(1 downto 0);
        AXIDDR_ARVALID  : out    vl_logic;
        AXIDDR_ARREADY  : in     vl_logic;
        AXIDDR_RID      : in     vl_logic_vector(3 downto 0);
        AXIDDR_RDATA    : in     vl_logic_vector(63 downto 0);
        AXIDDR_RRESP    : in     vl_logic_vector(1 downto 0);
        AXIDDR_RLAST    : in     vl_logic;
        AXIDDR_RVALID   : in     vl_logic;
        AXIDDR_RREADY   : out    vl_logic;
        PCLK            : in     vl_logic;
        PRESETN         : in     vl_logic;
        PSEL            : in     vl_logic;
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PADDR           : in     vl_logic_vector(7 downto 0);
        PWDATA          : in     vl_logic_vector(15 downto 0);
        PREADY          : out    vl_logic;
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PSLVERR         : out    vl_logic
    );
end G4M_FIC64;
