library verilog;
use verilog.vl_types.all;
entity G4M_HPDMA is
    port(
        FCLK            : in     vl_logic;
        PCLK1           : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hpd_hrdata      : in     vl_logic_vector(31 downto 0);
        hpd_hresp       : in     vl_logic;
        hpd_hready      : in     vl_logic;
        hpd_ddrb_hrdata : in     vl_logic_vector(31 downto 0);
        hpd_ddrb_hresp  : in     vl_logic;
        hpd_ddrb_hready : in     vl_logic;
        hpd_paddr       : in     vl_logic_vector(6 downto 2);
        hpd_psel        : in     vl_logic;
        hpd_penable     : in     vl_logic;
        hpd_pwrite      : in     vl_logic;
        hpd_pwdata      : in     vl_logic_vector(31 downto 0);
        hpd_haddr       : out    vl_logic_vector(31 downto 0);
        hpd_hwdata      : out    vl_logic_vector(31 downto 0);
        hpd_hwrite      : out    vl_logic;
        hpd_hlock       : out    vl_logic;
        hpd_hsize       : out    vl_logic_vector(2 downto 0);
        hpd_htrans      : out    vl_logic_vector(1 downto 0);
        hpd_hburst      : out    vl_logic_vector(2 downto 0);
        hpd_ddrb_haddr  : out    vl_logic_vector(31 downto 0);
        hpd_ddrb_hwdata : out    vl_logic_vector(31 downto 0);
        hpd_ddrb_hwrite : out    vl_logic;
        hpd_ddrb_hlock  : out    vl_logic;
        hpd_ddrb_hsize  : out    vl_logic_vector(2 downto 0);
        hpd_ddrb_htrans : out    vl_logic_vector(1 downto 0);
        hpd_ddrb_hburst : out    vl_logic_vector(2 downto 0);
        hpd_pready      : out    vl_logic;
        hpd_pslverr     : out    vl_logic;
        hpd_prdata      : out    vl_logic_vector(31 downto 0);
        hpd_xfr_err_int : out    vl_logic;
        hpd_xfr_cmp_int : out    vl_logic
    );
end G4M_HPDMA;
