library verilog;
use verilog.vl_types.all;
entity G4M_MDDR_SUBSYS_010 is
    generic(
        DDR_PHY_WIDTH   : integer := 32;
        DW              : vl_notype;
        SW              : vl_notype;
        FW              : vl_notype;
        K_DISABLE_BRIDGE: integer := 0
    );
    port(
        tm              : in     vl_logic;
        se              : in     vl_logic;
        srst_b          : in     vl_logic;
        F_AXI_AHB_CLK   : in     vl_logic;
        ACLK            : in     vl_logic;
        ARESETn         : in     vl_logic;
        PCLK            : in     vl_logic;
        PRESETn         : in     vl_logic;
        clk_50m         : in     vl_logic;
        iocalibrst_b    : in     vl_logic;
        b_AWID          : in     vl_logic_vector(3 downto 0);
        b_AWADDR        : in     vl_logic_vector(31 downto 0);
        b_AWLEN         : in     vl_logic_vector(3 downto 0);
        b_AWSIZE        : in     vl_logic_vector(1 downto 0);
        b_AWBURST       : in     vl_logic_vector(1 downto 0);
        b_AWLOCK        : in     vl_logic_vector(1 downto 0);
        b_AWVALID       : in     vl_logic;
        b_AWREADY       : out    vl_logic;
        b_WID           : in     vl_logic_vector(3 downto 0);
        b_WDATA         : in     vl_logic_vector(63 downto 0);
        b_WSTRB         : in     vl_logic_vector(7 downto 0);
        b_WLAST         : in     vl_logic;
        b_WVALID        : in     vl_logic;
        b_WREADY        : out    vl_logic;
        b_RMW           : in     vl_logic;
        b_BREADY        : in     vl_logic;
        b_BID           : out    vl_logic_vector(3 downto 0);
        b_BRESP         : out    vl_logic_vector(1 downto 0);
        b_BVALID        : out    vl_logic;
        b_ARID          : in     vl_logic_vector(3 downto 0);
        b_ARADDR        : in     vl_logic_vector(31 downto 0);
        b_ARLEN         : in     vl_logic_vector(3 downto 0);
        b_ARSIZE        : in     vl_logic_vector(1 downto 0);
        b_ARBURST       : in     vl_logic_vector(1 downto 0);
        b_ARLOCK        : in     vl_logic_vector(1 downto 0);
        b_ARVALID       : in     vl_logic;
        b_ARREADY       : out    vl_logic;
        b_RREADY        : in     vl_logic;
        b_RID           : out    vl_logic_vector(3 downto 0);
        b_RDATA         : out    vl_logic_vector(63 downto 0);
        b_RRESP         : out    vl_logic_vector(1 downto 0);
        b_RLAST         : out    vl_logic;
        b_RVALID        : out    vl_logic;
        f_AWID_HSEL1    : in     vl_logic_vector(3 downto 0);
        f_AWADDR_HADDR1 : in     vl_logic_vector(31 downto 0);
        f_AWLEN_HBURST1 : in     vl_logic_vector(3 downto 0);
        f_AWSIZE_HSIZE1 : in     vl_logic_vector(1 downto 0);
        f_AWLOCK_HMASTLOCK1: in     vl_logic_vector(1 downto 0);
        f_AWBURST_HTRANS1: in     vl_logic_vector(1 downto 0);
        f_AWVALID_HWRITE1: in     vl_logic;
        f_RMW_AXI       : in     vl_logic;
        f_AWREADY_HREADYOUT1: out    vl_logic;
        f_WID_HREADYIN_12: in     vl_logic_vector(3 downto 0);
        f_WDATA_HWDATA12: in     vl_logic_vector(63 downto 0);
        f_WSTRB         : in     vl_logic_vector(7 downto 0);
        f_WLAST         : in     vl_logic;
        f_WVALID        : in     vl_logic;
        f_WREADY        : out    vl_logic;
        f_BREADY        : in     vl_logic;
        f_BID           : out    vl_logic_vector(3 downto 0);
        f_BRESP_HRESP1  : out    vl_logic_vector(1 downto 0);
        f_BVALID        : out    vl_logic;
        f_ARID_HSEL2    : in     vl_logic_vector(3 downto 0);
        f_ARADDR_HADDR2 : in     vl_logic_vector(31 downto 0);
        f_ARLEN_HBURST2 : in     vl_logic_vector(3 downto 0);
        f_ARSIZE_HSIZE2 : in     vl_logic_vector(1 downto 0);
        f_ARBURST_HTRANS2: in     vl_logic_vector(1 downto 0);
        f_ARLOCK_HMASTLOCK2: in     vl_logic_vector(1 downto 0);
        f_ARVALID_HWRITE2: in     vl_logic;
        f_ARREADY_HREADYOUT2: out    vl_logic;
        f_RREADY        : in     vl_logic;
        f_RID           : out    vl_logic_vector(3 downto 0);
        f_RDATA_HRDATA12: out    vl_logic_vector(63 downto 0);
        f_RRESP_HRESP2  : out    vl_logic_vector(1 downto 0);
        f_RLAST         : out    vl_logic;
        f_RVALID        : out    vl_logic;
        PSEL            : in     vl_logic;
        PADDR           : in     vl_logic_vector(10 downto 2);
        PENABLE         : in     vl_logic;
        PWRITE          : in     vl_logic;
        PWDATA          : in     vl_logic_vector(15 downto 0);
        PRDATA          : out    vl_logic_vector(15 downto 0);
        PSLVERR         : out    vl_logic;
        PREADY          : out    vl_logic;
        ecc_err_intrpt  : out    vl_logic;
        fic_intrpt      : out    vl_logic;
        iocalib_intrpt  : out    vl_logic;
        f_access_disable_r: in     vl_logic;
        f_access_disable_w: in     vl_logic;
        core_up         : in     vl_logic;
        calib_start     : in     vl_logic;
        calib_lock      : in     vl_logic;
        calib_trim      : in     vl_logic;
        comp_p          : in     vl_logic;
        comp_n          : in     vl_logic;
        apb_pc_pcode    : in     vl_logic_vector(5 downto 0);
        apb_pc_ncode    : in     vl_logic_vector(5 downto 0);
        calib_status    : out    vl_logic;
        xpcode          : out    vl_logic_vector(5 downto 0);
        xncode          : out    vl_logic_vector(5 downto 0);
        pcode           : out    vl_logic_vector(5 downto 0);
        ncode           : out    vl_logic_vector(5 downto 0);
        f_axi_ahb_mode  : in     vl_logic;
        f_fic64_divisor : in     vl_logic_vector(2 downto 0);
        f_mss_divisor   : in     vl_logic_vector(1 downto 0);
        phy_self_ref_en : in     vl_logic;
        mddr_ctlr_softreset: in     vl_logic;
        mddr_fic64_softreset: in     vl_logic;
        atpg_tpg_mode   : in     vl_logic;
        scan_in0        : in     vl_logic;
        scan_out0       : out    vl_logic;
        scan_in1        : in     vl_logic;
        scan_out1       : out    vl_logic;
        scan_in2        : in     vl_logic;
        scan_out2       : out    vl_logic;
        scan_in3        : in     vl_logic;
        scan_out3       : out    vl_logic;
        scan_in4        : in     vl_logic;
        scan_out4       : out    vl_logic;
        scan_in5        : in     vl_logic;
        scan_out5       : out    vl_logic;
        dm_oe           : out    vl_logic_vector;
        dram_ba         : out    vl_logic_vector(2 downto 0);
        dram_addr       : out    vl_logic_vector(15 downto 0);
        dram_casn       : out    vl_logic;
        dram_rasn       : out    vl_logic;
        dram_wen        : out    vl_logic;
        dram_csn        : out    vl_logic;
        dram_cke        : out    vl_logic;
        dram_odt        : out    vl_logic;
        dram_dq_out     : out    vl_logic_vector;
        dram_dq_oe      : out    vl_logic_vector;
        dram_dqs_out    : out    vl_logic_vector;
        dram_dqs_oe     : out    vl_logic_vector;
        dram_dm_rdqs_out: out    vl_logic_vector;
        dram_clk        : out    vl_logic;
        dram_rstn       : out    vl_logic;
        dram_fifo_we_out: out    vl_logic_vector;
        dram_local_odt_bit_dq: out    vl_logic_vector;
        dram_local_odt_bit_dqs: out    vl_logic_vector;
        dram_local_odt_bit_dm: out    vl_logic_vector;
        dram_local_odt_bit_fifo_we_in: out    vl_logic_vector;
        dm_in           : in     vl_logic_vector;
        dram_fifo_we_in : in     vl_logic_vector;
        dram_dq_in      : in     vl_logic_vector;
        dram_dqs_in     : in     vl_logic_vector;
        apb_rd_codes    : out    vl_logic_vector(13 downto 0);
        ddrpoweron      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DDR_PHY_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DW : constant is 3;
    attribute mti_svvh_generic_type of SW : constant is 3;
    attribute mti_svvh_generic_type of FW : constant is 3;
    attribute mti_svvh_generic_type of K_DISABLE_BRIDGE : constant is 1;
end G4M_MDDR_SUBSYS_010;
