library verilog;
use verilog.vl_types.all;
entity G4M_SWITCH is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        G4_TESTESRAM1REMAP: in     vl_logic;
        G4_ENVMPOWEREDDOWN: in     vl_logic;
        G4_FIC_REG_SEL  : in     vl_logic_vector(5 downto 0);
        SW_CC_ESRAMFWREMAP: in     vl_logic;
        SW_ENVMREMAPSIZE: in     vl_logic_vector(4 downto 0);
        SW_ENVMREMAPBASE: in     vl_logic_vector(18 downto 0);
        SW_ENVMFABREMAPBASE: in     vl_logic_vector(18 downto 0);
        SW_PROTREGIONSIZE: in     vl_logic_vector(4 downto 0);
        SW_PROTREGIONBASE: in     vl_logic_vector(31 downto 0);
        FIC32_1_DISABLE : in     vl_logic;
        eSRAM0_EDAC_EN  : in     vl_logic;
        eSRAM1_EDAC_EN  : in     vl_logic;
        ENVM_BLOCK_SIZE : in     vl_logic_vector(1 downto 0);
        SW_WEIGHT_IC    : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_S     : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_HPDMA : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB0  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB1  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_GIGE  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_PDMA  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_USB   : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_G     : in     vl_logic_vector(4 downto 0);
        SW_MAX_LAT_ESRAM0: in     vl_logic_vector(2 downto 0);
        SW_MAX_LAT_ESRAM1: in     vl_logic_vector(2 downto 0);
        SW_ERRORSTATUS  : out    vl_logic_vector(9 downto 0);
        MM0_1_2_MS0_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS0_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_W: in     vl_logic;
        MM4_5_MS0_ALLOWED_R: in     vl_logic;
        MM4_5_MS0_ALLOWED_W: in     vl_logic;
        MM4_5_MS1_ALLOWED_R: in     vl_logic;
        MM4_5_MS1_ALLOWED_W: in     vl_logic;
        MM4_5_MS2_ALLOWED_R: in     vl_logic;
        MM4_5_MS2_ALLOWED_W: in     vl_logic;
        MM4_5_MS3_ALLOWED_R: in     vl_logic;
        MM4_5_MS3_ALLOWED_W: in     vl_logic;
        MM4_5_MS6_ALLOWED_R: in     vl_logic;
        MM4_5_MS6_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_W: in     vl_logic;
        MM9_MS0_ALLOWED_R: in     vl_logic;
        MM9_MS0_ALLOWED_W: in     vl_logic;
        MM9_MS1_ALLOWED_R: in     vl_logic;
        MM9_MS1_ALLOWED_W: in     vl_logic;
        MM9_MS2_ALLOWED_R: in     vl_logic;
        MM9_MS2_ALLOWED_W: in     vl_logic;
        MM9_MS3_ALLOWED_R: in     vl_logic;
        MM9_MS3_ALLOWED_W: in     vl_logic;
        MM9_MS6_ALLOWED_R: in     vl_logic;
        MM9_MS6_ALLOWED_W: in     vl_logic;
        CC_IC_HADDR     : in     vl_logic_vector(31 downto 0);
        CC_IC_HTRANS    : in     vl_logic_vector(1 downto 0);
        CC_IC_HSIZE     : in     vl_logic_vector(2 downto 0);
        CC_IC_HBURST    : in     vl_logic_vector(2 downto 0);
        CC_IC_HRDATA    : out    vl_logic_vector(31 downto 0);
        CC_IC_HREADY    : out    vl_logic;
        CC_IC_HRESP     : out    vl_logic;
        CC_D_HADDR      : in     vl_logic_vector(31 downto 0);
        CC_D_HTRANS1    : in     vl_logic;
        CC_D_HWRITE     : in     vl_logic;
        CC_D_HSIZE      : in     vl_logic_vector(2 downto 0);
        CC_D_HWDATA     : in     vl_logic_vector(31 downto 0);
        CC_D_HRDATA     : out    vl_logic_vector(31 downto 0);
        CC_D_HREADY     : out    vl_logic;
        CC_D_HRESP      : out    vl_logic;
        CC_S_HADDR      : in     vl_logic_vector(31 downto 0);
        CC_S_HTRANS1    : in     vl_logic;
        CC_S_HWRITE     : in     vl_logic;
        CC_S_HSIZE      : in     vl_logic_vector(2 downto 0);
        CC_S_HWDATA     : in     vl_logic_vector(31 downto 0);
        CC_S_HMASTLOCK  : in     vl_logic;
        CC_S_HRDATA     : out    vl_logic_vector(31 downto 0);
        CC_S_HREADY     : out    vl_logic;
        CC_S_HRESP      : out    vl_logic;
        hpd_HWRITE      : in     vl_logic;
        hpd_HADDR       : in     vl_logic_vector(31 downto 0);
        hpd_HTRANS1     : in     vl_logic;
        hpd_HSIZE       : in     vl_logic_vector(2 downto 0);
        hpd_HWDATA      : in     vl_logic_vector(31 downto 0);
        hpd_HRDATA      : out    vl_logic_vector(31 downto 0);
        hpd_HREADY      : out    vl_logic;
        hpd_HRESP       : out    vl_logic;
        DS_FM0_HWRITE   : in     vl_logic;
        DS_FM0_HADDR    : in     vl_logic_vector(31 downto 0);
        DS_FM0_HTRANS1  : in     vl_logic;
        DS_FM0_HSIZE    : in     vl_logic_vector(2 downto 0);
        DS_FM0_HWDATA   : in     vl_logic_vector(31 downto 0);
        DS_FM0_HMASTLOCK: in     vl_logic;
        DS_FM0_HRDATA   : out    vl_logic_vector(31 downto 0);
        DS_FM0_HREADY   : out    vl_logic;
        DS_FM0_HRESP    : out    vl_logic;
        DS_FM1_HWRITE   : in     vl_logic;
        DS_FM1_HADDR    : in     vl_logic_vector(31 downto 0);
        DS_FM1_HTRANS1  : in     vl_logic;
        DS_FM1_HSIZE    : in     vl_logic_vector(2 downto 0);
        DS_FM1_HWDATA   : in     vl_logic_vector(31 downto 0);
        DS_FM1_HMASTLOCK: in     vl_logic;
        DS_FM1_HRDATA   : out    vl_logic_vector(31 downto 0);
        DS_FM1_HREADY   : out    vl_logic;
        DS_FM1_HRESP    : out    vl_logic;
        MAC_M_HADDR     : in     vl_logic_vector(31 downto 0);
        MAC_M_HSIZE     : in     vl_logic_vector(2 downto 0);
        MAC_M_HTRANS1   : in     vl_logic;
        MAC_M_HWRITE    : in     vl_logic;
        MAC_M_HWDATA    : in     vl_logic_vector(31 downto 0);
        MAC_M_HRDATA    : out    vl_logic_vector(31 downto 0);
        MAC_M_HREADY    : out    vl_logic;
        MAC_M_HRESP     : out    vl_logic;
        PDMA_HADDR      : in     vl_logic_vector(31 downto 0);
        PDMA_HSIZE      : in     vl_logic_vector(2 downto 0);
        PDMA_HTRANS1    : in     vl_logic;
        PDMA_HWDATA     : in     vl_logic_vector(31 downto 0);
        PDMA_HWRITE     : in     vl_logic;
        PDMA_HRDATA     : out    vl_logic_vector(31 downto 0);
        PDMA_HREADY     : out    vl_logic;
        PDMA_HRESP      : out    vl_logic;
        USB_HADDR       : in     vl_logic_vector(31 downto 0);
        USB_HSIZE       : in     vl_logic_vector(2 downto 0);
        USB_HTRANS1     : in     vl_logic;
        USB_HWDATA      : in     vl_logic_vector(31 downto 0);
        USB_HWRITE      : in     vl_logic;
        USB_HRDATA      : out    vl_logic_vector(31 downto 0);
        USB_HREADY      : out    vl_logic;
        USB_HRESP       : out    vl_logic;
        G_HADDR         : in     vl_logic_vector(31 downto 0);
        G_HSIZE         : in     vl_logic_vector(2 downto 0);
        G_HTRANS1       : in     vl_logic;
        G_HWDATA        : in     vl_logic_vector(31 downto 0);
        G_HWRITE        : in     vl_logic;
        G_HMASTLOCK     : in     vl_logic;
        G_HRDATA        : out    vl_logic_vector(31 downto 0);
        G_HREADY        : out    vl_logic;
        G_HRESP         : out    vl_logic;
        ESRAM0_HRDATA   : in     vl_logic_vector(31 downto 0);
        ESRAM0_HREADYOUT: in     vl_logic;
        ESRAM0_HRESP    : in     vl_logic;
        ESRAM0_HADDR    : out    vl_logic_vector(31 downto 0);
        ESRAM0_HSIZE    : out    vl_logic_vector(2 downto 0);
        ESRAM0_HTRANS1  : out    vl_logic;
        ESRAM0_HWDATA   : out    vl_logic_vector(31 downto 0);
        ESRAM0_HWRITE   : out    vl_logic;
        ESRAM0_HSEL     : out    vl_logic;
        ESRAM0_HREADY   : out    vl_logic;
        ESRAM0_HMASTLOCK: out    vl_logic;
        ESRAM1_HRDATA   : in     vl_logic_vector(31 downto 0);
        ESRAM1_HREADYOUT: in     vl_logic;
        ESRAM1_HRESP    : in     vl_logic;
        ESRAM1_HADDR    : out    vl_logic_vector(31 downto 0);
        ESRAM1_HSIZE    : out    vl_logic_vector(2 downto 0);
        ESRAM1_HTRANS1  : out    vl_logic;
        ESRAM1_HWDATA   : out    vl_logic_vector(31 downto 0);
        ESRAM1_HWRITE   : out    vl_logic;
        ESRAM1_HSEL     : out    vl_logic;
        ESRAM1_HREADY   : out    vl_logic;
        ESRAM1_HMASTLOCK: out    vl_logic;
        ENVM0_HRDATA    : in     vl_logic_vector(31 downto 0);
        ENVM0_HREADYOUT : in     vl_logic;
        ENVM0_HRESP     : in     vl_logic;
        ENVM0_HADDR     : out    vl_logic_vector(31 downto 0);
        ENVM0_HSIZE     : out    vl_logic_vector(2 downto 0);
        ENVM0_HBURST    : out    vl_logic_vector(2 downto 0);
        ENVM0_HTRANS    : out    vl_logic_vector(1 downto 0);
        ENVM0_HWDATA    : out    vl_logic_vector(31 downto 0);
        ENVM0_HWRITE    : out    vl_logic;
        ENVM0_HSEL      : out    vl_logic;
        ENVM0_HREADY    : out    vl_logic;
        ENVM0_HMASTLOCK : out    vl_logic;
        ENVM0_HMAST     : out    vl_logic_vector(1 downto 0);
        ENVM1_HRDATA    : in     vl_logic_vector(31 downto 0);
        ENVM1_HREADYOUT : in     vl_logic;
        ENVM1_HRESP     : in     vl_logic;
        ENVM1_HADDR     : out    vl_logic_vector(31 downto 0);
        ENVM1_HSIZE     : out    vl_logic_vector(2 downto 0);
        ENVM1_HBURST    : out    vl_logic_vector(2 downto 0);
        ENVM1_HTRANS    : out    vl_logic_vector(1 downto 0);
        ENVM1_HWDATA    : out    vl_logic_vector(31 downto 0);
        ENVM1_HWRITE    : out    vl_logic;
        ENVM1_HSEL      : out    vl_logic;
        ENVM1_HREADY    : out    vl_logic;
        ENVM1_HMASTLOCK : out    vl_logic;
        ENVM1_HMAST     : out    vl_logic_vector(1 downto 0);
        DS_HM0_HRDATA   : in     vl_logic_vector(31 downto 0);
        DS_HM0_HREADYOUT: in     vl_logic;
        DS_HM0_HRESP    : in     vl_logic;
        DS_HM0_HADDR    : out    vl_logic_vector(31 downto 0);
        DS_HM0_HSIZE    : out    vl_logic_vector(2 downto 0);
        DS_HM0_HTRANS1  : out    vl_logic;
        DS_HM0_HREADY   : out    vl_logic;
        DS_HM0_HWDATA   : out    vl_logic_vector(31 downto 0);
        DS_HM0_HWRITE   : out    vl_logic;
        DS_HM0_HMASTLOCK: out    vl_logic;
        DS_HM0_HMASTER  : out    vl_logic_vector(1 downto 0);
        DS_HM0_HSEL     : out    vl_logic;
        MAC_S_HRDATA    : in     vl_logic_vector(31 downto 0);
        MAC_S_HREADYOUT : in     vl_logic;
        MAC_S_HRESP     : in     vl_logic;
        MAC_S_HADDR     : out    vl_logic_vector(31 downto 0);
        MAC_S_HSIZE     : out    vl_logic_vector(2 downto 0);
        MAC_S_HTRANS1   : out    vl_logic;
        MAC_S_HSEL      : out    vl_logic;
        MAC_S_HWRITE    : out    vl_logic;
        MAC_S_HWDATA    : out    vl_logic_vector(31 downto 0);
        MAC_S_HREADY    : out    vl_logic;
        DS_HM1_HRDATA   : in     vl_logic_vector(31 downto 0);
        DS_HM1_HREADYOUT: in     vl_logic;
        DS_HM1_HRESP    : in     vl_logic;
        DS_HM1_HADDR    : out    vl_logic_vector(31 downto 0);
        DS_HM1_HSIZE    : out    vl_logic_vector(2 downto 0);
        DS_HM1_HTRANS1  : out    vl_logic;
        DS_HM1_HREADY   : out    vl_logic;
        DS_HM1_HWDATA   : out    vl_logic_vector(31 downto 0);
        DS_HM1_HWRITE   : out    vl_logic;
        DS_HM1_HMASTLOCK: out    vl_logic;
        DS_HM1_HMASTER  : out    vl_logic_vector(1 downto 0);
        DS_HM1_HSEL     : out    vl_logic;
        SYSREG_HRDATA   : in     vl_logic_vector(31 downto 0);
        SYSREG_HREADYOUT: in     vl_logic;
        SYSREG_HRESP    : in     vl_logic;
        SYSREG_HADDR    : out    vl_logic_vector(31 downto 0);
        SYSREG_HSIZE    : out    vl_logic_vector(2 downto 0);
        SYSREG_HTRANS1  : out    vl_logic;
        SYSREG_HWDATA   : out    vl_logic_vector(31 downto 0);
        SYSREG_HWRITE   : out    vl_logic;
        SYSREG_HSEL     : out    vl_logic;
        SYSREG_HREADY   : out    vl_logic;
        PER0_HRDATA     : in     vl_logic_vector(31 downto 0);
        PER0_HREADYOUT  : in     vl_logic;
        PER0_HRESP      : in     vl_logic;
        PER0_HADDR      : out    vl_logic_vector(31 downto 0);
        PER0_HSIZE      : out    vl_logic_vector(2 downto 0);
        PER0_HTRANS1    : out    vl_logic;
        PER0_HREADY     : out    vl_logic;
        PER0_HWDATA     : out    vl_logic_vector(31 downto 0);
        PER0_HWRITE     : out    vl_logic;
        PER0_HSEL       : out    vl_logic;
        PER1_HRDATA     : in     vl_logic_vector(31 downto 0);
        PER1_HREADYOUT  : in     vl_logic;
        PER1_HRESP      : in     vl_logic;
        PER1_HADDR      : out    vl_logic_vector(31 downto 0);
        PER1_HSIZE      : out    vl_logic_vector(2 downto 0);
        PER1_HTRANS1    : out    vl_logic;
        PER1_HWDATA     : out    vl_logic_vector(31 downto 0);
        PER1_HWRITE     : out    vl_logic;
        PER1_HSEL       : out    vl_logic;
        PER1_HREADY     : out    vl_logic;
        PER2_HRDATA     : in     vl_logic_vector(31 downto 0);
        PER2_HREADYOUT  : in     vl_logic;
        PER2_HRESP      : in     vl_logic;
        PER2_HADDR      : out    vl_logic_vector(31 downto 0);
        PER2_HSIZE      : out    vl_logic_vector(2 downto 0);
        PER2_HTRANS1    : out    vl_logic;
        PER2_HWDATA     : out    vl_logic_vector(31 downto 0);
        PER2_HWRITE     : out    vl_logic;
        PER2_HSEL       : out    vl_logic;
        PER2_HREADY     : out    vl_logic;
        DDRB_HRDATA     : in     vl_logic_vector(31 downto 0);
        DDRB_HREADYOUT  : in     vl_logic;
        DDRB_HRESP      : in     vl_logic;
        DDRB_HADDR      : out    vl_logic_vector(31 downto 0);
        DDRB_HSIZE      : out    vl_logic_vector(2 downto 0);
        DDRB_HMASTLOCK  : out    vl_logic;
        DDRB_HTRANS1    : out    vl_logic;
        DDRB_HREADY     : out    vl_logic;
        DDRB_HWDATA     : out    vl_logic_vector(31 downto 0);
        DDRB_HWRITE     : out    vl_logic;
        DDRB_HSEL       : out    vl_logic;
        USB_S_HRDATA    : in     vl_logic_vector(31 downto 0);
        USB_S_HREADYOUT : in     vl_logic;
        USB_S_HRESP     : in     vl_logic;
        USB_S_HADDR     : out    vl_logic_vector(31 downto 0);
        USB_S_HSIZE     : out    vl_logic_vector(2 downto 0);
        USB_S_HTRANS1   : out    vl_logic;
        USB_S_HSEL      : out    vl_logic;
        USB_S_HWRITE    : out    vl_logic;
        USB_S_HWDATA    : out    vl_logic_vector(31 downto 0);
        USB_S_HREADY    : out    vl_logic
    );
end G4M_SWITCH;
