library verilog;
use verilog.vl_types.all;
entity MG_SeqCRCGenCheck is
    generic(
        DATAWIDTH       : integer := 16;
        POLYSIZE        : integer := 16;
        CRCBITCFG       : integer := 7;
        BITORDER        : integer := 3;
        POLYCOEFF0      : integer := 4129;
        POLYCOEFF1      : integer := 0;
        POLYCOEFF2      : integer := 0;
        POLYCOEFF3      : integer := 0;
        POLYNOMIAL      : vl_notype;
        BYTECOUNT       : vl_notype;
        IDLE            : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        HOLD1           : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        HOLD2           : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        syncrst_n       : in     vl_logic;
        clkenable       : in     vl_logic;
        data_in         : in     vl_logic_vector;
        load_crc_n      : in     vl_logic;
        crc_in          : in     vl_logic_vector;
        drain_crc       : in     vl_logic;
        crc_out         : out    vl_logic_vector;
        data_out        : out    vl_logic_vector;
        draining        : out    vl_logic;
        drain_done      : out    vl_logic;
        crc_correct     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATAWIDTH : constant is 1;
    attribute mti_svvh_generic_type of POLYSIZE : constant is 1;
    attribute mti_svvh_generic_type of CRCBITCFG : constant is 1;
    attribute mti_svvh_generic_type of BITORDER : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF0 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF1 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF2 : constant is 1;
    attribute mti_svvh_generic_type of POLYCOEFF3 : constant is 1;
    attribute mti_svvh_generic_type of POLYNOMIAL : constant is 3;
    attribute mti_svvh_generic_type of BYTECOUNT : constant is 3;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of HOLD1 : constant is 1;
    attribute mti_svvh_generic_type of HOLD2 : constant is 1;
end MG_SeqCRCGenCheck;
