library verilog;
use verilog.vl_types.all;
entity MG_asymfifo_s1_sf is
    generic(
        DATA_IN_WIDTH   : integer := 8;
        DATA_OUT_WIDTH  : integer := 16;
        DEPTH           : integer := 8;
        PUSH_AF_LEVEL   : integer := 3;
        POP_AE_LEVEL    : integer := 3;
        ERROR_MODE      : integer := 1;
        RESET_MODE      : integer := 1;
        BYTE_ORDER      : integer := 0;
        RST_MODE        : vl_notype;
        DATA_MAX_WIDTH  : vl_notype;
        ADDRWIDTH       : vl_notype
    );
    port(
        rst_n           : in     vl_logic;
        clk             : in     vl_logic;
        push_req_n      : in     vl_logic;
        flush_n         : in     vl_logic;
        diag_n          : in     vl_logic;
        data_in         : in     vl_logic_vector;
        empty           : out    vl_logic;
        almost_empty    : out    vl_logic;
        half_full       : out    vl_logic;
        almost_full     : out    vl_logic;
        full            : out    vl_logic;
        ram_full        : out    vl_logic;
        part_wd         : out    vl_logic;
        error           : out    vl_logic;
        pop_req_n       : in     vl_logic;
        data_out        : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATA_IN_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DATA_OUT_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of BYTE_ORDER : constant is 1;
    attribute mti_svvh_generic_type of RST_MODE : constant is 3;
    attribute mti_svvh_generic_type of DATA_MAX_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 3;
end MG_asymfifo_s1_sf;
