library verilog;
use verilog.vl_types.all;
entity MG_asymfifoctl_s2_sf is
    generic(
        DATA_IN_WIDTH   : integer := 8;
        DATA_OUT_WIDTH  : integer := 16;
        DEPTH           : integer := 8;
        PUSH_AE_LEVEL   : integer := 2;
        PUSH_AF_LEVEL   : integer := 2;
        POP_AE_LEVEL    : integer := 2;
        POP_AF_LEVEL    : integer := 2;
        ERROR_MODE      : integer := 0;
        PUSH_SYNC       : integer := 2;
        POP_SYNC        : integer := 2;
        RESET_MODE      : integer := 1;
        BYTE_ORDER      : integer := 0;
        DATA_MAX_WIDTH  : vl_notype;
        ADDRWIDTH       : vl_notype;
        WDCNTWIDTH      : vl_notype;
        MG_BUF_NO       : vl_notype;
        MG_BUF_INDEX    : vl_notype;
        MG_BUF_INDEX_1  : vl_notype;
        buff_addr_width : vl_notype
    );
    port(
        rst_n           : in     vl_logic;
        clk_push        : in     vl_logic;
        push_req_n      : in     vl_logic;
        flush_n         : in     vl_logic;
        data_in         : in     vl_logic_vector;
        wr_data         : out    vl_logic_vector;
        we_n            : out    vl_logic;
        wr_addr         : out    vl_logic_vector;
        push_empty      : out    vl_logic;
        push_ae         : out    vl_logic;
        push_hf         : out    vl_logic;
        push_af         : out    vl_logic;
        push_full       : out    vl_logic;
        ram_full        : out    vl_logic;
        part_wd         : out    vl_logic;
        push_error      : out    vl_logic;
        clk_pop         : in     vl_logic;
        pop_req_n       : in     vl_logic;
        rd_data         : in     vl_logic_vector;
        data_out        : out    vl_logic_vector;
        rd_addr         : out    vl_logic_vector;
        pop_empty       : out    vl_logic;
        pop_ae          : out    vl_logic;
        pop_hf          : out    vl_logic;
        pop_af          : out    vl_logic;
        pop_full        : out    vl_logic;
        pop_error       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATA_IN_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DATA_OUT_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of PUSH_SYNC : constant is 1;
    attribute mti_svvh_generic_type of POP_SYNC : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of BYTE_ORDER : constant is 1;
    attribute mti_svvh_generic_type of DATA_MAX_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 3;
    attribute mti_svvh_generic_type of WDCNTWIDTH : constant is 3;
    attribute mti_svvh_generic_type of MG_BUF_NO : constant is 3;
    attribute mti_svvh_generic_type of MG_BUF_INDEX : constant is 3;
    attribute mti_svvh_generic_type of MG_BUF_INDEX_1 : constant is 3;
    attribute mti_svvh_generic_type of buff_addr_width : constant is 3;
end MG_asymfifoctl_s2_sf;
