library verilog;
use verilog.vl_types.all;
entity MG_div_seq is
    generic(
        IN0_WIDTH       : integer := 8;
        IN1_WIDTH       : integer := 8;
        TC_MODE         : integer := 0;
        N_CYCLE         : integer := 3;
        RESET_MODE      : integer := 0;
        INPUT_MODE      : integer := 1;
        OUTPUT_MODE     : integer := 1;
        EARLY_START     : integer := 0;
        N_CYCLE_ACT     : vl_notype;
        N_BITS_CYCLE    : vl_notype;
        OUT_WIDTH       : vl_notype;
        IDLE            : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        RUN             : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        \WAIT\          : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi0);
        DONE            : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0)
    );
    port(
        in0             : in     vl_logic_vector;
        in1             : in     vl_logic_vector;
        clk             : in     vl_logic;
        reset_N         : in     vl_logic;
        start           : in     vl_logic;
        hold            : in     vl_logic;
        quot            : out    vl_logic_vector;
        \rem\           : out    vl_logic_vector;
        complete        : out    vl_logic;
        dby0            : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IN0_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of IN1_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of TC_MODE : constant is 1;
    attribute mti_svvh_generic_type of N_CYCLE : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of INPUT_MODE : constant is 1;
    attribute mti_svvh_generic_type of OUTPUT_MODE : constant is 1;
    attribute mti_svvh_generic_type of EARLY_START : constant is 1;
    attribute mti_svvh_generic_type of N_CYCLE_ACT : constant is 3;
    attribute mti_svvh_generic_type of N_BITS_CYCLE : constant is 3;
    attribute mti_svvh_generic_type of OUT_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of IDLE : constant is 1;
    attribute mti_svvh_generic_type of RUN : constant is 1;
    attribute mti_svvh_generic_type of \WAIT\ : constant is 1;
    attribute mti_svvh_generic_type of DONE : constant is 1;
end MG_div_seq;
