library verilog;
use verilog.vl_types.all;
entity MG_fifoctl_s2_sf is
    generic(
        DEPTH           : integer := 8;
        PUSH_AE_LEVEL   : integer := 2;
        PUSH_AF_LEVEL   : integer := 2;
        POP_AE_LEVEL    : integer := 2;
        POP_AF_LEVEL    : integer := 2;
        ERROR_MODE      : integer := 0;
        PUSH_SYNC       : integer := 2;
        POP_SYNC        : integer := 2;
        RESET_MODE      : integer := 1;
        TEST_MODE       : integer := 0;
        RST_MODE        : vl_notype;
        ADDRWIDTH       : vl_notype;
        WDCNTWIDTH      : vl_notype
    );
    port(
        rst_n           : in     vl_logic;
        clk_push        : in     vl_logic;
        push_req_n      : in     vl_logic;
        we_n            : out    vl_logic;
        wr_addr         : out    vl_logic_vector;
        push_word_count : out    vl_logic_vector;
        push_empty      : out    vl_logic;
        push_ae         : out    vl_logic;
        push_hf         : out    vl_logic;
        push_af         : out    vl_logic;
        push_full       : out    vl_logic;
        push_error      : out    vl_logic;
        clk_pop         : in     vl_logic;
        pop_req_n       : in     vl_logic;
        rd_addr         : out    vl_logic_vector;
        pop_word_count  : out    vl_logic_vector;
        pop_empty       : out    vl_logic;
        pop_ae          : out    vl_logic;
        pop_hf          : out    vl_logic;
        pop_af          : out    vl_logic;
        pop_full        : out    vl_logic;
        pop_error       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of PUSH_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AE_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of POP_AF_LEVEL : constant is 1;
    attribute mti_svvh_generic_type of ERROR_MODE : constant is 1;
    attribute mti_svvh_generic_type of PUSH_SYNC : constant is 1;
    attribute mti_svvh_generic_type of POP_SYNC : constant is 1;
    attribute mti_svvh_generic_type of RESET_MODE : constant is 1;
    attribute mti_svvh_generic_type of TEST_MODE : constant is 1;
    attribute mti_svvh_generic_type of RST_MODE : constant is 3;
    attribute mti_svvh_generic_type of ADDRWIDTH : constant is 3;
    attribute mti_svvh_generic_type of WDCNTWIDTH : constant is 3;
end MG_fifoctl_s2_sf;
