library verilog;
use verilog.vl_types.all;
entity MSS_APBSLAVES_120 is
    generic(
        INITFILE        : string  := " "
    );
    port(
        FCLK_DIVISOR    : in     vl_logic_vector(2 downto 0);
        APB0_DIVISOR    : in     vl_logic_vector(2 downto 0);
        APB1_DIVISOR    : in     vl_logic_vector(2 downto 0);
        PER0_PCLK       : in     vl_logic;
        PER1_PCLK       : in     vl_logic;
        FCLK            : in     vl_logic;
        SYS_RESET_N     : in     vl_logic;
        PER0_HSEL       : in     vl_logic;
        PER1_HSEL       : in     vl_logic;
        PER0_HADDR      : in     vl_logic_vector(15 downto 0);
        PER1_HADDR      : in     vl_logic_vector(15 downto 0);
        PER0_HWRITE     : in     vl_logic;
        PER1_HWRITE     : in     vl_logic;
        PER0_HREADY     : in     vl_logic;
        PER1_HREADY     : in     vl_logic;
        PER0_HTRANS1    : in     vl_logic;
        PER1_HTRANS1    : in     vl_logic;
        PER0_HSIZE      : in     vl_logic_vector(1 downto 0);
        PER1_HSIZE      : in     vl_logic_vector(1 downto 0);
        PER0_HWDATA     : in     vl_logic_vector(31 downto 0);
        PER1_HWDATA     : in     vl_logic_vector(31 downto 0);
        MMUART0_SOFTRESET: in     vl_logic;
        MMUART1_SOFTRESET: in     vl_logic;
        SPI0_SOFTRESET  : in     vl_logic;
        SPI1_SOFTRESET  : in     vl_logic;
        I2C0_SOFTRESET  : in     vl_logic;
        I2C1_SOFTRESET  : in     vl_logic;
        MSS_GPIO_SOFTRESET: in     vl_logic;
        MSS_GPIO_31_24_SYS_RESET_N: in     vl_logic;
        MSS_GPIO_23_16_SYS_RESET_N: in     vl_logic;
        MSS_GPIO_15_8_SYS_RESET_N: in     vl_logic;
        MSS_GPIO_7_0_SYS_RESET_N: in     vl_logic;
        MSS_GPIO_31_24_DEF: in     vl_logic;
        MSS_GPIO_23_16_DEF: in     vl_logic;
        MSS_GPIO_15_8_DEF: in     vl_logic;
        MSS_GPIO_7_0_DEF: in     vl_logic;
        GPIOA_IN        : in     vl_logic_vector(31 downto 0);
        GPIOB_IN        : in     vl_logic_vector(31 downto 0);
        MSS_GPINSOURCE  : in     vl_logic_vector(31 downto 0);
        MSS_GPIOLOOPBACK: in     vl_logic;
        PER0_HREADYOUT  : out    vl_logic;
        PER1_HREADYOUT  : out    vl_logic;
        PER0_HRESP      : out    vl_logic;
        PER1_HRESP      : out    vl_logic;
        PER0_HRDATA     : out    vl_logic_vector(31 downto 0);
        PER1_HRDATA     : out    vl_logic_vector(31 downto 0);
        GPIO_OUT        : out    vl_logic_vector(31 downto 0);
        GPIO_OE         : out    vl_logic_vector(31 downto 0);
        GPIO_INT        : out    vl_logic_vector(31 downto 0);
        PDMA_HADDR      : out    vl_logic_vector(31 downto 0);
        PDMA_HWDATA     : out    vl_logic_vector(31 downto 0);
        PDMA_HWRITE     : out    vl_logic;
        PDMA_HSIZE      : out    vl_logic_vector(2 downto 0);
        PDMA_HTRANS     : out    vl_logic_vector(1 downto 0);
        PDMAINTERRUPT   : out    vl_logic;
        PDMA_RESETN     : in     vl_logic;
        PDMA_HREADY     : in     vl_logic;
        PDMA_HRESP      : in     vl_logic;
        PDMA_HRDATA     : in     vl_logic_vector(31 downto 0);
        F_DMAREADY      : in     vl_logic_vector(1 downto 0);
        F2_DMAREADY     : in     vl_logic_vector(1 downto 0);
        MSSDDR_PLL_LOCK_INT: in     vl_logic;
        MSSDDR_PLL_LOCKLOST_INT: in     vl_logic;
        FAB_PLL_LOCK_INT: in     vl_logic;
        FAB_PLL_LOCKLOST_INT: in     vl_logic;
        SOFTiNTERRUPT   : in     vl_logic;
        HPD_XFR_ERR_INT : in     vl_logic;
        HPD_XFR_CMP_INT : in     vl_logic;
        SW_ERRORINTERRUPT: in     vl_logic;
        CACHE_ERRINTR   : in     vl_logic;
        DDRB_INTR       : in     vl_logic;
        ECCINTR         : in     vl_logic;
        MDDR_IO_CALIB_INT: in     vl_logic;
        FIC64_INT       : in     vl_logic;
        H2F_INTERRUPT   : out    vl_logic_vector(15 downto 0);
        HPD_PREADY      : in     vl_logic;
        HPD_PSLVERR     : in     vl_logic;
        HPD_PRDATA      : in     vl_logic_vector(31 downto 0);
        HPD_PSEL        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of INITFILE : constant is 1;
end MSS_APBSLAVES_120;
