library verilog;
use verilog.vl_types.all;
entity MSS_CACHE_010 is
    port(
        FCLK            : in     vl_logic;
        SYS_RESET_N     : in     vl_logic;
        CC_D_HREADY     : in     vl_logic;
        CC_D_HRESP      : in     vl_logic;
        CC_D_HRDATA     : in     vl_logic_vector(31 downto 0);
        CC_S_HREADY     : in     vl_logic;
        CC_S_HRESP      : in     vl_logic;
        CC_S_HRDATA     : in     vl_logic_vector(31 downto 0);
        CC_IC_HREADY    : in     vl_logic;
        CC_IC_HRESP     : in     vl_logic;
        CC_IC_HRDATA    : in     vl_logic_vector(31 downto 0);
        CC_IDC_HREADY   : in     vl_logic;
        CC_IDC_HRESP    : in     vl_logic;
        CC_IDC_HRDATA   : in     vl_logic_vector(127 downto 0);
        CC_DSG_HREADY   : in     vl_logic;
        CC_DSG_HRESP    : in     vl_logic;
        CC_DSG_HRDATA   : in     vl_logic_vector(31 downto 0);
        CC_CACHE_ENB    : in     vl_logic;
        CC_CACHE_REGION : in     vl_logic_vector(3 downto 0);
        SW_CC_DDRFWREMAP: in     vl_logic;
        SW_CC_ESRAMFWREMAP: in     vl_logic;
        CC_CACHE_LOCK   : in     vl_logic;
        CC_SBUS_WR_MODE : in     vl_logic;
        CC_EDAC_EN      : in     vl_logic;
        CC_LOCK_BASEADD : in     vl_logic_vector(18 downto 0);
        CC_FLUSH_CACHE  : in     vl_logic;
        CC_FLUSH_CHLINE : in     vl_logic;
        CC_FLUSH_INDEX  : in     vl_logic_vector(5 downto 0);
        HADDRS          : in     vl_logic_vector(31 downto 0);
        HTRANSS         : in     vl_logic_vector(1 downto 0);
        HWRITES         : in     vl_logic;
        HSIZES          : in     vl_logic_vector(2 downto 0);
        HBURSTS         : in     vl_logic_vector(2 downto 0);
        HWDATAS         : in     vl_logic_vector(31 downto 0);
        HMASTLOCKS      : in     vl_logic;
        HREADYS         : out    vl_logic;
        HRESPS          : out    vl_logic_vector(1 downto 0);
        HRDATAS         : out    vl_logic_vector(31 downto 0);
        CC_D_HADDR      : out    vl_logic_vector(31 downto 0);
        CC_D_HTRANS1    : out    vl_logic;
        CC_D_HWRITE     : out    vl_logic;
        CC_D_HSIZE      : out    vl_logic_vector(2 downto 0);
        CC_D_HBURST     : out    vl_logic_vector(2 downto 0);
        CC_D_HWDATA     : out    vl_logic_vector(31 downto 0);
        CC_SG_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_SG_HTRANS1   : out    vl_logic;
        CC_SG_HWRITE    : out    vl_logic;
        CC_SG_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_SG_HBURST    : out    vl_logic_vector(2 downto 0);
        CC_SG_HMASTLOCK : out    vl_logic;
        CC_SG_HWDATA    : out    vl_logic_vector(31 downto 0);
        CC_IC_HADDR     : out    vl_logic_vector(31 downto 0);
        CC_IC_HTRANS    : out    vl_logic_vector(1 downto 0);
        CC_IC_HSIZE     : out    vl_logic_vector(2 downto 0);
        CC_IC_HBURST    : out    vl_logic_vector(2 downto 0);
        CC_IDC_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_IDC_HTRANS   : out    vl_logic_vector(1 downto 0);
        CC_IDC_HWRITE   : out    vl_logic;
        CC_IDC_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_IDC_HBURST   : out    vl_logic_vector(2 downto 0);
        CC_DSG_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_DSG_HTRANS1  : out    vl_logic;
        CC_DSG_HWRITE   : out    vl_logic;
        CC_DSG_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_DSG_HBURST   : out    vl_logic_vector(2 downto 0);
        CC_DSG_HWDATA   : out    vl_logic_vector(31 downto 0)
    );
end MSS_CACHE_010;
