library verilog;
use verilog.vl_types.all;
entity MSS_CCC is
    port(
        clk_25_50mhz    : in     vl_logic;
        clk_1mhz        : in     vl_logic;
        clk_xtal        : in     vl_logic;
        mpll_bypass     : in     vl_logic;
        mpll_pd         : in     vl_logic;
        mpll_divr       : in     vl_logic_vector(5 downto 0);
        mpll_divf       : in     vl_logic_vector(9 downto 0);
        mpll_divq       : in     vl_logic_vector(2 downto 0);
        mpll_fse        : in     vl_logic;
        mpll_range      : in     vl_logic_vector(3 downto 0);
        mpll_mode_1v2   : in     vl_logic;
        mpll_mode_3v3   : in     vl_logic;
        mpll_lockwin    : in     vl_logic_vector(2 downto 0);
        mpll_lockcnt    : in     vl_logic_vector(3 downto 0);
        pll_fb_del_sel  : in     vl_logic_vector(1 downto 0);
        pll_ref_del_sel : in     vl_logic_vector(1 downto 0);
        clk_base        : in     vl_logic;
        CLK_MDDR_APB    : in     vl_logic;
        FAB_PLL_LOCK    : in     vl_logic;
        mddr_config_local: in     vl_logic;
        facc_fab_ref_sel: in     vl_logic;
        facc_src_sel    : in     vl_logic_vector(2 downto 0);
        fic32_0_divisor : in     vl_logic_vector(2 downto 0);
        fic32_1_divisor : in     vl_logic_vector(2 downto 0);
        divisor_a       : in     vl_logic_vector(1 downto 0);
        fclk_divisor    : in     vl_logic_vector(2 downto 0);
        apb0_divisor    : in     vl_logic_vector(2 downto 0);
        apb1_divisor    : in     vl_logic_vector(2 downto 0);
        fic64_divisor   : in     vl_logic_vector(2 downto 0);
        base_divisor    : in     vl_logic_vector(2 downto 0);
        ddr_clk_en      : in     vl_logic;
        m3_allowed      : in     vl_logic;
        m3_disable      : in     vl_logic;
        gatehclk        : in     vl_logic;
        fclk            : out    vl_logic;
        pclk0           : out    vl_logic;
        pclk1           : out    vl_logic;
        pclk2           : out    vl_logic;
        clk_fic64       : out    vl_logic;
        clk_config_apb  : out    vl_logic;
        clk_ddr         : out    vl_logic;
        hclk            : out    vl_logic;
        facc_pll_lock   : out    vl_logic;
        apb0_lastcycle  : out    vl_logic;
        last_cycle_fic32_0: out    vl_logic;
        last_cycle_fic32_1: out    vl_logic
    );
end MSS_CCC;
