library verilog;
use verilog.vl_types.all;
entity MSS_DDRBRIDGE_120 is
    generic(
        TPD             : integer := 1
    );
    port(
        DDRB_DEBUG_STATUS: out    vl_logic_vector(31 downto 0);
        DDRB_DSG_ERR_ADD: out    vl_logic_vector(31 downto 0);
        DDRB_HPD_ERR_ADD: out    vl_logic_vector(31 downto 0);
        DDRB_SW_ERR_ADD : out    vl_logic_vector(31 downto 0);
        DDRB_LOCK_MID_SET: out    vl_logic;
        DDRB_DSG_WBEMPTY: out    vl_logic;
        DDRB_DSG_RBEMPTY: out    vl_logic;
        DDRB_HPD_WBEMPTY: out    vl_logic;
        DDRB_HPD_RBEMPTY: out    vl_logic;
        DDRB_SW_WBEMPTY : out    vl_logic;
        DDRB_SW_RBEMPTY : out    vl_logic;
        DDRB_IDC_RBEMPTY: out    vl_logic;
        DDRB_IDC_DSBL_DN: out    vl_logic;
        DDRB_DSG_WDSBL_DN: out    vl_logic;
        DDRB_DSG_RDSBL_DN: out    vl_logic;
        DDRB_HPD_WDSBL_DN: out    vl_logic;
        DDRB_HPD_RDSBL_DN: out    vl_logic;
        DDRB_SW_WDSBL_DN: out    vl_logic;
        DDRB_SW_RDSBL_DN: out    vl_logic;
        DDRB_DSG_WR_ERR_SET: out    vl_logic;
        DDRB_SW_WR_ERR_SET: out    vl_logic;
        DDRB_HPD_WR_ERR_SET: out    vl_logic;
        DDRB_RDWR_ERR_REG: out    vl_logic_vector(5 downto 0);
        DDRB_LCKOUT_SET : out    vl_logic;
        DDRB_HRESP      : out    vl_logic;
        DDRB_HRDATA     : out    vl_logic_vector(31 downto 0);
        DDRB_HREADYOUT  : out    vl_logic;
        BURST_TYPE      : out    vl_logic;
        B_RMW           : out    vl_logic;
        B_AWADDR        : out    vl_logic_vector(31 downto 0);
        B_AWLEN         : out    vl_logic_vector(3 downto 0);
        B_AWSIZE        : out    vl_logic_vector(2 downto 0);
        B_AWBURST       : out    vl_logic_vector(1 downto 0);
        B_AWLOCK        : out    vl_logic_vector(1 downto 0);
        B_AWVALID       : out    vl_logic;
        B_AWID          : out    vl_logic_vector(3 downto 0);
        B_WID           : out    vl_logic_vector(3 downto 0);
        B_WDATA         : out    vl_logic_vector(63 downto 0);
        B_WSTRB         : out    vl_logic_vector(7 downto 0);
        B_WLAST         : out    vl_logic;
        B_WVALID        : out    vl_logic;
        B_BREADY        : out    vl_logic;
        B_ARID          : out    vl_logic_vector(3 downto 0);
        B_ARADDR        : out    vl_logic_vector(31 downto 0);
        B_ARLEN         : out    vl_logic_vector(3 downto 0);
        B_ARSIZE        : out    vl_logic_vector(2 downto 0);
        B_ARBURST       : out    vl_logic_vector(1 downto 0);
        B_ARLOCK        : out    vl_logic_vector(1 downto 0);
        B_ARVALID       : out    vl_logic;
        B_RREADY        : out    vl_logic;
        CC_IDC_HREADY   : out    vl_logic;
        CC_IDC_HRESP    : out    vl_logic;
        CC_IDC_HRDATA   : out    vl_logic_vector(127 downto 0);
        CC_DSG_HREADY   : out    vl_logic;
        CC_DSG_HRESP    : out    vl_logic;
        CC_DSG_HRDATA   : out    vl_logic_vector(31 downto 0);
        CLK_DDR         : in     vl_logic;
        FCLK            : in     vl_logic;
        SYS_RESET_N     : in     vl_logic;
        DDRB_NB_ADDR    : in     vl_logic_vector(15 downto 0);
        DDRB_NB_SZ      : in     vl_logic_vector(3 downto 0);
        DDRB_TIMER      : in     vl_logic_vector(9 downto 0);
        DDRB_BUF_SZ     : in     vl_logic;
        DDRB_IDC_EN     : in     vl_logic;
        DDRB_INVALID_IDC: in     vl_logic;
        DDRB_DSG_WEN    : in     vl_logic;
        DDRB_DSG_REN    : in     vl_logic;
        DDRB_INVALID_DSG: in     vl_logic;
        DDRB_FLSHDSG    : in     vl_logic;
        DDRB_HPD_WEN    : in     vl_logic;
        DDRB_HPD_REN    : in     vl_logic;
        DDRB_INVALID_HPD: in     vl_logic;
        DDRB_FLSHHPD    : in     vl_logic;
        DDRB_SW_WEN     : in     vl_logic;
        DDRB_SW_REN     : in     vl_logic;
        DDRB_INVALID_SW : in     vl_logic;
        DDRB_FLSHSW     : in     vl_logic;
        DDRB_HSEL       : in     vl_logic;
        DDRB_HREADY     : in     vl_logic;
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HWRITE     : in     vl_logic;
        DDRB_HSIZE      : in     vl_logic_vector(2 downto 0);
        DDRB_HTRANS1    : in     vl_logic;
        DDRB_HMASTLOCK  : in     vl_logic;
        DDRB_HWDATA     : in     vl_logic_vector(31 downto 0);
        B_AWREADY       : in     vl_logic;
        DDRS_AXI_WREADY : in     vl_logic;
        B_BID           : in     vl_logic_vector(3 downto 0);
        B_BRESP         : in     vl_logic_vector(1 downto 0);
        B_BVALID        : in     vl_logic;
        B_ARREADY       : in     vl_logic;
        B_RID           : in     vl_logic_vector(3 downto 0);
        B_RDATA         : in     vl_logic_vector(63 downto 0);
        B_RRESP         : in     vl_logic_vector(1 downto 0);
        B_RLAST         : in     vl_logic;
        B_RVALID        : in     vl_logic;
        CC_IDC_HADDR    : in     vl_logic_vector(31 downto 0);
        CC_IDC_HTRANS   : in     vl_logic_vector(1 downto 0);
        CC_IDC_HWRITE   : in     vl_logic;
        CC_IDC_HSIZE    : in     vl_logic_vector(2 downto 0);
        CC_IDC_HBURST   : in     vl_logic_vector(2 downto 0);
        CC_DSG_HADDR    : in     vl_logic_vector(31 downto 0);
        CC_DSG_HTRANS1  : in     vl_logic;
        CC_DSG_HWRITE   : in     vl_logic;
        CC_DSG_HSIZE    : in     vl_logic_vector(2 downto 0);
        CC_DSG_HBURST   : in     vl_logic_vector(2 downto 0);
        CC_DSG_HWDATA   : in     vl_logic_vector(31 downto 0);
        HPD_DDRB_HADDR  : in     vl_logic_vector(31 downto 0);
        HPD_DDRB_HWRITE : in     vl_logic;
        HPD_DDRB_HSIZE  : in     vl_logic_vector(2 downto 0);
        HPD_DDRB_HTRANS : in     vl_logic_vector(1 downto 0);
        HPD_DDRB_HREADY : out    vl_logic;
        HPD_DDRB_HLOCK  : in     vl_logic;
        HPD_DDRB_HWDATA : in     vl_logic_vector(31 downto 0);
        HPD_DDRB_HBURST : in     vl_logic_vector(2 downto 0);
        HPD_DDRB_HRESP  : out    vl_logic;
        HPD_DDRB_HRDATA : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of TPD : constant is 1;
end MSS_DDRBRIDGE_120;
