library verilog;
use verilog.vl_types.all;
entity PCIE_CORE_TOP_120 is
    port(
        PCLK            : in     vl_logic;
        PRSTN           : in     vl_logic;
        PSRST           : in     vl_logic;
        NPOR            : in     vl_logic;
        RSTN            : in     vl_logic;
        CRST            : in     vl_logic;
        SRST            : in     vl_logic;
        APB_CLK         : in     vl_logic;
        APB_RSTN        : in     vl_logic;
        APB_SRST        : in     vl_logic;
        AXI_AHB_CLK     : in     vl_logic;
        AXI_RSTN        : in     vl_logic;
        AXI_SRST        : in     vl_logic;
        L2_EXIT         : out    vl_logic;
        HOTRST_EXIT     : out    vl_logic;
        DLUP_EXIT       : out    vl_logic;
        INT_IN          : in     vl_logic_vector(3 downto 0);
        M_AWID_HSEL     : out    vl_logic_vector(3 downto 0);
        M_AWADDR_HADDR  : out    vl_logic_vector(31 downto 0);
        M_AWLEN_HBURST  : out    vl_logic_vector(3 downto 0);
        M_AWSIZE_HSIZE  : out    vl_logic_vector(1 downto 0);
        M_AWBURST_HTRANS: out    vl_logic_vector(1 downto 0);
        M_AWVALID_HWRITE: out    vl_logic;
        M_AWREADY       : in     vl_logic;
        M_WID           : out    vl_logic_vector(3 downto 0);
        M_WSTRB         : out    vl_logic_vector(7 downto 0);
        M_WLAST         : out    vl_logic;
        M_WVALID        : out    vl_logic;
        M_WDATA_HWDATA  : out    vl_logic_vector(63 downto 0);
        M_WREADY_HREADYOUT: in     vl_logic;
        M_BID           : in     vl_logic_vector(3 downto 0);
        M_BRESP_HRESP   : in     vl_logic_vector(1 downto 0);
        M_BVALID        : in     vl_logic;
        M_BREADY        : out    vl_logic;
        M_ARID          : out    vl_logic_vector(3 downto 0);
        M_ARADDR        : out    vl_logic_vector(31 downto 0);
        M_ARLEN         : out    vl_logic_vector(3 downto 0);
        M_ARSIZE        : out    vl_logic_vector(1 downto 0);
        M_ARBURST       : out    vl_logic_vector(1 downto 0);
        M_ARVALID       : out    vl_logic;
        M_ARREADY       : in     vl_logic;
        M_RID           : in     vl_logic_vector(3 downto 0);
        M_RDATA_HRDATA  : in     vl_logic_vector(63 downto 0);
        M_RRESP         : in     vl_logic_vector(1 downto 0);
        M_RLAST         : in     vl_logic;
        M_RVALID        : in     vl_logic;
        M_RREADY        : out    vl_logic;
        S_AWID_HSEL     : in     vl_logic_vector(3 downto 0);
        S_AWADDR_HADDR  : in     vl_logic_vector(31 downto 0);
        S_AWLEN_HBURST  : in     vl_logic_vector(3 downto 0);
        S_AWSIZE_HSIZE  : in     vl_logic_vector(1 downto 0);
        S_AWBURST_HTRANS: in     vl_logic_vector(1 downto 0);
        S_AWVALID_HWRITE: in     vl_logic;
        S_AWLOCK        : in     vl_logic_vector(1 downto 0);
        S_AWREADY       : out    vl_logic;
        S_WID_HMASTLOCK : in     vl_logic_vector(3 downto 0);
        S_WSTRB         : in     vl_logic_vector(7 downto 0);
        S_WLAST         : in     vl_logic;
        S_WVALID        : in     vl_logic;
        S_WDATA_HWDATA  : in     vl_logic_vector(63 downto 0);
        S_WREADY_HREADYOUT: out    vl_logic;
        S_BID           : out    vl_logic_vector(3 downto 0);
        S_BRESP_HRESP   : out    vl_logic_vector(1 downto 0);
        S_BVALID        : out    vl_logic;
        S_BREADY_HREADY : in     vl_logic;
        S_ARID          : in     vl_logic_vector(3 downto 0);
        S_ARADDR        : in     vl_logic_vector(31 downto 0);
        S_ARLEN         : in     vl_logic_vector(3 downto 0);
        S_ARSIZE        : in     vl_logic_vector(1 downto 0);
        S_ARBURST       : in     vl_logic_vector(1 downto 0);
        S_ARVALID       : in     vl_logic;
        S_ARLOCK        : in     vl_logic_vector(1 downto 0);
        S_ARREADY       : out    vl_logic;
        S_RID           : out    vl_logic_vector(3 downto 0);
        S_RDATA_HRDATA  : out    vl_logic_vector(63 downto 0);
        S_RRESP         : out    vl_logic_vector(1 downto 0);
        S_RLAST         : out    vl_logic;
        S_RVALID        : out    vl_logic;
        S_RREADY        : in     vl_logic;
        APB_PSEL        : in     vl_logic;
        APB_PENABLE     : in     vl_logic;
        APB_PWRITE      : in     vl_logic;
        APB_PADDR       : in     vl_logic_vector(11 downto 0);
        APB_PWDATA      : in     vl_logic_vector(31 downto 0);
        APB_PREADY      : out    vl_logic;
        APB_PRDATA      : out    vl_logic_vector(31 downto 0);
        APB_PSLVERR     : out    vl_logic;
        RATE            : out    vl_logic;
        LANE_REVERSAL_ENABLE: out    vl_logic;
        TX_DEEMPH       : out    vl_logic;
        TX_MARGIN       : out    vl_logic_vector(2 downto 0);
        PIPE_TXDATA0    : out    vl_logic_vector(15 downto 0);
        PIPE_TXDATAK0   : out    vl_logic_vector(1 downto 0);
        PIPE_TXDETECTRX0: out    vl_logic;
        PIPE_TXELECIDLE0: out    vl_logic;
        PIPE_TXCOMPL0   : out    vl_logic;
        PIPE_RXPOLARITY0: out    vl_logic;
        PIPE_POWERDOWN0 : out    vl_logic_vector(1 downto 0);
        PIPE_RXDATA0    : in     vl_logic_vector(15 downto 0);
        PIPE_RXDATAK0   : in     vl_logic_vector(1 downto 0);
        PIPE_RXVALID0   : in     vl_logic;
        PIPE_PHYSTATUS0 : in     vl_logic;
        PIPE_RXELECIDLE0: in     vl_logic;
        PIPE_RXSTATUS0  : in     vl_logic_vector(2 downto 0);
        PIPE_TXDATA1    : out    vl_logic_vector(15 downto 0);
        PIPE_TXDATAK1   : out    vl_logic_vector(1 downto 0);
        PIPE_TXDETECTRX1: out    vl_logic;
        PIPE_TXELECIDLE1: out    vl_logic;
        PIPE_TXCOMPL1   : out    vl_logic;
        PIPE_RXPOLARITY1: out    vl_logic;
        PIPE_POWERDOWN1 : out    vl_logic_vector(1 downto 0);
        PIPE_RXDATA1    : in     vl_logic_vector(15 downto 0);
        PIPE_RXDATAK1   : in     vl_logic_vector(1 downto 0);
        PIPE_RXVALID1   : in     vl_logic;
        PIPE_PHYSTATUS1 : in     vl_logic;
        PIPE_RXELECIDLE1: in     vl_logic;
        PIPE_RXSTATUS1  : in     vl_logic_vector(2 downto 0);
        PIPE_TXDATA2    : out    vl_logic_vector(15 downto 0);
        PIPE_TXDATAK2   : out    vl_logic_vector(1 downto 0);
        PIPE_TXDETECTRX2: out    vl_logic;
        PIPE_TXELECIDLE2: out    vl_logic;
        PIPE_TXCOMPL2   : out    vl_logic;
        PIPE_RXPOLARITY2: out    vl_logic;
        PIPE_POWERDOWN2 : out    vl_logic_vector(1 downto 0);
        PIPE_RXDATA2    : in     vl_logic_vector(15 downto 0);
        PIPE_RXDATAK2   : in     vl_logic_vector(1 downto 0);
        PIPE_RXVALID2   : in     vl_logic;
        PIPE_PHYSTATUS2 : in     vl_logic;
        PIPE_RXELECIDLE2: in     vl_logic;
        PIPE_RXSTATUS2  : in     vl_logic_vector(2 downto 0);
        PIPE_TXDATA3    : out    vl_logic_vector(15 downto 0);
        PIPE_TXDATAK3   : out    vl_logic_vector(1 downto 0);
        PIPE_TXDETECTRX3: out    vl_logic;
        PIPE_TXELECIDLE3: out    vl_logic;
        PIPE_TXCOMPL3   : out    vl_logic;
        PIPE_RXPOLARITY3: out    vl_logic;
        PIPE_POWERDOWN3 : out    vl_logic_vector(1 downto 0);
        PIPE_RXDATA3    : in     vl_logic_vector(15 downto 0);
        PIPE_RXDATAK3   : in     vl_logic_vector(1 downto 0);
        PIPE_RXVALID3   : in     vl_logic;
        PIPE_PHYSTATUS3 : in     vl_logic;
        PIPE_RXELECIDLE3: in     vl_logic;
        PIPE_RXSTATUS3  : in     vl_logic_vector(2 downto 0);
        RP_ERR_DETECT   : out    vl_logic;
        RP_ERR_MULTPL   : out    vl_logic;
        RX_ERR_DETECT   : out    vl_logic;
        RX_ERR_MULTPL   : out    vl_logic;
        TX_ERR_DETECT   : out    vl_logic;
        TX_ERR_MULTPL   : out    vl_logic;
        L2_REQ_OUTPUT   : out    vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        SCAN_CLK        : in     vl_logic;
        SCAN_RSTN       : in     vl_logic;
        LT_SDI          : in     vl_logic;
        LT_SCK          : in     vl_logic;
        LT_BIST_SEL     : in     vl_logic;
        LT_SHIFT        : in     vl_logic;
        LT_CAPTURE      : in     vl_logic;
        LT_UPDATE       : in     vl_logic;
        LT_DIAG_SEL     : in     vl_logic;
        LT_SDO          : out    vl_logic;
        LT_RESETN       : in     vl_logic;
        CFGR_AXI_AHB_MASTER: in     vl_logic;
        CFGR_AXI_AHB_SLAVE: in     vl_logic;
        CONFIG_TEST_IN  : in     vl_logic_vector(31 downto 0);
        TEST_OUT_READ_DATA: out    vl_logic_vector(639 downto 0);
        CFGR_PCIE_ECC_EN: in     vl_logic_vector(2 downto 0);
        CFGR_SLOT_CONFIG: in     vl_logic;
        CFGR_PM_AUX_PWR : in     vl_logic;
        PCIE_VENDOR_ID  : in     vl_logic_vector(15 downto 0);
        PCIE_DEVICE_ID  : in     vl_logic_vector(15 downto 0);
        PCIE_SUB_VENDOR_ID: in     vl_logic_vector(15 downto 0);
        PCIE_SUB_DEVICE_ID: in     vl_logic_vector(15 downto 0);
        PCIE_REV_ID     : in     vl_logic_vector(15 downto 0);
        PCIE_CLASS_CODE : in     vl_logic_vector(15 downto 0);
        K_BRIDGE_SPEED  : in     vl_logic;
        K_BRIDGE_EMPH   : in     vl_logic;
        K_BRIDGE_SPEC_REV: in     vl_logic_vector(1 downto 0);
        PCIE_BAR0       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR1       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR2       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR3       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR4       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR5       : in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_0: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_1: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_2: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_3: in     vl_logic_vector(3 downto 0);
        CONF_AXI_SLV_WNDW_0: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_1: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_2: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_3: in     vl_logic_vector(3 downto 0);
        ev_1us          : out    vl_logic
    );
end PCIE_CORE_TOP_120;
