library verilog;
use verilog.vl_types.all;
entity PDMARegs is
    port(
        FCLK            : in     vl_logic;
        PCLK0           : in     vl_logic;
        SYSRESETn       : in     vl_logic;
        PSEL            : in     vl_logic;
        PWRITE          : in     vl_logic;
        PENABLE         : in     vl_logic;
        PADDR           : in     vl_logic_vector(8 downto 0);
        PWDATA          : in     vl_logic_vector(31 downto 0);
        dmaDone         : in     vl_logic;
        dmaDoneChanNum  : in     vl_logic_vector(2 downto 0);
        updateCntrs     : in     vl_logic;
        chanNum         : in     vl_logic_vector(2 downto 0);
        UART0_RXREADY   : in     vl_logic;
        UART0_TXREADY   : in     vl_logic;
        UART1_RXREADY   : in     vl_logic;
        UART1_TXREADY   : in     vl_logic;
        SPI0_SPIRXAVAIL : in     vl_logic;
        SPI0_TXRFM      : in     vl_logic;
        SPI1_SPIRXAVAIL : in     vl_logic;
        SPI1_TXRFM      : in     vl_logic;
        F_DMAREADY      : in     vl_logic_vector(1 downto 0);
        F2_DMAREADY     : in     vl_logic_vector(1 downto 0);
        CAN_INREADY     : in     vl_logic;
        CAN_OUTREADY    : in     vl_logic;
        COM_RXREADY     : in     vl_logic;
        COM_TXREADY     : in     vl_logic;
        globalChanReset : in     vl_logic;
        PRDATA          : out    vl_logic_vector(31 downto 0);
        readyAdjust     : out    vl_logic_vector(7 downto 0);
        sourceAddr      : out    vl_logic_vector(31 downto 0);
        destAddr        : out    vl_logic_vector(31 downto 0);
        transferSize    : out    vl_logic_vector(1 downto 0);
        srcIsPeripheral : out    vl_logic;
        destIsPeripheral: out    vl_logic;
        dmaLowPriReq    : out    vl_logic_vector(7 downto 0);
        dmaHiPriReq     : out    vl_logic_vector(7 downto 0);
        ratioHiLo       : out    vl_logic_vector(7 downto 0);
        DMAINTERRUPT    : out    vl_logic
    );
end PDMARegs;
