library verilog;
use verilog.vl_types.all;
entity SDR_main is
    generic(
        BA_BITS         : integer := 2;
        ADDR_BITS       : integer := 13;
        ROW_ADDR_BITS   : integer := 13;
        COL_ADDR_BITS   : integer := 13;
        DQ_BITS         : integer := 16;
        DM_BITS         : integer := 2;
        MAX_BURST_IN_MEM: integer := 10;
        RD_WR_BUF_SIZE  : integer := 10;
        BL_BITS         : integer := 3;
        BL_MAX          : integer := 8;
        AP              : integer := 10;
        CL_MIN          : integer := 1;
        CL_MAX          : integer := 3;
        TAC             : real    := 5.400000;
        TOH             : real    := 3.000000;
        TRFC            : integer := 35;
        MODE_REG_SET_CMD: integer := 0;
        REFRESH_CMD     : integer := 1;
        PRECHARGE_CMD   : integer := 2;
        ACTIVATE_CMD    : integer := 3;
        WRITE_CMD       : integer := 4;
        READ_CMD        : integer := 5;
        BURST_TERMINATE_CMD: integer := 6;
        NOP_CMD         : integer := 7;
        INITIALIZE_STATE: integer := 0;
        IDLE_STATE      : integer := 1;
        ACTIVE_STATE    : integer := 2;
        WRITING_STATE   : integer := 3;
        READING_STATE   : integer := 4;
        PRECHARGING_STATE: integer := 5;
        REFRESH_STATE   : integer := 6;
        POWER_DOWN_STATE: integer := 7;
        INIT_START      : integer := 0;
        INIT_REF        : integer := 1;
        INIT_MRS        : integer := 2;
        INIT_DONE       : integer := 3
    );
    port(
        CK_IN           : in     vl_logic;
        CKE_IN          : in     vl_logic;
        CS_N_IN         : in     vl_logic;
        RAS_N_IN        : in     vl_logic;
        CAS_N_IN        : in     vl_logic;
        WE_N_IN         : in     vl_logic;
        DM_IN           : in     vl_logic_vector;
        BA_IN           : in     vl_logic_vector;
        ADDR_IN         : in     vl_logic_vector;
        DQ_INO          : inout  vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BA_BITS : constant is 1;
    attribute mti_svvh_generic_type of ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of COL_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of DQ_BITS : constant is 1;
    attribute mti_svvh_generic_type of DM_BITS : constant is 1;
    attribute mti_svvh_generic_type of MAX_BURST_IN_MEM : constant is 1;
    attribute mti_svvh_generic_type of RD_WR_BUF_SIZE : constant is 1;
    attribute mti_svvh_generic_type of BL_BITS : constant is 1;
    attribute mti_svvh_generic_type of BL_MAX : constant is 1;
    attribute mti_svvh_generic_type of AP : constant is 1;
    attribute mti_svvh_generic_type of CL_MIN : constant is 1;
    attribute mti_svvh_generic_type of CL_MAX : constant is 1;
    attribute mti_svvh_generic_type of TAC : constant is 1;
    attribute mti_svvh_generic_type of TOH : constant is 1;
    attribute mti_svvh_generic_type of TRFC : constant is 1;
    attribute mti_svvh_generic_type of MODE_REG_SET_CMD : constant is 1;
    attribute mti_svvh_generic_type of REFRESH_CMD : constant is 1;
    attribute mti_svvh_generic_type of PRECHARGE_CMD : constant is 1;
    attribute mti_svvh_generic_type of ACTIVATE_CMD : constant is 1;
    attribute mti_svvh_generic_type of WRITE_CMD : constant is 1;
    attribute mti_svvh_generic_type of READ_CMD : constant is 1;
    attribute mti_svvh_generic_type of BURST_TERMINATE_CMD : constant is 1;
    attribute mti_svvh_generic_type of NOP_CMD : constant is 1;
    attribute mti_svvh_generic_type of INITIALIZE_STATE : constant is 1;
    attribute mti_svvh_generic_type of IDLE_STATE : constant is 1;
    attribute mti_svvh_generic_type of ACTIVE_STATE : constant is 1;
    attribute mti_svvh_generic_type of WRITING_STATE : constant is 1;
    attribute mti_svvh_generic_type of READING_STATE : constant is 1;
    attribute mti_svvh_generic_type of PRECHARGING_STATE : constant is 1;
    attribute mti_svvh_generic_type of REFRESH_STATE : constant is 1;
    attribute mti_svvh_generic_type of POWER_DOWN_STATE : constant is 1;
    attribute mti_svvh_generic_type of INIT_START : constant is 1;
    attribute mti_svvh_generic_type of INIT_REF : constant is 1;
    attribute mti_svvh_generic_type of INIT_MRS : constant is 1;
    attribute mti_svvh_generic_type of INIT_DONE : constant is 1;
end SDR_main;
