library verilog;
use verilog.vl_types.all;
entity SERDES_AHBAccessControl is
    generic(
        AHB_AWIDTH      : integer := 32;
        AXI_AWIDTH      : integer := 32;
        AHB_DWIDTH      : integer := 32;
        AXI_DWIDTH      : integer := 64;
        CLOCKS_ASYNC    : integer := 1;
        CUSTOM_WR_DWIDTH: integer := 72
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector;
        HWRITE          : out    vl_logic;
        HREADYIN        : in     vl_logic;
        axi2xhsync_awlatch_syn: in     vl_logic;
        axi2xhsync_arlatch_syn: in     vl_logic;
        axi2ahb_wr_fifo_done_syn: in     vl_logic;
        axi2ahb_WID     : in     vl_logic_vector(3 downto 0);
        axi2ahb_AWID    : in     vl_logic_vector(3 downto 0);
        axi2ahb_AWADDR  : in     vl_logic_vector;
        axi2ahb_AWLEN   : in     vl_logic_vector(3 downto 0);
        axi2ahb_AWSIZE  : in     vl_logic_vector(2 downto 0);
        axi2ahb_AWBURST : in     vl_logic_vector(1 downto 0);
        axi2ahb_AWLOCK  : in     vl_logic_vector(1 downto 0);
        wrstb_ram_rd_data: in     vl_logic_vector(9 downto 0);
        wrstb_fifo_wren_syn: in     vl_logic;
        wrstb_wr_addr   : in     vl_logic_vector(4 downto 0);
        ahb2wrchfifo_rddata: in     vl_logic_vector;
        rdch2ahb_fifo_full: in     vl_logic;
        wrch2ahb_fifo_empty: in     vl_logic;
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HSIZE           : out    vl_logic_vector(2 downto 0);
        HWDATA          : out    vl_logic_vector;
        HBURST          : out    vl_logic_vector(2 downto 0);
        HMASTLOCK       : out    vl_logic;
        HREADYOUT       : out    vl_logic;
        HRESP           : in     vl_logic_vector(1 downto 0);
        HRDATA          : in     vl_logic_vector;
        wrstb_ram_rd_en : out    vl_logic;
        wrstb_ram_rd_addr: out    vl_logic_vector(3 downto 0);
        ahb2wrchfifo_rd_en: out    vl_logic;
        h_send_ahb_resp_en_r: out    vl_logic;
        hresp_err_count : out    vl_logic_vector(4 downto 0);
        wrch_fifo_rd_clear: out    vl_logic;
        ahb2rdch_fifo_wr_en: out    vl_logic;
        ahb2rdch_fifo_wr_data: out    vl_logic_vector;
        ahb2rdch_rd_resp_data: out    vl_logic_vector(1 downto 0);
        ahb2axi_ahb_read_done_r: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AHB_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AHB_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of CLOCKS_ASYNC : constant is 1;
    attribute mti_svvh_generic_type of CUSTOM_WR_DWIDTH : constant is 1;
end SERDES_AHBAccessControl;
