library verilog;
use verilog.vl_types.all;
entity SERDES_AXIAccessControl is
    generic(
        AHB_AWIDTH      : integer := 32;
        AHB_DWIDTH      : integer := 32;
        AXI_AWIDTH      : integer := 32;
        AXI_DWIDTH      : integer := 64;
        CLOCKS_ASYNC    : integer := 1;
        CUST_WR_DWIDTH  : integer := 72
    );
    port(
        ACLK            : in     vl_logic;
        ARESETn         : in     vl_logic;
        AWID            : in     vl_logic_vector(3 downto 0);
        AWADDR          : in     vl_logic_vector;
        AWLEN           : in     vl_logic_vector(3 downto 0);
        AWSIZE          : in     vl_logic_vector(2 downto 0);
        AWBURST         : in     vl_logic_vector(1 downto 0);
        AWLOCK          : in     vl_logic_vector(1 downto 0);
        AWVALID         : in     vl_logic;
        AWREADY         : out    vl_logic;
        WID             : in     vl_logic_vector(3 downto 0);
        WDATA           : in     vl_logic_vector;
        WSTRB           : in     vl_logic_vector;
        WLAST           : in     vl_logic;
        WVALID          : in     vl_logic;
        WREADY          : out    vl_logic;
        BREADY          : in     vl_logic;
        BID             : out    vl_logic_vector(3 downto 0);
        BRESP           : out    vl_logic_vector(1 downto 0);
        BVALID          : out    vl_logic;
        ARID            : in     vl_logic_vector(3 downto 0);
        ARADDR          : in     vl_logic_vector;
        ARLEN           : in     vl_logic_vector(3 downto 0);
        ARSIZE          : in     vl_logic_vector(2 downto 0);
        ARBURST         : in     vl_logic_vector(1 downto 0);
        ARLOCK          : in     vl_logic_vector(1 downto 0);
        ARVALID         : in     vl_logic;
        ARREADY         : out    vl_logic;
        RREADY          : in     vl_logic;
        RID             : out    vl_logic_vector(3 downto 0);
        RDATA           : out    vl_logic_vector;
        RRESP           : out    vl_logic_vector(1 downto 0);
        RLAST           : out    vl_logic;
        RVALID          : out    vl_logic;
        ahb2axi_ahb_read_done_syn: in     vl_logic;
        rdch2axi_fifo_rd_data1: in     vl_logic_vector;
        rdch2axi_rd_resp_data: in     vl_logic_vector(1 downto 0);
        h_send_ahb_resp_en_syn: in     vl_logic;
        hresp_err_count : in     vl_logic_vector(4 downto 0);
        axi2wrchfifo_wrdata: out    vl_logic_vector;
        axi2wrchfifo_wr_en: out    vl_logic;
        valid_axicmd    : out    vl_logic;
        axi2xhsync_awlatch: out    vl_logic;
        axi2xhsync_arlatch: out    vl_logic;
        axi2ahb_wr_fifo_done: out    vl_logic;
        axi2ahb_WID     : out    vl_logic_vector(3 downto 0);
        axi2ahb_AWID    : out    vl_logic_vector(3 downto 0);
        axi2ahb_AWADDR  : out    vl_logic_vector;
        axi2ahb_AWLEN   : out    vl_logic_vector(3 downto 0);
        axi2ahb_AWSIZE  : out    vl_logic_vector(2 downto 0);
        axi2ahb_AWBURST : out    vl_logic_vector(1 downto 0);
        axi2ahb_AWLOCK  : out    vl_logic_vector(1 downto 0);
        wrstb_wr_addr   : out    vl_logic_vector(4 downto 0);
        wrstb_wr_data   : out    vl_logic_vector(9 downto 0);
        wrstb_fifo_wren : out    vl_logic;
        axi2rdch_fifo_rd_en: out    vl_logic;
        UNALIGNED_ADDR_OUT: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AHB_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AHB_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_DWIDTH : constant is 1;
    attribute mti_svvh_generic_type of CLOCKS_ASYNC : constant is 1;
    attribute mti_svvh_generic_type of CUST_WR_DWIDTH : constant is 1;
end SERDES_AXIAccessControl;
