library verilog;
use verilog.vl_types.all;
entity SERDES_BFM_AXISLAVE is
    generic(
        AXI_AWIDTH      : integer := 32;
        ARWIDTH         : integer := 31;
        DEPTH           : integer := 33554432;
        ID              : integer := 0;
        ENFUNC          : integer := 0;
        TPD             : integer := 0;
        DEBUG           : integer := 1;
        NAME            : string  := "SERDES_AXI_SLAVE"
    );
    port(
        AXI_AHB_CLK     : in     vl_logic;
        ARADDR          : in     vl_logic_vector(31 downto 0);
        ARBURST         : in     vl_logic_vector(1 downto 0);
        ARESETn         : in     vl_logic;
        ARID            : in     vl_logic_vector(3 downto 0);
        ARLEN           : in     vl_logic_vector(3 downto 0);
        ARSIZE          : in     vl_logic_vector(1 downto 0);
        ARVALID         : in     vl_logic;
        AWADDR          : in     vl_logic_vector(31 downto 0);
        AWBURST         : in     vl_logic_vector(1 downto 0);
        AWID            : in     vl_logic_vector(3 downto 0);
        AWLEN           : in     vl_logic_vector(3 downto 0);
        AWSIZE          : in     vl_logic_vector(1 downto 0);
        AWVALID         : in     vl_logic;
        BREADY          : in     vl_logic;
        RREADY          : in     vl_logic;
        WDATA           : in     vl_logic_vector(63 downto 0);
        WID             : in     vl_logic_vector(3 downto 0);
        WLAST           : in     vl_logic;
        WSTRB           : in     vl_logic_vector(7 downto 0);
        WVALID          : in     vl_logic;
        ARREADY         : out    vl_logic;
        AWREADY         : out    vl_logic;
        BID             : out    vl_logic_vector(3 downto 0);
        BRESP           : out    vl_logic_vector(1 downto 0);
        BVALID          : out    vl_logic;
        RDATA           : out    vl_logic_vector(63 downto 0);
        RID             : out    vl_logic_vector(3 downto 0);
        RLAST           : out    vl_logic;
        RRESP           : out    vl_logic_vector(1 downto 0);
        RVALID          : out    vl_logic;
        WREADY          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of AXI_AWIDTH : constant is 1;
    attribute mti_svvh_generic_type of ARWIDTH : constant is 1;
    attribute mti_svvh_generic_type of DEPTH : constant is 1;
    attribute mti_svvh_generic_type of ID : constant is 1;
    attribute mti_svvh_generic_type of ENFUNC : constant is 1;
    attribute mti_svvh_generic_type of TPD : constant is 1;
    attribute mti_svvh_generic_type of DEBUG : constant is 1;
    attribute mti_svvh_generic_type of NAME : constant is 1;
end SERDES_BFM_AXISLAVE;
