library verilog;
use verilog.vl_types.all;
entity SWSlaveStageM9_ESRAM is
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        SW_MAX_LAT_ESRAM: in     vl_logic_vector(2 downto 0);
        SW_PRGWEIGHT_M0 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M2 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M3 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M4 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M5 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M6 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M7 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M8 : in     vl_logic_vector(4 downto 0);
        SW_PRGWEIGHT_M9 : in     vl_logic_vector(4 downto 0);
        HREADYOUT       : in     vl_logic;
        HRESP           : in     vl_logic;
        HSEL            : out    vl_logic;
        HADDR           : out    vl_logic_vector(31 downto 0);
        HSIZE           : out    vl_logic_vector(2 downto 0);
        HBURST          : out    vl_logic_vector(2 downto 0);
        HTRANS          : out    vl_logic_vector(1 downto 0);
        HWRITE          : out    vl_logic;
        HWDATA          : out    vl_logic_vector(31 downto 0);
        HREADY_S        : out    vl_logic;
        HMASTLOCK       : out    vl_logic;
        mAddrSel        : in     vl_logic_vector(9 downto 0);
        mDataSel        : in     vl_logic_vector(9 downto 0);
        mPrevDataSlaveReady: in     vl_logic_vector(9 downto 0);
        m0HBURST        : in     vl_logic_vector(2 downto 0);
        m0HTRANS        : in     vl_logic_vector(1 downto 0);
        mAddrReady      : out    vl_logic_vector(9 downto 0);
        mDataReady      : out    vl_logic_vector(9 downto 0);
        mHResp          : out    vl_logic_vector(9 downto 0);
        m0GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m0GatedHMASTLOCK: in     vl_logic;
        m0GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m0GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m0GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m0GatedHWRITE   : in     vl_logic;
        m1GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m1GatedHMASTLOCK: in     vl_logic;
        m1GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m1GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m1GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m1GatedHWRITE   : in     vl_logic;
        m2GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m2GatedHMASTLOCK: in     vl_logic;
        m2GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m2GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m2GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m2GatedHWRITE   : in     vl_logic;
        m3GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m3GatedHMASTLOCK: in     vl_logic;
        m3GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m3GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m3GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m3GatedHWRITE   : in     vl_logic;
        m4GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m4GatedHMASTLOCK: in     vl_logic;
        m4GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m4GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m4GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m4GatedHWRITE   : in     vl_logic;
        m5GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m5GatedHMASTLOCK: in     vl_logic;
        m5GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m5GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m5GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m5GatedHWRITE   : in     vl_logic;
        m6GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m6GatedHMASTLOCK: in     vl_logic;
        m6GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m6GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m6GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m6GatedHWRITE   : in     vl_logic;
        m7GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m7GatedHMASTLOCK: in     vl_logic;
        m7GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m7GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m7GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m7GatedHWRITE   : in     vl_logic;
        m8GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m8GatedHMASTLOCK: in     vl_logic;
        m8GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m8GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m8GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m8GatedHWRITE   : in     vl_logic;
        m9GatedHADDR    : in     vl_logic_vector(31 downto 0);
        m9GatedHMASTLOCK: in     vl_logic;
        m9GatedHSIZE    : in     vl_logic_vector(2 downto 0);
        m9GatedHBURST   : in     vl_logic_vector(2 downto 0);
        m9GatedHTRANS   : in     vl_logic_vector(1 downto 0);
        m9GatedHWRITE   : in     vl_logic;
        HWDATA_M0       : in     vl_logic_vector(31 downto 0);
        HWDATA_M1       : in     vl_logic_vector(31 downto 0);
        HWDATA_M2       : in     vl_logic_vector(31 downto 0);
        HWDATA_M3       : in     vl_logic_vector(31 downto 0);
        HWDATA_M4       : in     vl_logic_vector(31 downto 0);
        HWDATA_M5       : in     vl_logic_vector(31 downto 0);
        HWDATA_M6       : in     vl_logic_vector(31 downto 0);
        HWDATA_M7       : in     vl_logic_vector(31 downto 0);
        HWDATA_M8       : in     vl_logic_vector(31 downto 0);
        HWDATA_M9       : in     vl_logic_vector(31 downto 0)
    );
end SWSlaveStageM9_ESRAM;
