library verilog;
use verilog.vl_types.all;
entity SW_Matrix9x7_120 is
    generic(
        MASTERNUM       : integer := 10
    );
    port(
        HCLK            : in     vl_logic;
        HRESETn         : in     vl_logic;
        G4_TESTESRAM1REMAP: in     vl_logic;
        G4_ENVMPOWEREDDOWN: in     vl_logic;
        G4_FIC_REG_SEL  : in     vl_logic_vector(5 downto 0);
        SW_CC_ESRAMFWREMAP: in     vl_logic;
        SW_ENVMREMAPSIZE: in     vl_logic_vector(4 downto 0);
        SW_ENVMREMAPBASE: in     vl_logic_vector(18 downto 0);
        SW_ENVMFABREMAPBASE: in     vl_logic_vector(18 downto 0);
        SW_PROTREGIONSIZE: in     vl_logic_vector(4 downto 0);
        SW_PROTREGIONBASE: in     vl_logic_vector(31 downto 0);
        FIC32_1_DISABLE : in     vl_logic;
        SW_MASTERENABLE : in     vl_logic_vector(9 downto 0);
        eSRAM0_EDAC_EN  : in     vl_logic;
        eSRAM1_EDAC_EN  : in     vl_logic;
        ENVM_BLOCK_SIZE : in     vl_logic_vector(1 downto 0);
        SW_CLEARSTATUS  : in     vl_logic_vector(9 downto 0);
        SW_WEIGHT_IC    : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_S     : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_HPDMA : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB0  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB1  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_GIGE  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_PDMA  : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_USB   : in     vl_logic_vector(4 downto 0);
        SW_WEIGHT_G     : in     vl_logic_vector(4 downto 0);
        SW_MAX_LAT_ESRAM0: in     vl_logic_vector(2 downto 0);
        SW_MAX_LAT_ESRAM1: in     vl_logic_vector(2 downto 0);
        SW_ERRORSTATUS  : out    vl_logic_vector(9 downto 0);
        MM0_1_2_MS0_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS0_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS1_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS2_ALLOWED_W: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_R: in     vl_logic;
        MM0_1_2_MS3_ALLOWED_W: in     vl_logic;
        MM4_5_MS0_ALLOWED_R: in     vl_logic;
        MM4_5_MS0_ALLOWED_W: in     vl_logic;
        MM4_5_MS1_ALLOWED_R: in     vl_logic;
        MM4_5_MS1_ALLOWED_W: in     vl_logic;
        MM4_5_MS2_ALLOWED_R: in     vl_logic;
        MM4_5_MS2_ALLOWED_W: in     vl_logic;
        MM4_5_MS3_ALLOWED_R: in     vl_logic;
        MM4_5_MS3_ALLOWED_W: in     vl_logic;
        MM4_5_MS6_ALLOWED_R: in     vl_logic;
        MM4_5_MS6_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS0_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS1_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS2_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS3_ALLOWED_W: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_R: in     vl_logic;
        MM3_6_7_8_MS6_ALLOWED_W: in     vl_logic;
        MM9_MS0_ALLOWED_R: in     vl_logic;
        MM9_MS0_ALLOWED_W: in     vl_logic;
        MM9_MS1_ALLOWED_R: in     vl_logic;
        MM9_MS1_ALLOWED_W: in     vl_logic;
        MM9_MS2_ALLOWED_R: in     vl_logic;
        MM9_MS2_ALLOWED_W: in     vl_logic;
        MM9_MS3_ALLOWED_R: in     vl_logic;
        MM9_MS3_ALLOWED_W: in     vl_logic;
        MM9_MS6_ALLOWED_R: in     vl_logic;
        MM9_MS6_ALLOWED_W: in     vl_logic;
        HADDR_M0        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M0    : in     vl_logic;
        HSIZE_M0        : in     vl_logic_vector(2 downto 0);
        HBURST_M0       : in     vl_logic_vector(2 downto 0);
        HTRANS_M0       : in     vl_logic_vector(1 downto 0);
        HWRITE_M0       : in     vl_logic;
        HWDATA_M0       : in     vl_logic_vector(31 downto 0);
        HRESP_M0        : out    vl_logic;
        HRDATA_M0       : out    vl_logic_vector(31 downto 0);
        HREADY_M0       : out    vl_logic;
        HADDR_M1        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M1    : in     vl_logic;
        HSIZE_M1        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M1      : in     vl_logic;
        HWRITE_M1       : in     vl_logic;
        HWDATA_M1       : in     vl_logic_vector(31 downto 0);
        HRESP_M1        : out    vl_logic;
        HRDATA_M1       : out    vl_logic_vector(31 downto 0);
        HREADY_M1       : out    vl_logic;
        HADDR_M2        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M2    : in     vl_logic;
        HSIZE_M2        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M2      : in     vl_logic;
        HWRITE_M2       : in     vl_logic;
        HWDATA_M2       : in     vl_logic_vector(31 downto 0);
        HRESP_M2        : out    vl_logic;
        HRDATA_M2       : out    vl_logic_vector(31 downto 0);
        HREADY_M2       : out    vl_logic;
        HADDR_M3        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M3    : in     vl_logic;
        HSIZE_M3        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M3      : in     vl_logic;
        HWRITE_M3       : in     vl_logic;
        HWDATA_M3       : in     vl_logic_vector(31 downto 0);
        HRESP_M3        : out    vl_logic;
        HRDATA_M3       : out    vl_logic_vector(31 downto 0);
        HREADY_M3       : out    vl_logic;
        HADDR_M4        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M4    : in     vl_logic;
        HSIZE_M4        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M4      : in     vl_logic;
        HWRITE_M4       : in     vl_logic;
        HWDATA_M4       : in     vl_logic_vector(31 downto 0);
        HRESP_M4        : out    vl_logic;
        HRDATA_M4       : out    vl_logic_vector(31 downto 0);
        HREADY_M4       : out    vl_logic;
        HADDR_M5        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M5    : in     vl_logic;
        HSIZE_M5        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M5      : in     vl_logic;
        HWRITE_M5       : in     vl_logic;
        HWDATA_M5       : in     vl_logic_vector(31 downto 0);
        HRESP_M5        : out    vl_logic;
        HRDATA_M5       : out    vl_logic_vector(31 downto 0);
        HREADY_M5       : out    vl_logic;
        HADDR_M6        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M6    : in     vl_logic;
        HSIZE_M6        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M6      : in     vl_logic;
        HWRITE_M6       : in     vl_logic;
        HWDATA_M6       : in     vl_logic_vector(31 downto 0);
        HRESP_M6        : out    vl_logic;
        HRDATA_M6       : out    vl_logic_vector(31 downto 0);
        HREADY_M6       : out    vl_logic;
        HADDR_M7        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M7    : in     vl_logic;
        HSIZE_M7        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M7      : in     vl_logic;
        HWRITE_M7       : in     vl_logic;
        HWDATA_M7       : in     vl_logic_vector(31 downto 0);
        HRESP_M7        : out    vl_logic;
        HRDATA_M7       : out    vl_logic_vector(31 downto 0);
        HREADY_M7       : out    vl_logic;
        HADDR_M8        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M8    : in     vl_logic;
        HSIZE_M8        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M8      : in     vl_logic;
        HWRITE_M8       : in     vl_logic;
        HWDATA_M8       : in     vl_logic_vector(31 downto 0);
        HRESP_M8        : out    vl_logic;
        HRDATA_M8       : out    vl_logic_vector(31 downto 0);
        HREADY_M8       : out    vl_logic;
        HADDR_M9        : in     vl_logic_vector(31 downto 0);
        HMASTLOCK_M9    : in     vl_logic;
        HSIZE_M9        : in     vl_logic_vector(2 downto 0);
        HTRANS1_M9      : in     vl_logic;
        HWRITE_M9       : in     vl_logic;
        HWDATA_M9       : in     vl_logic_vector(31 downto 0);
        HRESP_M9        : out    vl_logic;
        HRDATA_M9       : out    vl_logic_vector(31 downto 0);
        HREADY_M9       : out    vl_logic;
        HRDATA_S0       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S0    : in     vl_logic;
        HRESP_S0        : in     vl_logic;
        HSEL_S0         : out    vl_logic;
        HADDR_S0        : out    vl_logic_vector(31 downto 0);
        HSIZE_S0        : out    vl_logic_vector(2 downto 0);
        HTRANS1_S0      : out    vl_logic;
        HWRITE_S0       : out    vl_logic;
        HWDATA_S0       : out    vl_logic_vector(31 downto 0);
        HREADY_S0       : out    vl_logic;
        HMASTLOCK_S0    : out    vl_logic;
        HRDATA_S1       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S1    : in     vl_logic;
        HRESP_S1        : in     vl_logic;
        HSEL_S1         : out    vl_logic;
        HADDR_S1        : out    vl_logic_vector(31 downto 0);
        HSIZE_S1        : out    vl_logic_vector(2 downto 0);
        HTRANS1_S1      : out    vl_logic;
        HWRITE_S1       : out    vl_logic;
        HWDATA_S1       : out    vl_logic_vector(31 downto 0);
        HREADY_S1       : out    vl_logic;
        HMASTLOCK_S1    : out    vl_logic;
        HRDATA_S2       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S2    : in     vl_logic;
        HRESP_S2        : in     vl_logic;
        HSEL_S2         : out    vl_logic;
        HADDR_S2        : out    vl_logic_vector(31 downto 0);
        HSIZE_S2        : out    vl_logic_vector(2 downto 0);
        HBURST_S2       : out    vl_logic_vector(2 downto 0);
        HTRANS_S2       : out    vl_logic_vector(1 downto 0);
        HWRITE_S2       : out    vl_logic;
        HWDATA_S2       : out    vl_logic_vector(31 downto 0);
        HREADY_S2       : out    vl_logic;
        HMASTLOCK_S2    : out    vl_logic;
        HMAST_S2        : out    vl_logic_vector(1 downto 0);
        HRDATA_S3       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S3    : in     vl_logic;
        HRESP_S3        : in     vl_logic;
        HSEL_S3         : out    vl_logic;
        HADDR_S3        : out    vl_logic_vector(31 downto 0);
        HSIZE_S3        : out    vl_logic_vector(2 downto 0);
        HBURST_S3       : out    vl_logic_vector(2 downto 0);
        HTRANS_S3       : out    vl_logic_vector(1 downto 0);
        HWRITE_S3       : out    vl_logic;
        HWDATA_S3       : out    vl_logic_vector(31 downto 0);
        HREADY_S3       : out    vl_logic;
        HMASTLOCK_S3    : out    vl_logic;
        HMAST_S3        : out    vl_logic_vector(1 downto 0);
        HRDATA_S4       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S4    : in     vl_logic;
        HRESP_S4        : in     vl_logic;
        HSEL_S4         : out    vl_logic;
        HADDR_S4        : out    vl_logic_vector(31 downto 0);
        HSIZE_S4        : out    vl_logic_vector(2 downto 0);
        HTRANS1_S4      : out    vl_logic;
        HWRITE_S4       : out    vl_logic;
        HWDATA_S4       : out    vl_logic_vector(31 downto 0);
        HMASTLOCK_S4    : out    vl_logic;
        HREADY_S4       : out    vl_logic;
        HMASTER_S4      : out    vl_logic_vector(1 downto 0);
        HRDATA_S5       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S5    : in     vl_logic;
        HRESP_S5        : in     vl_logic;
        HSEL_S5         : out    vl_logic;
        HADDR_S5        : out    vl_logic_vector(31 downto 0);
        HSIZE_S5        : out    vl_logic_vector(2 downto 0);
        HTRANS1_S5      : out    vl_logic;
        HWRITE_S5       : out    vl_logic;
        HWDATA_S5       : out    vl_logic_vector(31 downto 0);
        HREADY_S5       : out    vl_logic;
        HMASTLOCK_S5    : out    vl_logic;
        HMASTER_S5      : out    vl_logic_vector(1 downto 0);
        HRDATA_S6       : in     vl_logic_vector(31 downto 0);
        HREADYOUT_S6    : in     vl_logic;
        HRESP_S6        : in     vl_logic;
        HSEL_S6         : out    vl_logic;
        HADDR_S6        : out    vl_logic_vector(31 downto 0);
        HSIZE_S6        : out    vl_logic_vector(2 downto 0);
        HTRANS1_S6      : out    vl_logic;
        HWRITE_S6       : out    vl_logic;
        HWDATA_S6       : out    vl_logic_vector(31 downto 0);
        HREADY_S6       : out    vl_logic;
        HMASTLOCK_S6    : out    vl_logic;
        FIC_SLAVE1Sel   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MASTERNUM : constant is 1;
end SW_Matrix9x7_120;
