library verilog;
use verilog.vl_types.all;
entity SimDRAM is
    generic(
        MEMORY          : integer := 0;
        DQ_BITS         : integer := 16;
        ADDR_BITS       : integer := 16;
        BA_BITS         : integer := 3;
        PARTIAL_REFRESH_EN: integer := 1;
        CL              : integer := 5;
        AL              : integer := 0;
        WR              : integer := 8;
        CWL             : integer := 5;
        BL_BITS         : integer := 4;
        AP              : integer := 10;
        BC              : integer := 12;
        RZQ             : integer := 240;
        TDLLK           : integer := 512;
        TJIT_PER        : integer := 250000;
        TRFC            : integer := 35;
        ROW_ADDR_BITS   : integer := 16;
        COL_ADDR_BITS   : integer := 16
    );
    port(
        DRAM_ADDR       : in     vl_logic_vector;
        DRAM_BA         : in     vl_logic_vector;
        DRAM_CAS_N      : in     vl_logic;
        DRAM_CKE        : in     vl_logic;
        DRAM_CLK        : in     vl_logic;
        DRAM_CLK_N      : in     vl_logic;
        DRAM_CS_N       : in     vl_logic;
        DRAM_ODT        : in     vl_logic;
        DRAM_RAS_N      : in     vl_logic;
        DRAM_RESET_N    : in     vl_logic;
        DRAM_WE_N       : in     vl_logic;
        DRAM_DM         : in     vl_logic_vector;
        DRAM_RDQS_N     : out    vl_logic_vector;
        DRAM_DQ         : inout  vl_logic_vector;
        DRAM_DQS        : inout  vl_logic_vector;
        DRAM_DQS_N      : inout  vl_logic_vector;
        DRAM_DM_RDQS    : inout  vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MEMORY : constant is 1;
    attribute mti_svvh_generic_type of DQ_BITS : constant is 1;
    attribute mti_svvh_generic_type of ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of BA_BITS : constant is 1;
    attribute mti_svvh_generic_type of PARTIAL_REFRESH_EN : constant is 1;
    attribute mti_svvh_generic_type of CL : constant is 1;
    attribute mti_svvh_generic_type of AL : constant is 1;
    attribute mti_svvh_generic_type of WR : constant is 1;
    attribute mti_svvh_generic_type of CWL : constant is 1;
    attribute mti_svvh_generic_type of BL_BITS : constant is 1;
    attribute mti_svvh_generic_type of AP : constant is 1;
    attribute mti_svvh_generic_type of BC : constant is 1;
    attribute mti_svvh_generic_type of RZQ : constant is 1;
    attribute mti_svvh_generic_type of TDLLK : constant is 1;
    attribute mti_svvh_generic_type of TJIT_PER : constant is 1;
    attribute mti_svvh_generic_type of TRFC : constant is 1;
    attribute mti_svvh_generic_type of ROW_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of COL_ADDR_BITS : constant is 1;
end SimDRAM;
