library verilog;
use verilog.vl_types.all;
entity b_axi_read_port is
    generic(
        K_B_RD_CMD_FIFO_DP: integer := 4;
        K_DDRC_TKN_VLD_WD: integer := 4;
        K_CACHE_ID      : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi0);
        K_DSG_ID        : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        arid            : in     vl_logic_vector(3 downto 0);
        araddr          : in     vl_logic_vector(31 downto 0);
        arlen           : in     vl_logic_vector(3 downto 0);
        arsize          : in     vl_logic_vector(1 downto 0);
        arburst         : in     vl_logic_vector(1 downto 0);
        arlock          : in     vl_logic_vector(1 downto 0);
        arvalid         : in     vl_logic;
        arready         : out    vl_logic;
        rready          : in     vl_logic;
        rid             : out    vl_logic_vector(3 downto 0);
        rdata           : out    vl_logic_vector(63 downto 0);
        rresp           : out    vl_logic_vector(1 downto 0);
        rlast           : out    vl_logic;
        rvalid          : out    vl_logic;
        ddrc_rstn       : in     vl_logic;
        ecc_enb         : in     vl_logic;
        ddrc_lpseq_mode : in     vl_logic;
        pr_rd_req       : out    vl_logic;
        pr_rd_priority  : out    vl_logic;
        pr_rd_cmd       : out    vl_logic_vector(39 downto 0);
        pr_rd_cmd_ptr   : out    vl_logic_vector;
        pr_rd_lck       : out    vl_logic;
        pr_rd_grant     : in     vl_logic;
        rd_data         : in     vl_logic_vector(64 downto 0);
        rd_valid        : in     vl_logic;
        rd_tkn          : in     vl_logic_vector;
        rd_end          : in     vl_logic;
        rd_resp_count   : in     vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_B_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_DDRC_TKN_VLD_WD : constant is 1;
    attribute mti_svvh_generic_type of K_CACHE_ID : constant is 1;
    attribute mti_svvh_generic_type of K_DSG_ID : constant is 1;
end b_axi_read_port;
