library verilog;
use verilog.vl_types.all;
entity bsm is
    generic(
        THIS_BANK_NUMBER: integer := 0;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_bs_resetb    : in     vl_logic;
        dh_bs_t_ras_min : in     vl_logic_vector(4 downto 0);
        dh_bs_t_ras_max : in     vl_logic_vector(5 downto 0);
        dh_bs_refresh_margin: in     vl_logic_vector(3 downto 0);
        dh_bs_t_rc      : in     vl_logic_vector(5 downto 0);
        dh_bs_t_rcd     : in     vl_logic_vector(3 downto 0);
        dh_bs_t_rp      : in     vl_logic_vector(3 downto 0);
        dh_bs_rd2pre    : in     vl_logic_vector(4 downto 0);
        dh_bs_wr2pre    : in     vl_logic_vector(4 downto 0);
        dh_bs_pageclose : in     vl_logic;
        dh_bs_dis_dq    : in     vl_logic;
        te_bs_rd_autopre: in     vl_logic;
        te_bs_wr_autopre: in     vl_logic;
        te_bs_rd_page_hit: in     vl_logic;
        te_bs_rd_valid  : in     vl_logic;
        te_bs_wr_page_hit: in     vl_logic;
        te_bs_wr_valid  : in     vl_logic;
        pi_bs_xtra_rd   : in     vl_logic;
        pi_bs_xtra_wr   : in     vl_logic;
        pi_bs_autopre   : in     vl_logic;
        pi_bs_bank      : in     vl_logic_vector;
        te_bs_rd_hi     : in     vl_logic;
        ih_bs_bank_num  : in     vl_logic_vector;
        te_bs_rd_retry  : in     vl_logic;
        be_bs_rd_bypass_match: in     vl_logic;
        gs_bs_rd_bypass_disable: in     vl_logic;
        bs_be_bank_rd_bypass_ok: out    vl_logic;
        be_bs_act_bypass_match: in     vl_logic;
        gs_bs_act_bypass_disable: in     vl_logic;
        bs_be_bank_act_bypass_ok: out    vl_logic;
        bs_gs_stop_clk_ok: out    vl_logic;
        gs_bs_wr_mode_early: in     vl_logic;
        gs_bs_close_pages: in     vl_logic;
        gs_bs_rank_refresh_required: in     vl_logic;
        gs_bs_rank_speculative_ref: in     vl_logic;
        gs_bs_rank_block_act_nxt: in     vl_logic;
        gs_bs_rank_block_rdwr_nxt: in     vl_logic;
        gs_bs_rank_block_wr_odt_nxt: in     vl_logic;
        gs_bs_zq_calib_short_required: in     vl_logic;
        gs_bs_load_mr_norm_required: in     vl_logic;
        gs_bs_act       : in     vl_logic;
        gs_bs_rd        : in     vl_logic;
        gs_bs_wr        : in     vl_logic;
        gs_bs_pre       : in     vl_logic;
        gs_bs_bank      : in     vl_logic_vector;
        bs_os_act_hi_vlds: out    vl_logic;
        bs_os_rdwr_hi_vlds: out    vl_logic;
        bs_os_act_lo_vlds: out    vl_logic;
        bs_os_rdwr_lo_vlds: out    vl_logic;
        bs_os_pre_crit_vlds: out    vl_logic;
        bs_os_pre_req_vlds: out    vl_logic;
        bs_os_bank_closed: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of THIS_BANK_NUMBER : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
end bsm;
