library verilog;
use verilog.vl_types.all;
entity cc_cache_engine_120 is
    generic(
        LRU_DEPTH       : integer := 64;
        CACHE_USEECC    : integer := 1;
        CHABLE_IDLE     : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi0, Hi1);
        EXE_DCODE       : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi0, Hi1, Hi0);
        CHK_ICODE       : vl_logic_vector(0 to 4) := (Hi0, Hi0, Hi1, Hi0, Hi0);
        EXE_ICODE       : vl_logic_vector(0 to 4) := (Hi0, Hi1, Hi0, Hi0, Hi0);
        CHK_DCODE       : vl_logic_vector(0 to 4) := (Hi1, Hi0, Hi0, Hi0, Hi0);
        CHABLE_IDLE_B   : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        EXE_DCODE_B     : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        CHK_ICODE_B     : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        EXE_ICODE_B     : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        CHK_DCODE_B     : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        CH_MEM_WR_IDLE  : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        CH_MEM_WR1      : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        CH_MEM_WR2      : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        CH_MEM_WR3      : vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        CH_MEM_WR4      : vl_logic_vector(0 to 5) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        CH_MEM_WR_IDLE_B: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        CH_MEM_WR0_B    : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        CH_MEM_WR1_B    : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        CH_MEM_WR2_B    : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        CH_MEM_WR3_B    : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        CH_MEM_WR4_B    : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        SIMULATION_ON   : vl_logic := Hi0
    );
    port(
        FCLK            : in     vl_logic;
        CACHE_RESETN    : in     vl_logic;
        CC_IR_HADDR     : in     vl_logic_vector(31 downto 0);
        CC_IR_HTRANS1   : in     vl_logic;
        CC_IR_HSIZE     : in     vl_logic_vector(2 downto 0);
        CC_IR_HBURST    : in     vl_logic_vector(2 downto 0);
        CC_DR_HADDR     : in     vl_logic_vector(31 downto 0);
        CC_DR_HTRANS1   : in     vl_logic;
        CC_DR_HWRITE    : in     vl_logic;
        CC_DR_HSIZE     : in     vl_logic_vector(2 downto 0);
        CC_DR_HBURST    : in     vl_logic_vector(2 downto 0);
        HRESPC          : in     vl_logic;
        HRDATAC         : in     vl_logic_vector(31 downto 0);
        HREADYC         : in     vl_logic;
        CC_IDC_HREADY   : in     vl_logic;
        CC_IDC_HRESP    : in     vl_logic_vector(1 downto 0);
        CC_IDC_HRDATA   : in     vl_logic_vector(127 downto 0);
        syr_cache_enb   : in     vl_logic;
        syr_cache_region: in     vl_logic_vector(3 downto 0);
        syr_ddr_remap   : in     vl_logic;
        syr_esram_remap : in     vl_logic;
        syr_cache_lock  : in     vl_logic;
        syr_sbus_wr_mode: in     vl_logic;
        syr_edc_en      : in     vl_logic;
        syr_lock_baseadd: in     vl_logic_vector(31 downto 0);
        syr_flush_cache : in     vl_logic;
        syr_flush_chline: in     vl_logic;
        syr_flush_index : in     vl_logic_vector(5 downto 0);
        CC_IR_HRDATA    : out    vl_logic_vector(31 downto 0);
        CC_IR_HREADY    : out    vl_logic;
        CC_IR_HRESP     : out    vl_logic_vector(1 downto 0);
        CC_DR_HREADY    : out    vl_logic;
        CC_DR_HRESP     : out    vl_logic_vector(1 downto 0);
        CC_DR_HRDATA    : out    vl_logic_vector(31 downto 0);
        HADDRC          : out    vl_logic_vector(31 downto 0);
        HMASTLOCKC      : out    vl_logic;
        HSIZEC          : out    vl_logic_vector(2 downto 0);
        HTRANS1C        : out    vl_logic_vector(1 downto 0);
        HBURSTC         : out    vl_logic_vector(2 downto 0);
        CC_IDC_HADDR    : out    vl_logic_vector(31 downto 0);
        CC_IDC_HTRANS   : out    vl_logic_vector(1 downto 0);
        CC_IDC_HWRITE   : out    vl_logic;
        CC_IDC_HSIZE    : out    vl_logic_vector(2 downto 0);
        CC_IDC_HBURST   : out    vl_logic_vector(2 downto 0);
        syr_dedc_err_add: out    vl_logic_vector(5 downto 0);
        syr_ic_hit_cnti : out    vl_logic;
        syr_ic_miss_cnti: out    vl_logic;
        syr_dc_hit_cnti : out    vl_logic;
        syr_dc_miss_cnti: out    vl_logic;
        syr_ic_trans_cnti: out    vl_logic;
        syr_dc_trans_cnti: out    vl_logic;
        CC_EDAC_1E      : out    vl_logic;
        CC_EDAC_2E      : out    vl_logic;
        memDataOut64_0  : in     vl_logic_vector(71 downto 0);
        memDataOut64_1  : in     vl_logic_vector(71 downto 0);
        memDataOut64_2  : in     vl_logic_vector(71 downto 0);
        memDataOut64_3  : in     vl_logic_vector(71 downto 0);
        memTagOut0      : in     vl_logic_vector(20 downto 0);
        memTagOut1      : in     vl_logic_vector(20 downto 0);
        memTagOut2      : in     vl_logic_vector(20 downto 0);
        memTagOut3      : in     vl_logic_vector(20 downto 0);
        tagMemDataIn    : out    vl_logic_vector(20 downto 0);
        cacheMemWr      : out    vl_logic;
        tagMemWr        : out    vl_logic;
        cacheMemSel     : out    vl_logic_vector(3 downto 0);
        tagMemAddr      : out    vl_logic_vector(5 downto 0);
        memWrDataFinal  : out    vl_logic_vector(71 downto 0);
        cacheMemAddr    : out    vl_logic_vector(7 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of LRU_DEPTH : constant is 1;
    attribute mti_svvh_generic_type of CACHE_USEECC : constant is 1;
    attribute mti_svvh_generic_type of CHABLE_IDLE : constant is 1;
    attribute mti_svvh_generic_type of EXE_DCODE : constant is 1;
    attribute mti_svvh_generic_type of CHK_ICODE : constant is 1;
    attribute mti_svvh_generic_type of EXE_ICODE : constant is 1;
    attribute mti_svvh_generic_type of CHK_DCODE : constant is 1;
    attribute mti_svvh_generic_type of CHABLE_IDLE_B : constant is 1;
    attribute mti_svvh_generic_type of EXE_DCODE_B : constant is 1;
    attribute mti_svvh_generic_type of CHK_ICODE_B : constant is 1;
    attribute mti_svvh_generic_type of EXE_ICODE_B : constant is 1;
    attribute mti_svvh_generic_type of CHK_DCODE_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR_IDLE : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR1 : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR2 : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR3 : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR4 : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR_IDLE_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR0_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR1_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR2_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR3_B : constant is 1;
    attribute mti_svvh_generic_type of CH_MEM_WR4_B : constant is 1;
    attribute mti_svvh_generic_type of SIMULATION_ON : constant is 1;
end cc_cache_engine_120;
