library verilog;
use verilog.vl_types.all;
entity ddrb_arb_rd_if_120 is
    generic(
        DB_S0_RD_BYPASS : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        DB_S1_RD_BYPASS : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        DB_S2_RD_BYPASS : vl_logic_vector(0 to 1) := (Hi1, Hi0);
        DB_ERR_RD_BYPASS: vl_logic_vector(0 to 1) := (Hi1, Hi1)
    );
    port(
        DDR_CLK         : in     vl_logic;
        DDR_FCLK        : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        ddrb_rd_data    : in     vl_logic_vector(63 downto 0);
        ddrb_rd_valid   : in     vl_logic;
        ddrb_rd_resp    : in     vl_logic;
        db_rd_buf_mode  : in     vl_logic_vector(2 downto 0);
        db_latch_rd_lck : in     vl_logic;
        db_byp_rdreq    : in     vl_logic;
        db_wcb_rd_resp  : in     vl_logic;
        db_rcvd_fst_data: in     vl_logic;
        db_rcvd_lst_data: in     vl_logic;
        db_gen_rdreq_ff : in     vl_logic;
        db_rd_burst     : in     vl_logic_vector(1 downto 0);
        db_hold_bypass  : in     vl_logic;
        db_latch_rd_dsz : in     vl_logic_vector(2 downto 0);
        db_latch_rdadd  : in     vl_logic_vector(31 downto 0);
        DDRB_HLOCK      : in     vl_logic;
        ddrb_wcb_size   : in     vl_logic;
        db_rdreq_addr   : out    vl_logic_vector(31 downto 0);
        db_wcb_rdreq_out: out    vl_logic;
        db_wcb_rdadd_out: out    vl_logic_vector(31 downto 0);
        db_wcb_rdburst  : out    vl_logic_vector(1 downto 0);
        db_rd_lock_out  : out    vl_logic;
        db_strt_byp_rd  : out    vl_logic;
        db_rd_err_resp  : out    vl_logic;
        db_exp_rd_data  : out    vl_logic_vector(31 downto 0);
        db_rd_first_data: out    vl_logic;
        db_rd_last_data : out    vl_logic;
        db_bypass_rdrdy : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DB_S0_RD_BYPASS : constant is 1;
    attribute mti_svvh_generic_type of DB_S1_RD_BYPASS : constant is 1;
    attribute mti_svvh_generic_type of DB_S2_RD_BYPASS : constant is 1;
    attribute mti_svvh_generic_type of DB_ERR_RD_BYPASS : constant is 1;
end ddrb_arb_rd_if_120;
