library verilog;
use verilog.vl_types.all;
entity ddrb_arb_wr_if is
    generic(
        DB_BYPAS_WR_IDLE: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        DB_BYPAS_WR_S1  : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        DB_BYPAS_WR_S2  : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        DB_BYPAS_WR_S3  : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        DB_BYPASS_WAIT_RESP: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        DB_BYPASS_WR_DONE: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        DB_BYPASS_ERROR : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0)
    );
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_wcb_wr_req   : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HWRDATA    : in     vl_logic_vector(31 downto 0);
        db_buf_rdy      : in     vl_logic;
        db_wrarb_rdy    : in     vl_logic;
        db_wrtrans_done : in     vl_logic;
        db_wrtrans_err  : in     vl_logic;
        db_wrcontrol_rdy: in     vl_logic;
        db_wcb_data     : in     vl_logic_vector(127 downto 0);
        db_wcb_addr     : in     vl_logic_vector(31 downto 0);
        db_wcb_data_val : in     vl_logic_vector(15 downto 0);
        db_wcb_mode     : in     vl_logic_vector(1 downto 0);
        db_wcb_burst    : in     vl_logic_vector(3 downto 0);
        db_burst_type   : in     vl_logic;
        db_flush_prog   : in     vl_logic;
        db_wrflush_req  : in     vl_logic;
        db_nb_addr      : in     vl_logic;
        db_hold_wcb     : in     vl_logic;
        db_hold_frm_wcbi: in     vl_logic;
        db_hold_frm_wcbj: in     vl_logic;
        db_wcb_wr_rdy   : out    vl_logic;
        db_wcb_wr_resp  : out    vl_logic;
        db_wcb_wrreq_out: out    vl_logic;
        db_wcb_wdata_out: out    vl_logic_vector(127 downto 0);
        db_wrdata_valid : out    vl_logic_vector(15 downto 0);
        db_wrburst_out  : out    vl_logic_vector(3 downto 0);
        db_wcb_wradr_out: out    vl_logic_vector(31 downto 0);
        db_wr_lock_out  : out    vl_logic;
        db_wcb_burst_tp : out    vl_logic;
        db_wcb_byp_wrreq: out    vl_logic;
        db_bypass_wrprog: out    vl_logic;
        db_bypass_addr  : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DB_BYPAS_WR_IDLE : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPAS_WR_S1 : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPAS_WR_S2 : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPAS_WR_S3 : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPASS_WAIT_RESP : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPASS_WR_DONE : constant is 1;
    attribute mti_svvh_generic_type of DB_BYPASS_ERROR : constant is 1;
end ddrb_arb_wr_if;
