library verilog;
use verilog.vl_types.all;
entity ddrb_arb_wreq_gen is
    generic(
        WAIT_LOCKEND    : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        WAIT_LOCKRESP   : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi1, Hi0);
        WAIT_DMYEND     : vl_logic_vector(0 to 3) := (Hi0, Hi1, Hi0, Hi0);
        WAIT_DMYRESP    : vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0);
        WAIT_LOCKEND_B  : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        WAIT_LOCKRESP_B : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        WAIT_DMYEND_B   : vl_logic_vector(0 to 1) := (Hi1, Hi0);
        WAIT_DMYRESP_B  : vl_logic_vector(0 to 1) := (Hi1, Hi1)
    );
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_mst1_wrreq   : in     vl_logic;
        db_mst2_wrreq   : in     vl_logic;
        db_mst3_wrreq   : in     vl_logic;
        db_mst4_wrreq   : in     vl_logic;
        db_m2_wrdata_ack: in     vl_logic;
        db_m3_wrdata_ack: in     vl_logic;
        db_m4_wrdata_ack: in     vl_logic;
        db_arb_wrlk_xfer: in     vl_logic;
        db_wdc_ld_xfer  : in     vl_logic;
        db_mst2_wrdone  : in     vl_logic;
        db_mst3_wrdone  : in     vl_logic;
        db_mst4_wrdone  : in     vl_logic;
        ddrs_axi_bvalid : in     vl_logic;
        syr_ddrb_lto_clr: in     vl_logic;
        db_dmy_xferprgs : out    vl_logic;
        db_dmy_resp_mask: out    vl_logic;
        db_wrresp_pnd   : out    vl_logic;
        db_arb_m1_wrreq : out    vl_logic;
        db_arb_m2_wrreq : out    vl_logic;
        db_arb_m3_wrreq : out    vl_logic;
        db_arb_m4_wrreq : out    vl_logic;
        db_arb_dmy_wrreq: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WAIT_LOCKEND : constant is 1;
    attribute mti_svvh_generic_type of WAIT_LOCKRESP : constant is 1;
    attribute mti_svvh_generic_type of WAIT_DMYEND : constant is 1;
    attribute mti_svvh_generic_type of WAIT_DMYRESP : constant is 1;
    attribute mti_svvh_generic_type of WAIT_LOCKEND_B : constant is 1;
    attribute mti_svvh_generic_type of WAIT_LOCKRESP_B : constant is 1;
    attribute mti_svvh_generic_type of WAIT_DMYEND_B : constant is 1;
    attribute mti_svvh_generic_type of WAIT_DMYRESP_B : constant is 1;
end ddrb_arb_wreq_gen;
