library verilog;
use verilog.vl_types.all;
entity ddrb_axi_arbiter_120 is
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_mst2_wlckout : in     vl_logic;
        db_mst3_wlckout : in     vl_logic;
        db_mst4_wlckout : in     vl_logic;
        db_mst1_rlckout : in     vl_logic;
        db_mst2_rlckout : in     vl_logic;
        db_mst3_rlckout : in     vl_logic;
        db_mst4_rlckout : in     vl_logic;
        db_mst2_wrreq   : in     vl_logic;
        db_mst3_wrreq   : in     vl_logic;
        db_mst4_wrreq   : in     vl_logic;
        db_mst2_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst3_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst4_wraddr  : in     vl_logic_vector(31 downto 0);
        db_mst2_dwvalid : in     vl_logic_vector(3 downto 0);
        db_mst3_dwvalid : in     vl_logic_vector(3 downto 0);
        db_mst4_dwvalid : in     vl_logic_vector(3 downto 0);
        db_burst_type_m2: in     vl_logic;
        db_burst_type_m3: in     vl_logic;
        db_burst_type_m4: in     vl_logic;
        db_mst2_partval : in     vl_logic_vector(3 downto 0);
        db_mst3_partval : in     vl_logic_vector(3 downto 0);
        db_mst4_partval : in     vl_logic_vector(3 downto 0);
        db_mst2_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst3_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst4_wrdata  : in     vl_logic_vector(127 downto 0);
        db_mst2_dvalid  : in     vl_logic_vector(15 downto 0);
        db_mst3_dvalid  : in     vl_logic_vector(15 downto 0);
        db_mst4_dvalid  : in     vl_logic_vector(15 downto 0);
        db_mst2_arbrdy  : out    vl_logic;
        db_mst3_arbrdy  : out    vl_logic;
        db_mst4_arbrdy  : out    vl_logic;
        db_mst2_wrdone  : out    vl_logic;
        db_mst2_wrerr   : out    vl_logic;
        db_mst3_wrdone  : out    vl_logic;
        db_mst3_wrerr   : out    vl_logic;
        db_mst4_wrdone  : out    vl_logic;
        db_mst4_wrerr   : out    vl_logic;
        db_mst1_rdreq   : in     vl_logic;
        db_mst2_rdreq   : in     vl_logic;
        db_mst3_rdreq   : in     vl_logic;
        db_mst4_rdreq   : in     vl_logic;
        db_idcdata_pcken: in     vl_logic;
        db_mst1_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst2_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst3_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst4_rdaddr  : in     vl_logic_vector(31 downto 0);
        db_mst1_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst2_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst3_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst4_rdblen  : in     vl_logic_vector(1 downto 0);
        db_mst1_rddata  : out    vl_logic_vector(127 downto 0);
        db_mst2_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst3_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst4_rddata  : out    vl_logic_vector(63 downto 0);
        db_mst1_rdvalid : out    vl_logic;
        db_mst2_rdvalid : out    vl_logic;
        db_mst3_rdvalid : out    vl_logic;
        db_mst4_rdvalid : out    vl_logic;
        db_mst1_rderr   : out    vl_logic_vector(1 downto 0);
        db_mst2_rderr   : out    vl_logic;
        db_mst3_rderr   : out    vl_logic;
        db_mst4_rderr   : out    vl_logic;
        ddrs_axi_awready: in     vl_logic;
        ddrb_axi_awid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_awaddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_awlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_awsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_awburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_awlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_awvalid: out    vl_logic;
        db_mst3_lck     : out    vl_logic;
        db_m4_wrdt_ack  : out    vl_logic;
        db_m3_wrdt_ack  : out    vl_logic;
        db_m2_wrdt_ack  : out    vl_logic;
        db_m4_wradd_ack : out    vl_logic;
        db_m3_wradd_ack : out    vl_logic;
        db_m2_wradd_ack : out    vl_logic;
        ddrs_axi_wready : in     vl_logic;
        ddrb_axi_wid    : out    vl_logic_vector(3 downto 0);
        ddrb_axi_wdata  : out    vl_logic_vector(63 downto 0);
        ddrb_axi_wstrb  : out    vl_logic_vector(7 downto 0);
        ddrb_axi_wlast  : out    vl_logic;
        ddrb_axi_wvalid : out    vl_logic;
        ddrs_axi_bid    : in     vl_logic_vector(3 downto 0);
        ddrs_axi_bresp  : in     vl_logic_vector(1 downto 0);
        ddrs_axi_bvalid : in     vl_logic;
        ddrb_axi_bready : out    vl_logic;
        ddrs_axi_arready: in     vl_logic;
        ddrb_axi_arid   : out    vl_logic_vector(3 downto 0);
        ddrb_axi_araddr : out    vl_logic_vector(31 downto 0);
        ddrb_axi_arlen  : out    vl_logic_vector(3 downto 0);
        ddrb_axi_arsize : out    vl_logic_vector(2 downto 0);
        ddrb_axi_arburst: out    vl_logic_vector(1 downto 0);
        ddrb_axi_arlock : out    vl_logic_vector(1 downto 0);
        ddrb_axi_arvalid: out    vl_logic;
        ddrs_axi_rid    : in     vl_logic_vector(3 downto 0);
        ddrs_axi_rdata  : in     vl_logic_vector(63 downto 0);
        ddrs_axi_rresp  : in     vl_logic_vector(1 downto 0);
        ddrs_axi_rlast  : in     vl_logic;
        ddrs_axi_rvalid : in     vl_logic;
        ddrb_axi_rready : out    vl_logic;
        ddrb_rmw_req    : out    vl_logic;
        ddrb_burst_type : out    vl_logic;
        syr_ddrb_lto_clr: in     vl_logic;
        ddrb_lock_mid   : out    vl_logic;
        ddrb_lock_timeout: out    vl_logic
    );
end ddrb_axi_arbiter_120;
