library verilog;
use verilog.vl_types.all;
entity ddrb_flush_cntrl_120 is
    generic(
        DB_FLUSH_IDLE   : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        DB_FLUSH_GEN    : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        DB_WR_NEXT_DATA : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        DB_WAIT_FLSH_RESP: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        DB_WAIT_FLSH_DN_AHB: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        DB_RST_BUF      : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1)
    );
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        ddrb_flush      : in     vl_logic;
        syr_ddrb_nb_adr : in     vl_logic_vector(15 downto 0);
        ddrb_nbuf_sz    : in     vl_logic_vector(3 downto 0);
        syr_db_clr_err  : in     vl_logic;
        syr_clr_rdwr_err: in     vl_logic;
        db_rdwr_err_r   : in     vl_logic;
        db_wcb_full     : in     vl_logic;
        db_wcb_timeout  : in     vl_logic;
        db_wcb_tag      : in     vl_logic_vector(27 downto 0);
        db_wcb_mode     : in     vl_logic_vector(1 downto 0);
        db_wcb_val_sect : in     vl_logic_vector(1 downto 0);
        db_wrbuf_en     : in     vl_logic;
        db_wcb_size     : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        db_wcb_wr_req   : in     vl_logic;
        db_wcb_rd_req   : in     vl_logic;
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        db_wcb_miss     : in     vl_logic;
        db_rstbuf_done  : in     vl_logic;
        db_wcbi_rd_req  : in     vl_logic;
        db_wcbi_wr_req  : in     vl_logic;
        db_wcbj_wr_req  : in     vl_logic;
        db_wcbi_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbi_nbuf    : in     vl_logic;
        db_wcbj_rd_req  : in     vl_logic;
        db_wcbj_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbj_nbuf    : in     vl_logic;
        db_idc_hlock    : in     vl_logic;
        db_wcbi_hlock   : in     vl_logic;
        db_wcbj_hlock   : in     vl_logic;
        db_idc_rd_req   : in     vl_logic;
        db_idc_haddr    : in     vl_logic_vector(31 downto 0);
        db_idc_nbuf     : in     vl_logic;
        db_wcb_byp_wrreq: in     vl_logic;
        db_wrarb_rdy    : in     vl_logic;
        db_wrtrans_done : in     vl_logic;
        db_wrtrans_err  : in     vl_logic;
        db_bypass_wrprog: in     vl_logic;
        db_bypass_addr  : in     vl_logic_vector(31 downto 0);
        db_rst_wrbuf    : out    vl_logic;
        db_flush_req    : out    vl_logic;
        db_flush_wrdata : out    vl_logic;
        db_wrerr_addr   : out    vl_logic_vector(31 downto 0);
        db_wr_err       : out    vl_logic;
        db_wrerr_wcbi_r : out    vl_logic;
        db_wrerr_wcbj_r : out    vl_logic;
        db_flush_prog   : out    vl_logic;
        db_wrflush_req  : out    vl_logic;
        db_hold_wcb     : out    vl_logic;
        db_nb_addr      : out    vl_logic;
        db_hold_wcbi    : out    vl_logic;
        db_hold_wcbj    : out    vl_logic;
        db_hold_idc     : out    vl_logic;
        db_holdidc_rdmh : out    vl_logic;
        db_holdwcbi_rdmh: out    vl_logic;
        db_holdwcbj_rdmh: out    vl_logic;
        db_holdwcb_rdmh : out    vl_logic;
        db_wcb_nbuf     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DB_FLUSH_IDLE : constant is 1;
    attribute mti_svvh_generic_type of DB_FLUSH_GEN : constant is 1;
    attribute mti_svvh_generic_type of DB_WR_NEXT_DATA : constant is 1;
    attribute mti_svvh_generic_type of DB_WAIT_FLSH_RESP : constant is 1;
    attribute mti_svvh_generic_type of DB_WAIT_FLSH_DN_AHB : constant is 1;
    attribute mti_svvh_generic_type of DB_RST_BUF : constant is 1;
end ddrb_flush_cntrl_120;
