library verilog;
use verilog.vl_types.all;
entity ddrb_idc_rdbuf_cntrl_120 is
    generic(
        IDLE_DDRB_RDBUF_RDY_GEN: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        S0_DDRB_RDBUF_RDY_GEN: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        S1_DDRB_RDBUF_RDY_GEN: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        S2_DDRB_RDBUF_RDY_GEN: vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        ERR_DDRB_RDBUF_RDY_GEN: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0)
    );
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        DDRB_HWRITE     : in     vl_logic;
        DDRB_HTRANS_1   : in     vl_logic;
        syr_ddrb_nb_adr : in     vl_logic_vector(15 downto 0);
        ddrb_nbuf_sz    : in     vl_logic_vector(3 downto 0);
        db_wcb_size     : in     vl_logic;
        db_rd_err_resp  : in     vl_logic;
        db_exp_rd_data  : in     vl_logic_vector(127 downto 0);
        db_bypass_rdrdy : in     vl_logic;
        db_rd_first_data: in     vl_logic;
        db_rd_last_data : in     vl_logic;
        db_hold_frm_wcbi: in     vl_logic;
        db_hold_frm_wcbj: in     vl_logic;
        db_hold_frm_wcbk: in     vl_logic;
        db_valid_rdbuf  : in     vl_logic;
        db_rd_buf_mode  : in     vl_logic_vector(2 downto 0);
        db_invalid_rdbuf: in     vl_logic;
        db_rd_buf_tag   : in     vl_logic_vector(27 downto 0);
        db_rd_buf_data  : in     vl_logic_vector(127 downto 0);
        DDRB_HRDATA     : out    vl_logic_vector(127 downto 0);
        DDRB_HRESP      : out    vl_logic;
        DDRB_HREADY     : out    vl_logic;
        db_dtct_byp_rdreq: out    vl_logic;
        db_fetch_buf_rd : out    vl_logic;
        db_rd_pending_r : out    vl_logic;
        db_buf_rd_prog  : out    vl_logic;
        db_rd_addr_match: out    vl_logic;
        db_rd_cntrl_req : out    vl_logic;
        db_rdcntrl_addr : out    vl_logic_vector(4 downto 0);
        db_rdcntrl_dsz  : out    vl_logic_vector(2 downto 0);
        db_rdreq_addr_r1: out    vl_logic_vector(31 downto 0);
        db_latch_rd_dsz : out    vl_logic_vector(2 downto 0);
        db_latch_rd_lck : out    vl_logic;
        db_latch_rdadd  : out    vl_logic_vector(31 downto 0);
        db_byp_rdreq    : out    vl_logic;
        db_gen_rdreq_ff : out    vl_logic;
        db_rcvd_fst_data: out    vl_logic;
        db_rcvd_lst_data: out    vl_logic;
        db_hold_bypass  : out    vl_logic;
        db_rd_burst     : out    vl_logic_vector(1 downto 0);
        db_wcb_rd_req   : out    vl_logic;
        db_wcb_nbuf     : out    vl_logic;
        db_wcb_rd_resp  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IDLE_DDRB_RDBUF_RDY_GEN : constant is 1;
    attribute mti_svvh_generic_type of S0_DDRB_RDBUF_RDY_GEN : constant is 1;
    attribute mti_svvh_generic_type of S1_DDRB_RDBUF_RDY_GEN : constant is 1;
    attribute mti_svvh_generic_type of S2_DDRB_RDBUF_RDY_GEN : constant is 1;
    attribute mti_svvh_generic_type of ERR_DDRB_RDBUF_RDY_GEN : constant is 1;
end ddrb_idc_rdbuf_cntrl_120;
