library verilog;
use verilog.vl_types.all;
entity ddrb_idc_rdcntrl_120 is
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HTRANS     : in     vl_logic_vector(1 downto 0);
        DDRB_HWRITE     : in     vl_logic;
        DDRB_HSEL       : in     vl_logic;
        DDRB_HREADYIN   : in     vl_logic;
        ddrb_inval_rdbuf: in     vl_logic;
        db_rdbuf_en     : in     vl_logic;
        ddrb_wcb_size   : in     vl_logic;
        syr_ddrb_nb_adr : in     vl_logic_vector(15 downto 0);
        ddrb_nbuf_sz    : in     vl_logic_vector(3 downto 0);
        syr_clr_rdwr_err: in     vl_logic;
        db_rdwr_err_r   : in     vl_logic;
        db_wcbk_nbuf    : in     vl_logic;
        db_wcbi_nbuf    : in     vl_logic;
        db_wcbj_nbuf    : in     vl_logic;
        db_wcbi_wr_req  : in     vl_logic;
        db_wcbj_wr_req  : in     vl_logic;
        db_wcbk_wr_req  : in     vl_logic;
        db_wcbi_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbj_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbk_haddr   : in     vl_logic_vector(31 downto 0);
        db_hold_frm_wcbi: in     vl_logic;
        db_hold_frm_wcbj: in     vl_logic;
        db_hold_frm_wcbk: in     vl_logic;
        db_hldfrm_wcbkmh: in     vl_logic;
        db_hldfrm_wcbimh: in     vl_logic;
        db_hldfrm_wcbjmh: in     vl_logic;
        db_wcbk_hlock   : in     vl_logic;
        db_wcbi_hlock   : in     vl_logic;
        db_wcbj_hlock   : in     vl_logic;
        ddrb_rd_valid   : in     vl_logic;
        ddrb_rd_resp    : in     vl_logic_vector(1 downto 0);
        ddrb_rd_data    : in     vl_logic_vector(127 downto 0);
        DDRB_HRDATA     : out    vl_logic_vector(127 downto 0);
        DDRB_HRESP      : out    vl_logic;
        DDRB_HREADY     : out    vl_logic;
        db_rd_dsbl_done : out    vl_logic;
        db_rbuf_empty   : out    vl_logic;
        db_rderr_wcbi_r : out    vl_logic;
        db_rderr_wcbj_r : out    vl_logic;
        db_rderr_wcbk_r : out    vl_logic;
        db_rcb_mode     : out    vl_logic_vector(2 downto 0);
        db_wcb_rdreq_out: out    vl_logic;
        db_wcb_rdadd_out: out    vl_logic_vector(31 downto 0);
        db_wcb_rdburst  : out    vl_logic_vector(1 downto 0);
        db_rd_lock_out  : out    vl_logic;
        db_rd_pck_sz    : out    vl_logic;
        db_idc_nbuf     : out    vl_logic;
        db_idc_rd_req   : out    vl_logic
    );
end ddrb_idc_rdcntrl_120;
