library verilog;
use verilog.vl_types.all;
entity ddrb_rdbuf is
    generic(
        DB_INVAL_BUF_IDLE: vl_logic_vector(0 to 1) := (Hi0, Hi0);
        DB_INVAL_BUF_S0 : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        DB_INVAL_BUF_S1 : vl_logic_vector(0 to 1) := (Hi1, Hi0);
        DB_IDLE_RD_DSBL : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        DB_S0_RD_DSBL   : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        DB_S1_RD_DSBL   : vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        ddrb_inval_rdbuf: in     vl_logic;
        db_rdbuf_en     : in     vl_logic;
        ddrb_wcb_size   : in     vl_logic;
        syr_clr_rdwr_err: in     vl_logic;
        db_rdwr_err_r   : in     vl_logic;
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HLOCK      : in     vl_logic;
        db_wcb_wr_req   : in     vl_logic;
        db_wcb_rd_req   : in     vl_logic;
        db_latch_rdadd  : in     vl_logic_vector(31 downto 0);
        db_wcb_nbuf     : in     vl_logic;
        db_wcbi_nbuf    : in     vl_logic;
        db_wcbj_nbuf    : in     vl_logic;
        db_idc_nbuf     : in     vl_logic;
        db_idc_hlock    : in     vl_logic;
        db_wcbi_hlock   : in     vl_logic;
        db_wcbj_hlock   : in     vl_logic;
        db_wcbi_wr_req  : in     vl_logic;
        db_wcbj_wr_req  : in     vl_logic;
        db_wcbi_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbj_haddr   : in     vl_logic_vector(31 downto 0);
        db_holdwcb_rdmh : in     vl_logic;
        db_hldfrm_wcbimh: in     vl_logic;
        db_hldfrm_wcbjmh: in     vl_logic;
        db_byp_rd_req   : in     vl_logic;
        db_rd_pending   : in     vl_logic;
        db_fetch_buf_rd : in     vl_logic;
        db_buf_rd_prog  : in     vl_logic;
        db_rd_cntrl_req : in     vl_logic;
        db_rdaddr_match : in     vl_logic;
        db_rdcntrl_dsz  : in     vl_logic_vector(2 downto 0);
        db_rdcntrl_addr : in     vl_logic_vector(4 downto 0);
        db_rdreq_addr_r1: in     vl_logic_vector(31 downto 0);
        ddrb_rd_data    : in     vl_logic_vector(63 downto 0);
        ddrb_rd_valid   : in     vl_logic;
        ddrb_rd_resp    : in     vl_logic;
        db_rd_first_data: in     vl_logic;
        db_rdreq_addr   : in     vl_logic_vector(31 downto 0);
        db_strt_byp_rd  : in     vl_logic;
        db_rd_dsbl_done : out    vl_logic;
        db_rbuf_empty   : out    vl_logic;
        db_rderr_wcbi_r : out    vl_logic;
        db_rderr_wcbj_r : out    vl_logic;
        db_rd_buf_mode  : out    vl_logic_vector(2 downto 0);
        db_valid_rdbuf  : out    vl_logic;
        db_invalid_rdbuf: out    vl_logic;
        db_rd_buf_tag   : out    vl_logic_vector(27 downto 0);
        db_rd_buf_data  : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DB_INVAL_BUF_IDLE : constant is 1;
    attribute mti_svvh_generic_type of DB_INVAL_BUF_S0 : constant is 1;
    attribute mti_svvh_generic_type of DB_INVAL_BUF_S1 : constant is 1;
    attribute mti_svvh_generic_type of DB_IDLE_RD_DSBL : constant is 1;
    attribute mti_svvh_generic_type of DB_S0_RD_DSBL : constant is 1;
    attribute mti_svvh_generic_type of DB_S1_RD_DSBL : constant is 1;
end ddrb_rdbuf;
