library verilog;
use verilog.vl_types.all;
entity ddrb_rdcntrl is
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_wcb_wr_req   : in     vl_logic;
        db_buf_rdy      : in     vl_logic;
        DDRB_HLOCK      : in     vl_logic;
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HTRANS_1   : in     vl_logic;
        db_wcb_rd_req   : in     vl_logic;
        ddrb_inval_rdbuf: in     vl_logic;
        db_rdbuf_en     : in     vl_logic;
        ddrb_wcb_size   : in     vl_logic;
        syr_clr_rdwr_err: in     vl_logic;
        db_rdwr_err_r   : in     vl_logic;
        db_wcb_nbuf     : in     vl_logic;
        db_wcbi_nbuf    : in     vl_logic;
        db_wcbj_nbuf    : in     vl_logic;
        db_idc_nbuf     : in     vl_logic;
        db_wcbi_wr_req  : in     vl_logic;
        db_wcbj_wr_req  : in     vl_logic;
        db_wcbi_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbj_haddr   : in     vl_logic_vector(31 downto 0);
        db_hold_frm_wcbi: in     vl_logic;
        db_hold_frm_wcbj: in     vl_logic;
        db_hold_rdbuf   : in     vl_logic;
        db_holdwcb_rdmh : in     vl_logic;
        db_hldfrm_wcbimh: in     vl_logic;
        db_hldfrm_wcbjmh: in     vl_logic;
        db_idc_hlock    : in     vl_logic;
        db_wcbi_hlock   : in     vl_logic;
        db_wcbj_hlock   : in     vl_logic;
        ddrb_rd_valid   : in     vl_logic;
        ddrb_rd_resp    : in     vl_logic;
        ddrb_rd_data    : in     vl_logic_vector(63 downto 0);
        DDRB_HRDATA     : out    vl_logic_vector(31 downto 0);
        db_wcb_rd_resp  : out    vl_logic;
        db_wcb_rd_rdy   : out    vl_logic;
        db_wcb_rdreq_out: out    vl_logic;
        db_wcb_rdadd_out: out    vl_logic_vector(31 downto 0);
        db_wcb_rdburst  : out    vl_logic_vector(1 downto 0);
        db_rd_lock_out  : out    vl_logic;
        db_rcb_mode     : out    vl_logic_vector(2 downto 0);
        db_rbuf_empty   : out    vl_logic;
        db_rd_dsbl_done : out    vl_logic;
        db_rderr_wcbi_r : out    vl_logic;
        db_rderr_wcbj_r : out    vl_logic
    );
end ddrb_rdcntrl;
