library verilog;
use verilog.vl_types.all;
entity ddrb_wcb is
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        DDRB_HWRDATA    : in     vl_logic_vector(31 downto 0);
        DDRB_HADDR      : in     vl_logic_vector(31 downto 0);
        DDRB_HTRANS     : in     vl_logic_vector(1 downto 0);
        DDRB_HDSIZE     : in     vl_logic_vector(2 downto 0);
        DDRB_HLOCK      : in     vl_logic;
        DDRB_HWRITE     : in     vl_logic;
        DDRB_HSEL       : in     vl_logic;
        DDRB_HREADYIN   : in     vl_logic;
        syr_db_nb_addr  : in     vl_logic_vector(15 downto 0);
        db_wcb_timer    : in     vl_logic_vector(9 downto 0);
        db_rdbuf_en     : in     vl_logic;
        db_wrbuf_en     : in     vl_logic;
        syr_ddrb_wcb_sz : in     vl_logic;
        syr_clr_rdwr_err: in     vl_logic;
        db_rdwr_err_r   : in     vl_logic;
        ddrb_flush      : in     vl_logic;
        ddrb_inval_rdbuf: in     vl_logic;
        syr_db_clr_err  : in     vl_logic;
        ddrb_nbuf_sz    : in     vl_logic_vector(3 downto 0);
        db_wcbi_wr_req  : in     vl_logic;
        db_wcbj_wr_req  : in     vl_logic;
        db_wcbi_rd_req  : in     vl_logic;
        db_wcbi_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbi_nbuf    : in     vl_logic;
        db_wcbj_rd_req  : in     vl_logic;
        db_wcbj_haddr   : in     vl_logic_vector(31 downto 0);
        db_wcbj_nbuf    : in     vl_logic;
        db_idc_hlock    : in     vl_logic;
        db_wcbi_hlock   : in     vl_logic;
        db_wcbj_hlock   : in     vl_logic;
        db_idc_rd_req   : in     vl_logic;
        db_idc_haddr    : in     vl_logic_vector(31 downto 0);
        db_idc_nbuf     : in     vl_logic;
        db_hold_frm_wcbi: in     vl_logic;
        db_hold_frm_wcbj: in     vl_logic;
        db_hldfrm_wcbimh: in     vl_logic;
        db_hldfrm_wcbjmh: in     vl_logic;
        db_wrarb_rdy    : in     vl_logic;
        db_wrtrans_done : in     vl_logic;
        db_wrtrans_err  : in     vl_logic;
        ddrb_rd_resp    : in     vl_logic;
        ddrb_rd_data    : in     vl_logic_vector(63 downto 0);
        ddrb_rd_valid   : in     vl_logic;
        DDRB_HRDATA     : out    vl_logic_vector(31 downto 0);
        DDRB_HRESP      : out    vl_logic;
        DDRB_HREADY     : out    vl_logic;
        db_wrerr_addr   : out    vl_logic_vector(31 downto 0);
        db_wr_err       : out    vl_logic;
        db_wr_dsbl_done : out    vl_logic;
        db_rd_dsbl_done : out    vl_logic;
        db_wbuf_empty   : out    vl_logic;
        db_rbuf_empty   : out    vl_logic;
        db_rderr_wcbi_r : out    vl_logic;
        db_rderr_wcbj_r : out    vl_logic;
        db_wrerr_wcbi_r : out    vl_logic;
        db_wrerr_wcbj_r : out    vl_logic;
        db_wcb_mode     : out    vl_logic_vector(1 downto 0);
        db_rcb_mode     : out    vl_logic_vector(2 downto 0);
        db_hold_wcbi    : out    vl_logic;
        db_hold_wcbj    : out    vl_logic;
        db_hold_idc     : out    vl_logic;
        db_wcb_nbuf     : out    vl_logic;
        db_wcbh_wr_req  : out    vl_logic;
        db_wcbh_rd_req  : out    vl_logic;
        db_holdidc_rdmh : out    vl_logic;
        db_holdwcbi_rdmh: out    vl_logic;
        db_holdwcbj_rdmh: out    vl_logic;
        db_part_valsect : out    vl_logic_vector(3 downto 0);
        db_wcb_wrreq_out: out    vl_logic;
        db_wcb_wdata_out: out    vl_logic_vector(127 downto 0);
        db_wrdata_valid : out    vl_logic_vector(15 downto 0);
        db_wrburst_out  : out    vl_logic_vector(3 downto 0);
        db_wcb_wradr_out: out    vl_logic_vector(31 downto 0);
        db_wr_lock_out  : out    vl_logic;
        db_wcb_burst_tp : out    vl_logic;
        db_wcb_rdburst  : out    vl_logic_vector(1 downto 0);
        db_wcb_rdreq_out: out    vl_logic;
        db_wcb_rdadd_out: out    vl_logic_vector(31 downto 0);
        db_rd_lock_out  : out    vl_logic
    );
end ddrb_wcb;
