library verilog;
use verilog.vl_types.all;
entity ddrb_wr_arbiter is
    generic(
        DDRACC_IDLE     : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1);
        DDRACC_TO_M2    : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0);
        DDRACC_TO_M3    : vl_logic_vector(0 to 5) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0);
        DDRACC_TO_M4    : vl_logic_vector(0 to 5) := (Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        LOCK_IDLE       : vl_logic_vector(0 to 5) := (Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        DDRACC_IDLE_B   : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        DDRACC_TO_M2_B  : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        DDRACC_TO_M3_B  : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        DDRACC_TO_M4_B  : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        LOCK_IDLE_B     : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1)
    );
    port(
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_arb_m1_req   : in     vl_logic;
        db_arb_m2_req   : in     vl_logic;
        db_arb_m3_req   : in     vl_logic;
        db_arb_m4_req   : in     vl_logic;
        db_arb_dmy_req  : in     vl_logic;
        db_dmy_xferprgs : in     vl_logic;
        db_wrresp_pnd   : in     vl_logic;
        db_rdresp_pnd   : in     vl_logic;
        db_rdarb_lckw   : in     vl_logic;
        db_mst1_lockout : in     vl_logic;
        db_mst2_lockout : in     vl_logic;
        db_mst3_lockout : in     vl_logic;
        db_mst4_lockout : in     vl_logic;
        db_xfer_inprgs  : in     vl_logic;
        db_wdcc_ld_xfer : in     vl_logic;
        db_wdcc_ld_onbus: in     vl_logic;
        db_m2_wraddr_ack: out    vl_logic;
        db_m3_wraddr_ack: out    vl_logic;
        db_m4_wraddr_ack: out    vl_logic;
        db_m2_wrdata_ack: out    vl_logic;
        db_m3_wrdata_ack: out    vl_logic;
        db_m4_wrdata_ack: out    vl_logic;
        db_wrarb_lckw   : out    vl_logic;
        db_wrdata_ack   : out    vl_logic;
        ddrb_lock_mid   : out    vl_logic;
        ddrb_lock_timeout: out    vl_logic;
        db_arb_lock_xfer: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DDRACC_IDLE : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M2 : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M3 : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M4 : constant is 1;
    attribute mti_svvh_generic_type of LOCK_IDLE : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_IDLE_B : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M2_B : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M3_B : constant is 1;
    attribute mti_svvh_generic_type of DDRACC_TO_M4_B : constant is 1;
    attribute mti_svvh_generic_type of LOCK_IDLE_B : constant is 1;
end ddrb_wr_arbiter;
