library verilog;
use verilog.vl_types.all;
entity ddrb_wrbuf is
    generic(
        S1_DB_ARB_WRDATA: vl_logic := Hi0;
        S2_DB_ARB_WRDATA: vl_logic := Hi1;
        DB_IDLE_DISABLE : vl_logic_vector(0 to 1) := (Hi0, Hi0);
        DB_S0_DISABLE   : vl_logic_vector(0 to 1) := (Hi0, Hi1);
        DB_S1_DISABLE   : vl_logic_vector(0 to 1) := (Hi1, Hi0)
    );
    port(
        DDR_FCLK        : in     vl_logic;
        DDR_CLK         : in     vl_logic;
        DDR_RESET_n     : in     vl_logic;
        db_wcbwr_en     : in     vl_logic;
        db_wradr_delay  : in     vl_logic_vector(4 downto 0);
        db_wrdsize_delay: in     vl_logic_vector(2 downto 0);
        db_wcb_tag      : in     vl_logic_vector(27 downto 0);
        db_valid_wr     : in     vl_logic;
        db_wr_latch     : in     vl_logic;
        db_wcb_timer    : in     vl_logic_vector(9 downto 0);
        db_wrbuf_en     : in     vl_logic;
        db_wcb_size     : in     vl_logic;
        db_rst_wrbuf    : in     vl_logic;
        db_flush_req    : in     vl_logic;
        db_flush_wrdata : in     vl_logic;
        DDRB_HWRDATA    : in     vl_logic_vector(31 downto 0);
        db_wrtrans_done : in     vl_logic;
        db_wrarb_rdy    : in     vl_logic;
        db_wr_dsbl_done : out    vl_logic;
        db_wbuf_empty   : out    vl_logic;
        db_wcb_mode     : out    vl_logic_vector(1 downto 0);
        db_rstbuf_done  : out    vl_logic;
        db_wcb_full     : out    vl_logic;
        db_wcb_timeout  : out    vl_logic;
        db_wcb_val_sect : out    vl_logic_vector(1 downto 0);
        db_part_valsect : out    vl_logic_vector(3 downto 0);
        db_wcb_data     : out    vl_logic_vector(127 downto 0);
        db_wcb_addr     : out    vl_logic_vector(31 downto 0);
        db_wcb_data_val : out    vl_logic_vector(15 downto 0);
        db_wcb_burst    : out    vl_logic_vector(3 downto 0);
        db_burst_type   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of S1_DB_ARB_WRDATA : constant is 1;
    attribute mti_svvh_generic_type of S2_DB_ARB_WRDATA : constant is 1;
    attribute mti_svvh_generic_type of DB_IDLE_DISABLE : constant is 1;
    attribute mti_svvh_generic_type of DB_S0_DISABLE : constant is 1;
    attribute mti_svvh_generic_type of DB_S1_DISABLE : constant is 1;
end ddrb_wrbuf;
