library verilog;
use verilog.vl_types.all;
entity ddrc_010 is
    generic(
        RD_CAM_ADDR_WIDTH: integer := 3;
        WR_CAM_ADDR_WIDTH: integer := 3;
        WRDATA_RAM_ADDR_WIDTH: vl_notype;
        CORE_DATA_WIDTH : integer := 64;
        CORE_MASK_WIDTH : integer := 8;
        CORE_ADDR_WIDTH : integer := 35;
        CORE_ADDR_INT_WIDTH: integer := 31;
        CORE_INT_ECC_WIDTH: integer := 8;
        CORE_INT_ECC_MASK_WIDTH: vl_notype;
        CORE_TAG_WIDTH  : integer := 4;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        WORD_BITS       : integer := 2;
        BLK_BITS        : integer := 10;
        NUM_TOTAL_BANKS : integer := 8;
        NUM_RANKS       : integer := 1;
        NUM_DRAM_CLKS   : integer := 1;
        NUM_PHY_RANKS   : integer := 1;
        NUM_PHY_DRAM_CLKS: integer := 1;
        NUM_BANKS_PER_RANK: vl_notype;
        RD_CAM_ADDR_BITS: integer := 3;
        WR_CAM_ADDR_BITS: integer := 3;
        PHY_DATA_WIDTH  : integer := 80;
        PHY_MASK_WIDTH  : integer := 10;
        CORE_DATA_WIDTH_NO_ECC: vl_notype;
        SCRUB_REG_ADDR  : vl_logic_vector(0 to 4) := (Hi1, Hi1, Hi1, Hi1, Hi1)
    );
    port(
        core_ddrc_core_clk: in     vl_logic;
        reg_ddrc_soft_rstb: in     vl_logic;
        co_ih_rxcmd_valid: in     vl_logic;
        co_ih_rxcmd_type: in     vl_logic_vector(1 downto 0);
        co_ih_rxcmd_addr: in     vl_logic_vector;
        co_ih_rxcmd_pri : in     vl_logic;
        co_ih_rxcmd_token: in     vl_logic_vector;
        co_ih_rxcmd_length: in     vl_logic_vector(0 downto 0);
        co_ih_rxcmd_wdata_ptr: in     vl_logic_vector(2 downto 0);
        co_ih_rxcmd_autopre: in     vl_logic;
        co_wu_rxdata_valid: in     vl_logic;
        co_wu_rxdata    : in     vl_logic_vector;
        co_wu_rxdata_mask: in     vl_logic_vector;
        co_wu_rxdata_end: in     vl_logic;
        co_wu_cerr      : in     vl_logic_vector(3 downto 0);
        co_wu_rxdata_int_ecc: in     vl_logic_vector;
        co_wu_rxdata_mask_int_ecc: in     vl_logic_vector;
        wu_co_rxdata_stall: out    vl_logic;
        co_gs_go2critical_rd: in     vl_logic;
        co_gs_go2critical_wr: in     vl_logic;
        ih_co_stall     : out    vl_logic;
        ih_co_wdata_ptr : out    vl_logic_vector(2 downto 0);
        ih_co_wdata_ptr_valid: out    vl_logic;
        ih_co_lpr_credit: out    vl_logic;
        ih_co_wr_credit : out    vl_logic;
        ih_co_hpr_credit: out    vl_logic;
        reg_ddrc_mr_wr  : in     vl_logic;
        reg_ddrc_mr_type: in     vl_logic;
        reg_ddrc_mr_addr: in     vl_logic_vector(1 downto 0);
        reg_ddrc_mr_data: in     vl_logic_vector(15 downto 0);
        ddrc_reg_mr_wr_busy: out    vl_logic;
        reg_ddrc_burst_mode: in     vl_logic;
        ra_co_resp_loopback_addr: out    vl_logic_vector;
        reg_ddrc_loopback: in     vl_logic;
        ra_co_resp_valid: out    vl_logic;
        ra_co_resp_end  : out    vl_logic;
        ra_co_resp_token: out    vl_logic_vector;
        ra_co_resp_data : out    vl_logic_vector;
        ra_co_resp_uncorr_ecc_err: out    vl_logic;
        ra_co_resp_ecc_data: out    vl_logic_vector;
        ddrc_co_q_not_empty: out    vl_logic;
        ddrc_dfi_address: out    vl_logic_vector(15 downto 0);
        ddrc_dfi_bank   : out    vl_logic_vector;
        ddrc_dfi_cas_n  : out    vl_logic;
        ddrc_dfi_cke    : out    vl_logic_vector;
        ddrc_dfi_cs_n   : out    vl_logic_vector;
        ddrc_dfi_odt    : out    vl_logic_vector;
        ddrc_dfi_ras_n  : out    vl_logic;
        ddrc_dfi_reset_n: out    vl_logic_vector;
        ddrc_dfi_we_n   : out    vl_logic;
        ddrc_dfi_wrdata : out    vl_logic_vector;
        ddrc_dfi_wrdata_en: out    vl_logic_vector;
        ddrc_dfi_wrdata_mask: out    vl_logic_vector;
        phy_dfi_rddata  : in     vl_logic_vector;
        ddrc_dfi_rddata_en: out    vl_logic_vector;
        phy_dfi_rddata_valid: in     vl_logic;
        phy_dfi_ctrlupd_ack1: in     vl_logic;
        phy_dfi_ctrlupd_ack2: in     vl_logic;
        ddrc_dfi_ctrlupd_req: out    vl_logic;
        ddrc_dfi_phyupd_ack: out    vl_logic;
        phy_dfi_phyupd_req: in     vl_logic;
        phy_dfi_phyupd_type: in     vl_logic_vector(1 downto 0);
        ddrc_dfi_dram_clk_disable: out    vl_logic_vector;
        phy_dfi_init_complete: in     vl_logic;
        ddrc_dfi_init_start: out    vl_logic;
        phy_dfi_rdlvl_req: in     vl_logic_vector;
        phy_dfi_rdlvl_gate_req: in     vl_logic_vector;
        phy_dfi_rdlvl_mode: in     vl_logic_vector(1 downto 0);
        phy_dfi_rdlvl_gate_mode: in     vl_logic_vector(1 downto 0);
        ddrc_dfi_rdlvl_en: out    vl_logic_vector;
        ddrc_dfi_rdlvl_gate_en: out    vl_logic_vector;
        ddrc_dfi_rdlvl_cs_n: out    vl_logic_vector;
        ddrc_dfi_rdlvl_edge: out    vl_logic;
        ddrc_dfi_rdlvl_delay: out    vl_logic_vector;
        ddrc_dfi_rdlvl_gate_delay: out    vl_logic_vector;
        ddrc_dfi_rdlvl_load: out    vl_logic_vector;
        phy_dfi_rdlvl_resp: in     vl_logic_vector;
        phy_dfi_wrlvl_req: in     vl_logic_vector;
        phy_dfi_wrlvl_mode: in     vl_logic_vector(1 downto 0);
        ddrc_dfi_wrlvl_en: out    vl_logic_vector;
        ddrc_dfi_wrlvl_cs_n: out    vl_logic_vector;
        ddrc_dfi_wrlvl_delay: out    vl_logic_vector;
        ddrc_dfi_wrlvl_load: out    vl_logic_vector;
        ddrc_dfi_wrlvl_strobe: out    vl_logic;
        phy_dfi_wrlvl_resp: in     vl_logic_vector;
        wdataram_din    : out    vl_logic_vector;
        wdataram_dout   : in     vl_logic_vector;
        wdataram_mask   : out    vl_logic_vector;
        wdataram_wr     : out    vl_logic;
        wdataram_raddr  : out    vl_logic_vector;
        wdataram_re     : out    vl_logic;
        wdataram_waddr  : out    vl_logic_vector;
        reg_ddrc_deeppowerdown_en: in     vl_logic;
        reg_ddrc_deeppowerdown_to_x1024: in     vl_logic_vector(7 downto 0);
        reg_ddrc_clock_stop_en: in     vl_logic;
        reg_ddrc_mobile : in     vl_logic;
        reg_ddrc_powerdown_en: in     vl_logic;
        reg_ddrc_data_bus_width: in     vl_logic_vector(1 downto 0);
        reg_ddrc_dm_en  : in     vl_logic;
        reg_ddrc_refresh_burst: in     vl_logic_vector(2 downto 0);
        reg_ddrc_ecc_mode: in     vl_logic_vector(2 downto 0);
        reg_ddrc_dis_scrub: in     vl_logic;
        reg_ddrc_test_mode: in     vl_logic;
        reg_ddrc_rdwr_idle_gap: in     vl_logic_vector(6 downto 0);
        reg_ddrc_pageclose: in     vl_logic;
        reg_ddrc_lpr_num_entries: in     vl_logic_vector;
        reg_ddrc_hpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        reg_ddrc_hpr_max_starve_x32: in     vl_logic_vector(10 downto 0);
        reg_ddrc_hpr_xact_run_length: in     vl_logic_vector(3 downto 0);
        reg_ddrc_lpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        reg_ddrc_lpr_max_starve_x32: in     vl_logic_vector(10 downto 0);
        reg_ddrc_lpr_xact_run_length: in     vl_logic_vector(3 downto 0);
        reg_ddrc_w_min_non_critical: in     vl_logic_vector(10 downto 0);
        reg_ddrc_w_xact_run_length: in     vl_logic_vector(3 downto 0);
        reg_ddrc_refresh_update_level: in     vl_logic;
        reg_ddrc_t_rc   : in     vl_logic_vector(5 downto 0);
        reg_ddrc_t_rfc_min: in     vl_logic_vector(7 downto 0);
        reg_ddrc_post_selfref_gap_x32: in     vl_logic_vector(6 downto 0);
        reg_ddrc_t_rfc_nom_x32: in     vl_logic_vector(11 downto 0);
        reg_ddrc_wr2pre : in     vl_logic_vector(4 downto 0);
        reg_ddrc_powerdown_to_x32: in     vl_logic_vector(4 downto 0);
        reg_ddrc_t_faw  : in     vl_logic_vector(5 downto 0);
        reg_ddrc_t_ras_max: in     vl_logic_vector(5 downto 0);
        reg_ddrc_t_ras_min: in     vl_logic_vector(4 downto 0);
        reg_ddrc_dfi_t_rddata_en: in     vl_logic_vector(4 downto 0);
        reg_ddrc_dfi_t_ctrlup_min: in     vl_logic_vector(9 downto 0);
        reg_ddrc_dfi_t_ctrlup_max: in     vl_logic_vector(9 downto 0);
        reg_ddrc_read_latency: in     vl_logic_vector(4 downto 0);
        reg_ddrc_write_latency: in     vl_logic_vector(4 downto 0);
        reg_ddrc_rd2wr  : in     vl_logic_vector(4 downto 0);
        reg_ddrc_wr2rd  : in     vl_logic_vector(4 downto 0);
        reg_ddrc_t_xp   : in     vl_logic_vector(4 downto 0);
        reg_ddrc_pad_pd : in     vl_logic_vector(2 downto 0);
        reg_ddrc_dis_pad_pd: in     vl_logic;
        reg_ddrc_rd2pre : in     vl_logic_vector(4 downto 0);
        reg_ddrc_t_rcd  : in     vl_logic_vector(3 downto 0);
        reg_ddrc_t_cke  : in     vl_logic_vector(3 downto 0);
        reg_ddrc_t_ccd  : in     vl_logic_vector(2 downto 0);
        reg_ddrc_t_rrd  : in     vl_logic_vector(2 downto 0);
        reg_ddrc_refresh_margin: in     vl_logic_vector(3 downto 0);
        reg_ddrc_t_rp   : in     vl_logic_vector(3 downto 0);
        reg_ddrc_refresh_to_x32: in     vl_logic_vector(4 downto 0);
        reg_ddrc_en_2t_timing_mode: in     vl_logic;
        reg_ddrc_prefer_write: in     vl_logic;
        reg_ddrc_skip_ocd: in     vl_logic;
        reg_ddrc_final_wait_x32: in     vl_logic_vector(6 downto 0);
        reg_ddrc_pre_ocd_x32: in     vl_logic_vector(3 downto 0);
        reg_ddrc_t_mrd  : in     vl_logic_vector(2 downto 0);
        reg_ddrc_pre_cke_x1024: in     vl_logic_vector(9 downto 0);
        reg_ddrc_post_cke_x1024: in     vl_logic_vector(9 downto 0);
        reg_ddrc_emr2   : in     vl_logic_vector(15 downto 0);
        reg_ddrc_emr3   : in     vl_logic_vector(15 downto 0);
        reg_ddrc_mr     : in     vl_logic_vector(15 downto 0);
        reg_ddrc_emr    : in     vl_logic_vector(15 downto 0);
        reg_ddrc_force_low_pri_n: in     vl_logic;
        reg_ddrc_dis_wc : in     vl_logic;
        reg_ddrc_dis_act_bypass: in     vl_logic;
        reg_ddrc_dis_rd_bypass: in     vl_logic;
        reg_ddrc_dis_dq : in     vl_logic;
        reg_ddrc_dis_collision_page_opt: in     vl_logic;
        co_gs_rank_refresh: in     vl_logic_vector;
        reg_ddrc_dis_auto_refresh: in     vl_logic;
        co_gs_dll_calib : in     vl_logic;
        reg_ddrc_dis_dll_calib: in     vl_logic;
        reg_ddrc_addrmap_bank_b0: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_bank_b1: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_bank_b2: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b2: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b3: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b4: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b5: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b6: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b7: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b8: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b9: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b10: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_col_b11: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b0: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b1: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b2_11: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b12: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b13: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b14: in     vl_logic_vector(3 downto 0);
        reg_ddrc_addrmap_row_b15: in     vl_logic_vector(3 downto 0);
        reg_ddrc_rd_odt_delay: in     vl_logic_vector(3 downto 0);
        reg_ddrc_wr_odt_delay: in     vl_logic_vector(3 downto 0);
        reg_ddrc_rd_odt_hold: in     vl_logic_vector(3 downto 0);
        reg_ddrc_wr_odt_hold: in     vl_logic_vector(3 downto 0);
        reg_ddrc_use_wr_mode_odt: in     vl_logic;
        reg_ddrc_rank0_rd_odt: in     vl_logic_vector;
        reg_ddrc_rank0_wr_odt: in     vl_logic_vector;
        reg_ddrc_go2critical_hysteresis: in     vl_logic_vector(7 downto 0);
        reg_ddrc_burst_rdwr: in     vl_logic_vector(3 downto 0);
        reg_ddrc_selfref_en: in     vl_logic;
        reg_ddrc_dimm_stagger_cs_en: in     vl_logic;
        reg_ddrc_dimm_addr_mirr_en: in     vl_logic;
        reg_ddrc_mr_rank: in     vl_logic_vector;
        reg_ddrc_dfi_t_ctrlupd_interval_min_x1024: in     vl_logic_vector(7 downto 0);
        reg_ddrc_dfi_t_ctrlupd_interval_max_x1024: in     vl_logic_vector(7 downto 0);
        ddrc_reg_dbg_stall: out    vl_logic;
        ddrc_reg_dbg_w_q_depth: out    vl_logic_vector;
        ddrc_reg_dbg_lpr_q_depth: out    vl_logic_vector;
        ddrc_reg_dbg_hpr_q_depth: out    vl_logic_vector;
        ddrc_reg_ecc_corrected_err: out    vl_logic_vector(0 downto 0);
        ddrc_reg_ecc_uncorrected_err: out    vl_logic_vector(0 downto 0);
        ddrc_reg_ecc_syndromes: out    vl_logic_vector(71 downto 0);
        ddrc_reg_ecc_bank: out    vl_logic_vector;
        ddrc_reg_ecc_row: out    vl_logic_vector;
        ddrc_reg_ecc_col: out    vl_logic_vector;
        ddrc_reg_ecc_corrected_bit_num: out    vl_logic_vector(6 downto 0);
        ddrc_reg_ecc_corr_bit_mask: out    vl_logic_vector(63 downto 0);
        reg_ddrc_dfi_wrlvl_max_x1024: in     vl_logic_vector(11 downto 0);
        reg_ddrc_dfi_rdlvl_max_x1024: in     vl_logic_vector(11 downto 0);
        reg_ddrc_dfi_rd_dqs_gate_level: in     vl_logic;
        reg_ddrc_dfi_rd_data_eye_train: in     vl_logic;
        ddrc_reg_twrlvl_max_error: out    vl_logic;
        ddrc_reg_trdlvl_max_error: out    vl_logic;
        reg_ddrc_dfi_wr_level_en: in     vl_logic;
        reg_ddrc_wrlvl_ww: in     vl_logic_vector(7 downto 0);
        reg_ddrc_rdlvl_rr: in     vl_logic_vector(7 downto 0);
        reg_ddrc_dfi_t_wlmrd: in     vl_logic_vector(9 downto 0);
        reg_ddrc_dis_auto_zq: in     vl_logic;
        reg_ddrc_ddr3   : in     vl_logic;
        reg_ddrc_t_mod  : in     vl_logic_vector(9 downto 0);
        reg_ddrc_t_zq_long_nop: in     vl_logic_vector(9 downto 0);
        reg_ddrc_t_zq_short_nop: in     vl_logic_vector(9 downto 0);
        reg_ddrc_t_zq_short_interval_x1024: in     vl_logic_vector(19 downto 0);
        co_gs_zq_calib_short: in     vl_logic;
        reg_ddrc_dram_rstn_x1024: in     vl_logic_vector(7 downto 0);
        reg_ddrc_burstchop: in     vl_logic;
        ddrc_reg_operating_mode: out    vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDATA_RAM_ADDR_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_MASK_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ADDR_INT_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of CORE_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of WORD_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of NUM_TOTAL_BANKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_DRAM_CLKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_PHY_RANKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_PHY_DRAM_CLKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_BANKS_PER_RANK : constant is 3;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of PHY_MASK_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH_NO_ECC : constant is 3;
    attribute mti_svvh_generic_type of SCRUB_REG_ADDR : constant is 1;
end ddrc_010;
