library verilog;
use verilog.vl_types.all;
entity ddrc_apb_wrp is
    port(
        axiclk          : in     vl_logic;
        axirst_n        : in     vl_logic;
        pclk            : in     vl_logic;
        presetn         : in     vl_logic;
        psel            : in     vl_logic;
        paddr           : in     vl_logic_vector(7 downto 0);
        pwrite          : in     vl_logic;
        pwdata          : in     vl_logic_vector(15 downto 0);
        penable         : in     vl_logic;
        apb_sync_pready_ctrl_q: in     vl_logic;
        axi_rd_data_ctrl_0_q: in     vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_1_q: in     vl_logic_vector(15 downto 0);
        prdata          : out    vl_logic_vector(15 downto 0);
        pslverr         : out    vl_logic;
        pready          : out    vl_logic;
        update_ddrc_dyn_q: out    vl_logic;
        ddrc_dyn_soft_reset_q: out    vl_logic;
        ddrc_dyn_refresh_1_q: out    vl_logic_vector(14 downto 0);
        ddrc_dyn_refresh_2_q: out    vl_logic_vector(14 downto 0);
        ddrc_dyn_powerdown_q: out    vl_logic_vector(1 downto 0);
        ddrc_dyn_debug_q: out    vl_logic;
        ddrc_mode_q     : out    vl_logic_vector(8 downto 0);
        ddrc_addr_map_bank_q: out    vl_logic_vector(11 downto 0);
        ddrc_ecc_data_mask_q: out    vl_logic_vector(8 downto 0);
        ddrc_addr_map_col_1_q: out    vl_logic_vector(15 downto 0);
        ddrc_addr_map_col_2_q: out    vl_logic_vector(15 downto 0);
        ddrc_addr_map_col_3_q: out    vl_logic_vector(7 downto 0);
        ddrc_addr_map_row_1_q: out    vl_logic_vector(15 downto 0);
        ddrc_addr_map_row_2_q: out    vl_logic_vector(15 downto 0);
        ddrc_init_1_q   : out    vl_logic_vector(11 downto 0);
        ddrc_cke_rstn_cycles_q: out    vl_logic_vector(27 downto 0);
        ddrc_init_mr_q  : out    vl_logic_vector(15 downto 0);
        ddrc_init_emr_q : out    vl_logic_vector(15 downto 0);
        ddrc_init_emr2_q: out    vl_logic_vector(15 downto 0);
        ddrc_init_emr3_q: out    vl_logic_vector(15 downto 0);
        ddrc_dram_bank_timing_param_q: out    vl_logic_vector(11 downto 0);
        ddrc_dram_rd_wr_latency_q: out    vl_logic_vector(9 downto 0);
        ddrc_dram_rd_wr_pre_q: out    vl_logic_vector(9 downto 0);
        ddrc_dram_mr_timing_param_q: out    vl_logic_vector(12 downto 0);
        ddrc_dram_ras_timing_q: out    vl_logic_vector(10 downto 0);
        ddrc_dram_rd_wr_trnarnd_time_q: out    vl_logic_vector(9 downto 0);
        ddrc_dram_t_pd_q: out    vl_logic_vector(8 downto 0);
        ddrc_dram_bank_act_timing_q: out    vl_logic_vector(13 downto 0);
        ddrc_odt_param_1_q: out    vl_logic_vector(11 downto 0);
        ddrc_odt_param_2_q: out    vl_logic_vector(9 downto 0);
        ddrc_debug_q    : out    vl_logic_vector(5 downto 0);
        ddrc_mode_reg_rd_wr_q: out    vl_logic_vector(3 downto 0);
        ddrc_mode_reg_data_q: out    vl_logic_vector(15 downto 0);
        ddrc_pwr_save_1_q: out    vl_logic_vector(12 downto 0);
        ddrc_pwr_save_2_q: out    vl_logic_vector(11 downto 0);
        ddrc_zq_long_time_q: out    vl_logic_vector(9 downto 0);
        ddrc_zq_short_time_q: out    vl_logic_vector(9 downto 0);
        ddrc_zq_short_int_refresh_margin_q: out    vl_logic_vector(23 downto 0);
        ddrc_perf_param_1_q: out    vl_logic_vector(15 downto 0);
        ddrc_hpr_queue_param_q: out    vl_logic_vector(25 downto 0);
        ddrc_lpr_queue_param_q: out    vl_logic_vector(25 downto 0);
        ddrc_wr_queue_param_q: out    vl_logic_vector(14 downto 0);
        ddrc_perf_param_2_q: out    vl_logic_vector(11 downto 0);
        ddrc_perf_param_3_q: out    vl_logic_vector(9 downto 0);
        ddrc_dfi_rddata_en_q: out    vl_logic_vector(4 downto 0);
        ddrc_dfi_min_ctrlupd_timing_q: out    vl_logic_vector(9 downto 0);
        ddrc_dfi_max_ctrlupd_timing_q: out    vl_logic_vector(9 downto 0);
        ddrc_dfi_wr_lvl_control_q: out    vl_logic_vector(30 downto 0);
        ddrc_dfi_rd_lvl_control_q: out    vl_logic_vector(21 downto 0);
        ddrc_dfi_ctrlupd_time_interval_q: out    vl_logic_vector(15 downto 0);
        ddrc_dyn_axi_fabric_pri_id_q: out    vl_logic_vector(5 downto 0);
        ddrc_ecc_err_read_done_q: out    vl_logic;
        penable_ctrl_q  : out    vl_logic;
        paddr_q         : out    vl_logic_vector(7 downto 0)
    );
end ddrc_apb_wrp;
