library verilog;
use verilog.vl_types.all;
entity ddrc_axi_wrp_010 is
    generic(
        K_F_TKN_DP      : integer := 10;
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_DDRC_TKN_VLD_WD: integer := 4;
        K_B_RD_CMD_FIFO_DP: integer := 4;
        K_MEMC_WDATA_PTR_BITS: integer := 5;
        K_CACHE_ID      : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi0);
        K_DSG_ID        : vl_logic_vector(0 to 3) := (Hi0, Hi0, Hi0, Hi1);
        K_DISABLE_BRIDGE: integer := 0
    );
    port(
        aclk            : in     vl_logic;
        aresetn         : in     vl_logic;
        soft_reset      : in     vl_logic;
        b_awid          : in     vl_logic_vector(3 downto 0);
        b_awaddr        : in     vl_logic_vector(31 downto 0);
        b_awlen         : in     vl_logic_vector(3 downto 0);
        b_awsize        : in     vl_logic_vector(1 downto 0);
        b_awburst       : in     vl_logic_vector(1 downto 0);
        b_awlock        : in     vl_logic_vector(1 downto 0);
        b_awvalid       : in     vl_logic;
        b_awready       : out    vl_logic;
        b_wid           : in     vl_logic_vector(3 downto 0);
        b_wdata         : in     vl_logic_vector(63 downto 0);
        b_wstrb         : in     vl_logic_vector(7 downto 0);
        b_wlast         : in     vl_logic;
        b_wvalid        : in     vl_logic;
        b_wready        : out    vl_logic;
        b_rmw           : in     vl_logic;
        b_bready        : in     vl_logic;
        b_bid           : out    vl_logic_vector(3 downto 0);
        b_bresp         : out    vl_logic_vector(1 downto 0);
        b_bvalid        : out    vl_logic;
        b_arid          : in     vl_logic_vector(3 downto 0);
        b_araddr        : in     vl_logic_vector(31 downto 0);
        b_arlen         : in     vl_logic_vector(3 downto 0);
        b_arsize        : in     vl_logic_vector(1 downto 0);
        b_arburst       : in     vl_logic_vector(1 downto 0);
        b_arlock        : in     vl_logic_vector(1 downto 0);
        b_arvalid       : in     vl_logic;
        b_arready       : out    vl_logic;
        b_rready        : in     vl_logic;
        b_rid           : out    vl_logic_vector(3 downto 0);
        b_rdata         : out    vl_logic_vector(63 downto 0);
        b_rresp         : out    vl_logic_vector(1 downto 0);
        b_rlast         : out    vl_logic;
        b_rvalid        : out    vl_logic;
        f_awid          : in     vl_logic_vector(3 downto 0);
        f_awaddr        : in     vl_logic_vector(31 downto 0);
        f_awlen         : in     vl_logic_vector(3 downto 0);
        f_awsize        : in     vl_logic_vector(1 downto 0);
        f_awburst       : in     vl_logic_vector(1 downto 0);
        f_awlock        : in     vl_logic_vector(1 downto 0);
        f_awvalid       : in     vl_logic;
        f_awready       : out    vl_logic;
        f_wid           : in     vl_logic_vector(3 downto 0);
        f_wdata         : in     vl_logic_vector(63 downto 0);
        f_wstrb         : in     vl_logic_vector(7 downto 0);
        f_wlast         : in     vl_logic;
        f_wvalid        : in     vl_logic;
        f_wready        : out    vl_logic;
        f_rmw           : in     vl_logic;
        f_bready        : in     vl_logic;
        f_bid           : out    vl_logic_vector(3 downto 0);
        f_bresp         : out    vl_logic_vector(1 downto 0);
        f_bvalid        : out    vl_logic;
        f_arid          : in     vl_logic_vector(3 downto 0);
        f_araddr        : in     vl_logic_vector(31 downto 0);
        f_arlen         : in     vl_logic_vector(3 downto 0);
        f_arsize        : in     vl_logic_vector(1 downto 0);
        f_arburst       : in     vl_logic_vector(1 downto 0);
        f_arlock        : in     vl_logic_vector(1 downto 0);
        f_arvalid       : in     vl_logic;
        f_arready       : out    vl_logic;
        f_rready        : in     vl_logic;
        f_rid           : out    vl_logic_vector(3 downto 0);
        f_rdata         : out    vl_logic_vector(63 downto 0);
        f_rresp         : out    vl_logic_vector(1 downto 0);
        f_rlast         : out    vl_logic;
        f_rvalid        : out    vl_logic;
        ddrc_resp_tkn   : in     vl_logic_vector;
        ddrc_resp_vld   : in     vl_logic;
        ddrc_resp_end   : in     vl_logic;
        ddrc_resp_data  : in     vl_logic_vector(63 downto 0);
        ddrc_resp_ecc   : in     vl_logic;
        ddrc_lpr_credit : in     vl_logic;
        ddrc_hpr_credit : in     vl_logic;
        ddrc_wr_credit  : in     vl_logic;
        ddrc_wdata_ptr  : in     vl_logic_vector;
        ddrc_wdata_ptr_valid: in     vl_logic;
        ddrc_co_stall   : in     vl_logic;
        ddrc_rxdata_stall: in     vl_logic;
        ddrc_rxcmd_valid: out    vl_logic;
        ddrc_rxcmd_type : out    vl_logic_vector(1 downto 0);
        ddrc_rxcmd_addr : out    vl_logic_vector(31 downto 0);
        ddrc_rxcmd_pri  : out    vl_logic;
        ddrc_rxcmd_token: out    vl_logic_vector;
        ddrc_rxcmd_length: out    vl_logic;
        ddrc_rxcmd_wdata_ptr: out    vl_logic_vector;
        ddrc_rxdata_valid: out    vl_logic;
        ddrc_rxdata     : out    vl_logic_vector(63 downto 0);
        ddrc_rxdata_end : out    vl_logic;
        ddrc_rxdata_mask: out    vl_logic_vector(7 downto 0);
        ddrc_go2critical_rd: out    vl_logic;
        ddrc_rstn       : in     vl_logic;
        f_pri_id        : in     vl_logic_vector(3 downto 0);
        f_pri_en        : in     vl_logic_vector(1 downto 0);
        ecc_enb         : in     vl_logic;
        ddrc_lpseq_mode : in     vl_logic;
        ddrc_qbw_mode   : in     vl_logic;
        fic_axi_ahb_mode: in     vl_logic;
        f_access_disable_r: in     vl_logic;
        f_access_disable_w: in     vl_logic;
        tokens_inuse    : out    vl_logic_vector(3 downto 0);
        cfg_ex_bridge   : in     vl_logic;
        cfg_ex_id       : in     vl_logic_vector(15 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_F_TKN_DP : constant is 1;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_DDRC_TKN_VLD_WD : constant is 1;
    attribute mti_svvh_generic_type of K_B_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_MEMC_WDATA_PTR_BITS : constant is 1;
    attribute mti_svvh_generic_type of K_CACHE_ID : constant is 1;
    attribute mti_svvh_generic_type of K_DSG_ID : constant is 1;
    attribute mti_svvh_generic_type of K_DISABLE_BRIDGE : constant is 1;
end ddrc_axi_wrp_010;
