library verilog;
use verilog.vl_types.all;
entity driver_block_075 is
    generic(
        SUPPLY_VOLTAGE  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0);
        VSUPPLY         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        GROUND          : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        RX_RCVR_OFFSET  : integer := 75;
        RX_RCVR_NOISE_ST_DEV: integer := 10;
        RX_RCVR_NULL_DELAY: integer := 25000;
        SCHMITT_OFFSET  : integer := 50;
        SCHMITT_NOISE_ST_DEV: integer := 10;
        SCHMITT_NULL_DELAY: integer := 6000;
        REXT_VAL        : integer := 1200;
        RINT_TX         : integer := 1200;
        RINT_RX         : integer := 1200;
        RINT_RX_EQ      : integer := 975;
        CAL_NOISE_ST_DEV: integer := 6;
        CAL_AMP_OFFSET  : integer := 10;
        CAL_VIN_AMP_LSB : integer := 3;
        CALIBRATOR_AMP_DELAY: integer := 6600;
        DETECT_AMP_SUPPLY: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        DETECT_AMP_DELAY: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        TX_VCM          : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0);
        MIN_DIFF_VOLTAGE: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1);
        VCM_DELTA_LIMIT : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        RON_PUP         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        RON_PDN         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        RCVR_RON_PUP    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        RCVR_RON_PDN    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        PUP_SLEW_RATE   : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        PDN_SLEW_RATE   : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        CLK_PERIOD      : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        HALF_CLK        : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        BEACON_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0, Hi0);
        BEACON_HALF_CLK : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SAMPLING_OFFSET : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        REST_OF_HALF_CLK: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        REST_OF_QUARTER_CLK: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        TXSYNC_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0);
        RXSYNC_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0);
        NUM_RXSYNC_DELAY_CYCLES: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        RX_PLL_INIT_REFCLK_PERIOD: integer := 100000;
        TX_PLL_INIT_REFCLK_PERIOD: integer := 100000;
        TX_CLK_STABLE_DLY_NUM_REF_CYCL: integer := 100
    );
    port(
        sync            : in     vl_logic;
        hsTxClk         : in     vl_logic;
        killVmainByVmain_b: in     vl_logic;
        killVauxByVaux_b: in     vl_logic;
        forceHiZ        : in     vl_logic;
        beaconData      : in     vl_logic;
        beaconOn        : in     vl_logic;
        disableDetectRx : in     vl_logic;
        serDatA         : in     vl_logic;
        serDatT         : in     vl_logic;
        serDatP         : in     vl_logic;
        serCtrl0        : in     vl_logic;
        serCtrl1        : in     vl_logic;
        aTxDI0          : in     vl_logic;
        aTxDI1          : in     vl_logic;
        aTxDI2          : in     vl_logic;
        aTxDI3          : in     vl_logic;
        aTxDI4          : in     vl_logic;
        aTxDI5          : in     vl_logic;
        aTxDI6          : in     vl_logic;
        aTxDI7          : in     vl_logic;
        aTxDI8          : in     vl_logic;
        aTxDI9          : in     vl_logic;
        aTxDI10         : in     vl_logic;
        aTxDI11         : in     vl_logic;
        aTxDI12         : in     vl_logic;
        aTxDI13         : in     vl_logic;
        aTxDI14         : in     vl_logic;
        aTxDI15         : in     vl_logic;
        aTxDI16         : in     vl_logic;
        aTxDI17         : in     vl_logic;
        aTxDI18         : in     vl_logic;
        aTxDI19         : in     vl_logic;
        killedVmain     : out    vl_logic;
        noRxDet         : out    vl_logic;
        loopOut         : out    vl_logic;
        loopOutB        : out    vl_logic;
        txClk           : out    vl_logic;
        txClkB          : out    vl_logic;
        TxPlus          : out    vl_logic;
        TxMinus         : out    vl_logic;
        aTxF0           : in     vl_logic;
        aTxF1           : in     vl_logic;
        aTxF2           : in     vl_logic;
        aTxM0           : in     vl_logic;
        aTxM1           : in     vl_logic;
        aTxN0           : in     vl_logic;
        aTxN1           : in     vl_logic;
        aTxN2           : in     vl_logic;
        aTxN3           : in     vl_logic;
        aTxN4           : in     vl_logic;
        Von12           : out    vl_logic;
        Vaux            : in     vl_logic;
        Vmain           : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SUPPLY_VOLTAGE : constant is 1;
    attribute mti_svvh_generic_type of VSUPPLY : constant is 1;
    attribute mti_svvh_generic_type of GROUND : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_NULL_DELAY : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_NULL_DELAY : constant is 1;
    attribute mti_svvh_generic_type of REXT_VAL : constant is 1;
    attribute mti_svvh_generic_type of RINT_TX : constant is 1;
    attribute mti_svvh_generic_type of RINT_RX : constant is 1;
    attribute mti_svvh_generic_type of RINT_RX_EQ : constant is 1;
    attribute mti_svvh_generic_type of CAL_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of CAL_AMP_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of CAL_VIN_AMP_LSB : constant is 1;
    attribute mti_svvh_generic_type of CALIBRATOR_AMP_DELAY : constant is 1;
    attribute mti_svvh_generic_type of DETECT_AMP_SUPPLY : constant is 1;
    attribute mti_svvh_generic_type of DETECT_AMP_DELAY : constant is 1;
    attribute mti_svvh_generic_type of TX_VCM : constant is 1;
    attribute mti_svvh_generic_type of MIN_DIFF_VOLTAGE : constant is 1;
    attribute mti_svvh_generic_type of VCM_DELTA_LIMIT : constant is 1;
    attribute mti_svvh_generic_type of RON_PUP : constant is 1;
    attribute mti_svvh_generic_type of RON_PDN : constant is 1;
    attribute mti_svvh_generic_type of RCVR_RON_PUP : constant is 1;
    attribute mti_svvh_generic_type of RCVR_RON_PDN : constant is 1;
    attribute mti_svvh_generic_type of PUP_SLEW_RATE : constant is 1;
    attribute mti_svvh_generic_type of PDN_SLEW_RATE : constant is 1;
    attribute mti_svvh_generic_type of CLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of BEACON_DELAY : constant is 1;
    attribute mti_svvh_generic_type of BEACON_HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of SAMPLING_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of REST_OF_HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of REST_OF_QUARTER_CLK : constant is 1;
    attribute mti_svvh_generic_type of TXSYNC_DELAY : constant is 1;
    attribute mti_svvh_generic_type of RXSYNC_DELAY : constant is 1;
    attribute mti_svvh_generic_type of NUM_RXSYNC_DELAY_CYCLES : constant is 1;
    attribute mti_svvh_generic_type of RX_PLL_INIT_REFCLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of TX_PLL_INIT_REFCLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of TX_CLK_STABLE_DLY_NUM_REF_CYCL : constant is 1;
end driver_block_075;
