library verilog;
use verilog.vl_types.all;
entity dti_010 is
    generic(
        PHY_DATA_WIDTH  : integer := 80;
        NUM_RANKS       : integer := 1;
        RANK_BITS       : integer := 0
    );
    port(
        core_ddrc_core_clk: in     vl_logic;
        core_ddrc_rstn  : in     vl_logic;
        reg_ddrc_twrlvl_max: in     vl_logic_vector(11 downto 0);
        reg_ddrc_trdlvl_max: in     vl_logic_vector(11 downto 0);
        reg_ddrc_wrlvl_ww: in     vl_logic_vector(7 downto 0);
        reg_ddrc_rdlvl_rr: in     vl_logic_vector(7 downto 0);
        reg_ddrc_t_wlmrd: in     vl_logic_vector(9 downto 0);
        reg_ddrc_t_mod  : in     vl_logic_vector(9 downto 0);
        reg_ddrc_dfi_t_rddata_en: in     vl_logic_vector(4 downto 0);
        reg_ddrc_write_latency: in     vl_logic_vector(4 downto 0);
        twrlvl_max_error: out    vl_logic;
        trdlvl_max_error: out    vl_logic;
        wr_leveling_start: in     vl_logic;
        wr_leveling_done: out    vl_logic;
        wr_leveling_on  : out    vl_logic;
        wr_leveling_mr1_wr: out    vl_logic;
        rd_dqs_gate_trg_start: in     vl_logic;
        rd_dqs_gate_trg_done: out    vl_logic;
        rd_data_eye_trg_start: in     vl_logic;
        rd_data_eye_trg_done: out    vl_logic;
        rd_leveling_mr3_wr: out    vl_logic;
        dti_gs_wrlvl_odt: out    vl_logic;
        dfi_wrlvl_resp  : in     vl_logic_vector;
        dfi_rdlvl_resp  : in     vl_logic_vector;
        rdlvl_rdcmd_strobe: out    vl_logic;
        dfi_wrlvl_cs_n  : out    vl_logic_vector;
        dfi_wrlvl_en    : out    vl_logic;
        dfi_wrlvl_strobe: out    vl_logic;
        dfi_rdlvl_cs_n  : out    vl_logic_vector;
        dfi_rdlvl_en    : out    vl_logic;
        dfi_rdlvl_gate_en: out    vl_logic;
        lvl_csn_to_init_fsm: out    vl_logic_vector;
        leveling_start_rank: out    vl_logic;
        ddrc_core_reg_dbg_dti: out    vl_logic_vector(30 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
end dti_010;
