library verilog;
use verilog.vl_types.all;
entity f_axi_read_port_120 is
    generic(
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_F_TKN_DP      : integer := 10
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        arid            : in     vl_logic_vector(3 downto 0);
        araddr          : in     vl_logic_vector(31 downto 0);
        arlen           : in     vl_logic_vector(3 downto 0);
        arsize          : in     vl_logic_vector(1 downto 0);
        arburst         : in     vl_logic_vector(1 downto 0);
        arlock          : in     vl_logic_vector(1 downto 0);
        arvalid         : in     vl_logic;
        arready         : out    vl_logic;
        rready          : in     vl_logic;
        rid             : out    vl_logic_vector(3 downto 0);
        rdata           : out    vl_logic_vector(63 downto 0);
        rresp           : out    vl_logic_vector(1 downto 0);
        rlast           : out    vl_logic;
        rvalid          : out    vl_logic;
        ddrc_rstn       : in     vl_logic;
        ecc_enb         : in     vl_logic;
        priority_id     : in     vl_logic_vector(3 downto 0);
        priority_id_en  : in     vl_logic;
        ex_mon_addr     : out    vl_logic_vector(31 downto 0);
        ex_mon_load     : out    vl_logic;
        ex_mon_arsize   : out    vl_logic_vector(1 downto 0);
        ex_mon_arlen    : out    vl_logic_vector(3 downto 0);
        ex_mon_id       : out    vl_logic_vector(3 downto 0);
        ex_mon_wrap     : out    vl_logic;
        ex_mon_lock     : out    vl_logic_vector(1 downto 0);
        pr_rd_req       : out    vl_logic;
        pr_rd_priority  : out    vl_logic;
        pr_rd_cmd_ptr   : out    vl_logic_vector;
        pr_rd_cmd       : out    vl_logic_vector(39 downto 0);
        pr_rd_lck       : out    vl_logic;
        pr_rd_grant     : in     vl_logic;
        trans_schd_tkn_tab_wr_ptr: in     vl_logic_vector;
        trans_schd_seq  : in     vl_logic_vector(2 downto 0);
        trans_schd_cmd  : in     vl_logic_vector;
        trans_schd_update: in     vl_logic;
        rd_cmds_addr3_bit: out    vl_logic_vector;
        rd_cmds_wrap10  : out    vl_logic_vector;
        rd_buff_ptr     : out    vl_logic_vector;
        rd_cmd0_tkn_tab_ptr: out    vl_logic_vector;
        rd_cmd1_tkn_tab_ptr: out    vl_logic_vector;
        rd_cmd2_tkn_tab_ptr: out    vl_logic_vector;
        rd_cmd3_tkn_tab_ptr: out    vl_logic_vector;
        rd_tkn_tab_ptr  : out    vl_logic_vector;
        rd_tkn_tab_update: out    vl_logic;
        rd_tkn_tab_update_succ: out    vl_logic;
        rd_cmd0_crt_seq_tkn: out    vl_logic_vector;
        rd_cmd1_crt_seq_tkn: out    vl_logic_vector;
        rd_cmd2_crt_seq_tkn: out    vl_logic_vector;
        rd_cmd3_crt_seq_tkn: out    vl_logic_vector;
        rd_tkn_tab_ptr_status: in     vl_logic_vector(1 downto 0);
        rd_cmd0_tkn_tab_ptr_status: in     vl_logic_vector(1 downto 0);
        rd_cmd1_tkn_tab_ptr_status: in     vl_logic_vector(1 downto 0);
        rd_cmd2_tkn_tab_ptr_status: in     vl_logic_vector(1 downto 0);
        rd_cmd3_tkn_tab_ptr_status: in     vl_logic_vector(1 downto 0);
        rd_data         : in     vl_logic_vector(64 downto 0);
        f_tkn_ddrc_done : in     vl_logic_vector(9 downto 0);
        f_rd_valid      : in     vl_logic;
        f_rd_tkn        : in     vl_logic_vector;
        f_access_disable: in     vl_logic;
        cfg_ex_id0      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id1      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id2      : in     vl_logic_vector(3 downto 0);
        cfg_ex_id3      : in     vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_F_TKN_DP : constant is 1;
end f_axi_read_port_120;
