library verilog;
use verilog.vl_types.all;
entity fddr_gen is
    port(
        pclk            : in     vl_logic;
        presetn         : in     vl_logic;
        psel            : in     vl_logic;
        pwrite          : in     vl_logic;
        penable         : in     vl_logic;
        pwdata          : in     vl_logic_vector(15 downto 0);
        paddr           : in     vl_logic_vector(7 downto 0);
        prdata          : out    vl_logic_vector(15 downto 0);
        pready          : out    vl_logic;
        pbits           : in     vl_logic_vector(109 downto 0);
        testmode        : in     vl_logic;
        core_up         : in     vl_logic;
        flash_valid     : in     vl_logic;
        factory_mode    : in     vl_logic;
        PLL_REF_DIVISOR : out    vl_logic_vector(5 downto 0);
        PLL_FEEDBACK_DIVISOR: out    vl_logic_vector(9 downto 0);
        PLL_OUTPUT_DIVISOR: out    vl_logic_vector(2 downto 0);
        PLL_FILTER_RANGE: out    vl_logic_vector(3 downto 0);
        PLL_LOCKWIN     : out    vl_logic_vector(2 downto 0);
        PLL_LOCKCNT     : out    vl_logic_vector(3 downto 0);
        PLL_BYPASS      : out    vl_logic;
        PLL_MODE_1V2    : out    vl_logic;
        PLL_MODE_3V3    : out    vl_logic;
        PLL_FSE         : out    vl_logic;
        PLL_PD          : out    vl_logic;
        DDR_CLK_EN      : out    vl_logic;
        FACC_STANDBY_SEL: out    vl_logic_vector(2 downto 0);
        FACC_SRC_SEL    : out    vl_logic_vector(2 downto 0);
        FACC_PRE_SRC_SEL: out    vl_logic;
        FACC_GLMUX_SEL  : out    vl_logic;
        FACC_FAB_REF_SEL: out    vl_logic;
        FIC64_DIVISOR   : out    vl_logic_vector(2 downto 0);
        DIVISOR_A       : out    vl_logic_vector(1 downto 0);
        BASE_DIVISOR    : out    vl_logic_vector(2 downto 0);
        PLL_REF_DEL_SEL : out    vl_logic_vector(1 downto 0);
        PLL_FB_DEL_SEL  : out    vl_logic_vector(1 downto 0);
        FDDR_CTLR_SOFTRESET: out    vl_logic;
        FDDR_FIC64_SOFTRESET: out    vl_logic;
        PCODE           : out    vl_logic_vector(5 downto 0);
        NCODE           : out    vl_logic_vector(5 downto 0);
        CALIB_START     : out    vl_logic;
        CALIB_LOCK      : out    vl_logic;
        CALIB_TRIM      : out    vl_logic;
        FPLL_LOCK_INT_ENABLE: out    vl_logic;
        FPLL_LOCKLOST_INT_ENABLE: out    vl_logic;
        FABRIC_PLL_LOCK_INT_ENABLE: out    vl_logic;
        FABRIC_PLL_LOCKLOST_INT_ENABLE: out    vl_logic;
        FDDR_ECC_INT_ENABLE: out    vl_logic;
        IO_CALIB_INT_ENABLE: out    vl_logic;
        FIC64_INT_ENABLE: out    vl_logic;
        F_AXI_AHB_MODE  : out    vl_logic;
        PHY_SELF_REF_EN : out    vl_logic;
        FAB_PLL_LOCK    : in     vl_logic;
        FPLL_LOCK       : in     vl_logic;
        FABCALIBFAIL    : in     vl_logic;
        PLL_LOCK_INT_SET: in     vl_logic;
        PLL_LOCK_INT    : out    vl_logic;
        PLL_LOCKLOST_INT_SET: in     vl_logic;
        PLL_LOCKLOST_INT: out    vl_logic;
        FDDR_ECC_INT_SET: in     vl_logic;
        FDDR_ECC_INT    : out    vl_logic;
        IO_CALIB_INT_SET: in     vl_logic;
        IO_CALIB_INT    : out    vl_logic;
        FIC64_INT_SET   : in     vl_logic;
        FIC64_INT       : out    vl_logic;
        FABCALIBSTART   : out    vl_logic;
        CALIB_STATUS    : in     vl_logic;
        FATC_RESET      : out    vl_logic
    );
end fddr_gen;
