library verilog;
use verilog.vl_types.all;
entity g4m_fddr_subsys_top_120 is
    port(
        clk_base        : in     vl_logic;
        pll_fddr_clk    : in     vl_logic;
        fpga_fddr_areset_n: in     vl_logic;
        pclk            : in     vl_logic;
        preset_n        : in     vl_logic;
        clk_25_50mhz    : in     vl_logic;
        f_awid_hsel0    : in     vl_logic_vector(3 downto 0);
        f_awaddr_haddr0 : in     vl_logic_vector(31 downto 0);
        f_awlen_hburst0 : in     vl_logic_vector(3 downto 0);
        f_awsize_hsize0 : in     vl_logic_vector(1 downto 0);
        f_awlock_hmastlock0: in     vl_logic_vector(1 downto 0);
        f_awburst_htrans0: in     vl_logic_vector(1 downto 0);
        f_awvalid_hwrite0: in     vl_logic;
        f_rmw_axi       : in     vl_logic;
        f_awready_hreadyout0: out    vl_logic;
        f_wid_hready01  : in     vl_logic_vector(3 downto 0);
        f_wdata_hwdata01: in     vl_logic_vector(63 downto 0);
        f_wstrb         : in     vl_logic_vector(7 downto 0);
        f_wlast         : in     vl_logic;
        f_wvalid        : in     vl_logic;
        f_wready        : out    vl_logic;
        f_bready        : in     vl_logic;
        f_bid           : out    vl_logic_vector(3 downto 0);
        f_bresp_hresp0  : out    vl_logic_vector(1 downto 0);
        f_bvalid        : out    vl_logic;
        f_arid_hsel1    : in     vl_logic_vector(3 downto 0);
        f_araddr_haddr1 : in     vl_logic_vector(31 downto 0);
        f_arlen_hburst1 : in     vl_logic_vector(3 downto 0);
        f_arsize_hsize1 : in     vl_logic_vector(1 downto 0);
        f_arburst_htrans1: in     vl_logic_vector(1 downto 0);
        f_arlock_hmastlock1: in     vl_logic_vector(1 downto 0);
        f_arvalid_hwrite1: in     vl_logic;
        f_arready_hreadyout1: out    vl_logic;
        f_rready        : in     vl_logic;
        f_rid           : out    vl_logic_vector(3 downto 0);
        f_rdata_hrdata01: out    vl_logic_vector(63 downto 0);
        f_rresp_hresp1  : out    vl_logic_vector(1 downto 0);
        f_rlast         : out    vl_logic;
        f_rvalid        : out    vl_logic;
        psel            : in     vl_logic;
        paddr           : in     vl_logic_vector(10 downto 2);
        penable         : in     vl_logic;
        pwrite          : in     vl_logic;
        pwdata          : in     vl_logic_vector(15 downto 0);
        prdata          : out    vl_logic_vector(15 downto 0);
        pslverr         : out    vl_logic;
        pready          : out    vl_logic;
        fddr_ecc_int    : out    vl_logic;
        fic_int         : out    vl_logic;
        io_calib_int    : out    vl_logic;
        comp_p          : in     vl_logic;
        comp_n          : in     vl_logic;
        xpcode          : out    vl_logic_vector(5 downto 0);
        xncode          : out    vl_logic_vector(5 downto 0);
        pcode           : out    vl_logic_vector(5 downto 0);
        ncode           : out    vl_logic_vector(5 downto 0);
        fddr_p          : in     vl_logic_vector(127 downto 0);
        core_up         : in     vl_logic;
        flash_valid     : in     vl_logic;
        dm_in           : in     vl_logic_vector(4 downto 0);
        dm_oe           : out    vl_logic_vector(4 downto 0);
        dram_ba         : out    vl_logic_vector(2 downto 0);
        dram_addr       : out    vl_logic_vector(15 downto 0);
        dram_casn       : out    vl_logic;
        dram_rasn       : out    vl_logic;
        dram_wen        : out    vl_logic;
        dram_csn        : out    vl_logic;
        dram_cke        : out    vl_logic;
        dram_odt        : out    vl_logic;
        dram_dq_out     : out    vl_logic_vector(35 downto 0);
        dram_dq_oe      : out    vl_logic_vector(35 downto 0);
        dram_dqs_out    : out    vl_logic_vector(4 downto 0);
        dram_dqs_oe     : out    vl_logic_vector(4 downto 0);
        dram_dm_rdqs_out: out    vl_logic_vector(4 downto 0);
        dram_clk        : out    vl_logic;
        dram_rstn       : out    vl_logic;
        dram_fifo_we_out: out    vl_logic_vector(2 downto 0);
        dram_local_odt_bit_dq: out    vl_logic_vector(35 downto 0);
        dram_local_odt_bit_dqs: out    vl_logic_vector(4 downto 0);
        dram_local_odt_bit_dm: out    vl_logic_vector(4 downto 0);
        dram_local_odt_bit_fifo_we_in: out    vl_logic_vector(2 downto 0);
        dram_fifo_we_in : in     vl_logic_vector(2 downto 0);
        dram_dq_in      : in     vl_logic_vector(35 downto 0);
        dram_dqs_in     : in     vl_logic_vector(4 downto 0);
        lt_tck          : in     vl_logic;
        lt_srst_b       : in     vl_logic;
        lt_shift        : in     vl_logic;
        lt_update       : in     vl_logic;
        lt_capture      : in     vl_logic;
        lt_blk_sel      : in     vl_logic_vector(1 downto 0);
        lt_sel_wir      : in     vl_logic;
        lt_ext_tm       : in     vl_logic;
        lt_atpg_reset   : in     vl_logic;
        lt_sin          : in     vl_logic;
        lt_sout         : out    vl_logic;
        atpg_fab_enable : out    vl_logic;
        atpg_fab_sck    : out    vl_logic;
        atpg_fab_se     : out    vl_logic;
        atpg_fab_sdi    : out    vl_logic;
        atpg_fab_sdo    : in     vl_logic;
        fpll_lock       : out    vl_logic;
        pll_lock_int    : out    vl_logic;
        pll_locklost_int: out    vl_logic;
        h2fcalib        : out    vl_logic;
        f2hcalib        : in     vl_logic;
        pll_fddr_ref    : out    vl_logic;
        pll_fddr_fb     : out    vl_logic;
        pll_fddr_lockwin: out    vl_logic_vector(2 downto 0);
        pll_fddr_lockcnt: out    vl_logic_vector(3 downto 0);
        pll_fddr_divr   : out    vl_logic_vector(5 downto 0);
        pll_fddr_divf   : out    vl_logic_vector(9 downto 0);
        pll_fddr_divq   : out    vl_logic_vector(2 downto 0);
        pll_fddr_range  : out    vl_logic_vector(3 downto 0);
        pll_fddr_mode_1v2: out    vl_logic;
        pll_fddr_mode_3v3: out    vl_logic;
        pll_fddr_fse    : out    vl_logic;
        pll_fddr_reset  : out    vl_logic;
        pll_fddr_bypass : out    vl_logic;
        pll_fddr_sse    : out    vl_logic;
        pll_fddr_ssmd   : out    vl_logic_vector(1 downto 0);
        pll_fddr_ssmf   : out    vl_logic_vector(4 downto 0);
        pll_fddr_pd     : out    vl_logic;
        pll_fddr_lock   : in     vl_logic;
        fab_pll_lock    : in     vl_logic;
        clk_calib       : out    vl_logic;
        ccc2asic        : in     vl_logic;
        fatc_reset_n    : out    vl_logic;
        bg_por_b        : in     vl_logic;
        iocalibrst_b    : in     vl_logic;
        g4_factory_test_mode: in     vl_logic;
        pr_iosela       : in     vl_logic;
        pr_ioselb       : in     vl_logic;
        ddr_powerdown   : in     vl_logic;
        feed_pr_iosela  : out    vl_logic;
        feed_pr_ioselb  : out    vl_logic;
        feed_ddr_powerdown: out    vl_logic;
        feed_lt_atpg_reset: out    vl_logic;
        feed_lt_blk_sel : out    vl_logic;
        feed_lt_capture : out    vl_logic;
        feed_lt_ext_tm  : out    vl_logic;
        feed_lt_sel_wir : out    vl_logic;
        feed_lt_shift   : out    vl_logic;
        feed_lt_sin     : out    vl_logic;
        feed_lt_srst_b  : out    vl_logic;
        feed_lt_tck     : out    vl_logic;
        feed_lt_update  : out    vl_logic;
        feed_lt_sout    : in     vl_logic;
        feed_bg_por_b   : out    vl_logic;
        feed_ccc_ref_clk: out    vl_logic;
        feed_clk_25_50mhz: out    vl_logic;
        feed_core_up    : out    vl_logic;
        feed_flash_valid: out    vl_logic;
        feed_factory_test_mode: out    vl_logic;
        mss_feed_m2s    : in     vl_logic;
        feed_m2s        : out    vl_logic;
        con_feed_s2c    : out    vl_logic;
        feed_s2c        : in     vl_logic;
        lt_fab_tm       : in     vl_logic;
        feed_lt_fab_tm  : out    vl_logic;
        lt_fab_tm_fddr  : out    vl_logic;
        feed_osc_clk_xtal: in     vl_logic;
        feed_f2g_clk_xtal: out    vl_logic
    );
end g4m_fddr_subsys_top_120;
