library verilog;
use verilog.vl_types.all;
entity g4m_serdesif_main2_075 is
    generic(
        IFC_CHAINS      : integer := 2;
        SCAN_CHAINS     : integer := 100
    );
    port(
        pcie0_core_reset_n_in: in     vl_logic;
        pcie1_core_reset_n_in: in     vl_logic;
        phy_reset_n_in  : in     vl_logic;
        apb_rstn_in     : in     vl_logic;
        clk_base        : in     vl_logic;
        pcie0_interrupt_ip: in     vl_logic_vector(3 downto 0);
        pcie0_interrupt_out: out    vl_logic;
        pcie1_interrupt_ip: in     vl_logic_vector(3 downto 0);
        pcie1_interrupt_out: out    vl_logic;
        m_awid          : out    vl_logic_vector(3 downto 0);
        m_awaddr_haddr  : out    vl_logic_vector(31 downto 0);
        m_awlen_hburst  : out    vl_logic_vector(3 downto 0);
        m_awsize_hsize  : out    vl_logic_vector(1 downto 0);
        m_awburst_htrans: out    vl_logic_vector(1 downto 0);
        m_awvalid_hwrite: out    vl_logic;
        m_awready       : in     vl_logic;
        m_wid           : out    vl_logic_vector(3 downto 0);
        m_wstrb         : out    vl_logic_vector(7 downto 0);
        m_wlast         : out    vl_logic;
        m_wvalid        : out    vl_logic;
        m_wdata_hwdata  : out    vl_logic_vector(63 downto 0);
        m_wready_hready : in     vl_logic;
        m_bid           : in     vl_logic_vector(3 downto 0);
        m_bresp_hresp   : in     vl_logic_vector(1 downto 0);
        m_bvalid        : in     vl_logic;
        m_bready        : out    vl_logic;
        m_arid          : out    vl_logic_vector(3 downto 0);
        m_araddr        : out    vl_logic_vector(31 downto 0);
        m_arlen         : out    vl_logic_vector(3 downto 0);
        m_arsize        : out    vl_logic_vector(1 downto 0);
        m_arburst       : out    vl_logic_vector(1 downto 0);
        m_arvalid       : out    vl_logic;
        m_arready       : in     vl_logic;
        m_rid           : in     vl_logic_vector(3 downto 0);
        m_rdata_hrdata  : in     vl_logic_vector(63 downto 0);
        m_rresp         : in     vl_logic_vector(1 downto 0);
        m_rlast         : in     vl_logic;
        m_rvalid        : in     vl_logic;
        m_rready        : out    vl_logic;
        s_awid_hsel     : in     vl_logic_vector(3 downto 0);
        s_awaddr_haddr  : in     vl_logic_vector(31 downto 0);
        s_awlen_hburst  : in     vl_logic_vector(3 downto 0);
        s_awsize_hsize  : in     vl_logic_vector(1 downto 0);
        s_awburst_htrans: in     vl_logic_vector(1 downto 0);
        s_awvalid_hwrite: in     vl_logic;
        s_awready       : out    vl_logic;
        s_awlock        : in     vl_logic_vector(1 downto 0);
        s_wid           : in     vl_logic_vector(3 downto 0);
        s_wstrb         : in     vl_logic_vector(7 downto 0);
        s_wlast         : in     vl_logic;
        s_wvalid        : in     vl_logic;
        s_wdata_hwdata  : in     vl_logic_vector(63 downto 0);
        s_wready_hreadyout: out    vl_logic;
        s_bid           : out    vl_logic_vector(3 downto 0);
        s_bresp_hresp   : out    vl_logic_vector(1 downto 0);
        s_bvalid        : out    vl_logic;
        s_bready_hready : in     vl_logic;
        s_arid          : in     vl_logic_vector(3 downto 0);
        s_araddr        : in     vl_logic_vector(31 downto 0);
        s_arlen         : in     vl_logic_vector(3 downto 0);
        s_arsize        : in     vl_logic_vector(1 downto 0);
        s_arburst       : in     vl_logic_vector(1 downto 0);
        s_arvalid       : in     vl_logic;
        s_arlock        : in     vl_logic_vector(1 downto 0);
        s_arready       : out    vl_logic;
        s_rid           : out    vl_logic_vector(3 downto 0);
        s_rdata_hrdata  : out    vl_logic_vector(63 downto 0);
        s_rresp         : out    vl_logic_vector(1 downto 0);
        s_rlast         : out    vl_logic;
        s_rvalid        : out    vl_logic;
        s_rready        : in     vl_logic;
        apb_clk         : in     vl_logic;
        apb_psel        : in     vl_logic;
        apb_penable     : in     vl_logic;
        apb_pwrite      : in     vl_logic;
        apb_paddr       : in     vl_logic_vector(14 downto 2);
        apb_pwdata      : in     vl_logic_vector(31 downto 0);
        apb_pready      : out    vl_logic;
        apb_prdata      : out    vl_logic_vector(31 downto 0);
        apb_pslverr     : out    vl_logic;
        epcs_rxclk      : out    vl_logic_vector(3 downto 0);
        epcs_txclk      : out    vl_logic_vector(3 downto 0);
        epcs_rstn       : in     vl_logic_vector(3 downto 2);
        epcs_pwrdn      : in     vl_logic_vector(3 downto 2);
        epcs_txdata     : in     vl_logic_vector(79 downto 40);
        epcs_txval      : in     vl_logic_vector(3 downto 2);
        epcs_txoob      : in     vl_logic_vector(3 downto 2);
        epcs_rxerr      : in     vl_logic_vector(3 downto 2);
        epcs_ready      : out    vl_logic_vector(3 downto 2);
        epcs_rxdata     : out    vl_logic_vector(79 downto 40);
        epcs_rxval      : out    vl_logic_vector(3 downto 2);
        epcs_rxidle     : out    vl_logic_vector(3 downto 2);
        epcs_rxrstn     : out    vl_logic_vector(3 downto 2);
        epcs_txrstn     : out    vl_logic_vector(3 downto 2);
        epcs_atxclkstable: out    vl_logic_vector(3 downto 2);
        rxdp            : in     vl_logic_vector(3 downto 0);
        rxdn            : in     vl_logic_vector(3 downto 0);
        txdp            : out    vl_logic_vector(3 downto 0);
        txdn            : out    vl_logic_vector(3 downto 0);
        refclk_io0      : in     vl_logic;
        refclk_io1      : in     vl_logic;
        rext            : inout  vl_logic_vector(3 downto 0);
        vddpll          : in     vl_logic_vector(3 downto 0);
        pll_ref_return  : in     vl_logic_vector(3 downto 0);
        vddio           : in     vl_logic_vector(3 downto 0);
        vssio           : in     vl_logic_vector(3 downto 0);
        vaux            : in     vl_logic_vector(3 downto 0);
        pcie0_wake_req  : in     vl_logic;
        pcie0_wake_n    : out    vl_logic;
        pcie0_perst_n   : in     vl_logic;
        pcie1_wake_req  : in     vl_logic;
        pcie1_wake_n    : out    vl_logic;
        pcie1_perst_n   : in     vl_logic;
        h2fcalib0       : out    vl_logic;
        h2fcalib1       : out    vl_logic;
        f2hcalib0       : in     vl_logic;
        f2hcalib1       : in     vl_logic;
        pll_lock        : out    vl_logic;
        pll_lock_int    : out    vl_logic;
        pll_locklost_int: out    vl_logic;
        pcie_p          : in     vl_logic_vector(1099 downto 0);
        pll_serdesif_ref: out    vl_logic;
        pll_serdesif_fb : out    vl_logic;
        pll_serdesif_lockwin: out    vl_logic_vector(2 downto 0);
        pll_serdesif_lockcnt: out    vl_logic_vector(3 downto 0);
        pll_serdesif_divr: out    vl_logic_vector(5 downto 0);
        pll_serdesif_divf: out    vl_logic_vector(9 downto 0);
        pll_serdesif_divq: out    vl_logic_vector(2 downto 0);
        pll_serdesif_range: out    vl_logic_vector(3 downto 0);
        pll_serdesif_mode_1v2: out    vl_logic;
        pll_serdesif_mode_3v3: out    vl_logic;
        pll_serdesif_fse: out    vl_logic;
        pll_serdesif_reset: out    vl_logic;
        pll_serdesif_bypass: out    vl_logic;
        pll_serdesif_pd : out    vl_logic;
        pll_aclk        : in     vl_logic;
        pll_serdesif_lock: in     vl_logic;
        fab_pll_lock    : in     vl_logic;
        atpg_fab_enable : in     vl_logic;
        atpg_fab_se     : out    vl_logic_vector;
        atpg_fab_sdi    : out    vl_logic_vector;
        atpg_fab_sdo    : in     vl_logic_vector;
        atpg_fab_channels_in: in     vl_logic_vector;
        atpg_fab_channels_out: out    vl_logic_vector;
        core_up         : in     vl_logic;
        g4_factory_test_mode: in     vl_logic;
        flash_valid     : in     vl_logic;
        serdesif_clk_div16: out    vl_logic;
        bg_por_b        : in     vl_logic;
        xaui_fb_clk     : in     vl_logic;
        xaui_out_clk    : out    vl_logic;
        ccc_ref_clk     : in     vl_logic;
        fab_ref_clk     : in     vl_logic;
        clk_25_50mhz    : in     vl_logic;
        bist_resetn     : in     vl_logic;
        bist_select     : in     vl_logic_vector(3 downto 0);
        bist_clock      : in     vl_logic;
        bist_update     : in     vl_logic;
        bist_shift      : in     vl_logic;
        bist_capture    : in     vl_logic;
        bist_diag_sel   : in     vl_logic;
        bist_din        : in     vl_logic;
        bist_dout       : out    vl_logic_vector(3 downto 0);
        atpg_sck0       : in     vl_logic;
        atpg_sck1       : in     vl_logic;
        atpg_rst_b      : in     vl_logic;
        atpg_testmode   : in     vl_logic;
        atpg_scan_enable: in     vl_logic;
        atpg_channels_in: in     vl_logic_vector;
        atpg_channels_out: out    vl_logic_vector;
        serdesif_gen2   : in     vl_logic;
        fatc_reset_n    : out    vl_logic;
        pll_serdesif_sse: out    vl_logic;
        pll_serdesif_ssmd: out    vl_logic_vector(1 downto 0);
        pll_serdesif_ssmf: out    vl_logic_vector(4 downto 0);
        ltap_control    : in     vl_logic_vector(51 downto 0);
        lt_fab_tm       : in     vl_logic;
        lt_fab_tm_serdesif: out    vl_logic;
        ltap_atspeed_clock: out    vl_logic;
        m2_awid         : out    vl_logic_vector(3 downto 0);
        m2_awaddr_haddr : out    vl_logic_vector(31 downto 0);
        m2_awlen_hburst : out    vl_logic_vector(3 downto 0);
        m2_awsize_hsize : out    vl_logic_vector(1 downto 0);
        m2_awburst_htrans: out    vl_logic_vector(1 downto 0);
        m2_awvalid_hwrite: out    vl_logic;
        m2_awready      : in     vl_logic;
        m2_wid          : out    vl_logic_vector(3 downto 0);
        m2_wstrb        : out    vl_logic_vector(7 downto 0);
        m2_wlast        : out    vl_logic;
        m2_wvalid       : out    vl_logic;
        m2_wdata_hwdata : out    vl_logic_vector(63 downto 0);
        m2_wready_hready: in     vl_logic;
        m2_bid          : in     vl_logic_vector(3 downto 0);
        m2_bresp_hresp  : in     vl_logic_vector(1 downto 0);
        m2_bvalid       : in     vl_logic;
        m2_bready       : out    vl_logic;
        m2_arid         : out    vl_logic_vector(3 downto 0);
        m2_araddr       : out    vl_logic_vector(31 downto 0);
        m2_arlen        : out    vl_logic_vector(3 downto 0);
        m2_arsize       : out    vl_logic_vector(1 downto 0);
        m2_arburst      : out    vl_logic_vector(1 downto 0);
        m2_arvalid      : out    vl_logic;
        m2_arready      : in     vl_logic;
        m2_rid          : in     vl_logic_vector(3 downto 0);
        m2_rdata_hrdata : in     vl_logic_vector(63 downto 0);
        m2_rresp        : in     vl_logic_vector(1 downto 0);
        m2_rlast        : in     vl_logic;
        m2_rvalid       : in     vl_logic;
        m2_rready       : out    vl_logic;
        s2_awid_hsel    : in     vl_logic_vector(3 downto 0);
        s2_awaddr_haddr : in     vl_logic_vector(31 downto 0);
        s2_awlen_hburst : in     vl_logic_vector(3 downto 0);
        s2_awsize_hsize : in     vl_logic_vector(1 downto 0);
        s2_awburst_htrans: in     vl_logic_vector(1 downto 0);
        s2_awvalid_hwrite: in     vl_logic;
        s2_awready      : out    vl_logic;
        s2_awlock       : in     vl_logic_vector(1 downto 0);
        s2_wid          : in     vl_logic_vector(3 downto 0);
        s2_wstrb        : in     vl_logic_vector(7 downto 0);
        s2_wlast        : in     vl_logic;
        s2_wvalid       : in     vl_logic;
        s2_wdata_hwdata : in     vl_logic_vector(63 downto 0);
        s2_wready_hreadyout: out    vl_logic;
        s2_bid          : out    vl_logic_vector(3 downto 0);
        s2_bresp_hresp  : out    vl_logic_vector(1 downto 0);
        s2_bvalid       : out    vl_logic;
        s2_bready_hready: in     vl_logic;
        s2_arid         : in     vl_logic_vector(3 downto 0);
        s2_araddr       : in     vl_logic_vector(31 downto 0);
        s2_arlen        : in     vl_logic_vector(3 downto 0);
        s2_arsize       : in     vl_logic_vector(1 downto 0);
        s2_arburst      : in     vl_logic_vector(1 downto 0);
        s2_arvalid      : in     vl_logic;
        s2_arlock       : in     vl_logic_vector(1 downto 0);
        s2_arready      : out    vl_logic;
        s2_rid          : out    vl_logic_vector(3 downto 0);
        s2_rdata_hrdata : out    vl_logic_vector(63 downto 0);
        s2_rresp        : out    vl_logic_vector(1 downto 0);
        s2_rlast        : out    vl_logic;
        s2_rvalid       : out    vl_logic;
        s2_rready       : in     vl_logic;
        pcie_ltssm      : out    vl_logic_vector(5 downto 0);
        pcie2_ltssm     : out    vl_logic_vector(5 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IFC_CHAINS : constant is 1;
    attribute mti_svvh_generic_type of SCAN_CHAINS : constant is 1;
end g4m_serdesif_main2_075;
