library verilog;
use verilog.vl_types.all;
entity gs_dll_calib is
    generic(
        NUM_RANKS       : integer := 1
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_dll_calib_min_to_x1024: in     vl_logic_vector(7 downto 0);
        dh_gs_dll_calib_max_to_x1024: in     vl_logic_vector(7 downto 0);
        co_gs_dll_calib : in     vl_logic;
        dh_gs_dis_dll_calib: in     vl_logic;
        timer_pulse_x1024: in     vl_logic;
        refresh         : in     vl_logic;
        phy_dfi_ctrlupd_ack1: in     vl_logic;
        phy_dfi_ctrlupd_ack2: in     vl_logic;
        ddrc_dfi_ctrlupd_req: out    vl_logic;
        dh_gs_dfi_t_ctrlup_min: in     vl_logic_vector(9 downto 0);
        dh_gs_dfi_t_ctrlup_max: in     vl_logic_vector(9 downto 0);
        dti_gs_dfi_wrlvl_en: in     vl_logic;
        dti_gs_dfi_rdlvl_en: in     vl_logic;
        dti_gs_dfi_rdlvl_gate_en: in     vl_logic;
        gs_dh_ctrlupd_state: out    vl_logic_vector(1 downto 0);
        rt_gs_empty     : in     vl_logic;
        mr_gs_empty     : in     vl_logic;
        te_gs_rd_vld    : in     vl_logic;
        ih_gs_xact_valid: in     vl_logic;
        te_gs_wr_vld    : in     vl_logic;
        wu_gs_enable_wr : in     vl_logic_vector(1 downto 0);
        pi_gs_rd_vld    : in     vl_logic;
        min_dll_calib_timer: out    vl_logic_vector(7 downto 0);
        end_init_ddr    : in     vl_logic;
        bypass_disable  : in     vl_logic;
        be_gs_bypass_match: in     vl_logic;
        te_gs_rd_retry  : in     vl_logic;
        gs_dh_dll_calib_state: out    vl_logic_vector(1 downto 0);
        gs_init_dll_calib_req: in     vl_logic;
        dll_calib_req   : out    vl_logic;
        gs_pi_dll_calib_req: out    vl_logic;
        pi_gs_dll_calib_ok: in     vl_logic;
        gs_pi_data_pipeline_empty: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
end gs_dll_calib;
