library verilog;
use verilog.vl_types.all;
entity gs_global_fsm_120 is
    generic(
        RANK_BITS       : integer := 0;
        NUM_TOTAL_BANKS : integer := 8
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_prefer_write: in     vl_logic;
        dh_gs_rdwr_idle_gap: in     vl_logic_vector(6 downto 0);
        dh_gs_dis_pad_pd: in     vl_logic;
        dh_gs_pad_pd    : in     vl_logic_vector(3 downto 0);
        dh_gs_dis_dq    : in     vl_logic;
        dh_gs_powerdown_en: in     vl_logic;
        dh_gs_powerdown_to_x32: in     vl_logic_vector(4 downto 0);
        dh_gs_t_cke     : in     vl_logic_vector(3 downto 0);
        dh_gs_t_xp      : in     vl_logic_vector(4 downto 0);
        dh_gs_selfref_en: in     vl_logic;
        dh_gs_post_selfref_gap_x32: in     vl_logic_vector(6 downto 0);
        ih_gs_xact_valid: in     vl_logic;
        gs_pi_op_is_refresh: in     vl_logic;
        te_gs_wr_flush  : in     vl_logic;
        te_gs_rd_flush  : in     vl_logic;
        be_gs_rd_bypass_match: in     vl_logic;
        te_gs_rd_vld    : in     vl_logic;
        te_gs_wr_vld    : in     vl_logic;
        te_bs_wr_valid  : in     vl_logic_vector;
        os_gs_rank_closed: in     vl_logic_vector(0 downto 0);
        dh_gs_hpr_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_hpr_use_cycle_run_length: in     vl_logic;
        dh_gs_hpr_max_starve: in     vl_logic_vector(10 downto 0);
        dh_gs_hpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        ih_gs_rdhigh_empty: in     vl_logic;
        ih_gs_rdlow_empty: in     vl_logic;
        rd_hi           : in     vl_logic;
        dh_gs_lpr_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_lpr_use_cycle_run_length: in     vl_logic;
        dh_gs_lpr_max_starve: in     vl_logic_vector(10 downto 0);
        dh_gs_lpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        co_gs_go2critical_rd: in     vl_logic;
        co_gs_go2critical_wr: in     vl_logic;
        dh_gs_go2critical_hysteresis: in     vl_logic_vector(7 downto 0);
        rd_lo           : in     vl_logic;
        dh_gs_w_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_w_use_cycle_run_length: in     vl_logic;
        dh_gs_w_min_non_critical: in     vl_logic_vector(10 downto 0);
        wr              : in     vl_logic;
        refresh_required: in     vl_logic;
        refresh_pending : in     vl_logic;
        refresh_required_early: in     vl_logic;
        speculative_refresh_early: in     vl_logic;
        wu_gs_enable_wr : in     vl_logic_vector(1 downto 0);
        gs_pi_op_is_zqcs: in     vl_logic;
        rank_nop_after_zqcs: in     vl_logic_vector;
        zq_calib_short_required: in     vl_logic_vector;
        gs_pi_op_is_load_mr_norm: in     vl_logic;
        rank_nop_after_load_mr_norm: in     vl_logic_vector;
        load_mr_norm_required: in     vl_logic_vector;
        global_block_cke_change: in     vl_logic;
        rank_nop_after_refresh: in     vl_logic_vector(0 downto 0);
        end_init_ddr    : in     vl_logic;
        timer_pulse_x32 : in     vl_logic;
        gs_os_wr_mode_early: out    vl_logic;
        gs_bs_wr_mode_early: out    vl_logic;
        wr_mode_early   : out    vl_logic;
        gs_te_wr_mode   : out    vl_logic;
        gs_pi_wr_mode   : out    vl_logic;
        wr_mode         : out    vl_logic;
        close_pages     : out    vl_logic;
        dll_calib_req   : in     vl_logic;
        normal_operating_mode: out    vl_logic;
        init_operating_mode: out    vl_logic;
        rdwr_operating_mode: out    vl_logic;
        gs_pi_pads_powerdown: out    vl_logic;
        gs_pi_pads_selfref: out    vl_logic;
        gs_pi_pad_en    : out    vl_logic;
        dh_gs_mobile    : in     vl_logic;
        dh_gs_deeppowerdown_en: in     vl_logic;
        dh_gs_deeppowerdown_to_x1024: in     vl_logic_vector(7 downto 0);
        timer_pulse_x1024: in     vl_logic;
        bs_gs_stop_clk_ok: in     vl_logic_vector;
        gs_pi_stop_clk_ok: out    vl_logic;
        gs_pi_op_is_enter_deeppowerdown: out    vl_logic;
        gs_pi_op_is_exit_deeppowerdown: out    vl_logic;
        deeppowerdown_exit: out    vl_logic;
        gs_dh_operating_mode: out    vl_logic_vector(2 downto 0);
        gs_dh_global_fsm_state: out    vl_logic_vector(4 downto 0);
        gs_pi_op_is_enter_powerdown: out    vl_logic;
        gs_pi_op_is_enter_selfref: out    vl_logic;
        gs_pi_op_is_exit_powerdown: out    vl_logic;
        gs_pi_op_is_exit_selfref: out    vl_logic;
        enter_powerdown : out    vl_logic;
        enter_selfref   : out    vl_logic;
        exit_powerdown  : out    vl_logic;
        exit_selfref    : out    vl_logic;
        gs_dh_lpr_q_state: out    vl_logic_vector(1 downto 0);
        reverse_priority: out    vl_logic;
        gs_te_pri_level : out    vl_logic;
        gs_dh_hpr_q_state: out    vl_logic_vector(1 downto 0);
        global_deeppowerdown: out    vl_logic;
        gs_dh_w_q_state : out    vl_logic_vector(1 downto 0);
        powerdown_idle_timer: out    vl_logic_vector(4 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of NUM_TOTAL_BANKS : constant is 1;
end gs_global_fsm_120;
