library verilog;
use verilog.vl_types.all;
entity gs_init_ddr_fsm is
    generic(
        BANK_BITS       : integer := 3;
        RANK_BITS       : integer := 0
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_mr        : in     vl_logic_vector(15 downto 0);
        dh_gs_emr       : in     vl_logic_vector(15 downto 0);
        dh_gs_emr2      : in     vl_logic_vector(15 downto 0);
        dh_gs_emr3      : in     vl_logic_vector(15 downto 0);
        dh_gs_mobile    : in     vl_logic;
        deeppowerdown_exit: in     vl_logic;
        dh_gs_ddr3      : in     vl_logic;
        dh_gs_t_mod     : in     vl_logic_vector(9 downto 0);
        dh_gs_t_zq_long_nop: in     vl_logic_vector(9 downto 0);
        dh_gs_dram_rstn_x1024: in     vl_logic_vector(7 downto 0);
        gs_pi_dram_rst_n: out    vl_logic;
        gs_pi_op_is_zqcl: out    vl_logic;
        start_zqcs_timer: out    vl_logic;
        reg_ddrc_wr_level_en: in     vl_logic;
        reg_ddrc_rd_dqs_gate_level: in     vl_logic;
        reg_ddrc_rd_data_eye_train: in     vl_logic;
        dti_lvl_csn_to_init_fsm: in     vl_logic_vector;
        dti_leveling_start_rank: in     vl_logic;
        wr_leveling_done: in     vl_logic;
        wr_leveling_mr1_wr: in     vl_logic;
        rd_leveling_mr3_wr: in     vl_logic;
        rd_dqs_gate_trg_done: in     vl_logic;
        rd_data_eye_trg_done: in     vl_logic;
        wr_leveling_start: out    vl_logic;
        rd_dqs_gate_trg_start: out    vl_logic;
        rd_data_eye_trg_start: out    vl_logic;
        gs_pi_trg_in_progress: out    vl_logic;
        global_deeppowerdown: in     vl_logic;
        ddrc_dfi_ctrlupd_req: in     vl_logic;
        phy_dfi_init_complete: in     vl_logic;
        dh_gs_ddr1_mode : in     vl_logic;
        dh_gs_skip_ocd  : in     vl_logic;
        dh_gs_pre_cke_x1024: in     vl_logic_vector(9 downto 0);
        dh_gs_post_cke_x1024: in     vl_logic_vector(9 downto 0);
        dh_gs_pre_ocd_x32: in     vl_logic_vector(3 downto 0);
        dh_gs_final_wait_x32: in     vl_logic_vector(6 downto 0);
        dh_gs_dimm_stagger_cs_en: in     vl_logic;
        dh_gs_dimm_addr_mirr_en: in     vl_logic;
        dh_gs_t_mrd     : in     vl_logic_vector(2 downto 0);
        dh_gs_t_rfc_min : in     vl_logic_vector(7 downto 0);
        dh_gs_t_rp      : in     vl_logic_vector(3 downto 0);
        timer_pulse_x32 : in     vl_logic;
        timer_pulse_x1024: in     vl_logic;
        init_cs_n       : out    vl_logic_vector;
        gs_pi_mrs_ba    : out    vl_logic_vector;
        gs_pi_mrs_a     : out    vl_logic_vector(15 downto 0);
        gs_pi_init_cke  : out    vl_logic;
        gs_pi_op_is_precharge_all: out    vl_logic;
        gs_pi_op_is_load_mode: out    vl_logic;
        init_refresh    : out    vl_logic;
        start_refresh_timer: out    vl_logic;
        gs_init_dll_calib_req: out    vl_logic;
        gs_pi_init_in_progress: out    vl_logic;
        gs_dh_init_curr_state: out    vl_logic_vector(4 downto 0);
        gs_dh_init_next_state: out    vl_logic_vector(4 downto 0);
        end_init_ddr    : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
end gs_init_ddr_fsm;
