library verilog;
use verilog.vl_types.all;
entity gs_next_xact_120 is
    generic(
        BANK_BITS       : integer := 3;
        RANK_BITS       : integer := 0
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_gs_dis_dq    : in     vl_logic;
        te_gs_retry     : in     vl_logic;
        dh_gs_dis_rd_bypass: in     vl_logic;
        be_gs_rd_bypass_match: in     vl_logic;
        gs_ih_rd_bypass_disable: out    vl_logic;
        gs_te_rd_bypass_disable: out    vl_logic;
        gs_pi_rd_bypass_disable: out    vl_logic;
        gs_bs_rd_bypass_disable: out    vl_logic;
        rd_bypass_disable: out    vl_logic;
        dh_gs_dis_act_bypass: in     vl_logic;
        be_gs_act_bypass_match: in     vl_logic;
        gs_ih_act_bypass_disable: out    vl_logic;
        gs_be_act_bypass_disable: out    vl_logic;
        gs_te_act_bypass_disable: out    vl_logic;
        gs_pi_act_bypass_disable: out    vl_logic;
        gs_bs_act_bypass_disable: out    vl_logic;
        act_bypass_disable: out    vl_logic;
        ih_gs_xact_valid: in     vl_logic;
        pi_gs_noxact    : in     vl_logic;
        os_gs_act_hi_vld: in     vl_logic;
        os_gs_act_hi_bank: in     vl_logic_vector(2 downto 0);
        os_gs_rdwr_hi_vld: in     vl_logic;
        os_gs_rdwr_hi_bank: in     vl_logic_vector(2 downto 0);
        reverse_priority: in     vl_logic;
        wr_mode_early   : in     vl_logic;
        os_gs_act_lo_vld: in     vl_logic;
        os_gs_act_lo_bank: in     vl_logic_vector(2 downto 0);
        os_gs_rdwr_lo_vld: in     vl_logic;
        os_gs_rdwr_lo_bank: in     vl_logic_vector(2 downto 0);
        os_gs_pre_crit_vld: in     vl_logic;
        os_gs_pre_crit_bank: in     vl_logic_vector(2 downto 0);
        os_gs_pre_req_vld: in     vl_logic;
        os_gs_pre_req_bank: in     vl_logic_vector(2 downto 0);
        os_gs_rank_closed: in     vl_logic_vector(0 downto 0);
        ra_gs_bubble    : in     vl_logic;
        enter_selfref   : in     vl_logic;
        wr_mode         : in     vl_logic;
        normal_operating_mode: in     vl_logic;
        init_operating_mode: in     vl_logic;
        load_mr_norm_required: in     vl_logic_vector(0 downto 0);
        load_mr_norm    : out    vl_logic;
        rank_nop_after_load_mr_norm: in     vl_logic_vector(0 downto 0);
        gs_pi_op_is_load_mr_norm: out    vl_logic;
        zq_calib_short_required: in     vl_logic_vector(0 downto 0);
        rank_nop_after_zqcs: in     vl_logic_vector(0 downto 0);
        rank_refresh_required: in     vl_logic_vector(0 downto 0);
        rank_speculative_ref: in     vl_logic_vector(0 downto 0);
        rank_nop_after_refresh: in     vl_logic_vector(0 downto 0);
        rank_no_refresh_after_refresh: in     vl_logic_vector(0 downto 0);
        global_block_rd : in     vl_logic;
        global_block_wr : in     vl_logic;
        gs_be_rdwr_bank_num: out    vl_logic_vector(2 downto 0);
        gs_be_actpre_bank_num: out    vl_logic_vector(2 downto 0);
        gs_be_op_is_activate: out    vl_logic;
        gs_be_op_is_precharge: out    vl_logic;
        gs_be_op_is_rdwr: out    vl_logic;
        gs_bs_act       : out    vl_logic;
        gs_bs_rd        : out    vl_logic;
        gs_bs_wr        : out    vl_logic;
        gs_bs_pre       : out    vl_logic;
        gs_bs_bank      : out    vl_logic_vector(2 downto 0);
        gs_te_op_is_rd  : out    vl_logic;
        gs_te_op_is_wr  : out    vl_logic;
        gs_te_op_is_activate: out    vl_logic;
        gs_te_op_is_precharge: out    vl_logic;
        gs_te_bank_num  : out    vl_logic_vector(2 downto 0);
        gs_te_bank_num4rdwr: out    vl_logic_vector(2 downto 0);
        gs_te_bank_num4act: out    vl_logic_vector(2 downto 0);
        gs_pi_op_is_rd  : out    vl_logic;
        gs_pi_op_is_wr  : out    vl_logic;
        gs_pi_op_is_zqcs: out    vl_logic;
        zqcs            : out    vl_logic;
        gs_pi_op_is_activate: out    vl_logic;
        gs_pi_op_is_precharge: out    vl_logic;
        gs_pi_bank_num  : out    vl_logic_vector;
        gs_mr_write     : out    vl_logic;
        rd_hi           : out    vl_logic;
        act             : out    vl_logic;
        rd              : out    vl_logic;
        rd_lo           : out    vl_logic;
        wr              : out    vl_logic;
        refresh         : out    vl_logic;
        cs_n            : out    vl_logic_vector(0 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
end gs_next_xact_120;
