library verilog;
use verilog.vl_types.all;
entity gs_rank_constraints is
    generic(
        THIS_RANK_NUMBER: integer := 0;
        RANK_BITS       : integer := 0
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        dh_gs_active_ranks: in     vl_logic;
        dh_gs_burst_rdwr: in     vl_logic_vector(3 downto 0);
        dh_gs_refresh_burst: in     vl_logic_vector(2 downto 0);
        dh_gs_t_ccd     : in     vl_logic_vector(2 downto 0);
        dh_gs_t_faw     : in     vl_logic_vector(5 downto 0);
        dh_gs_t_rfc_min : in     vl_logic_vector(7 downto 0);
        dh_gs_t_rfc_nom_x32: in     vl_logic_vector(11 downto 0);
        dh_gs_t_rrd     : in     vl_logic_vector(2 downto 0);
        dh_gs_refresh_update_level: in     vl_logic;
        pi_gs_xtra_rd   : in     vl_logic;
        pi_gs_xtra_wr   : in     vl_logic;
        refresh_idle_timeout: in     vl_logic;
        co_gs_rank_refresh: in     vl_logic;
        dh_gs_dis_auto_refresh: in     vl_logic;
        act             : in     vl_logic;
        rd              : in     vl_logic;
        wr              : in     vl_logic;
        timer_pulse_x32 : in     vl_logic;
        start_refresh_timer: in     vl_logic;
        ref_timer_start_value_x32: in     vl_logic_vector(11 downto 0);
        dh_gs_refresh_margin: in     vl_logic_vector(3 downto 0);
        refresh         : in     vl_logic;
        cs_n            : in     vl_logic;
        rd_bypass_disable: in     vl_logic;
        be_gs_rd_bypass_match: in     vl_logic;
        act_bypass_disable: in     vl_logic;
        be_gs_act_bypass_match: in     vl_logic;
        te_gs_retry     : in     vl_logic;
        gs_dh_operating_mode: in     vl_logic_vector(2 downto 0);
        gs_bs_rank_refresh_required: out    vl_logic;
        rank_refresh_pending: out    vl_logic;
        rank_refresh_required: out    vl_logic;
        gs_bs_rank_speculative_ref: out    vl_logic;
        rank_speculative_ref: out    vl_logic;
        rank_block_act_nxt: out    vl_logic;
        gs_bs_rank_block_rdwr_nxt: out    vl_logic;
        refresh_required_early: out    vl_logic;
        speculative_refresh_early: out    vl_logic;
        rank_nop_after_refresh: out    vl_logic;
        rank_no_refresh_after_refresh: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of THIS_RANK_NUMBER : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
end gs_rank_constraints;
