library verilog;
use verilog.vl_types.all;
entity hpd_config_regs is
    port(
        PCLK1           : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hpd_paddr       : in     vl_logic_vector(6 downto 2);
        hpd_psel        : in     vl_logic;
        hpd_penable     : in     vl_logic;
        hpd_pwrite      : in     vl_logic;
        hpd_pwdata      : in     vl_logic_vector(31 downto 0);
        hd_dcp_active   : in     vl_logic_vector(3 downto 0);
        hd_d0_src_pndng : in     vl_logic_vector(15 downto 0);
        hd_d0_dst_pndng : in     vl_logic_vector(15 downto 0);
        hd_d1_src_pndng : in     vl_logic_vector(15 downto 0);
        hd_d1_dst_pndng : in     vl_logic_vector(15 downto 0);
        hd_d2_src_pndng : in     vl_logic_vector(15 downto 0);
        hd_d2_dst_pndng : in     vl_logic_vector(15 downto 0);
        hd_d3_src_pndng : in     vl_logic_vector(15 downto 0);
        hd_d3_dst_pndng : in     vl_logic_vector(15 downto 0);
        hd_d0_src_addrs : in     vl_logic_vector(31 downto 0);
        hd_d0_dst_addrs : in     vl_logic_vector(31 downto 0);
        hd_d1_src_addrs : in     vl_logic_vector(31 downto 0);
        hd_d1_dst_addrs : in     vl_logic_vector(31 downto 0);
        hd_d2_src_addrs : in     vl_logic_vector(31 downto 0);
        hd_d2_dst_addrs : in     vl_logic_vector(31 downto 0);
        hd_d3_src_addrs : in     vl_logic_vector(31 downto 0);
        hd_d3_dst_addrs : in     vl_logic_vector(31 downto 0);
        hd_dma_dcp_serr : in     vl_logic_vector(3 downto 0);
        hd_dma_dcp_derr : in     vl_logic_vector(3 downto 0);
        hd_dma_dcp_empty: in     vl_logic_vector(3 downto 0);
        hd_dma_dcp_cmplet: in     vl_logic_vector(3 downto 0);
        hd_clr_dcp_valid: in     vl_logic_vector(3 downto 0);
        hd_bfr_full     : in     vl_logic;
        hd_bfr_empty    : in     vl_logic;
        hd_bfr_wr_pntr  : in     vl_logic_vector(2 downto 0);
        hd_bfr_rd_pntr  : in     vl_logic_vector(2 downto 0);
        hd_non_word_err : in     vl_logic_vector(3 downto 0);
        hpd_dma_cst_dbg : in     vl_logic_vector(1 downto 0);
        hpd_ahm1_cst_dbg: in     vl_logic_vector(3 downto 0);
        hpd_ahm2_cst_dbg: in     vl_logic_vector(3 downto 0);
        hpd_rrbn_cst_dbg: in     vl_logic_vector(3 downto 0);
        hpd_rbc_cst_dbg : in     vl_logic_vector(2 downto 0);
        hpd_wbc_cst_dbg : in     vl_logic_vector(2 downto 0);
        hpd_pready      : out    vl_logic;
        hpd_pslverr     : out    vl_logic;
        hpd_prdata      : out    vl_logic_vector(31 downto 0);
        hd_dcp_valid    : out    vl_logic_vector(3 downto 0);
        hd_dcp_xfr_dir  : out    vl_logic_vector(3 downto 0);
        hd_dcp_clr      : out    vl_logic_vector(3 downto 0);
        hd_dcp_pause    : out    vl_logic_vector(3 downto 0);
        hd_xfr_cmp_inten: out    vl_logic_vector(3 downto 0);
        hd_xfr_err_inten: out    vl_logic_vector(3 downto 0);
        hd_clr_xfr_int  : out    vl_logic_vector(3 downto 0);
        hd_dcp0_xfr_size: out    vl_logic_vector(16 downto 0);
        hd_dcp0_src_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp0_dst_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp1_xfr_size: out    vl_logic_vector(16 downto 0);
        hd_dcp1_src_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp1_dst_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp2_xfr_size: out    vl_logic_vector(16 downto 0);
        hd_dcp2_src_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp2_dst_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp3_xfr_size: out    vl_logic_vector(16 downto 0);
        hd_dcp3_src_adrs: out    vl_logic_vector(29 downto 0);
        hd_dcp3_dst_adrs: out    vl_logic_vector(29 downto 0);
        hp_d_cr_wren    : out    vl_logic_vector(3 downto 0);
        hd_non_word_inten: out    vl_logic_vector(3 downto 0);
        hd_clr_non_word_int: out    vl_logic_vector(3 downto 0)
    );
end hpd_config_regs;
