library verilog;
use verilog.vl_types.all;
entity hpd_dma_controller is
    port(
        FCLK            : in     vl_logic;
        HPDMA_RESET_n   : in     vl_logic;
        hd_dcp_clr      : in     vl_logic_vector(3 downto 0);
        hd_dcp_valid    : in     vl_logic_vector(3 downto 0);
        hd_dcp_xfr_dir  : in     vl_logic_vector(3 downto 0);
        hd_dcp_pause    : in     vl_logic_vector(3 downto 0);
        hd_xfr_cmp_inten: in     vl_logic_vector(3 downto 0);
        hd_xfr_err_inten: in     vl_logic_vector(3 downto 0);
        hd_clr_xfr_int  : in     vl_logic_vector(3 downto 0);
        hd_dcp0_xfr_size: in     vl_logic_vector(16 downto 0);
        hd_dcp1_xfr_size: in     vl_logic_vector(16 downto 0);
        hd_dcp2_xfr_size: in     vl_logic_vector(16 downto 0);
        hd_dcp3_xfr_size: in     vl_logic_vector(16 downto 0);
        hd_dcp0_src_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp1_src_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp2_src_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp3_src_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp0_dst_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp1_dst_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp2_dst_adrs: in     vl_logic_vector(29 downto 0);
        hd_dcp3_dst_adrs: in     vl_logic_vector(29 downto 0);
        hd_wbc_xfr_pndng: in     vl_logic_vector(15 downto 0);
        hd_rbc_xfr_pndng: in     vl_logic_vector(15 downto 0);
        hd_wbc_xfr_err  : in     vl_logic;
        hd_wbc_addrs    : in     vl_logic_vector(31 downto 0);
        hd_rbc_addrs    : in     vl_logic_vector(31 downto 0);
        hd_rbc_xfr_done : in     vl_logic;
        hd_rbc_xfr_err  : in     vl_logic;
        hpd_hready      : in     vl_logic;
        hpd_ddrb_hready : in     vl_logic;
        hd_set_wbc_err  : in     vl_logic;
        hd_set_rbc_err  : in     vl_logic;
        hpd_wbc_cst_idle: in     vl_logic;
        hpd_rbc_cst_idle: in     vl_logic;
        hp_d_cr_wren    : in     vl_logic_vector(3 downto 0);
        hd_non_word_inten: in     vl_logic_vector(3 downto 0);
        hd_clr_non_word_int: in     vl_logic_vector(3 downto 0);
        hd_dma_xfr_rst  : out    vl_logic;
        hd_d0_src_pndng : out    vl_logic_vector(15 downto 0);
        hd_d0_dst_pndng : out    vl_logic_vector(15 downto 0);
        hd_d1_src_pndng : out    vl_logic_vector(15 downto 0);
        hd_d1_dst_pndng : out    vl_logic_vector(15 downto 0);
        hd_d2_src_pndng : out    vl_logic_vector(15 downto 0);
        hd_d2_dst_pndng : out    vl_logic_vector(15 downto 0);
        hd_d3_src_pndng : out    vl_logic_vector(15 downto 0);
        hd_d3_dst_pndng : out    vl_logic_vector(15 downto 0);
        hd_d0_src_addrs : out    vl_logic_vector(31 downto 0);
        hd_d0_dst_addrs : out    vl_logic_vector(31 downto 0);
        hd_d1_src_addrs : out    vl_logic_vector(31 downto 0);
        hd_d1_dst_addrs : out    vl_logic_vector(31 downto 0);
        hd_d2_src_addrs : out    vl_logic_vector(31 downto 0);
        hd_d2_dst_addrs : out    vl_logic_vector(31 downto 0);
        hd_d3_src_addrs : out    vl_logic_vector(31 downto 0);
        hd_d3_dst_addrs : out    vl_logic_vector(31 downto 0);
        hd_dma_dcp_empty: out    vl_logic_vector(3 downto 0);
        hd_dma_dcp_cmplet: out    vl_logic_vector(3 downto 0);
        hd_clr_dcp_valid: out    vl_logic_vector(3 downto 0);
        hd_dma_dcp_serr : out    vl_logic_vector(3 downto 0);
        hd_dma_dcp_derr : out    vl_logic_vector(3 downto 0);
        hpd_xfr_cmp_int : out    vl_logic;
        hpd_xfr_err_int : out    vl_logic;
        hd_dcp_active   : out    vl_logic_vector(3 downto 0);
        hd_non_word_err : out    vl_logic_vector(3 downto 0);
        hd_dma_src_adrs : out    vl_logic_vector(29 downto 0);
        hd_dma_dst_adrs : out    vl_logic_vector(29 downto 0);
        hd_bfr_flush    : out    vl_logic;
        hd_dma_xfr_pause: out    vl_logic;
        hd_dma_start_p  : out    vl_logic;
        hd_dma_xfr_size : out    vl_logic_vector(16 downto 0);
        hd_dma_xfr_dir  : out    vl_logic;
        hpd_dma_cst_dbg : out    vl_logic_vector(1 downto 0);
        hpd_rrbn_cst_dbg: out    vl_logic_vector(3 downto 0)
    );
end hpd_dma_controller;
