library verilog;
use verilog.vl_types.all;
entity ih_010 is
    generic(
        IH_DATA_WIDTH   : integer := 32;
        CORE_ADDR_WIDTH : integer := 31;
        IH_TAG_WIDTH    : integer := 4;
        CMD_LEN_BITS    : integer := 1;
        RDCMD_ENTRY_BITS: integer := 3;
        WRCMD_ENTRY_BITS: integer := 3;
        RMW_TYPE_BITS   : integer := 2;
        WDATA_PTR_BITS  : integer := 3;
        CMD_TYPE_BITS   : integer := 2
    );
    port(
        co_ih_rstb      : in     vl_logic;
        co_ih_clk       : in     vl_logic;
        dh_ih_operating_mode: in     vl_logic_vector(2 downto 0);
        co_ih_rxcmd_valid: in     vl_logic;
        co_ih_rxcmd_type: in     vl_logic_vector;
        co_ih_rxcmd_addr: in     vl_logic_vector;
        co_ih_rxcmd_token: in     vl_logic_vector;
        co_ih_rxcmd_pri : in     vl_logic;
        co_ih_rxcmd_length: in     vl_logic_vector;
        co_ih_rxcmd_wdata_ptr: in     vl_logic_vector;
        co_ih_rxcmd_autopre: in     vl_logic;
        ih_co_stall     : out    vl_logic;
        ih_co_wdata_ptr : out    vl_logic_vector;
        ih_co_wdata_ptr_valid: out    vl_logic;
        ih_co_lpr_credit: out    vl_logic;
        ih_co_wr_credit : out    vl_logic;
        ih_co_hpr_credit: out    vl_logic;
        wu_ih_scrub     : in     vl_logic;
        wu_ih_bank_num  : in     vl_logic_vector(2 downto 0);
        wu_ih_page_num  : in     vl_logic_vector(15 downto 0);
        wu_ih_block_num : in     vl_logic_vector(9 downto 0);
        wu_ih_flow_cntrl_req: in     vl_logic;
        ih_te_rd_valid  : out    vl_logic;
        ih_te_wr_valid  : out    vl_logic;
        ih_te_block_rd  : out    vl_logic;
        ih_te_rd_tag    : out    vl_logic_vector;
        ih_te_rmwtype   : out    vl_logic_vector;
        ih_te_bank_num  : out    vl_logic_vector(2 downto 0);
        ih_te_page_num  : out    vl_logic_vector(15 downto 0);
        ih_te_block_num : out    vl_logic_vector(9 downto 0);
        ih_te_critical_dword: out    vl_logic_vector(1 downto 0);
        ih_te_rd_entry  : out    vl_logic_vector;
        ih_te_wr_entry  : out    vl_logic_vector;
        ih_te_lo_rd_prefer: out    vl_logic_vector;
        ih_te_wr_prefer : out    vl_logic_vector;
        ih_wu_critical_dword: out    vl_logic_vector(1 downto 0);
        ih_te_autopre   : out    vl_logic;
        ih_te_hi_pri    : out    vl_logic;
        ih_te_hi_rd_prefer: out    vl_logic_vector;
        te_ih_free_rd_entry: in     vl_logic_vector;
        te_ih_free_rd_entry_valid: in     vl_logic;
        mr_ih_free_wr_entry: in     vl_logic_vector;
        mr_ih_free_wr_entry_valid: in     vl_logic;
        te_ih_retry     : in     vl_logic;
        te_ih_wr_combine: in     vl_logic;
        ih_yy_xact_valid: out    vl_logic;
        ih_gs_rdlow_empty: out    vl_logic;
        ih_gs_wr_empty  : out    vl_logic;
        ih_gs_rdlow_almostfull: out    vl_logic;
        ih_gs_wr_almostfull: out    vl_logic;
        ih_bs_bank_num  : out    vl_logic_vector(2 downto 0);
        ih_gs_rdhigh_empty: out    vl_logic;
        gs_ih_rd_bypass_disable: in     vl_logic;
        ih_be_bank_num  : out    vl_logic_vector(2 downto 0);
        ih_be_page_num  : out    vl_logic_vector(15 downto 0);
        ih_pi_block_num : out    vl_logic_vector(9 downto 0);
        ih_pi_word_num  : out    vl_logic_vector(1 downto 0);
        ih_pi_block_rd  : out    vl_logic;
        ih_be_hi_pri_rd_xact: out    vl_logic;
        be_ih_rd_bypass_match: in     vl_logic;
        dh_ih_force_low_pri_n: in     vl_logic;
        dh_ih_lpr_watermark: in     vl_logic_vector;
        dh_ih_wr_watermark: in     vl_logic_vector;
        dh_ih_lpr_num_entries: in     vl_logic_vector;
        dh_ih_addrmap_bank_b0: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_bank_b1: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_bank_b2: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b2: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b3: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b4: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b5: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b6: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b7: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b8: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b9: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b10: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_col_b11: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b0: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b1: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b2_11: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b12: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b13: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b14: in     vl_logic_vector(3 downto 0);
        dh_ih_addrmap_row_b15: in     vl_logic_vector(3 downto 0);
        ih_dh_stall     : out    vl_logic;
        ih_dh_wr_q_depth: out    vl_logic_vector;
        ih_dh_lpr_q_depth: out    vl_logic_vector;
        ih_dh_hpr_q_depth: out    vl_logic_vector;
        ih_dh_wr_over_hwm: out    vl_logic;
        ih_dh_lpr_over_hwm: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of IH_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of IH_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CMD_LEN_BITS : constant is 1;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of WDATA_PTR_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_TYPE_BITS : constant is 1;
end ih_010;
