library verilog;
use verilog.vl_types.all;
entity ih_core_out_if_120 is
    generic(
        RDCMD_ENTRY_BITS: integer := 5;
        WRCMD_ENTRY_BITS: integer := 5;
        IH_TAG_WIDTH    : integer := 13;
        CMD_LEN_BITS    : integer := 1;
        RMW_TYPE_BITS   : integer := 2;
        WDATA_PTR_BITS  : integer := 8;
        CMD_TYPE_BITS   : integer := 2
    );
    port(
        co_ih_clk       : in     vl_logic;
        co_ih_rstb      : in     vl_logic;
        rxcmd_valid     : in     vl_logic;
        rxcmd_type      : in     vl_logic_vector;
        rxcmd_wdata_ptr : in     vl_logic_vector;
        ih_te_rd_valid  : in     vl_logic;
        ih_te_wr_valid  : in     vl_logic;
        ih_te_rmwtype   : in     vl_logic_vector;
        ih_te_hi_pri    : in     vl_logic;
        te_ih_retry     : in     vl_logic;
        wr_fifo_fill_level: in     vl_logic_vector;
        lpr_fifo_fill_level: in     vl_logic_vector;
        hpr_fifo_fill_level: in     vl_logic_vector;
        dh_ih_lpr_num_entries: in     vl_logic_vector;
        wu_ih_flow_cntrl_req: in     vl_logic;
        input_fifo_full : in     vl_logic;
        ih_co_stall     : out    vl_logic;
        ih_co_wdata_ptr_valid: out    vl_logic;
        ih_co_wdata_ptr : out    vl_logic_vector;
        ih_co_lpr_credit: out    vl_logic;
        ih_co_hpr_credit: out    vl_logic;
        ih_co_wr_credit : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of IH_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CMD_LEN_BITS : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of WDATA_PTR_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_TYPE_BITS : constant is 1;
end ih_core_out_if_120;
