library verilog;
use verilog.vl_types.all;
entity ih_fifo_if_010 is
    generic(
        RDCMD_ENTRY_BITS: integer := 5;
        WRCMD_ENTRY_BITS: integer := 5
    );
    port(
        co_ih_rstb      : in     vl_logic;
        co_ih_clk       : in     vl_logic;
        rd_valid        : in     vl_logic;
        wr_valid        : in     vl_logic;
        retry           : in     vl_logic;
        wr_combine      : in     vl_logic;
        scrub_on        : in     vl_logic;
        scrub_wr_entry_avail: out    vl_logic;
        scrub_rd_entry_avail: out    vl_logic;
        rd_entry        : out    vl_logic_vector;
        wr_entry        : out    vl_logic_vector;
        lo_rd_prefer    : out    vl_logic_vector;
        wr_prefer       : out    vl_logic_vector;
        rd_bypass       : in     vl_logic;
        hi_pri          : in     vl_logic;
        hi_rd_prefer    : out    vl_logic_vector;
        rdhigh_empty    : out    vl_logic;
        hpr_fifo_fill_level: out    vl_logic_vector;
        ih_dh_hpr_q_depth: out    vl_logic_vector;
        free_rd_entry   : in     vl_logic_vector;
        free_rd_entry_valid: in     vl_logic;
        free_wr_entry   : in     vl_logic_vector;
        free_wr_entry_valid: in     vl_logic;
        any_xact        : out    vl_logic;
        rdlow_empty     : out    vl_logic;
        wr_empty        : out    vl_logic;
        rdlow_almostfull: out    vl_logic;
        wr_almostfull   : out    vl_logic;
        lpr_fifo_fill_level: out    vl_logic_vector;
        wr_fifo_fill_level: out    vl_logic_vector;
        dh_ih_lpr_num_entries: in     vl_logic_vector;
        dh_ih_lpr_watermark: in     vl_logic_vector;
        dh_ih_wr_watermark: in     vl_logic_vector;
        ih_dh_lpr_q_depth: out    vl_logic_vector;
        ih_dh_wr_q_depth: out    vl_logic_vector;
        ih_dh_lpr_over_hwm: out    vl_logic;
        ih_dh_wr_over_hwm: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
end ih_fifo_if_010;
