library verilog;
use verilog.vl_types.all;
entity ih_te_if_010 is
    generic(
        RDCMD_ENTRY_BITS: integer := 3;
        WRCMD_ENTRY_BITS: integer := 3;
        IH_TAG_WIDTH    : integer := 4;
        CMD_LEN_BITS    : integer := 1;
        RMW_TYPE_BITS   : integer := 2;
        CMD_TYPE_BITS   : integer := 2;
        CMD_RMW_BITS    : integer := 19
    );
    port(
        co_ih_clk       : in     vl_logic;
        co_ih_rstb      : in     vl_logic;
        te_ih_retry     : in     vl_logic;
        rxcmd_valid     : in     vl_logic;
        rxcmd_type      : in     vl_logic_vector;
        rxcmd_token     : in     vl_logic_vector;
        rxcmd_autopre   : in     vl_logic;
        rxcmd_pri       : in     vl_logic;
        rxcmd_length    : in     vl_logic_vector;
        dh_ih_force_low_pri_n: in     vl_logic;
        am_bank         : in     vl_logic_vector(2 downto 0);
        am_row          : in     vl_logic_vector(15 downto 0);
        am_block        : in     vl_logic_vector(9 downto 0);
        am_critical_dword: in     vl_logic_vector(1 downto 0);
        wu_ih_flow_cntrl_req: in     vl_logic;
        wu_ih_scrub     : in     vl_logic;
        wu_ih_bank_num  : in     vl_logic_vector(2 downto 0);
        wu_ih_page_num  : in     vl_logic_vector(15 downto 0);
        wu_ih_block_num : in     vl_logic_vector(9 downto 0);
        scrub_on        : out    vl_logic;
        scrub_wr_entry_avail: in     vl_logic;
        scrub_rd_entry_avail: in     vl_logic;
        ih_te_rd_valid  : out    vl_logic;
        ih_te_wr_valid  : out    vl_logic;
        ih_te_block_rd  : out    vl_logic;
        ih_te_rd_tag    : out    vl_logic_vector;
        ih_te_rmwtype   : out    vl_logic_vector;
        ih_te_hi_pri    : out    vl_logic;
        ih_te_hi_pri_int: out    vl_logic;
        ih_te_autopre   : out    vl_logic;
        ih_te_bank_num  : out    vl_logic_vector(2 downto 0);
        ih_te_page_num  : out    vl_logic_vector(15 downto 0);
        ih_te_block_num : out    vl_logic_vector(9 downto 0);
        ih_te_critical_dword: out    vl_logic_vector(1 downto 0);
        ih_wu_critical_dword: out    vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of IH_TAG_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CMD_LEN_BITS : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of CMD_RMW_BITS : constant is 1;
end ih_te_if_010;
