library verilog;
use verilog.vl_types.all;
entity memc_wu_010 is
    generic(
        WRCAM_ADDR_WIDTH: integer := 4;
        WRDATA_RAM_ADDR_WIDTH: vl_notype;
        CORE_DATA_WIDTH : integer := 64;
        CORE_MASK_WIDTH : vl_notype;
        CORE_INT_ECC_WIDTH: integer := 8;
        CORE_INT_ECC_MASK_WIDTH: vl_notype;
        WORD_BITS       : integer := 2;
        RANK_BITS       : integer := 2;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_wu_resetb    : in     vl_logic;
        dh_wu_dis_scrub : in     vl_logic;
        co_wu_wdata_valid: in     vl_logic;
        co_wu_wdata     : in     vl_logic_vector;
        co_wu_wdata_mask: in     vl_logic_vector;
        co_wu_cerr      : in     vl_logic_vector(3 downto 0);
        co_wu_wdata_int_ecc: in     vl_logic_vector;
        co_wu_wdata_mask_int_ecc: in     vl_logic_vector;
        wu_co_wdata_stall: out    vl_logic;
        ih_wu_wr_valid  : in     vl_logic;
        ih_wu_rmw_type  : in     vl_logic_vector(1 downto 0);
        ih_wu_wr_entry_num: in     vl_logic_vector;
        ih_wu_critical_word: in     vl_logic_vector;
        co_wu_data_end  : in     vl_logic;
        te_wu_wr_retry  : in     vl_logic;
        te_wu_wr_combine: in     vl_logic;
        te_wu_entry_num : in     vl_logic_vector;
        mr_wu_free_wr_entry: in     vl_logic_vector;
        mr_wu_free_wr_entry_valid: in     vl_logic;
        reg_ddrc_burst_mode: in     vl_logic;
        ra_wu_rdata_int_ecc: in     vl_logic_vector;
        ra_wu_rdata_end : in     vl_logic;
        rd_wu_rdata_valid: in     vl_logic;
        rd_wu_rmw_type  : in     vl_logic_vector(1 downto 0);
        rd_wu_wr_ram_addr: in     vl_logic_vector;
        rd_wu_burst_chop_rd: in     vl_logic;
        rd_wu_nonblock  : in     vl_logic;
        rd_wu_bank_num  : in     vl_logic_vector;
        rd_wu_page_num  : in     vl_logic_vector;
        rd_wu_block_num : in     vl_logic_vector;
        rd_wu_ecc_corrected_err: in     vl_logic_vector(3 downto 0);
        rd_wu_ecc_uncorrected_err: in     vl_logic_vector(3 downto 0);
        wu_dh_corrected_errs: out    vl_logic_vector(3 downto 0);
        wu_dh_uncorrected_errs: out    vl_logic_vector(3 downto 0);
        mr_wu_cerr_addr : in     vl_logic_vector;
        mr_wu_raddr     : in     vl_logic_vector;
        wu_mr_rdata_mask: out    vl_logic_vector;
        wu_mr_rdata_mask_int_ecc: out    vl_logic_vector;
        rd_wu_rdata     : in     vl_logic_vector;
        wu_ih_flow_cntrl_req: out    vl_logic;
        wu_ih_scrub     : out    vl_logic;
        wu_ih_bank_num  : out    vl_logic_vector;
        wu_ih_page_num  : out    vl_logic_vector;
        wu_ih_block_num : out    vl_logic_vector;
        wu_te_enable_wr : out    vl_logic_vector(1 downto 0);
        wu_te_entry_num : out    vl_logic_vector;
        wu_me_wdata     : out    vl_logic_vector;
        wu_gs_enable_wr : out    vl_logic_vector(1 downto 0);
        wu_me_wdata_int_ecc: out    vl_logic_vector;
        wu_me_wdata_mask_int_ecc: out    vl_logic_vector;
        wu_mr_cerr      : out    vl_logic_vector(3 downto 0);
        wu_me_wmask     : out    vl_logic_vector;
        wu_me_wvalid    : out    vl_logic;
        wu_me_waddr     : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WRCAM_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDATA_RAM_ADDR_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of CORE_INT_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of WORD_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
end memc_wu_010;
