library verilog;
use verilog.vl_types.all;
entity memc_wu_wdata_if_010 is
    generic(
        WRCAM_ADDR_WIDTH: integer := 4;
        WRDATA_RAM_ADDR_WIDTH: vl_notype;
        CORE_DATA_WIDTH : integer := 64;
        CORE_MASK_WIDTH : integer := 8;
        CORE_INT_ECC_WIDTH: integer := 8;
        CORE_INT_ECC_MASK_WIDTH: vl_notype;
        WORD_BITS       : integer := 2
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_wu_resetb    : in     vl_logic;
        co_wu_wdata_valid: in     vl_logic;
        co_wu_wdata     : in     vl_logic_vector;
        co_wu_wdata_mask: in     vl_logic_vector;
        co_wu_cerr      : in     vl_logic_vector(3 downto 0);
        co_wu_wdata_int_ecc: in     vl_logic_vector;
        co_wu_wdata_mask_int_ecc: in     vl_logic_vector;
        ih_wu_wr_valid  : in     vl_logic;
        ih_wu_rmw_type  : in     vl_logic_vector(1 downto 0);
        ih_wu_wr_entry_num: in     vl_logic_vector;
        ih_wu_critical_word: in     vl_logic_vector;
        co_wu_data_end  : in     vl_logic;
        te_wu_wr_retry  : in     vl_logic;
        te_wu_wr_combine: in     vl_logic;
        te_wu_entry_num : in     vl_logic_vector;
        reg_ddrc_burst_mode: in     vl_logic;
        waddr_in        : out    vl_logic_vector;
        wdata_in        : out    vl_logic_vector;
        wdatamask_in    : out    vl_logic_vector;
        wdata_int_ecc_in: out    vl_logic_vector;
        wdata_mask_int_ecc_in: out    vl_logic_vector;
        wdata_valid_in  : out    vl_logic;
        wdata_end_in    : out    vl_logic;
        wu_ih_flow_cntrl_req: out    vl_logic;
        cerr_in         : out    vl_logic_vector(3 downto 0);
        rmw_type_in     : out    vl_logic_vector(1 downto 0);
        combine_vld_in  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WRCAM_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WRDATA_RAM_ADDR_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_MASK_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of WORD_BITS : constant is 1;
end memc_wu_wdata_if_010;
