library verilog;
use verilog.vl_types.all;
entity mr_data_steering_ecc_010 is
    generic(
        CORE_DATA_WIDTH : integer := 64;
        CORE_MASK_WIDTH : integer := 8;
        CORE_ECC_WIDTH  : integer := 8;
        CORE_ECC_MASK_WIDTH: vl_notype;
        PHY_DATA_WIDTH  : integer := 80;
        PHY_MASK_WIDTH  : vl_notype
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_mr_resetb    : in     vl_logic;
        dh_mr_ecc_mode  : in     vl_logic_vector(2 downto 0);
        dh_mr_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_mr_test_mode : in     vl_logic;
        dh_mr_mobile    : in     vl_logic;
        wu_mr_cerr      : in     vl_logic_vector(3 downto 0);
        ram_data_vld    : in     vl_logic;
        me_mr_rdata     : in     vl_logic_vector;
        me_mr_rdata_ecc : in     vl_logic_vector;
        me_mr_rdatamask : in     vl_logic_vector;
        me_mr_rdata_mask_ecc: in     vl_logic_vector;
        mr_ph_wdatamask : out    vl_logic_vector;
        mr_ph_wdatavld  : out    vl_logic;
        mr_ph_wdata     : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_MASK_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ECC_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of PHY_MASK_WIDTH : constant is 3;
end mr_data_steering_ecc_010;
