library verilog;
use verilog.vl_types.all;
entity mr_ecc_encoder is
    generic(
        CORE_DATA_WIDTH : integer := 64;
        CORE_MASK_WIDTH : integer := 8;
        CORE_ECC_WIDTH  : integer := 8;
        CORE_ECC_MASK_WIDTH: vl_notype;
        PHY_DATA_WIDTH  : integer := 80;
        PHY_MASK_WIDTH  : vl_notype
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_mr_resetb    : in     vl_logic;
        dh_mr_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_mr_ecc_mode  : in     vl_logic_vector(2 downto 0);
        data_in_valid   : in     vl_logic;
        data_in         : in     vl_logic_vector;
        data_mask_in    : in     vl_logic_vector;
        data_mask_out   : out    vl_logic_vector;
        data_out        : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_MASK_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ECC_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_ECC_MASK_WIDTH : constant is 3;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of PHY_MASK_WIDTH : constant is 3;
end mr_ecc_encoder;
