library verilog;
use verilog.vl_types.all;
entity mss_wrap_120 is
    port(
        hclk            : in     vl_logic;
        hresetn         : in     vl_logic;
        hsel            : in     vl_logic;
        hwrite          : in     vl_logic;
        hsize           : in     vl_logic_vector(2 downto 0);
        htrans1         : in     vl_logic;
        hready          : in     vl_logic;
        hwdata          : in     vl_logic_vector(31 downto 0);
        haddr           : in     vl_logic_vector(9 downto 0);
        hrdata          : out    vl_logic_vector(31 downto 0);
        hresp           : out    vl_logic;
        hreadyout       : out    vl_logic;
        pbits           : in     vl_logic_vector(1437 downto 0);
        ubits           : in     vl_logic_vector(58 downto 0);
        fbits           : in     vl_logic_vector(72 downto 0);
        testmode        : in     vl_logic;
        core_up         : in     vl_logic;
        SW_CC_ESRAMFWREMAP: out    vl_logic;
        SW_CC_ESRAM1FWREMAP: out    vl_logic;
        SW_MAX_LAT_ESRAM0: out    vl_logic_vector(2 downto 0);
        SW_MAX_LAT_ESRAM1: out    vl_logic_vector(2 downto 0);
        SW_CC_DDRFWREMAP: out    vl_logic;
        SW_ENVMREMAPSIZE: out    vl_logic_vector(4 downto 0);
        NV_FREQRNG      : out    vl_logic_vector(7 downto 0);
        NV_DPD0         : out    vl_logic;
        NV_DPD1         : out    vl_logic;
        ENVM_PERSIST    : out    vl_logic;
        ENVM_SENSE_ON   : out    vl_logic;
        SW_ENVMREMAPBASE: out    vl_logic_vector(18 downto 0);
        SW_ENVMFABREMAPBASE: out    vl_logic_vector(18 downto 0);
        CC_CACHE_ENB    : out    vl_logic;
        CC_SBUS_WR_MODE : out    vl_logic;
        CC_CACHE_LOCK   : out    vl_logic;
        CC_CACHE_REGION : out    vl_logic_vector(3 downto 0);
        CC_LOCK_BASEADD : out    vl_logic_vector(18 downto 0);
        CC_FLUSH_INDEX  : out    vl_logic_vector(5 downto 0);
        DDRB_TIMER      : out    vl_logic_vector(9 downto 0);
        DDRB_NB_ADDR    : out    vl_logic_vector(15 downto 0);
        DDRB_NB_SZ      : out    vl_logic_vector(3 downto 0);
        DDRB_DS_WEN     : out    vl_logic;
        DDRB_DS_REN     : out    vl_logic;
        DDRB_HPD_WEN    : out    vl_logic;
        DDRB_HPD_REN    : out    vl_logic;
        DDRB_SW_WEN     : out    vl_logic;
        DDRB_SW_REN     : out    vl_logic;
        DDRB_IDC_EN     : out    vl_logic;
        DDRB_BUF_SZ     : out    vl_logic;
        DDR_DS_MAP      : out    vl_logic_vector(3 downto 0);
        DDR_HPD_MAP     : out    vl_logic_vector(3 downto 0);
        DDR_SW_MAP      : out    vl_logic_vector(3 downto 0);
        DDR_IDC_MAP     : out    vl_logic_vector(3 downto 0);
        ESRAM0_EDAC_EN  : out    vl_logic;
        ESRAM1_EDAC_EN  : out    vl_logic;
        CC_EDAC_EN      : out    vl_logic;
        MAC_EDAC_TX_EN  : out    vl_logic;
        MAC_EDAC_RX_EN  : out    vl_logic;
        USB_EDAC_EN     : out    vl_logic;
        CAN_EDAC_EN     : out    vl_logic;
        SW_WEIGHT_IC    : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_S     : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_GIGE  : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB_0 : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_FAB_1 : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_PDMA  : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_HPDMA : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_USB   : out    vl_logic_vector(4 downto 0);
        SW_WEIGHT_G     : out    vl_logic_vector(4 downto 0);
        SOFTINTERRUPT   : out    vl_logic;
        ENVM0_SOFTRESET : out    vl_logic;
        ENVM1_SOFTRESET : out    vl_logic;
        ESRAM0_SOFTRESET: out    vl_logic;
        ESRAM1_SOFTRESET: out    vl_logic;
        MAC_SOFTRESET   : out    vl_logic;
        PDMA_SOFTRESET  : out    vl_logic;
        TIMER_SOFTRESET : out    vl_logic;
        MMUART0_SOFTRESET: out    vl_logic;
        MMUART1_SOFTRESET: out    vl_logic;
        G4SPI0_SOFTRESET: out    vl_logic;
        G4SPI1_SOFTRESET: out    vl_logic;
        I2C0_SOFTRESET  : out    vl_logic;
        I2C1_SOFTRESET  : out    vl_logic;
        CAN_SOFTRESET   : out    vl_logic;
        USB_SOFTRESET   : out    vl_logic;
        COMBLK_SOFTRESET: out    vl_logic;
        FPGA_SOFTRESET  : out    vl_logic;
        HPDMA_SOFTRESET : out    vl_logic;
        FIC32_0_SOFTRESET: out    vl_logic;
        FIC32_1_SOFTRESET: out    vl_logic;
        MSS_GPIO_SOFTRESET: out    vl_logic;
        MSS_GPOUT_7_0_SOFT_RESET: out    vl_logic;
        MSS_GPOUT_15_8_SOFT_RESET: out    vl_logic;
        MSS_GPOUT_23_16_SOFT_RESET: out    vl_logic;
        MSS_GPOUT_31_24_SOFT_RESET: out    vl_logic;
        MDDR_CTLR_SOFTRESET: out    vl_logic;
        MDDR_FIC64_SOFTRESET: out    vl_logic;
        STCALIB250      : out    vl_logic_vector(25 downto 0);
        STCLK_DIVISOR   : out    vl_logic_vector(1 downto 0);
        M3_MPU_DISABLE  : out    vl_logic;
        FAB0_AHB_BYPASS : out    vl_logic;
        FAB1_AHB_BYPASS : out    vl_logic;
        FAB0_AHB_MODE   : out    vl_logic;
        FAB1_AHB_MODE   : out    vl_logic;
        SW_FIC_REG_SEL  : out    vl_logic_vector(5 downto 0);
        MSS_MMUARTLOOPBACK: out    vl_logic;
        MSS_SPILOOPBACK : out    vl_logic;
        MSS_I2CLOOPBACK : out    vl_logic;
        MSS_GPIOLOOPBACK: out    vl_logic;
        MSS_GPIO_7_0_SYSRESET_SEL: out    vl_logic;
        MSS_GPIO_15_8_SYSRESET_SEL: out    vl_logic;
        MSS_GPIO_23_16_SYSRESET_SEL: out    vl_logic;
        MSS_GPIO_31_24_SYSRESET_SEL: out    vl_logic;
        MSS_GPINSOURCE  : out    vl_logic_vector(31 downto 0);
        MDDR_CONFIG_LOCAL: out    vl_logic;
        SDR_MODE        : out    vl_logic;
        F_AXI_AHB_MODE  : out    vl_logic;
        PHY_SELF_REF_EN : out    vl_logic;
        USB_IO_INPUT_SEL: out    vl_logic_vector(1 downto 0);
        SPI0_SCK_FAB_SEL: out    vl_logic;
        SPI1_SCK_FAB_SEL: out    vl_logic;
        TRACECLK_DIV2_SEL: out    vl_logic;
        G4_TESTWDOGENABLE: out    vl_logic;
        G4_TESTWDOGMODE : out    vl_logic;
        PCODE           : out    vl_logic_vector(5 downto 0);
        NCODE           : out    vl_logic_vector(5 downto 0);
        CALIB_TRIM      : out    vl_logic;
        CALIB_START     : out    vl_logic;
        CALIB_LOCK      : out    vl_logic;
        MSS_SPARE_OUT   : out    vl_logic_vector(15 downto 0);
        ESRAM0_EDAC_1E_EN: out    vl_logic;
        ESRAM0_EDAC_2E_EN: out    vl_logic;
        ESRAM1_EDAC_1E_EN: out    vl_logic;
        ESRAM1_EDAC_2E_EN: out    vl_logic;
        CC_EDAC_1E_EN   : out    vl_logic;
        CC_EDAC_2E_EN   : out    vl_logic;
        MAC_EDAC_TX_1E_EN: out    vl_logic;
        MAC_EDAC_TX_2E_EN: out    vl_logic;
        MAC_EDAC_RX_1E_EN: out    vl_logic;
        MAC_EDAC_RX_2E_EN: out    vl_logic;
        USB_EDAC_1E_EN  : out    vl_logic;
        USB_EDAC_2E_EN  : out    vl_logic;
        CAN_EDAC_1E_EN  : out    vl_logic;
        CAN_EDAC_2E_EN  : out    vl_logic;
        MDDR_ECC_INT_EN : out    vl_logic;
        USB_UTMI_SEL    : out    vl_logic;
        USB_DDR_SELECT  : out    vl_logic;
        ESRAM_PIPELINE_ENABLE: out    vl_logic;
        SW_INTERRUPT_EN : out    vl_logic_vector(6 downto 0);
        CC_INTERRUPT_EN : out    vl_logic_vector(2 downto 0);
        DDRB_INTERRUPT_EN: out    vl_logic_vector(9 downto 0);
        RTC_WAKEUP_M3_EN: out    vl_logic;
        RTC_WAKEUP_FAB_EN: out    vl_logic;
        RTC_WAKEUP_G4C_EN: out    vl_logic;
        ETH_LINE_SPEED  : out    vl_logic_vector(1 downto 0);
        ETH_PHY_MODE    : out    vl_logic_vector(2 downto 0);
        RGMII_TXC_DELAY_SEL: out    vl_logic_vector(3 downto 0);
        FACC_PLL_DIVR   : out    vl_logic_vector(5 downto 0);
        FACC_PLL_DIVF   : out    vl_logic_vector(9 downto 0);
        FACC_PLL_DIVQ   : out    vl_logic_vector(2 downto 0);
        FACC_PLL_RANGE  : out    vl_logic_vector(3 downto 0);
        FACC_PLL_LOCKWIN: out    vl_logic_vector(2 downto 0);
        FACC_PLL_LOCKCNT: out    vl_logic_vector(3 downto 0);
        FACC_PLL_BYPASS : out    vl_logic;
        FACC_PLL_MODE_1V2: out    vl_logic;
        FACC_PLL_MODE_3V3: out    vl_logic;
        FACC_PLL_FSE    : out    vl_logic;
        FACC_PLL_PD     : out    vl_logic;
        FACC_PLL_SSE    : out    vl_logic;
        FACC_PLL_SSMD   : out    vl_logic_vector(1 downto 0);
        FACC_PLL_SSMF   : out    vl_logic_vector(4 downto 0);
        DIVISOR_A       : out    vl_logic_vector(1 downto 0);
        APB0_DIVISOR    : out    vl_logic_vector(2 downto 0);
        APB1_DIVISOR    : out    vl_logic_vector(2 downto 0);
        DDR_CLK_EN      : out    vl_logic;
        FCLK_DIVISOR    : out    vl_logic_vector(2 downto 0);
        FACC_GLMUX_SEL  : out    vl_logic;
        FIC32_0_DIVISOR : out    vl_logic_vector(2 downto 0);
        FIC32_1_DIVISOR : out    vl_logic_vector(2 downto 0);
        FIC64_DIVISOR   : out    vl_logic_vector(2 downto 0);
        BASE_DIVISOR    : out    vl_logic_vector(2 downto 0);
        PERSIST_CC      : out    vl_logic;
        CONTROLLER_PLL_INIT: out    vl_logic;
        FACC_FAB_REF_SEL: out    vl_logic;
        RTC_CLK_SEL     : out    vl_logic_vector(1 downto 0);
        FACC_SRC_SEL    : out    vl_logic_vector(2 downto 0);
        FACC_PRE_SRC_SEL: out    vl_logic;
        FACC_STANDBY_SEL: out    vl_logic_vector(2 downto 0);
        MSS_25_50MHZ_EN : out    vl_logic;
        MSS_1MHZ_EN     : out    vl_logic;
        MSS_CLK_ENVM_EN : out    vl_logic;
        MSS_XTAL_EN     : out    vl_logic;
        MSS_XTAL_RTC_EN : out    vl_logic;
        MPLL_LOCK_EN    : out    vl_logic;
        MPLL_LOCK_LOST_EN: out    vl_logic;
        FAB_PLL_LOCK_EN : out    vl_logic;
        FAB_PLL_LOCK_LOST_EN: out    vl_logic;
        FAB_CALIB_START : out    vl_logic;
        PLL_REF_DEL_SEL : out    vl_logic_vector(1 downto 0);
        PLL_FB_DEL_SEL  : out    vl_logic_vector(1 downto 0);
        MAC_STAT_CLRONRD: out    vl_logic;
        PO_RESET_DETECT : out    vl_logic;
        CONTROLLER_RESET_DETECT: out    vl_logic;
        CONTROLLER_M3_RESET_DETECT: out    vl_logic;
        SOFT_RESET_DETECT: out    vl_logic;
        LOCKUP_RESET_DETECT: out    vl_logic;
        WDOG_RESET_DETECT: out    vl_logic;
        USER_RESET_DETECT: out    vl_logic;
        USER_M3_RESET_DETECT: out    vl_logic;
        CC_DC_ERR_ADDR  : in     vl_logic_vector(31 downto 0);
        CC_IC_ERR_ADDR  : in     vl_logic_vector(31 downto 0);
        CC_SB_ERR_ADDR  : in     vl_logic_vector(31 downto 0);
        CC_DECC_ERR_1E_ADD: in     vl_logic_vector(5 downto 0);
        CC_DECC_ERR_2E_ADD: in     vl_logic_vector(5 downto 0);
        CC_IC_MISS_CNT  : in     vl_logic_vector(31 downto 0);
        CC_IC_HIT_CNT   : in     vl_logic_vector(31 downto 0);
        CC_DC_MISS_CNT  : in     vl_logic_vector(31 downto 0);
        CC_DC_HIT_CNT   : in     vl_logic_vector(31 downto 0);
        CC_IC_TRANS_CNT : in     vl_logic_vector(31 downto 0);
        CC_DC_TRANS_CNT : in     vl_logic_vector(31 downto 0);
        DDRB_DS_ERR_ADD : in     vl_logic_vector(31 downto 0);
        DDRB_HPD_ERR_ADD: in     vl_logic_vector(31 downto 0);
        DDRB_SW_ERR_ADD : in     vl_logic_vector(31 downto 0);
        DDRB_DS_WBEMPTY : in     vl_logic;
        DDRB_DS_RBEMPTY : in     vl_logic;
        DDRB_SW_WBEMPTY : in     vl_logic;
        DDRB_SW_RBEMPTY : in     vl_logic;
        DDRB_HPD_WBEMPTY: in     vl_logic;
        DDRB_HPD_RBEMPTY: in     vl_logic;
        DDRB_IDC_RBEMPTY: in     vl_logic;
        DDRB_DS_WDSBL_DN: in     vl_logic;
        DDRB_DS_RDSBL_DN: in     vl_logic;
        DDRB_SW_WDSBL_DN: in     vl_logic;
        DDRB_SW_RDSBL_DN: in     vl_logic;
        DDRB_HPD_WDSBL_DN: in     vl_logic;
        DDRB_HPD_RDSBL_DN: in     vl_logic;
        DDRB_IDC_DSBL_DN: in     vl_logic;
        ESRAM0_EDAC_CNT_1E: in     vl_logic_vector(15 downto 0);
        ESRAM0_EDAC_CNT_2E: in     vl_logic_vector(15 downto 0);
        ESRAM1_EDAC_CNT_1E: in     vl_logic_vector(15 downto 0);
        ESRAM1_EDAC_CNT_2E: in     vl_logic_vector(15 downto 0);
        CC_EDAC_CNT_1E  : in     vl_logic_vector(15 downto 0);
        CC_EDAC_CNT_2E  : in     vl_logic_vector(15 downto 0);
        MAC_EDAC_TX_CNT_1E: in     vl_logic_vector(15 downto 0);
        MAC_EDAC_TX_CNT_2E: in     vl_logic_vector(15 downto 0);
        MAC_EDAC_RX_CNT_1E: in     vl_logic_vector(15 downto 0);
        MAC_EDAC_RX_CNT_2E: in     vl_logic_vector(15 downto 0);
        USB_EDAC_CNT_1E : in     vl_logic_vector(15 downto 0);
        USB_EDAC_CNT_2E : in     vl_logic_vector(15 downto 0);
        CAN_EDAC_CNT_1E : in     vl_logic_vector(15 downto 0);
        CAN_EDAC_CNT_2E : in     vl_logic_vector(15 downto 0);
        ESRAM0_EDAC_1E_AD: in     vl_logic_vector(12 downto 0);
        ESRAM0_EDAC_2E_AD: in     vl_logic_vector(12 downto 0);
        ESRAM1_EDAC_1E_AD: in     vl_logic_vector(12 downto 0);
        ESRAM1_EDAC_2E_AD: in     vl_logic_vector(12 downto 0);
        MAC_EDAC_RX_1E_AD: in     vl_logic_vector(10 downto 0);
        MAC_EDAC_RX_2E_AD: in     vl_logic_vector(10 downto 0);
        MAC_EDAC_TX_1E_AD: in     vl_logic_vector(9 downto 0);
        MAC_EDAC_TX_2E_AD: in     vl_logic_vector(9 downto 0);
        CAN_EDAC_1E_AD  : in     vl_logic_vector(8 downto 0);
        CAN_EDAC_2E_AD  : in     vl_logic_vector(8 downto 0);
        USB_EDAC_1E_AD  : in     vl_logic_vector(10 downto 0);
        USB_EDAC_2E_AD  : in     vl_logic_vector(10 downto 0);
        MM0_1_2_MS0_ALLOWED_R: out    vl_logic;
        MM0_1_2_MS0_ALLOWED_W: out    vl_logic;
        MM0_1_2_MS1_ALLOWED_R: out    vl_logic;
        MM0_1_2_MS1_ALLOWED_W: out    vl_logic;
        MM0_1_2_MS2_ALLOWED_R: out    vl_logic;
        MM0_1_2_MS2_ALLOWED_W: out    vl_logic;
        MM0_1_2_MS3_ALLOWED_R: out    vl_logic;
        MM0_1_2_MS3_ALLOWED_W: out    vl_logic;
        MM0_1_2_MS6_ALLOWED_R: out    vl_logic;
        MM0_1_2_MS6_ALLOWED_W: out    vl_logic;
        MM4_5_FIC64_MS0_ALLOWED_R: out    vl_logic;
        MM4_5_FIC64_MS0_ALLOWED_W: out    vl_logic;
        MM4_5_FIC64_MS1_ALLOWED_R: out    vl_logic;
        MM4_5_FIC64_MS1_ALLOWED_W: out    vl_logic;
        MM4_5_FIC64_MS2_ALLOWED_R: out    vl_logic;
        MM4_5_FIC64_MS2_ALLOWED_W: out    vl_logic;
        MM4_5_FIC64_MS3_ALLOWED_R: out    vl_logic;
        MM4_5_FIC64_MS3_ALLOWED_W: out    vl_logic;
        MM4_5_FIC64_MS6_ALLOWED_R: out    vl_logic;
        MM4_5_FIC64_MS6_ALLOWED_W: out    vl_logic;
        MM3_6_7_8_MS0_ALLOWED_R: out    vl_logic;
        MM3_6_7_8_MS0_ALLOWED_W: out    vl_logic;
        MM3_6_7_8_MS1_ALLOWED_R: out    vl_logic;
        MM3_6_7_8_MS1_ALLOWED_W: out    vl_logic;
        MM3_6_7_8_MS2_ALLOWED_R: out    vl_logic;
        MM3_6_7_8_MS2_ALLOWED_W: out    vl_logic;
        MM3_6_7_8_MS3_ALLOWED_R: out    vl_logic;
        MM3_6_7_8_MS3_ALLOWED_W: out    vl_logic;
        MM3_6_7_8_MS6_ALLOWED_R: out    vl_logic;
        MM3_6_7_8_MS6_ALLOWED_W: out    vl_logic;
        MM9_MS0_ALLOWED_R: out    vl_logic;
        MM9_MS0_ALLOWED_W: out    vl_logic;
        MM9_MS1_ALLOWED_R: out    vl_logic;
        MM9_MS1_ALLOWED_W: out    vl_logic;
        MM9_MS2_ALLOWED_R: out    vl_logic;
        MM9_MS2_ALLOWED_W: out    vl_logic;
        MM9_MS3_ALLOWED_R: out    vl_logic;
        MM9_MS3_ALLOWED_W: out    vl_logic;
        MM9_MS6_ALLOWED_R: out    vl_logic;
        MM9_MS6_ALLOWED_W: out    vl_logic;
        CURRPRI         : in     vl_logic_vector(7 downto 0);
        ETMCOUNT_31_0   : in     vl_logic_vector(31 downto 0);
        ETMCOUNT_47_32  : in     vl_logic_vector(15 downto 0);
        ETMINTNUM       : in     vl_logic_vector(8 downto 0);
        ETMINTSTAT      : in     vl_logic_vector(2 downto 0);
        CORE_UP_SYNC    : in     vl_logic;
        VIRGIN_PART     : in     vl_logic;
        FF_IN_PROGRESS_SYNC: in     vl_logic;
        WATCHDOG_FREEZE_SYNC: in     vl_logic;
        FLASH_VALID_SYNC: in     vl_logic;
        M3_DISABLE      : out    vl_logic;
        M3_DEBUG_ENABLE : out    vl_logic;
        NVM0_LOWER_M3ACCESS: out    vl_logic;
        NVM0_LOWER_FABRIC_ACCESS: out    vl_logic;
        NVM0_LOWER_OTHERS_ACCESS: out    vl_logic;
        NVM0_LOWER_WRITE_ALLOWED: out    vl_logic;
        NVM0_UPPER_M3ACCESS: out    vl_logic;
        NVM0_UPPER_FABRIC_ACCESS: out    vl_logic;
        NVM0_UPPER_OTHERS_ACCESS: out    vl_logic;
        NVM0_UPPER_WRITE_ALLOWED: out    vl_logic;
        NVM1_LOWER_M3ACCESS: out    vl_logic;
        NVM1_LOWER_FABRIC_ACCESS: out    vl_logic;
        NVM1_LOWER_OTHERS_ACCESS: out    vl_logic;
        NVM1_LOWER_WRITE_ALLOWED: out    vl_logic;
        NVM1_UPPER_M3ACCESS: out    vl_logic;
        NVM1_UPPER_FABRIC_ACCESS: out    vl_logic;
        NVM1_UPPER_OTHERS_ACCESS: out    vl_logic;
        NVM1_UPPER_WRITE_ALLOWED: out    vl_logic;
        CODE_SHADOW_EN  : out    vl_logic;
        IDP             : in     vl_logic_vector(15 downto 0);
        IDV             : in     vl_logic_vector(3 downto 0);
        FAB_PLL_LOCK    : in     vl_logic;
        MPLL_LOCK       : in     vl_logic;
        RCOSC_DIV2      : in     vl_logic;
        POWERDN         : in     vl_logic;
        LPI_CARKIT_EN   : in     vl_logic;
        ENVM_BUSY       : in     vl_logic_vector(1 downto 0);
        MSS_SPARE_IN    : in     vl_logic_vector(15 downto 0);
        DDRB_DEBUG_STATUS: in     vl_logic_vector(31 downto 0);
        CALIB_STATUS    : in     vl_logic;
        CALIB_NCODE     : in     vl_logic_vector(5 downto 0);
        CALIB_PCODE     : in     vl_logic_vector(5 downto 0);
        CALIB_NCOMP     : in     vl_logic;
        CALIB_PCOMP     : in     vl_logic;
        FAB_CALIB_FAIL  : in     vl_logic;
        G4_TESTWDOGLOAD : out    vl_logic_vector(25 downto 0);
        G4_TESTWDOGMVRP : out    vl_logic_vector(31 downto 0);
        CONFIG_REG0     : out    vl_logic_vector(31 downto 0);
        CONFIG_REG1     : out    vl_logic_vector(31 downto 0);
        CONFIG_REG2     : out    vl_logic_vector(31 downto 0);
        CONFIG_REG3     : out    vl_logic_vector(31 downto 0);
        SW_PROTREGIONSIZE: out    vl_logic_vector(4 downto 0);
        SW_PROTREGIONBASE: out    vl_logic_vector(31 downto 0);
        MSS_GPIO_7_0_DEF: out    vl_logic;
        MSS_GPIO_15_8_DEF: out    vl_logic;
        MSS_GPIO_23_16_DEF: out    vl_logic;
        MSS_GPIO_31_24_DEF: out    vl_logic;
        ESRAM0_EDAC_1E_SET: in     vl_logic;
        ESRAM0_EDAC_1E  : out    vl_logic;
        ESRAM0_EDAC_2E_SET: in     vl_logic;
        ESRAM0_EDAC_2E  : out    vl_logic;
        ESRAM1_EDAC_1E_SET: in     vl_logic;
        ESRAM1_EDAC_1E  : out    vl_logic;
        ESRAM1_EDAC_2E_SET: in     vl_logic;
        ESRAM1_EDAC_2E  : out    vl_logic;
        CC_EDAC_1E_SET  : in     vl_logic;
        CC_EDAC_1E      : out    vl_logic;
        CC_EDAC_2E_SET  : in     vl_logic;
        CC_EDAC_2E      : out    vl_logic;
        MAC_EDAC_TX_1E_SET: in     vl_logic;
        MAC_EDAC_TX_1E  : out    vl_logic;
        MAC_EDAC_TX_2E_SET: in     vl_logic;
        MAC_EDAC_TX_2E  : out    vl_logic;
        MAC_EDAC_RX_1E_SET: in     vl_logic;
        MAC_EDAC_RX_1E  : out    vl_logic;
        MAC_EDAC_RX_2E_SET: in     vl_logic;
        MAC_EDAC_RX_2E  : out    vl_logic;
        USB_EDAC_1E_SET : in     vl_logic;
        USB_EDAC_1E     : out    vl_logic;
        USB_EDAC_2E_SET : in     vl_logic;
        USB_EDAC_2E     : out    vl_logic;
        CAN_EDAC_1E_SET : in     vl_logic;
        CAN_EDAC_1E     : out    vl_logic;
        CAN_EDAC_2E_SET : in     vl_logic;
        CAN_EDAC_2E     : out    vl_logic;
        MPLL_LOCK_INT_SET: in     vl_logic;
        MPLL_LOCK_INT   : out    vl_logic;
        MPLL_LOCKLOST_INT_SET: in     vl_logic;
        MPLL_LOCKLOST_INT: out    vl_logic;
        FAB_PLL_LOCK_INT_SET: in     vl_logic;
        FAB_PLL_LOCK_INT: out    vl_logic;
        FAB_PLL_LOCKLOST_INT_SET: in     vl_logic;
        FAB_PLL_LOCKLOST_INT: out    vl_logic;
        MDDR_IO_CALIB_INT_SET: in     vl_logic;
        MDDR_IO_CALIB_INT: out    vl_logic;
        MDDR_ECC_INT_SET: in     vl_logic;
        MDDR_ECC_INT    : out    vl_logic;
        FIC64_INT_SET   : in     vl_logic;
        FIC64_INT       : out    vl_logic;
        SW_ERRORSTATUS_SET: in     vl_logic_vector(6 downto 0);
        SW_ERRORSTATUS  : out    vl_logic_vector(6 downto 0);
        DDRB_RDWR_ERR_REG_SET: in     vl_logic_vector(5 downto 0);
        DDRB_RDWR_ERR_REG: out    vl_logic_vector(5 downto 0);
        DDRB_DS_WR_ERR_SET: in     vl_logic;
        DDRB_DS_WR_ERR  : out    vl_logic;
        DDRB_SW_WR_ERR_SET: in     vl_logic;
        DDRB_SW_WR_ERR  : out    vl_logic;
        DDRB_HPD_WR_ERR_SET: in     vl_logic;
        DDRB_HPD_WR_ERR : out    vl_logic;
        DDRB_LCKOUT_SET : in     vl_logic;
        DDRB_LCKOUT     : out    vl_logic;
        DDRB_LOCK_MID_SET: in     vl_logic;
        DDRB_LOCK_MID   : out    vl_logic;
        CC_HRESP_ERR_SET: in     vl_logic_vector(2 downto 0);
        CC_HRESP_ERR    : out    vl_logic_vector(2 downto 0);
        WDOGTIMEOUTEVENT_SET: in     vl_logic;
        WDOGTIMEOUTEVENT: out    vl_logic;
        CC_IC_MISS_CNTCLR: out    vl_logic;
        CC_IC_HIT_CNTCLR: out    vl_logic;
        CC_DC_MISS_CNTCLR: out    vl_logic;
        CC_DC_HIT_CNTCLR: out    vl_logic;
        CC_IC_TRANS_CNTCLR: out    vl_logic;
        CC_DC_TRANS_CNTCLR: out    vl_logic;
        ESRAM0_EDAC_CNTCLR_1E: out    vl_logic;
        ESRAM0_EDAC_CNTCLR_2E: out    vl_logic;
        ESRAM1_EDAC_CNTCLR_1E: out    vl_logic;
        ESRAM1_EDAC_CNTCLR_2E: out    vl_logic;
        CC_EDAC_CNTCLR_1E: out    vl_logic;
        CC_EDAC_CNTCLR_2E: out    vl_logic;
        MAC_EDAC_TX_CNTCLR_1E: out    vl_logic;
        MAC_EDAC_TX_CNTCLR_2E: out    vl_logic;
        MAC_EDAC_RX_CNTCLR_1E: out    vl_logic;
        MAC_EDAC_RX_CNTCLR_2E: out    vl_logic;
        USB_EDAC_CNTCLR_1E: out    vl_logic;
        USB_EDAC_CNTCLR_2E: out    vl_logic;
        CAN_EDAC_CNTCLR_1E: out    vl_logic;
        CAN_EDAC_CNTCLR_2E: out    vl_logic;
        CC_FLUSH_CACHE  : out    vl_logic;
        CC_FLUSH_CHLINE : out    vl_logic;
        DDRB_FLSHDS     : out    vl_logic;
        DDRB_FLSHHPD    : out    vl_logic;
        DDRB_FLSHSW     : out    vl_logic;
        DDRB_INVALID_DS : out    vl_logic;
        DDRB_INVALID_SW : out    vl_logic;
        DDRB_INVALID_HPD: out    vl_logic;
        DDRB_INVALID_IDC: out    vl_logic;
        MAC_STAT_CLR    : out    vl_logic;
        MSS_IOMUXSEL0   : out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL1   : out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL2   : out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL3   : out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4UPPER: out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4MID: out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL4LOWER: out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5UPPER: out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5MID: out    vl_logic_vector(56 downto 0);
        MSS_IOMUXSEL5LOWER: out    vl_logic_vector(56 downto 0);
        NVM0F_LOWER_M3ACCESS: out    vl_logic;
        NVM0F_LOWER_FABRIC_ACCESS: out    vl_logic;
        NVM0F_LOWER_OTHERS_ACCESS: out    vl_logic;
        NVM0F_LOWER_WRITE_ALLOWED: out    vl_logic;
        NVM0F_UPPER_M3ACCESS: out    vl_logic;
        NVM0F_UPPER_FABRIC_ACCESS: out    vl_logic;
        NVM0F_UPPER_OTHERS_ACCESS: out    vl_logic;
        NVM0F_UPPER_WRITE_ALLOWED: out    vl_logic;
        NVM1F_LOWER_M3ACCESS: out    vl_logic;
        NVM1F_LOWER_FABRIC_ACCESS: out    vl_logic;
        NVM1F_LOWER_OTHERS_ACCESS: out    vl_logic;
        NVM1F_LOWER_WRITE_ALLOWED: out    vl_logic;
        NVM1F_UPPER_M3ACCESS: out    vl_logic;
        NVM1F_UPPER_FABRIC_ACCESS: out    vl_logic;
        NVM1F_UPPER_OTHERS_ACCESS: out    vl_logic;
        NVM1F_UPPER_WRITE_ALLOWED: out    vl_logic;
        G4_FACTORY_TEST_MODE: out    vl_logic;
        M3_ALLOWED      : out    vl_logic;
        CAN_ALLOWED     : out    vl_logic;
        ENVM1_PRESENT   : in     vl_logic;
        ENVM_BLOCK_SIZE : out    vl_logic_vector(1 downto 0);
        FIC32_1_DISABLE : in     vl_logic;
        MBIST_ES0_ADDR0 : in     vl_logic_vector(12 downto 0);
        MBIST_ES0_ADDR1 : in     vl_logic_vector(12 downto 0);
        MBIST_ES0_COUNT : in     vl_logic_vector(1 downto 0);
        MBIST_ES1_ADDR0 : in     vl_logic_vector(12 downto 0);
        MBIST_ES1_ADDR1 : in     vl_logic_vector(12 downto 0);
        MBIST_ES1_COUNT : in     vl_logic_vector(1 downto 0);
        PLL_TEST_MODE   : out    vl_logic;
        RED_ESRAM0_ADDR0: out    vl_logic_vector(12 downto 0);
        RED_ESRAM0_ADDR1: out    vl_logic_vector(12 downto 0);
        RED_ESRAM1_ADDR0: out    vl_logic_vector(12 downto 0);
        RED_ESRAM1_ADDR1: out    vl_logic_vector(12 downto 0);
        SERDESIF0_GEN2  : out    vl_logic;
        SERDESIF1_GEN2  : out    vl_logic;
        sysreset_n      : in     vl_logic;
        poreset_n       : in     vl_logic;
        cc_reset_n      : in     vl_logic;
        po_reset_fclk_n : in     vl_logic;
        sc_mss_reset_fclk_n: in     vl_logic;
        m3_reset_fclk_n : in     vl_logic;
        sysresetreq_del2_n: in     vl_logic;
        lockup_del2_n   : in     vl_logic;
        wdogtimeout_fclk_n: in     vl_logic;
        user_mss_reset_fclk_n: in     vl_logic;
        fab_m3_reset_fclk_n: in     vl_logic
    );
end mss_wrap_120;
