library verilog;
use verilog.vl_types.all;
entity p2a_axi_cdc_m is
    generic(
        DATA_WIDTH      : integer := 128;
        AXI_CDC_ENABLE  : integer := 1;
        ADDR_WIDTH      : integer := 32;
        ID_BITS         : integer := 8
    );
    port(
        aclk            : in     vl_logic;
        arstn           : in     vl_logic;
        asrst           : in     vl_logic;
        bclk            : in     vl_logic;
        brstn           : in     vl_logic;
        bsrst           : in     vl_logic;
        m_arid          : out    vl_logic_vector;
        m_araddr        : out    vl_logic_vector;
        m_arlen         : out    vl_logic_vector(3 downto 0);
        m_arsize        : out    vl_logic_vector(2 downto 0);
        m_arburst       : out    vl_logic_vector(1 downto 0);
        m_arlock        : out    vl_logic_vector(1 downto 0);
        m_arcache       : out    vl_logic_vector(3 downto 0);
        m_arprot        : out    vl_logic_vector(2 downto 0);
        m_arvalid       : out    vl_logic;
        m_rready        : out    vl_logic;
        m_awid          : out    vl_logic_vector;
        m_awaddr        : out    vl_logic_vector;
        m_awlen         : out    vl_logic_vector(3 downto 0);
        m_awsize        : out    vl_logic_vector(2 downto 0);
        m_awburst       : out    vl_logic_vector(1 downto 0);
        m_awlock        : out    vl_logic_vector(1 downto 0);
        m_awcache       : out    vl_logic_vector(3 downto 0);
        m_awprot        : out    vl_logic_vector(2 downto 0);
        m_awvalid       : out    vl_logic;
        m_wid           : out    vl_logic_vector;
        m_wdata         : out    vl_logic_vector;
        m_wstrb         : out    vl_logic_vector;
        m_wlast         : out    vl_logic;
        m_wvalid        : out    vl_logic;
        m_bready        : out    vl_logic;
        m_arready       : in     vl_logic;
        m_rid           : in     vl_logic_vector;
        m_rdata         : in     vl_logic_vector;
        m_rresp         : in     vl_logic_vector(1 downto 0);
        m_rlast         : in     vl_logic;
        m_rvalid        : in     vl_logic;
        m_awready       : in     vl_logic;
        m_wready        : in     vl_logic;
        m_bid           : in     vl_logic_vector;
        m_bresp         : in     vl_logic_vector(1 downto 0);
        m_bvalid        : in     vl_logic;
        m_rlfbe         : out    vl_logic_vector(7 downto 0);
        m_wlfbe         : out    vl_logic_vector(7 downto 0);
        b_arid          : in     vl_logic_vector;
        b_araddr        : in     vl_logic_vector;
        b_arlen         : in     vl_logic_vector(3 downto 0);
        b_arsize        : in     vl_logic_vector(2 downto 0);
        b_arburst       : in     vl_logic_vector(1 downto 0);
        b_arlock        : in     vl_logic_vector(1 downto 0);
        b_arcache       : in     vl_logic_vector(3 downto 0);
        b_arprot        : in     vl_logic_vector(2 downto 0);
        b_arvalid       : in     vl_logic;
        b_rready        : in     vl_logic;
        b_awid          : in     vl_logic_vector;
        b_awaddr        : in     vl_logic_vector;
        b_awlen         : in     vl_logic_vector(3 downto 0);
        b_awsize        : in     vl_logic_vector(2 downto 0);
        b_awburst       : in     vl_logic_vector(1 downto 0);
        b_awlock        : in     vl_logic_vector(1 downto 0);
        b_awcache       : in     vl_logic_vector(3 downto 0);
        b_awprot        : in     vl_logic_vector(2 downto 0);
        b_awvalid       : in     vl_logic;
        b_wid           : in     vl_logic_vector;
        b_wdata         : in     vl_logic_vector;
        b_wstrb         : in     vl_logic_vector;
        b_wlast         : in     vl_logic;
        b_wvalid        : in     vl_logic;
        b_bready        : in     vl_logic;
        b_arready       : out    vl_logic;
        b_rid           : out    vl_logic_vector;
        b_rdata         : out    vl_logic_vector;
        b_rresp         : out    vl_logic_vector(1 downto 0);
        b_rlast         : out    vl_logic;
        b_rvalid        : out    vl_logic;
        b_awready       : out    vl_logic;
        b_wready        : out    vl_logic;
        b_bid           : out    vl_logic_vector;
        b_bresp         : out    vl_logic_vector(1 downto 0);
        b_bvalid        : out    vl_logic;
        b_rlfbe         : in     vl_logic_vector(7 downto 0);
        b_wlfbe         : in     vl_logic_vector(7 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ID_BITS : constant is 1;
end p2a_axi_cdc_m;
