library verilog;
use verilog.vl_types.all;
entity p2a_axi_cdc_s_075 is
    generic(
        DATA_WIDTH      : integer := 128;
        AXI_CDC_ENABLE  : integer := 1;
        ADDR_WIDTH      : integer := 32;
        ID_BITS         : integer := 8
    );
    port(
        aclk            : in     vl_logic;
        arstn           : in     vl_logic;
        asrst           : in     vl_logic;
        bclk            : in     vl_logic;
        brstn           : in     vl_logic;
        bsrst           : in     vl_logic;
        s_arid          : in     vl_logic_vector;
        s_araddr        : in     vl_logic_vector;
        s_arparam       : in     vl_logic_vector(3 downto 0);
        s_arlen         : in     vl_logic_vector(3 downto 0);
        s_arsize        : in     vl_logic_vector(2 downto 0);
        s_arburst       : in     vl_logic_vector(1 downto 0);
        s_arlock        : in     vl_logic_vector(1 downto 0);
        s_arcache       : in     vl_logic_vector(3 downto 0);
        s_arprot        : in     vl_logic_vector(2 downto 0);
        s_arvalid       : in     vl_logic;
        s_rready        : in     vl_logic;
        s_awid          : in     vl_logic_vector;
        s_awaddr        : in     vl_logic_vector;
        s_awparam       : in     vl_logic_vector(3 downto 0);
        s_awlen         : in     vl_logic_vector(3 downto 0);
        s_awsize        : in     vl_logic_vector(2 downto 0);
        s_awburst       : in     vl_logic_vector(1 downto 0);
        s_awlock        : in     vl_logic_vector(1 downto 0);
        s_awcache       : in     vl_logic_vector(3 downto 0);
        s_awprot        : in     vl_logic_vector(2 downto 0);
        s_awvalid       : in     vl_logic;
        s_wid           : in     vl_logic_vector;
        s_wdata         : in     vl_logic_vector;
        s_wstrb         : in     vl_logic_vector;
        s_wlast         : in     vl_logic;
        s_wvalid        : in     vl_logic;
        s_bready        : in     vl_logic;
        s_arready       : out    vl_logic;
        s_rid           : out    vl_logic_vector;
        s_rdata         : out    vl_logic_vector;
        s_rresp         : out    vl_logic_vector(1 downto 0);
        s_rcrs          : out    vl_logic;
        s_rlast         : out    vl_logic;
        s_rvalid        : out    vl_logic;
        s_awready       : out    vl_logic;
        s_wready        : out    vl_logic;
        s_bid           : out    vl_logic_vector;
        s_bresp         : out    vl_logic_vector(1 downto 0);
        s_bcrs          : out    vl_logic;
        s_bvalid        : out    vl_logic;
        b_arid          : out    vl_logic_vector;
        b_araddr        : out    vl_logic_vector;
        b_arparam       : out    vl_logic_vector(3 downto 0);
        b_arlen         : out    vl_logic_vector(3 downto 0);
        b_arsize        : out    vl_logic_vector(2 downto 0);
        b_arburst       : out    vl_logic_vector(1 downto 0);
        b_arlock        : out    vl_logic_vector(1 downto 0);
        b_arcache       : out    vl_logic_vector(3 downto 0);
        b_arprot        : out    vl_logic_vector(2 downto 0);
        b_arvalid       : out    vl_logic;
        b_rready        : out    vl_logic;
        b_awid          : out    vl_logic_vector;
        b_awaddr        : out    vl_logic_vector;
        b_awparam       : out    vl_logic_vector(3 downto 0);
        b_awlen         : out    vl_logic_vector(3 downto 0);
        b_awsize        : out    vl_logic_vector(2 downto 0);
        b_awburst       : out    vl_logic_vector(1 downto 0);
        b_awlock        : out    vl_logic_vector(1 downto 0);
        b_awcache       : out    vl_logic_vector(3 downto 0);
        b_awprot        : out    vl_logic_vector(2 downto 0);
        b_awvalid       : out    vl_logic;
        b_wid           : out    vl_logic_vector;
        b_wdata         : out    vl_logic_vector;
        b_wstrb         : out    vl_logic_vector;
        b_wlast         : out    vl_logic;
        b_wvalid        : out    vl_logic;
        b_bready        : out    vl_logic;
        b_arready       : in     vl_logic;
        b_rid           : in     vl_logic_vector;
        b_rdata         : in     vl_logic_vector;
        b_rresp         : in     vl_logic_vector(1 downto 0);
        b_rcrs          : in     vl_logic;
        b_rlast         : in     vl_logic;
        b_rvalid        : in     vl_logic;
        b_awready       : in     vl_logic;
        b_wready        : in     vl_logic;
        b_bid           : in     vl_logic_vector;
        b_bresp         : in     vl_logic_vector(1 downto 0);
        b_bcrs          : in     vl_logic;
        b_bvalid        : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of AXI_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ID_BITS : constant is 1;
end p2a_axi_cdc_s_075;
