library verilog;
use verilog.vl_types.all;
entity p2a_axitop is
    generic(
        SRAM_MODE       : integer := 1;
        MID_BITS        : integer := 8;
        SID_BITS        : integer := 8;
        INT_BITS        : integer := 4;
        SR_MOT          : integer := 3;
        TX_BUF          : integer := 8;
        RX_BUF          : integer := 10;
        NB_LANE         : integer := 1;
        M_ADDR_WIDTH    : integer := 32;
        S_ADDR_WIDTH    : integer := 32;
        ADDER_SLV_WD    : integer := 0;
        CFG_IO_AXI_ENABLE: integer := 0;
        APB_CDC_ENABLE  : integer := 1
    );
    port(
        clk             : in     vl_logic;
        npor            : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        apb_clk         : in     vl_logic;
        apb_rstn        : in     vl_logic;
        apb_srst        : in     vl_logic;
        k_bridge        : in     vl_logic_vector(31 downto 0);
        k_fix           : in     vl_logic_vector(31 downto 0);
        k_pciconf       : in     vl_logic_vector(127 downto 0);
        k_aspmconf      : in     vl_logic_vector(63 downto 0);
        k_axi_master_window0: in     vl_logic_vector(127 downto 0);
        k_axi_master_window1: in     vl_logic_vector(127 downto 0);
        k_axi_master_window2: in     vl_logic_vector(127 downto 0);
        k_axi_master_window3: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window0: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window1: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window2: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window3: in     vl_logic_vector(127 downto 0);
        k_bar01_size    : in     vl_logic_vector(63 downto 0);
        k_bar23_size    : in     vl_logic_vector(63 downto 0);
        k_bar45_size    : in     vl_logic_vector(63 downto 0);
        k_prefetchable_io_window: in     vl_logic_vector(3 downto 0);
        k_pmconf        : in     vl_logic_vector(95 downto 0);
        k_vco_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vco_nonposted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_nonposted_credit: in     vl_logic_vector(31 downto 0);
        k_slotcap       : in     vl_logic_vector(31 downto 0);
        k_timeout_completion: in     vl_logic_vector(31 downto 0);
        k_msi_addr      : in     vl_logic_vector(31 downto 0);
        k_cnt_hard      : in     vl_logic_vector(191 downto 0);
        clkreq_support  : out    vl_logic;
        test_in         : out    vl_logic_vector(31 downto 0);
        cfg_link2csr    : in     vl_logic_vector(31 downto 0);
        cfg_dev2csr     : in     vl_logic_vector(31 downto 0);
        cfg_linkcsr     : in     vl_logic_vector(31 downto 0);
        cfg_devcsr      : in     vl_logic_vector(31 downto 0);
        cfg_pmcsr       : in     vl_logic_vector(31 downto 0);
        cfg_slotcsr     : in     vl_logic_vector(31 downto 0);
        cfg_rootcsr     : in     vl_logic_vector(31 downto 0);
        serr_out        : in     vl_logic;
        swdn_out        : in     vl_logic_vector(3 downto 0);
        rootport_irq    : out    vl_logic;
        pme_to_cr       : out    vl_logic;
        pme_to_sr       : in     vl_logic;
        pm_data         : out    vl_logic_vector(9 downto 0);
        cfg_msicsr      : in     vl_logic_vector(15 downto 0);
        app_inta_sts    : out    vl_logic;
        app_msi_req     : out    vl_logic;
        app_msi_ack     : in     vl_logic;
        app_msi_tc      : out    vl_logic_vector(2 downto 0);
        app_msi_num     : out    vl_logic_vector(4 downto 0);
        int_in          : in     vl_logic_vector;
        k_gbl           : out    vl_logic_vector(63 downto 0);
        k_conf          : out    vl_logic_vector(383 downto 0);
        k_bar           : out    vl_logic_vector(227 downto 0);
        k_vc0           : out    vl_logic_vector(55 downto 0);
        k_vc1           : out    vl_logic_vector(55 downto 0);
        k_ptr0          : out    vl_logic_vector;
        k_ptr1          : out    vl_logic_vector;
        k_cnt           : out    vl_logic_vector(191 downto 0);
        ltssm_state     : in     vl_logic_vector(4 downto 0);
        test_err        : in     vl_logic_vector(15 downto 0);
        rx_ok_tlp       : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_dval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_check_tlp    : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_mlf_tlp_vect : in     vl_logic_vector(2 downto 0);
        rx_clrpath      : in     vl_logic;
        ev_1ms          : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        cfg_prmcsr      : in     vl_logic_vector(31 downto 0);
        cfg_tcvcmap     : in     vl_logic_vector(23 downto 0);
        cpl_pending     : out    vl_logic;
        cpl_err         : out    vl_logic_vector(3 downto 0);
        apb_psel        : in     vl_logic;
        apb_penable     : in     vl_logic;
        apb_pwrite      : in     vl_logic;
        apb_paddr       : in     vl_logic_vector(11 downto 0);
        apb_pwdata      : in     vl_logic_vector(31 downto 0);
        apb_pready      : out    vl_logic;
        apb_prdata      : out    vl_logic_vector(31 downto 0);
        apb_pslverr     : out    vl_logic;
        m_arid          : out    vl_logic_vector;
        m_araddr        : out    vl_logic_vector;
        m_arlen         : out    vl_logic_vector(3 downto 0);
        m_arsize        : out    vl_logic_vector(2 downto 0);
        m_arburst       : out    vl_logic_vector(1 downto 0);
        m_arlock        : out    vl_logic_vector(1 downto 0);
        m_arcache       : out    vl_logic_vector(3 downto 0);
        m_arprot        : out    vl_logic_vector(2 downto 0);
        m_arvalid       : out    vl_logic;
        m_arready       : in     vl_logic;
        m_rlfbe         : out    vl_logic_vector(7 downto 0);
        m_rid           : in     vl_logic_vector;
        m_rdata         : in     vl_logic_vector(63 downto 0);
        m_rresp         : in     vl_logic_vector(1 downto 0);
        m_rlast         : in     vl_logic;
        m_rvalid        : in     vl_logic;
        m_rready        : out    vl_logic;
        m_awid          : out    vl_logic_vector;
        m_awaddr        : out    vl_logic_vector;
        m_awlen         : out    vl_logic_vector(3 downto 0);
        m_awsize        : out    vl_logic_vector(2 downto 0);
        m_awburst       : out    vl_logic_vector(1 downto 0);
        m_awlock        : out    vl_logic_vector(1 downto 0);
        m_awcache       : out    vl_logic_vector(3 downto 0);
        m_awprot        : out    vl_logic_vector(2 downto 0);
        m_awvalid       : out    vl_logic;
        m_awready       : in     vl_logic;
        m_wlfbe         : out    vl_logic_vector(7 downto 0);
        m_wid           : out    vl_logic_vector;
        m_wdata         : out    vl_logic_vector(63 downto 0);
        m_wstrb         : out    vl_logic_vector(7 downto 0);
        m_wlast         : out    vl_logic;
        m_wvalid        : out    vl_logic;
        m_wready        : in     vl_logic;
        m_bid           : in     vl_logic_vector;
        m_bresp         : in     vl_logic_vector(1 downto 0);
        m_bvalid        : in     vl_logic;
        m_bready        : out    vl_logic;
        s_awid          : in     vl_logic_vector;
        s_awaddr        : in     vl_logic_vector;
        s_awparam       : in     vl_logic_vector(3 downto 0);
        s_awlen         : in     vl_logic_vector(3 downto 0);
        s_awsize        : in     vl_logic_vector(2 downto 0);
        s_awburst       : in     vl_logic_vector(1 downto 0);
        s_awlock        : in     vl_logic_vector(1 downto 0);
        s_awcache       : in     vl_logic_vector(3 downto 0);
        s_awprot        : in     vl_logic_vector(2 downto 0);
        s_awvalid       : in     vl_logic;
        s_awready       : out    vl_logic;
        s_wid           : in     vl_logic_vector;
        s_wdata         : in     vl_logic_vector(63 downto 0);
        s_wstrb         : in     vl_logic_vector(7 downto 0);
        s_wlast         : in     vl_logic;
        s_wvalid        : in     vl_logic;
        s_wready        : out    vl_logic;
        s_bid           : out    vl_logic_vector;
        s_bresp         : out    vl_logic_vector(1 downto 0);
        s_bcrs          : out    vl_logic;
        s_bvalid        : out    vl_logic;
        s_bready        : in     vl_logic;
        s_arid          : in     vl_logic_vector;
        s_araddr        : in     vl_logic_vector;
        s_arparam       : in     vl_logic_vector(3 downto 0);
        s_arlen         : in     vl_logic_vector(3 downto 0);
        s_arsize        : in     vl_logic_vector(2 downto 0);
        s_arburst       : in     vl_logic_vector(1 downto 0);
        s_arlock        : in     vl_logic_vector(1 downto 0);
        s_arcache       : in     vl_logic_vector(3 downto 0);
        s_arprot        : in     vl_logic_vector(2 downto 0);
        s_arvalid       : in     vl_logic;
        s_arready       : out    vl_logic;
        s_rid           : out    vl_logic_vector;
        s_rdata         : out    vl_logic_vector(63 downto 0);
        s_rlast         : out    vl_logic;
        s_rresp         : out    vl_logic_vector(1 downto 0);
        s_rcrs          : out    vl_logic;
        s_rvalid        : out    vl_logic;
        s_rready        : in     vl_logic;
        wren_tx         : out    vl_logic;
        rden_tx         : out    vl_logic;
        adwr_tx         : out    vl_logic_vector;
        din_tx          : out    vl_logic_vector(63 downto 0);
        adrd_tx         : out    vl_logic_vector;
        dout_tx         : in     vl_logic_vector(63 downto 0);
        wren_rcv        : in     vl_logic;
        cpl_mode        : out    vl_logic;
        cpl_wren        : out    vl_logic;
        cpl_adwr        : out    vl_logic_vector;
        cpl_data        : out    vl_logic_vector(63 downto 0);
        r2s_cplsel      : out    vl_logic;
        r2s_radrd       : out    vl_logic_vector;
        r2s_rdata       : in     vl_logic_vector(63 downto 0);
        rx_status0      : in     vl_logic;
        rx_vcsel0       : out    vl_logic;
        rx_mask0        : out    vl_logic;
        rx_retry0       : out    vl_logic;
        rx_abort0       : out    vl_logic;
        rx_req0         : in     vl_logic;
        rx_ack0         : out    vl_logic;
        rx_desc0        : in     vl_logic_vector(135 downto 0);
        rx_ws0          : out    vl_logic;
        rx_data0        : in     vl_logic_vector(63 downto 0);
        rx_be0          : in     vl_logic_vector(7 downto 0);
        rx_dv0          : in     vl_logic;
        rx_dfr0         : in     vl_logic;
        rx_status1      : in     vl_logic;
        rx_vcsel1       : out    vl_logic;
        rx_mask1        : out    vl_logic;
        rx_retry1       : out    vl_logic;
        rx_abort1       : out    vl_logic;
        rx_req1         : in     vl_logic;
        rx_ack1         : out    vl_logic;
        rx_desc1        : in     vl_logic_vector(135 downto 0);
        rx_ws1          : out    vl_logic;
        rx_data1        : in     vl_logic_vector(63 downto 0);
        rx_be1          : in     vl_logic_vector(7 downto 0);
        rx_dv1          : in     vl_logic;
        rx_dfr1         : in     vl_logic;
        tx_cred0        : in     vl_logic_vector(35 downto 0);
        tx_req0         : out    vl_logic;
        tx_ack0         : in     vl_logic;
        tx_desc0        : out    vl_logic_vector(127 downto 0);
        tx_ws0          : in     vl_logic;
        tx_data0        : out    vl_logic_vector(63 downto 0);
        tx_dv0          : out    vl_logic;
        tx_dfr0         : out    vl_logic;
        tx_cred1        : in     vl_logic_vector(35 downto 0);
        tx_req1         : out    vl_logic;
        tx_ack1         : in     vl_logic;
        tx_desc1        : out    vl_logic_vector(127 downto 0);
        tx_ws1          : in     vl_logic;
        tx_data1        : out    vl_logic_vector(63 downto 0);
        tx_dv1          : out    vl_logic;
        tx_dfr1         : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SRAM_MODE : constant is 1;
    attribute mti_svvh_generic_type of MID_BITS : constant is 1;
    attribute mti_svvh_generic_type of SID_BITS : constant is 1;
    attribute mti_svvh_generic_type of INT_BITS : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of TX_BUF : constant is 1;
    attribute mti_svvh_generic_type of RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of M_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of S_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ADDER_SLV_WD : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of APB_CDC_ENABLE : constant is 1;
end p2a_axitop;
