library verilog;
use verilog.vl_types.all;
entity p2a_mrdchnl_120 is
    generic(
        MID_BITS        : integer := 4;
        TX_BUF          : integer := 7;
        M_ADDR_WIDTH    : integer := 32;
        ard_state_idle  : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        ard_state_prep  : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        ard_state_req   : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        ard_state_reqwait: vl_logic_vector(1 downto 0) := (Hi1, Hi1);
        cpl_state_cpl_idle: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        cpl_state_cpl_req: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        cpl_state_cpl_discard: vl_logic_vector(1 downto 0) := (Hi1, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cpl_abort       : out    vl_logic;
        r2m_arval       : in     vl_logic;
        r2m_vc0n1       : in     vl_logic;
        r2m_arrdy       : out    vl_logic;
        r2m_param       : in     vl_logic_vector(4 downto 0);
        r2m_arlen       : in     vl_logic_vector(9 downto 0);
        m_raddr         : in     vl_logic_vector;
        r2m_lfbe        : in     vl_logic_vector(7 downto 0);
        r2m_rid         : in     vl_logic_vector(23 downto 0);
        m2t_rdy         : in     vl_logic;
        m2t_wren        : out    vl_logic;
        m2t_adwr        : out    vl_logic_vector;
        m2t_data        : out    vl_logic_vector(63 downto 0);
        m2t_req         : out    vl_logic;
        m2t_vc          : out    vl_logic;
        m2t_ack         : in     vl_logic;
        m2t_desc        : out    vl_logic_vector(127 downto 0);
        m2t_dph         : out    vl_logic_vector(3 downto 0);
        m2t_buf         : out    vl_logic_vector;
        m_arid          : out    vl_logic_vector;
        m_araddr        : out    vl_logic_vector;
        m_arlen         : out    vl_logic_vector(3 downto 0);
        m_arsize        : out    vl_logic_vector(2 downto 0);
        m_arburst       : out    vl_logic_vector(1 downto 0);
        m_arlock        : out    vl_logic_vector(1 downto 0);
        m_arcache       : out    vl_logic_vector(3 downto 0);
        m_arprot        : out    vl_logic_vector(2 downto 0);
        m_arvalid       : out    vl_logic;
        m_arready       : in     vl_logic;
        m_rid           : in     vl_logic_vector;
        m_rdata         : in     vl_logic_vector(63 downto 0);
        m_rresp         : in     vl_logic_vector(1 downto 0);
        m_rlast         : in     vl_logic;
        m_rvalid        : in     vl_logic;
        m_rready        : out    vl_logic;
        m_rlfbe         : out    vl_logic_vector(7 downto 0);
        endian_mode     : in     vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MID_BITS : constant is 1;
    attribute mti_svvh_generic_type of TX_BUF : constant is 1;
    attribute mti_svvh_generic_type of M_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ard_state_idle : constant is 2;
    attribute mti_svvh_generic_type of ard_state_prep : constant is 2;
    attribute mti_svvh_generic_type of ard_state_req : constant is 2;
    attribute mti_svvh_generic_type of ard_state_reqwait : constant is 2;
    attribute mti_svvh_generic_type of cpl_state_cpl_idle : constant is 2;
    attribute mti_svvh_generic_type of cpl_state_cpl_req : constant is 2;
    attribute mti_svvh_generic_type of cpl_state_cpl_discard : constant is 2;
end p2a_mrdchnl_120;
