library verilog;
use verilog.vl_types.all;
entity p2a_mwrchnl_120 is
    generic(
        MID_BITS        : integer := 4;
        m_ADDR_WIDTH    : integer := 32;
        awr_state_idle  : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        awr_state_prep  : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        awr_state_req   : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        awr_state_data  : vl_logic_vector(1 downto 0) := (Hi1, Hi1);
        dwr_state_idle  : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        dwr_state_wdata : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        dwr_state_wwait : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        aw2w_state_idle : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        aw2w_state_inv  : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        aw2w_state_cur  : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        aw2w_state_pip  : vl_logic_vector(1 downto 0) := (Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        k_ddr2          : in     vl_logic;
        r2m_awval       : in     vl_logic;
        r2m_vc0n1       : in     vl_logic;
        r2m_awrdy       : out    vl_logic;
        r2m_awlen       : in     vl_logic_vector(9 downto 0);
        m_waddr         : in     vl_logic_vector;
        r2m_wval        : in     vl_logic;
        r2m_wrdy        : out    vl_logic;
        r2m_wdata       : in     vl_logic_vector(63 downto 0);
        r2m_wstrb       : in     vl_logic_vector(7 downto 0);
        r2m_bfull0      : out    vl_logic;
        r2m_bemp0       : out    vl_logic;
        r2m_bfull1      : out    vl_logic;
        r2m_bemp1       : out    vl_logic;
        r2m_wlfbe       : in     vl_logic_vector(7 downto 0);
        vc0_cnt_max     : in     vl_logic_vector(8 downto 0);
        vc1_cnt_max     : in     vl_logic_vector(8 downto 0);
        m_awid          : out    vl_logic_vector;
        m_awaddr        : out    vl_logic_vector;
        m_awlen         : out    vl_logic_vector(3 downto 0);
        m_awsize        : out    vl_logic_vector(2 downto 0);
        m_awburst       : out    vl_logic_vector(1 downto 0);
        m_awlock        : out    vl_logic_vector(1 downto 0);
        m_awcache       : out    vl_logic_vector(3 downto 0);
        m_awprot        : out    vl_logic_vector(2 downto 0);
        m_awvalid       : out    vl_logic;
        m_awready       : in     vl_logic;
        m_wid           : out    vl_logic_vector;
        m_wdata         : out    vl_logic_vector(63 downto 0);
        m_wstrb         : out    vl_logic_vector(7 downto 0);
        m_wlast         : out    vl_logic;
        m_wvalid        : out    vl_logic;
        m_wready        : in     vl_logic;
        m_bid           : in     vl_logic_vector;
        m_bresp         : in     vl_logic_vector(1 downto 0);
        m_bvalid        : in     vl_logic;
        m_bready        : out    vl_logic;
        m_wlfbe         : out    vl_logic_vector(7 downto 0);
        endian_mode     : in     vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of MID_BITS : constant is 1;
    attribute mti_svvh_generic_type of m_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of awr_state_idle : constant is 2;
    attribute mti_svvh_generic_type of awr_state_prep : constant is 2;
    attribute mti_svvh_generic_type of awr_state_req : constant is 2;
    attribute mti_svvh_generic_type of awr_state_data : constant is 2;
    attribute mti_svvh_generic_type of dwr_state_idle : constant is 2;
    attribute mti_svvh_generic_type of dwr_state_wdata : constant is 2;
    attribute mti_svvh_generic_type of dwr_state_wwait : constant is 2;
    attribute mti_svvh_generic_type of aw2w_state_idle : constant is 2;
    attribute mti_svvh_generic_type of aw2w_state_inv : constant is 2;
    attribute mti_svvh_generic_type of aw2w_state_cur : constant is 2;
    attribute mti_svvh_generic_type of aw2w_state_pip : constant is 2;
end p2a_mwrchnl_120;
