library verilog;
use verilog.vl_types.all;
entity p2a_reg_120 is
    generic(
        ADDER_SLV_WD    : integer := 0;
        INT_BITS        : integer := 4;
        SR_MOT          : integer := 3;
        RX_BUF          : integer := 9;
        NB_LANE         : integer := 9;
        M_ADDR_WIDTH    : integer := 32;
        S_ADDR_WIDTH    : integer := 32;
        CFG_IO_AXI_ENABLE: integer := 0;
        PAR_CONF_CAP_L0S_ACCLAT_R: vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1);
        PAR_CONF_CAP_L0S_EXIT_LAT_SEP_R: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        PAR_CONF_CAP_L0S_EXIT_LAT_COM_R: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        PAR_CONF_CAP_NFTS_SEP_R: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_CAP_NFTS_COM_R: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_CAP_EIE_NB_R: vl_logic_vector(0 to 3) := (Hi1, Hi0, Hi0, Hi0);
        PAR_CONF_CAP_NFTS_SEP_GEN2_R: vl_logic_vector(0 to 7) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_CAP_NFTS_COM_GEN2_R: vl_logic_vector(0 to 7) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_CAP_L1_SUPPORT_R: vl_logic := Hi1;
        PAR_CONF_CAP_L1_ACCLAT_R: vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1);
        PAR_CONF_CAP_L1_EXIT_LAT_SEP_R: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        PAR_CONF_CAP_L1_EXIT_LAT_COM_R: vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        PAR_CONF_PH_CRED0_R: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        PAR_CONF_PD_CRED0_R: vl_logic_vector(0 to 11) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        PAR_CONF_NPH_CRED0_R: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        PAR_CONF_NPD_CRED0_R: vl_logic_vector(0 to 7) := (Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0);
        PAR_CONF_SLOTCAP_R: vl_logic_vector(31 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_TIMEOUT_COMPLETION_R: vl_logic_vector(0 to 3) := (Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_MSI_ADDR_R: vl_logic_vector(31 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1);
        PAR_CONF_CAP_POWERMGT_R: vl_logic_vector(0 to 15) := (Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        npor            : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        vc0_cnt_max     : out    vl_logic_vector(8 downto 0);
        vc1_cnt_max     : out    vl_logic_vector(8 downto 0);
        reg_cfgaddr     : out    vl_logic_vector(25 downto 0);
        reg_cfg_wr      : out    vl_logic;
        reg_cfg_writedata: out    vl_logic_vector(31 downto 0);
        reg_cfg_data_receive: in     vl_logic_vector(31 downto 0);
        reg_cfg_fbe     : out    vl_logic_vector(3 downto 0);
        stop_cfg        : out    vl_logic;
        start_cfg       : out    vl_logic;
        int_cfg         : in     vl_logic;
        int_cfg_err     : in     vl_logic;
        err_status_cpl  : in     vl_logic_vector(1 downto 0);
        reg_io_addr     : out    vl_logic_vector(31 downto 0);
        reg_io_first_be : out    vl_logic_vector(3 downto 0);
        reg_io_wr       : out    vl_logic;
        reg_io_write_data: out    vl_logic_vector(31 downto 0);
        reg_io_read_data: in     vl_logic_vector(31 downto 0);
        reg_axim_pcieaddr0: out    vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr1: out    vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr2: out    vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr3: out    vl_logic_vector(63 downto 0);
        reg_axim_winsize0: out    vl_logic_vector(31 downto 0);
        reg_axim_winsize1: out    vl_logic_vector(31 downto 0);
        reg_axim_winsize2: out    vl_logic_vector(31 downto 0);
        reg_axim_winsize3: out    vl_logic_vector(31 downto 0);
        match_axim_window0: in     vl_logic;
        match_axim_window1: in     vl_logic;
        match_axim_window2: in     vl_logic;
        match_axim_window3: in     vl_logic;
        wr_access       : in     vl_logic;
        rd_access       : in     vl_logic;
        stop_io         : out    vl_logic;
        start_io        : out    vl_logic;
        irq_io          : in     vl_logic;
        irq_io_err      : in     vl_logic;
        k_bridge        : in     vl_logic_vector(31 downto 0);
        k_fix           : in     vl_logic_vector(31 downto 0);
        k_pciconf       : in     vl_logic_vector(127 downto 0);
        k_aspmconf      : in     vl_logic_vector(63 downto 0);
        k_axi_master_window0: in     vl_logic_vector(127 downto 0);
        k_axi_master_window1: in     vl_logic_vector(127 downto 0);
        k_axi_master_window2: in     vl_logic_vector(127 downto 0);
        k_axi_master_window3: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window0: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window1: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window2: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window3: in     vl_logic_vector(127 downto 0);
        k_bar01_size    : in     vl_logic_vector(63 downto 0);
        k_bar23_size    : in     vl_logic_vector(63 downto 0);
        k_bar45_size    : in     vl_logic_vector(63 downto 0);
        k_prefetchable_io_window: in     vl_logic_vector(3 downto 0);
        k_pmconf        : in     vl_logic_vector(95 downto 0);
        k_vco_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vco_nonposted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_nonposted_credit: in     vl_logic_vector(31 downto 0);
        k_slotcap       : in     vl_logic_vector(31 downto 0);
        k_timeout_completion: in     vl_logic_vector(31 downto 0);
        k_msi_addr      : in     vl_logic_vector(31 downto 0);
        k_cnt_hard      : in     vl_logic_vector(191 downto 0);
        apb_psel        : in     vl_logic;
        apb_penable     : in     vl_logic;
        apb_pwrite      : in     vl_logic;
        apb_paddr       : in     vl_logic_vector(11 downto 0);
        apb_pwdata      : in     vl_logic_vector(31 downto 0);
        apb_pready      : out    vl_logic;
        apb_prdata      : out    vl_logic_vector(31 downto 0);
        apb_pslverr     : out    vl_logic;
        test_in         : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr       : in     vl_logic_vector(31 downto 0);
        pme_to_cr       : out    vl_logic;
        pme_to_sr       : in     vl_logic;
        pm_data         : out    vl_logic_vector(9 downto 0);
        cfg_msicsr      : in     vl_logic_vector(15 downto 0);
        app_int_sts     : out    vl_logic;
        app_msi_req     : out    vl_logic;
        app_msi_ack     : in     vl_logic;
        app_msi_tc      : out    vl_logic_vector(2 downto 0);
        app_msi_num     : out    vl_logic_vector(4 downto 0);
        clkreq_support  : out    vl_logic;
        int_in          : in     vl_logic_vector;
        k_gbl           : out    vl_logic_vector(63 downto 0);
        k_conf          : out    vl_logic_vector(383 downto 0);
        k_bar           : out    vl_logic_vector(227 downto 0);
        k_vc0           : out    vl_logic_vector(55 downto 0);
        k_vc1           : out    vl_logic_vector(55 downto 0);
        k_ptr0          : out    vl_logic_vector;
        k_ptr1          : out    vl_logic_vector;
        k_cnt           : out    vl_logic_vector(191 downto 0);
        ltssm_state     : in     vl_logic_vector(4 downto 0);
        test_err        : in     vl_logic_vector(15 downto 0);
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        cfg_prmcsr      : in     vl_logic_vector(31 downto 0);
        cfg_tcvcmap     : in     vl_logic_vector(23 downto 0);
        cfg_linkcsr     : in     vl_logic_vector(31 downto 0);
        cfg_devcsr      : in     vl_logic_vector(31 downto 0);
        cfg_link2csr    : in     vl_logic_vector(31 downto 0);
        cfg_dev2csr     : in     vl_logic_vector(31 downto 0);
        cfg_slotcsr     : in     vl_logic_vector(31 downto 0);
        cfg_rootcsr     : in     vl_logic_vector(31 downto 0);
        serr_out        : in     vl_logic;
        swdn_out        : in     vl_logic_vector(3 downto 0);
        int_msidetect   : in     vl_logic_vector(1 downto 0);
        msi_number      : in     vl_logic_vector(31 downto 0);
        imsiaddr        : out    vl_logic_vector(31 downto 0);
        rootport_irq    : out    vl_logic;
        r2m_awaddr      : in     vl_logic_vector(63 downto 0);
        r2m_araddr      : in     vl_logic_vector(63 downto 0);
        r2m_wrbar       : in     vl_logic_vector(5 downto 0);
        r2m_rdbar       : in     vl_logic_vector(5 downto 0);
        m_waddr         : out    vl_logic_vector;
        m_raddr         : out    vl_logic_vector;
        s_awaddr        : in     vl_logic_vector;
        s_araddr        : in     vl_logic_vector;
        s2t_waddr       : out    vl_logic_vector(63 downto 0);
        s2t_raddr       : out    vl_logic_vector(63 downto 0);
        s2t_wparam      : out    vl_logic_vector(4 downto 0);
        s2t_rparam      : out    vl_logic_vector(4 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of ADDER_SLV_WD : constant is 1;
    attribute mti_svvh_generic_type of INT_BITS : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of M_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of S_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L0S_ACCLAT_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L0S_EXIT_LAT_SEP_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L0S_EXIT_LAT_COM_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_NFTS_SEP_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_NFTS_COM_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_EIE_NB_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_NFTS_SEP_GEN2_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_NFTS_COM_GEN2_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L1_SUPPORT_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L1_ACCLAT_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L1_EXIT_LAT_SEP_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_L1_EXIT_LAT_COM_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_PH_CRED0_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_PD_CRED0_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_NPH_CRED0_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_NPD_CRED0_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_SLOTCAP_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_TIMEOUT_COMPLETION_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_MSI_ADDR_R : constant is 1;
    attribute mti_svvh_generic_type of PAR_CONF_CAP_POWERMGT_R : constant is 1;
end p2a_reg_120;
