library verilog;
use verilog.vl_types.all;
entity p2a_rxsm_120 is
    generic(
        SRAM_MODE       : integer := 1;
        SR_MOT          : integer := 3;
        RX_BUF          : integer := 9;
        CFG_IO_AXI_ENABLE: integer := 0;
        wrcpl_state_idle: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        wrcpl_state_wrhdr: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        wrcpl_state_wrdata: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        wrcpl_state_rcvcfg: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        wrcpl_state_rcvcplio: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        req_state_idle  : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        req_state_rcvcfg0: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        req_state_rcv_wrreq0: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        req_state_rcv_wrreq1: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        req_state_rcv_rdreq0: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        req_state_rcv_rdreq1: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        req_state_rcv_msi: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0);
        req_state_rcv_io: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cplur_req       : out    vl_logic;
        cfgrd0_req      : out    vl_logic;
        cfgrd0_data     : out    vl_logic_vector(63 downto 0);
        cfgrd0_addr     : out    vl_logic_vector(3 downto 0);
        cfgrd0_tag      : out    vl_logic_vector(7 downto 0);
        cfgrd0_tag_req  : out    vl_logic;
        r2m_awval       : out    vl_logic;
        r2m_awrdy       : in     vl_logic;
        r2m_awlen       : out    vl_logic_vector(9 downto 0);
        r2m_awaddr      : out    vl_logic_vector(63 downto 0);
        r2m_wrbar       : out    vl_logic_vector(5 downto 0);
        r2m_arval       : out    vl_logic;
        r2m_arrdy       : in     vl_logic;
        r2m_arlen       : out    vl_logic_vector(9 downto 0);
        r2m_araddr      : out    vl_logic_vector(63 downto 0);
        r2m_rdbar       : out    vl_logic_vector(5 downto 0);
        r2m_lfbe        : out    vl_logic_vector(7 downto 0);
        r2m_rid         : out    vl_logic_vector(23 downto 0);
        r2m_param       : out    vl_logic_vector(4 downto 0);
        r2m_wval        : out    vl_logic;
        r2m_wrdy        : in     vl_logic;
        r2m_wdata       : out    vl_logic_vector(63 downto 0);
        r2m_wstrb       : out    vl_logic_vector(7 downto 0);
        r2m_bfull0      : in     vl_logic;
        r2m_bemp0       : in     vl_logic;
        r2m_bfull1      : in     vl_logic;
        r2m_bemp1       : in     vl_logic;
        r2s_rval        : out    vl_logic;
        r2s_rstat       : out    vl_logic;
        r2s_cplstatus   : out    vl_logic_vector(2 downto 0);
        r2s_rtag        : out    vl_logic_vector;
        r2s_ptag        : in     vl_logic_vector(15 downto 0);
        rx_ok_tlp       : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_dval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_check_tlp    : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_mlf_tlp_vect : in     vl_logic_vector(2 downto 0);
        rx_clrpath      : in     vl_logic;
        k_bar           : in     vl_logic_vector(227 downto 0);
        k_bridge        : in     vl_logic_vector(31 downto 0);
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        wren_rcv        : in     vl_logic;
        cpl_unexp       : out    vl_logic;
        cpl_mode        : out    vl_logic;
        cpl_wren        : out    vl_logic;
        cpl_adwr        : out    vl_logic_vector;
        cpl_data        : out    vl_logic_vector(63 downto 0);
        imsiaddr        : in     vl_logic_vector(31 downto 0);
        int_msidetect   : out    vl_logic_vector(1 downto 0);
        msi_number      : out    vl_logic_vector(31 downto 0);
        reg_cfg_data_receive: out    vl_logic_vector(31 downto 0);
        receive_cfg_cpl : out    vl_logic;
        err_cfg_cpl     : out    vl_logic;
        err_status_cpl  : out    vl_logic_vector(1 downto 0);
        tag_cfg         : in     vl_logic_vector(7 downto 0);
        receive_io_cpl  : out    vl_logic;
        err_io_cpl      : out    vl_logic;
        reg_io_read_data: out    vl_logic_vector(31 downto 0);
        tag_io          : in     vl_logic_vector(7 downto 0);
        r2s_cplsel      : in     vl_logic;
        r2s_cplack      : out    vl_logic;
        rx_status0      : in     vl_logic;
        rx_vcsel0       : out    vl_logic;
        rx_mask0        : out    vl_logic;
        rx_retry0       : out    vl_logic;
        rx_abort0       : out    vl_logic;
        rx_req0         : in     vl_logic;
        rx_ack0         : out    vl_logic;
        rx_desc0        : in     vl_logic_vector(135 downto 0);
        rx_ws0          : out    vl_logic;
        rx_data0        : in     vl_logic_vector(63 downto 0);
        rx_be0          : in     vl_logic_vector(7 downto 0);
        rx_dv0          : in     vl_logic;
        rx_dfr0         : in     vl_logic;
        rx_status1      : in     vl_logic;
        rx_vcsel1       : out    vl_logic;
        rx_mask1        : out    vl_logic;
        rx_retry1       : out    vl_logic;
        rx_abort1       : out    vl_logic;
        rx_req1         : in     vl_logic;
        rx_ack1         : out    vl_logic;
        rx_desc1        : in     vl_logic_vector(135 downto 0);
        rx_ws1          : out    vl_logic;
        rx_data1        : in     vl_logic_vector(63 downto 0);
        rx_be1          : in     vl_logic_vector(7 downto 0);
        rx_dv1          : in     vl_logic;
        rx_dfr1         : in     vl_logic;
        r2m_wlfbe       : out    vl_logic_vector(7 downto 0);
        reg_axim_pcieaddr0: in     vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr1: in     vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr2: in     vl_logic_vector(63 downto 0);
        reg_axim_pcieaddr3: in     vl_logic_vector(63 downto 0);
        reg_axim_winsize0: in     vl_logic_vector(31 downto 0);
        reg_axim_winsize1: in     vl_logic_vector(31 downto 0);
        reg_axim_winsize2: in     vl_logic_vector(31 downto 0);
        reg_axim_winsize3: in     vl_logic_vector(31 downto 0);
        match_axim_window0: out    vl_logic;
        match_axim_window1: out    vl_logic;
        match_axim_window2: out    vl_logic;
        match_axim_window3: out    vl_logic;
        wr_access       : out    vl_logic;
        rd_access       : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SRAM_MODE : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of wrcpl_state_idle : constant is 2;
    attribute mti_svvh_generic_type of wrcpl_state_wrhdr : constant is 2;
    attribute mti_svvh_generic_type of wrcpl_state_wrdata : constant is 2;
    attribute mti_svvh_generic_type of wrcpl_state_rcvcfg : constant is 2;
    attribute mti_svvh_generic_type of wrcpl_state_rcvcplio : constant is 2;
    attribute mti_svvh_generic_type of req_state_idle : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcvcfg0 : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_wrreq0 : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_wrreq1 : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_rdreq0 : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_rdreq1 : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_msi : constant is 2;
    attribute mti_svvh_generic_type of req_state_rcv_io : constant is 2;
end p2a_rxsm_120;
