library verilog;
use verilog.vl_types.all;
entity p2a_srdchnl_120 is
    generic(
        SID_BITS        : integer := 8;
        SR_MOT          : integer := 3;
        RX_BUF          : integer := 9;
        CFG_IO_AXI_ENABLE: integer := 0;
        rseq_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        rseq_state_reqdata: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        rseq_state_reqwait: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        rseq_state_waitend: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        rseq_state_seqerr: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        rseq_state_enderr: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        data_cfgrd0     : in     vl_logic_vector(63 downto 0);
        addr_rcfg0      : out    vl_logic_vector(3 downto 0);
        cfgrd0_tag      : in     vl_logic_vector(7 downto 0);
        cfgrd0_tag_req  : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        incr_tag        : in     vl_logic;
        tag_select      : out    vl_logic_vector(7 downto 0);
        max_request     : out    vl_logic;
        ev_1ms          : in     vl_logic;
        cpl_timeout     : out    vl_logic;
        s2t_rreq        : out    vl_logic;
        s2t_rack        : in     vl_logic;
        s2t_rdesc       : out    vl_logic_vector(127 downto 0);
        r2s_rval        : in     vl_logic;
        r2s_rstat       : in     vl_logic;
        r2s_rtag        : in     vl_logic_vector;
        r2s_ptag        : out    vl_logic_vector(15 downto 0);
        r2s_cplsel      : out    vl_logic;
        r2s_cplack      : in     vl_logic;
        r2s_radrd       : out    vl_logic_vector;
        r2s_rdata       : in     vl_logic_vector(63 downto 0);
        r2s_cplstatus   : in     vl_logic_vector(2 downto 0);
        s_arid          : in     vl_logic_vector;
        s_araddr        : in     vl_logic_vector(63 downto 0);
        s_armsg         : in     vl_logic_vector(3 downto 0);
        s_arlen         : in     vl_logic_vector(3 downto 0);
        s_arsize        : in     vl_logic_vector(2 downto 0);
        s_arburst       : in     vl_logic_vector(1 downto 0);
        s_arlock        : in     vl_logic_vector(1 downto 0);
        s_arcache       : in     vl_logic_vector(3 downto 0);
        s_arprot        : in     vl_logic_vector(2 downto 0);
        s_arvalid       : in     vl_logic;
        s_arready       : out    vl_logic;
        s_arparam       : in     vl_logic_vector(4 downto 0);
        s_rid           : out    vl_logic_vector;
        s_rdata         : out    vl_logic_vector(63 downto 0);
        s_rlast         : out    vl_logic;
        s_rresp         : out    vl_logic_vector(1 downto 0);
        s_rcrs          : out    vl_logic;
        s_rvalid        : out    vl_logic;
        s_rready        : in     vl_logic;
        endian_mode     : in     vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SID_BITS : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of rseq_state_idle : constant is 2;
    attribute mti_svvh_generic_type of rseq_state_reqdata : constant is 2;
    attribute mti_svvh_generic_type of rseq_state_reqwait : constant is 2;
    attribute mti_svvh_generic_type of rseq_state_waitend : constant is 2;
    attribute mti_svvh_generic_type of rseq_state_seqerr : constant is 2;
    attribute mti_svvh_generic_type of rseq_state_enderr : constant is 2;
end p2a_srdchnl_120;
