library verilog;
use verilog.vl_types.all;
entity p2a_swrchnl_120 is
    generic(
        SID_BITS        : integer := 8;
        TX_BUF          : integer := 7;
        CFG_IO_AXI_ENABLE: integer := 0;
        SR_MOT          : integer := 3;
        awful_state_awidle: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        awful_state_awfull: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        awful_state_out : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        wful_state_widle: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        wful_state_wfull: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        wful_state_wstop: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        wful_state_wone : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        wful_state_wcur : vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        req_state_idle  : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        req_state_part_req: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        req_state_part_wait: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        req_state_last_req: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        req_state_last_wait: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        req_state_full_req: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        req_state_wait_end: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0);
        bresp_state_idle: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        bresp_state_respond: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        bresp_state_wait: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        cfgrd0_tag      : in     vl_logic_vector(7 downto 0);
        cfgrd0_tag_req  : in     vl_logic;
        r2s_rval        : in     vl_logic;
        r2s_rstat       : in     vl_logic;
        r2s_rtag        : in     vl_logic_vector;
        r2s_cplstatus   : in     vl_logic_vector(2 downto 0);
        tag_select      : in     vl_logic_vector(7 downto 0);
        incr_tag        : out    vl_logic;
        max_request     : in     vl_logic;
        s_arvalid       : in     vl_logic;
        s_arready       : in     vl_logic;
        s2t_wreq        : out    vl_logic;
        s2t_wcut        : out    vl_logic;
        s2t_wack        : in     vl_logic;
        s2t_wdesc       : out    vl_logic_vector(127 downto 0);
        s2t_wdph        : out    vl_logic_vector(3 downto 0);
        s2t_wbuf        : out    vl_logic_vector;
        clr_cut         : out    vl_logic;
        s2t_wval        : out    vl_logic;
        s2t_wrdy        : in     vl_logic;
        s2t_wadwr       : out    vl_logic_vector;
        s2t_wdata       : out    vl_logic_vector(63 downto 0);
        s_awid          : in     vl_logic_vector;
        s_awaddr        : in     vl_logic_vector(63 downto 0);
        s_awmsg         : in     vl_logic_vector(3 downto 0);
        s_awlen         : in     vl_logic_vector(3 downto 0);
        s_awsize        : in     vl_logic_vector(2 downto 0);
        s_awburst       : in     vl_logic_vector(1 downto 0);
        s_awlock        : in     vl_logic_vector(1 downto 0);
        s_awcache       : in     vl_logic_vector(3 downto 0);
        s_awprot        : in     vl_logic_vector(2 downto 0);
        s_awvalid       : in     vl_logic;
        s_awready       : out    vl_logic;
        s_awparam       : in     vl_logic_vector(4 downto 0);
        s_wid           : in     vl_logic_vector;
        s_wdata         : in     vl_logic_vector(63 downto 0);
        s_wstrb         : in     vl_logic_vector(7 downto 0);
        s_wlast         : in     vl_logic;
        s_wvalid        : in     vl_logic;
        s_wready        : out    vl_logic;
        s_bid           : out    vl_logic_vector;
        s_bresp         : out    vl_logic_vector(1 downto 0);
        s_bcrs          : out    vl_logic;
        s_bvalid        : out    vl_logic;
        s_bready        : in     vl_logic;
        endian_mode     : in     vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SID_BITS : constant is 1;
    attribute mti_svvh_generic_type of TX_BUF : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of awful_state_awidle : constant is 2;
    attribute mti_svvh_generic_type of awful_state_awfull : constant is 2;
    attribute mti_svvh_generic_type of awful_state_out : constant is 2;
    attribute mti_svvh_generic_type of wful_state_widle : constant is 2;
    attribute mti_svvh_generic_type of wful_state_wfull : constant is 2;
    attribute mti_svvh_generic_type of wful_state_wstop : constant is 2;
    attribute mti_svvh_generic_type of wful_state_wone : constant is 2;
    attribute mti_svvh_generic_type of wful_state_wcur : constant is 2;
    attribute mti_svvh_generic_type of req_state_idle : constant is 2;
    attribute mti_svvh_generic_type of req_state_part_req : constant is 2;
    attribute mti_svvh_generic_type of req_state_part_wait : constant is 2;
    attribute mti_svvh_generic_type of req_state_last_req : constant is 2;
    attribute mti_svvh_generic_type of req_state_last_wait : constant is 2;
    attribute mti_svvh_generic_type of req_state_full_req : constant is 2;
    attribute mti_svvh_generic_type of req_state_wait_end : constant is 2;
    attribute mti_svvh_generic_type of bresp_state_idle : constant is 2;
    attribute mti_svvh_generic_type of bresp_state_respond : constant is 2;
    attribute mti_svvh_generic_type of bresp_state_wait : constant is 2;
end p2a_swrchnl_120;
