library verilog;
use verilog.vl_types.all;
entity pcie2axi_pipe250_120 is
    generic(
        SRAM_MODE       : integer := 1;
        MID_BITS        : integer := 4;
        SID_BITS        : integer := 4;
        INT_BITS        : integer := 4;
        SR_MOT          : integer := 3;
        TX_BUF          : integer := 7;
        RX_BUF          : integer := 9;
        RH_NUM          : integer := 5;
        RTRY_BUF        : integer := 7;
        RTRY_NUM        : integer := 5;
        NB_LANE         : integer := 1;
        M_ADDR_WIDTH    : integer := 32;
        S_ADDR_WIDTH    : integer := 32;
        ADDER_SLV_WD    : integer := 0;
        CFG_IO_AXI_ENABLE: integer := 0;
        PCIE_CDC_ENABLE : integer := 0;
        APB_CDC_ENABLE  : integer := 1;
        AXI_CDC_ENABLE  : integer := 1;
        DATA_WIDTH      : integer := 64;
        TAG_NUM         : vl_notype
    );
    port(
        pclk            : in     vl_logic;
        prstn           : in     vl_logic;
        psrst           : in     vl_logic;
        npor            : in     vl_logic;
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        apb_clk         : in     vl_logic;
        apb_rstn        : in     vl_logic;
        apb_srst        : in     vl_logic;
        ev_1us          : out    vl_logic;
        rate            : out    vl_logic;
        lane_reversal_enable: out    vl_logic;
        tx_deemph       : out    vl_logic;
        tx_margin       : out    vl_logic_vector(2 downto 0);
        txdata0         : out    vl_logic_vector(7 downto 0);
        txdatak0        : out    vl_logic;
        txdetectrx0     : out    vl_logic;
        txelecidle0     : out    vl_logic;
        txcompl0        : out    vl_logic;
        rxpolarity0     : out    vl_logic;
        powerdown0      : out    vl_logic_vector(1 downto 0);
        rxdata0         : in     vl_logic_vector(7 downto 0);
        rxdatak0        : in     vl_logic;
        rxvalid0        : in     vl_logic;
        phystatus0      : in     vl_logic;
        rxelecidle0     : in     vl_logic;
        rxstatus0       : in     vl_logic_vector(2 downto 0);
        txdata1         : out    vl_logic_vector(7 downto 0);
        txdatak1        : out    vl_logic;
        txdetectrx1     : out    vl_logic;
        txelecidle1     : out    vl_logic;
        txcompl1        : out    vl_logic;
        rxpolarity1     : out    vl_logic;
        powerdown1      : out    vl_logic_vector(1 downto 0);
        rxdata1         : in     vl_logic_vector(7 downto 0);
        rxdatak1        : in     vl_logic;
        rxvalid1        : in     vl_logic;
        phystatus1      : in     vl_logic;
        rxelecidle1     : in     vl_logic;
        rxstatus1       : in     vl_logic_vector(2 downto 0);
        txdata2         : out    vl_logic_vector(7 downto 0);
        txdatak2        : out    vl_logic;
        txdetectrx2     : out    vl_logic;
        txelecidle2     : out    vl_logic;
        txcompl2        : out    vl_logic;
        rxpolarity2     : out    vl_logic;
        powerdown2      : out    vl_logic_vector(1 downto 0);
        rxdata2         : in     vl_logic_vector(7 downto 0);
        rxdatak2        : in     vl_logic;
        rxvalid2        : in     vl_logic;
        phystatus2      : in     vl_logic;
        rxelecidle2     : in     vl_logic;
        rxstatus2       : in     vl_logic_vector(2 downto 0);
        txdata3         : out    vl_logic_vector(7 downto 0);
        txdatak3        : out    vl_logic;
        txdetectrx3     : out    vl_logic;
        txelecidle3     : out    vl_logic;
        txcompl3        : out    vl_logic;
        rxpolarity3     : out    vl_logic;
        powerdown3      : out    vl_logic_vector(1 downto 0);
        rxdata3         : in     vl_logic_vector(7 downto 0);
        rxdatak3        : in     vl_logic;
        rxvalid3        : in     vl_logic;
        phystatus3      : in     vl_logic;
        rxelecidle3     : in     vl_logic;
        rxstatus3       : in     vl_logic_vector(2 downto 0);
        txdata4         : out    vl_logic_vector(7 downto 0);
        txdatak4        : out    vl_logic;
        txdetectrx4     : out    vl_logic;
        txelecidle4     : out    vl_logic;
        txcompl4        : out    vl_logic;
        rxpolarity4     : out    vl_logic;
        powerdown4      : out    vl_logic_vector(1 downto 0);
        rxdata4         : in     vl_logic_vector(7 downto 0);
        rxdatak4        : in     vl_logic;
        rxvalid4        : in     vl_logic;
        phystatus4      : in     vl_logic;
        rxelecidle4     : in     vl_logic;
        rxstatus4       : in     vl_logic_vector(2 downto 0);
        txdata5         : out    vl_logic_vector(7 downto 0);
        txdatak5        : out    vl_logic;
        txdetectrx5     : out    vl_logic;
        txelecidle5     : out    vl_logic;
        txcompl5        : out    vl_logic;
        rxpolarity5     : out    vl_logic;
        powerdown5      : out    vl_logic_vector(1 downto 0);
        rxdata5         : in     vl_logic_vector(7 downto 0);
        rxdatak5        : in     vl_logic;
        rxvalid5        : in     vl_logic;
        phystatus5      : in     vl_logic;
        rxelecidle5     : in     vl_logic;
        rxstatus5       : in     vl_logic_vector(2 downto 0);
        txdata6         : out    vl_logic_vector(7 downto 0);
        txdatak6        : out    vl_logic;
        txdetectrx6     : out    vl_logic;
        txelecidle6     : out    vl_logic;
        txcompl6        : out    vl_logic;
        rxpolarity6     : out    vl_logic;
        powerdown6      : out    vl_logic_vector(1 downto 0);
        rxdata6         : in     vl_logic_vector(7 downto 0);
        rxdatak6        : in     vl_logic;
        rxvalid6        : in     vl_logic;
        phystatus6      : in     vl_logic;
        rxelecidle6     : in     vl_logic;
        rxstatus6       : in     vl_logic_vector(2 downto 0);
        txdata7         : out    vl_logic_vector(7 downto 0);
        txdatak7        : out    vl_logic;
        txdetectrx7     : out    vl_logic;
        txelecidle7     : out    vl_logic;
        txcompl7        : out    vl_logic;
        rxpolarity7     : out    vl_logic;
        powerdown7      : out    vl_logic_vector(1 downto 0);
        rxdata7         : in     vl_logic_vector(7 downto 0);
        rxdatak7        : in     vl_logic;
        rxvalid7        : in     vl_logic;
        phystatus7      : in     vl_logic;
        rxelecidle7     : in     vl_logic;
        rxstatus7       : in     vl_logic_vector(2 downto 0);
        test_in         : in     vl_logic_vector(31 downto 0);
        test_out        : out    vl_logic_vector(639 downto 0);
        l2_exit         : out    vl_logic;
        hotrst_exit     : out    vl_logic;
        dlup_exit       : out    vl_logic;
        slotclk_cfg     : in     vl_logic;
        pm_auxpwr       : in     vl_logic;
        int_in          : in     vl_logic_vector;
        pme_req         : in     vl_logic;
        l2_req          : out    vl_logic;
        clkreq_assert   : in     vl_logic;
        clkreq_status   : out    vl_logic;
        clkreq_oen      : out    vl_logic;
        wake_oen        : out    vl_logic;
        rootport_irq    : out    vl_logic;
        wren_rpl        : out    vl_logic;
        rden_rpl        : out    vl_logic;
        adwr_rpl        : out    vl_logic_vector;
        din_rpl         : out    vl_logic_vector(63 downto 0);
        adrd_rpl        : out    vl_logic_vector;
        dout_rpl        : in     vl_logic_vector(63 downto 0);
        wren_rx         : out    vl_logic;
        rden_rx         : out    vl_logic;
        adwr_rx         : out    vl_logic_vector;
        din_rx          : out    vl_logic_vector(63 downto 0);
        adrd_rx         : out    vl_logic_vector;
        dout_rx         : in     vl_logic_vector(63 downto 0);
        wren_tx         : out    vl_logic;
        rden_tx         : out    vl_logic;
        adwr_tx         : out    vl_logic_vector;
        din_tx          : out    vl_logic_vector(63 downto 0);
        adrd_tx         : out    vl_logic_vector;
        dout_tx         : in     vl_logic_vector(63 downto 0);
        apb_psel        : in     vl_logic;
        apb_penable     : in     vl_logic;
        apb_pwrite      : in     vl_logic;
        apb_paddr       : in     vl_logic_vector(11 downto 0);
        apb_pwdata      : in     vl_logic_vector(31 downto 0);
        apb_pready      : out    vl_logic;
        apb_prdata      : out    vl_logic_vector(31 downto 0);
        apb_pslverr     : out    vl_logic;
        m_arid          : out    vl_logic_vector;
        m_araddr        : out    vl_logic_vector;
        m_arlen         : out    vl_logic_vector(3 downto 0);
        m_arsize        : out    vl_logic_vector(2 downto 0);
        m_arburst       : out    vl_logic_vector(1 downto 0);
        m_arlock        : out    vl_logic_vector(1 downto 0);
        m_arcache       : out    vl_logic_vector(3 downto 0);
        m_arprot        : out    vl_logic_vector(2 downto 0);
        m_arvalid       : out    vl_logic;
        m_arready       : in     vl_logic;
        m_rid           : in     vl_logic_vector;
        m_rdata         : in     vl_logic_vector;
        m_rresp         : in     vl_logic_vector(1 downto 0);
        m_rlast         : in     vl_logic;
        m_rvalid        : in     vl_logic;
        m_rready        : out    vl_logic;
        m_awid          : out    vl_logic_vector;
        m_awaddr        : out    vl_logic_vector;
        m_awlen         : out    vl_logic_vector(3 downto 0);
        m_awsize        : out    vl_logic_vector(2 downto 0);
        m_awburst       : out    vl_logic_vector(1 downto 0);
        m_awlock        : out    vl_logic_vector(1 downto 0);
        m_awcache       : out    vl_logic_vector(3 downto 0);
        m_awprot        : out    vl_logic_vector(2 downto 0);
        m_awvalid       : out    vl_logic;
        m_awready       : in     vl_logic;
        m_wid           : out    vl_logic_vector;
        m_wdata         : out    vl_logic_vector;
        m_wstrb         : out    vl_logic_vector;
        m_wlast         : out    vl_logic;
        m_wvalid        : out    vl_logic;
        m_wready        : in     vl_logic;
        m_bid           : in     vl_logic_vector;
        m_bresp         : in     vl_logic_vector(1 downto 0);
        m_bvalid        : in     vl_logic;
        m_bready        : out    vl_logic;
        m_rlfbe         : out    vl_logic_vector(7 downto 0);
        m_wlfbe         : out    vl_logic_vector(7 downto 0);
        s_awid          : in     vl_logic_vector;
        s_awaddr        : in     vl_logic_vector;
        s_awparam       : in     vl_logic_vector(3 downto 0);
        s_awlen         : in     vl_logic_vector(3 downto 0);
        s_awsize        : in     vl_logic_vector(2 downto 0);
        s_awburst       : in     vl_logic_vector(1 downto 0);
        s_awlock        : in     vl_logic_vector(1 downto 0);
        s_awcache       : in     vl_logic_vector(3 downto 0);
        s_awprot        : in     vl_logic_vector(2 downto 0);
        s_awvalid       : in     vl_logic;
        s_awready       : out    vl_logic;
        s_wid           : in     vl_logic_vector;
        s_wdata         : in     vl_logic_vector;
        s_wstrb         : in     vl_logic_vector;
        s_wlast         : in     vl_logic;
        s_wvalid        : in     vl_logic;
        s_wready        : out    vl_logic;
        s_bid           : out    vl_logic_vector;
        s_bresp         : out    vl_logic_vector(1 downto 0);
        s_bcrs          : out    vl_logic;
        s_bvalid        : out    vl_logic;
        s_bready        : in     vl_logic;
        s_arid          : in     vl_logic_vector;
        s_araddr        : in     vl_logic_vector;
        s_arparam       : in     vl_logic_vector(3 downto 0);
        s_arlen         : in     vl_logic_vector(3 downto 0);
        s_arsize        : in     vl_logic_vector(2 downto 0);
        s_arburst       : in     vl_logic_vector(1 downto 0);
        s_arlock        : in     vl_logic_vector(1 downto 0);
        s_arcache       : in     vl_logic_vector(3 downto 0);
        s_arprot        : in     vl_logic_vector(2 downto 0);
        s_arvalid       : in     vl_logic;
        s_arready       : out    vl_logic;
        s_rid           : out    vl_logic_vector;
        s_rdata         : out    vl_logic_vector;
        s_rlast         : out    vl_logic;
        s_rresp         : out    vl_logic_vector(1 downto 0);
        s_rcrs          : out    vl_logic;
        s_rvalid        : out    vl_logic;
        s_rready        : in     vl_logic;
        k_bridge        : in     vl_logic_vector(31 downto 0);
        k_fix           : in     vl_logic_vector(31 downto 0);
        k_pciconf       : in     vl_logic_vector(127 downto 0);
        k_aspmconf      : in     vl_logic_vector(63 downto 0);
        k_axi_master_window0: in     vl_logic_vector(127 downto 0);
        k_axi_master_window1: in     vl_logic_vector(127 downto 0);
        k_axi_master_window2: in     vl_logic_vector(127 downto 0);
        k_axi_master_window3: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window0: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window1: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window2: in     vl_logic_vector(127 downto 0);
        k_axi_slave_window3: in     vl_logic_vector(127 downto 0);
        k_bar01_size    : in     vl_logic_vector(63 downto 0);
        k_bar23_size    : in     vl_logic_vector(63 downto 0);
        k_bar45_size    : in     vl_logic_vector(63 downto 0);
        k_prefetchable_io_window: in     vl_logic_vector(3 downto 0);
        k_pmconf        : in     vl_logic_vector(95 downto 0);
        k_slotcap       : in     vl_logic_vector(31 downto 0);
        k_timeout_completion: in     vl_logic_vector(31 downto 0);
        k_msi_addr      : in     vl_logic_vector(31 downto 0);
        k_vco_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vco_nonposted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_posted_credit: in     vl_logic_vector(31 downto 0);
        k_vc1_nonposted_credit: in     vl_logic_vector(31 downto 0);
        axi_clk         : in     vl_logic;
        axi_rstn        : in     vl_logic;
        axi_srst        : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SRAM_MODE : constant is 1;
    attribute mti_svvh_generic_type of MID_BITS : constant is 1;
    attribute mti_svvh_generic_type of SID_BITS : constant is 1;
    attribute mti_svvh_generic_type of INT_BITS : constant is 1;
    attribute mti_svvh_generic_type of SR_MOT : constant is 1;
    attribute mti_svvh_generic_type of TX_BUF : constant is 1;
    attribute mti_svvh_generic_type of RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of RH_NUM : constant is 1;
    attribute mti_svvh_generic_type of RTRY_BUF : constant is 1;
    attribute mti_svvh_generic_type of RTRY_NUM : constant is 1;
    attribute mti_svvh_generic_type of NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of M_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of S_ADDR_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ADDER_SLV_WD : constant is 1;
    attribute mti_svvh_generic_type of CFG_IO_AXI_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of PCIE_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of APB_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of AXI_CDC_ENABLE : constant is 1;
    attribute mti_svvh_generic_type of DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of TAG_NUM : constant is 3;
end pcie2axi_pipe250_120;
