library verilog;
use verilog.vl_types.all;
entity pcie_system_dummy_075 is
    generic(
        NB_LINKS        : integer := 1;
        NB_LANES        : integer := 4;
        NB_LANES_INUSE  : integer := 2;
        PIPE_BITS       : integer := 16
    );
    port(
        clk_50mhz       : in     vl_logic;
        PCIE_CORE_CLK   : in     vl_logic;
        PCIE_RESET_IN_N : in     vl_logic;
        PHY_RESET_IN_N  : in     vl_logic;
        AXI_AHB_CLK     : in     vl_logic;
        APB_CLK         : in     vl_logic;
        APB_RST_IN_N    : in     vl_logic;
        PCIE_INTERRUPT_IP: in     vl_logic_vector(3 downto 0);
        PCIE_ECC_INTERRUPT_OUT: out    vl_logic_vector(5 downto 0);
        M_AWID          : out    vl_logic_vector(3 downto 0);
        M_AWADDR_HADDR  : out    vl_logic_vector(31 downto 0);
        M_AWLEN_HBURST  : out    vl_logic_vector(3 downto 0);
        M_AWSIZE_HSIZE  : out    vl_logic_vector(1 downto 0);
        M_AWBURST_HTRANS: out    vl_logic_vector(1 downto 0);
        M_AWVALID_HWRITE: out    vl_logic;
        M_AWREADY       : in     vl_logic;
        M_WID           : out    vl_logic_vector(3 downto 0);
        M_WSTRB         : out    vl_logic_vector(7 downto 0);
        M_WLAST         : out    vl_logic;
        M_WVALID        : out    vl_logic;
        M_WDATA_HWDATA  : out    vl_logic_vector(63 downto 0);
        M_WREADY_HREADY : in     vl_logic;
        M_BID           : in     vl_logic_vector(3 downto 0);
        M_BRESP_HRESP   : in     vl_logic_vector(1 downto 0);
        M_BVALID        : in     vl_logic;
        M_BREADY        : out    vl_logic;
        M_ARID          : out    vl_logic_vector(3 downto 0);
        M_ARADDR        : out    vl_logic_vector(31 downto 0);
        M_ARLEN         : out    vl_logic_vector(3 downto 0);
        M_ARSIZE        : out    vl_logic_vector(1 downto 0);
        M_ARBURST       : out    vl_logic_vector(1 downto 0);
        M_ARVALID       : out    vl_logic;
        M_ARREADY       : in     vl_logic;
        M_RID           : in     vl_logic_vector(3 downto 0);
        M_RDATA_HRDATA  : in     vl_logic_vector(63 downto 0);
        M_RRESP         : in     vl_logic_vector(1 downto 0);
        M_RLAST         : in     vl_logic;
        M_RVALID        : in     vl_logic;
        M_RREADY        : out    vl_logic;
        S_AWID_HSEL     : in     vl_logic_vector(3 downto 0);
        S_AWADDR_HADDR  : in     vl_logic_vector(31 downto 0);
        S_AWLEN_HBURST  : in     vl_logic_vector(3 downto 0);
        S_AWSIZE_HSIZE  : in     vl_logic_vector(1 downto 0);
        S_AWBURST_HTRANS: in     vl_logic_vector(1 downto 0);
        S_AWVALID_HWRITE: in     vl_logic;
        S_AWREADY       : out    vl_logic;
        S_AWLOCK        : in     vl_logic_vector(1 downto 0);
        S_WID           : in     vl_logic_vector(3 downto 0);
        S_WSTRB         : in     vl_logic_vector(7 downto 0);
        S_WLAST         : in     vl_logic;
        S_WVALID        : in     vl_logic;
        S_WDATA_HWDATA  : in     vl_logic_vector(63 downto 0);
        S_WREADY_HREADYOUT: out    vl_logic;
        S_BID           : out    vl_logic_vector(3 downto 0);
        S_BRESP_HRESP   : out    vl_logic_vector(1 downto 0);
        S_BVALID        : out    vl_logic;
        S_BREADY_HREADY : in     vl_logic;
        S_ARID          : in     vl_logic_vector(3 downto 0);
        S_ARADDR        : in     vl_logic_vector(31 downto 0);
        S_ARLEN         : in     vl_logic_vector(3 downto 0);
        S_ARSIZE        : in     vl_logic_vector(1 downto 0);
        S_ARBURST       : in     vl_logic_vector(1 downto 0);
        S_ARVALID       : in     vl_logic;
        S_ARLOCK        : in     vl_logic_vector(1 downto 0);
        S_ARREADY       : out    vl_logic;
        S_RID           : out    vl_logic_vector(3 downto 0);
        S_RDATA_HRDATA  : out    vl_logic_vector(63 downto 0);
        S_RRESP         : out    vl_logic_vector(1 downto 0);
        S_RLAST         : out    vl_logic;
        S_RVALID        : out    vl_logic;
        S_RREADY        : in     vl_logic;
        M_APB_PENABLE   : in     vl_logic;
        M_APB_PWRITE    : in     vl_logic;
        M_APB_PADDR     : in     vl_logic_vector(11 downto 0);
        M_APB_PWDATA    : in     vl_logic_vector(31 downto 0);
        M_APB_PSEL_PCIE_CORE: in     vl_logic;
        M_APB_PRDATA_PCIE_CORE: out    vl_logic_vector(31 downto 0);
        M_APB_PREADY_PCIE_CORE: out    vl_logic;
        M_APB_PSLVERR_PCIE_CORE: out    vl_logic;
        WAKE_REQ        : in     vl_logic;
        WAKE_N          : out    vl_logic;
        PERST_N         : in     vl_logic;
        LT_SDI          : in     vl_logic;
        LT_SCK          : in     vl_logic;
        LT_BIST_SEL     : in     vl_logic;
        LT_SHIFT        : in     vl_logic;
        LT_CAPTURE      : in     vl_logic;
        LT_UPDATE       : in     vl_logic;
        LT_DIAG_SEL     : in     vl_logic;
        LT_SDO          : out    vl_logic;
        LT_RESETN       : in     vl_logic;
        SCAN_TESTMODE   : in     vl_logic;
        SCAN_CLK        : in     vl_logic;
        SCAN_RSTN       : in     vl_logic;
        PCIE_BAR0       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR1       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR2       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR3       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR4       : in     vl_logic_vector(31 downto 0);
        PCIE_BAR5       : in     vl_logic_vector(31 downto 0);
        CFGR_AXI_AHB_MASTER: in     vl_logic;
        CFGR_AXI_AHB_SLAVE: in     vl_logic;
        CFGR_PCIE_ECC_EN: in     vl_logic_vector(2 downto 0);
        CFGR_PCIE_ECC_ERROR_INJECT: in     vl_logic_vector(5 downto 0);
        CONFIG_TEST_IN  : in     vl_logic_vector(31 downto 0);
        TEST_OUT_READ_DATA: out    vl_logic_vector(639 downto 0);
        CFGR_SLOT_CONFIG: in     vl_logic;
        CFGR_PM_AUX_PWR : in     vl_logic;
        CFGR_L2_P2_ENABLE: in     vl_logic;
        PCIE_VENDOR_ID  : in     vl_logic_vector(15 downto 0);
        PCIE_DEVICE_ID  : in     vl_logic_vector(15 downto 0);
        PCIE_SUB_VENDOR_ID: in     vl_logic_vector(15 downto 0);
        PCIE_SUB_DEVICE_ID: in     vl_logic_vector(15 downto 0);
        PCIE_REV_ID     : in     vl_logic_vector(15 downto 0);
        PCIE_CLASS_CODE : in     vl_logic_vector(15 downto 0);
        K_BRIDGE_SPEED  : in     vl_logic;
        K_BRIDGE_EMPH   : in     vl_logic;
        K_BRIDGE_SPEC_REV: in     vl_logic_vector(1 downto 0);
        K_BRIDGE_MODE   : in     vl_logic;
        K_BRIDGE_ADDR_DEC: in     vl_logic;
        CONF_AXI_MSTR_WNDW_0: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_1: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_2: in     vl_logic_vector(31 downto 0);
        CONF_AXI_MSTR_WNDW_3: in     vl_logic_vector(3 downto 0);
        CONF_AXI_SLV_WNDW_0: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_1: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_2: in     vl_logic_vector(31 downto 0);
        CONF_AXI_SLV_WNDW_3: in     vl_logic_vector(3 downto 0);
        ev_1us          : out    vl_logic;
        l2p2_aiddq      : out    vl_logic;
        PIPE_RSTN       : out    vl_logic;
        PIPE_POWERDOWN  : out    vl_logic_vector(1 downto 0);
        PIPE_TXDETECTRX : out    vl_logic;
        PIPE_PHYSTATUS  : in     vl_logic;
        PIPE_RATE       : out    vl_logic;
        PIPE_TXMARGIN   : out    vl_logic_vector(2 downto 0);
        PIPE_TXDEEMP    : out    vl_logic;
        PIPE_LANE_REVERSAL_ENABLE: out    vl_logic;
        PIPE_RXDATA     : in     vl_logic_vector;
        PIPE_RXDATAK    : in     vl_logic_vector;
        PIPE_RXSTATUS   : in     vl_logic_vector;
        PIPE_RXVALID    : in     vl_logic_vector;
        PIPE_RXELECIDLE : in     vl_logic_vector;
        PIPE_RXPOLARITY : out    vl_logic_vector;
        PIPE_TXDATA     : out    vl_logic_vector;
        PIPE_TXDATAK    : out    vl_logic_vector;
        PIPE_TXELECIDLE : out    vl_logic_vector;
        PIPE_TXCOMPL    : out    vl_logic_vector;
        l2_exit         : out    vl_logic;
        hotrst_exit     : out    vl_logic;
        dlup_exit       : out    vl_logic;
        rootport_irq    : out    vl_logic;
        l2p2_active     : out    vl_logic;
        bg_por_b        : in     vl_logic;
        core_up         : in     vl_logic;
        PCIE_CTRL_CFGRESET: in     vl_logic;
        DISABLE_PCIE_RESET: in     vl_logic;
        DISABLE_PIPE_RESET: in     vl_logic;
        ENABLE_PERSTN_SUPPORT: in     vl_logic;
        K_INFER_ELEC_IDLE: in     vl_logic;
        gen_rstn        : out    vl_logic;
        gen_axi_rstn    : out    vl_logic;
        gen_apb_rstn    : out    vl_logic;
        rst_phase       : out    vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of NB_LINKS : constant is 1;
    attribute mti_svvh_generic_type of NB_LANES : constant is 1;
    attribute mti_svvh_generic_type of NB_LANES_INUSE : constant is 1;
    attribute mti_svvh_generic_type of PIPE_BITS : constant is 1;
end pcie_system_dummy_075;
