library verilog;
use verilog.vl_types.all;
entity pciexp125_ltstx is
    generic(
        G_NB_LANE       : integer := 4;
        LOGIC_ZERO      : vl_logic_vector;
        LOGIC_ONE       : vl_logic_vector;
        K28_5           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_7           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K23_7           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1);
        K28_0           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_1           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_3           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        D21_5           : vl_logic_vector(8 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi1, Hi0, Hi1);
        D26_5           : vl_logic_vector(8 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi0);
        D10_2           : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi0);
        D5_2            : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1);
        D0_0            : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        D3_6            : vl_logic_vector(8 downto 0) := (Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1);
        ELEC_IDLE       : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        TX_DETEC        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        TS1_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        TS2_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi1);
        DATA_IDLE       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        FTS_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        GEN1_ID_OS      : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        GEN2_ID_OS      : vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi1, Hi0);
        COMP_PATT       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        COMP_PATT2      : vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi1, Hi1);
        EIEOS           : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        EIEOS_CHAR      : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi1);
        TSA_OS          : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi0);
        SKP_OS          : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi1);
        NORMAL          : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        SET_LINK        : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        SET_LANE        : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        BCOMP_TX        : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        MCOMP_TX        : vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi1);
        COMP_SKP        : vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        LTSTX_STATE_PHY_RST: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        LTSTX_STATE_NEW_CMD: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        LTSTX_STATE_SKPOS_WT: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        LTSTX_STATE_TS_OS: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi1);
        LTSTX_STATE_DET_WT: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        LTSTX_STATE_DET_END: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        LTSTX_STATE_TWO_CYC: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        LTSTX_STATE_TWO_SKP: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        LTSTX_STATE_GEN2_IDL: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        LTSTX_STATE_GEN2_EIES: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi1);
        LTSTX_STATE_MODIF_COMP: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi0);
        LTSTX_STATE_DEFAULT_COMP: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi1);
        LTSTX_STATE_EIE_CHAR: vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_conf_func0    : in     vl_logic_vector(343 downto 340);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        req_skpos       : out    vl_logic;
        ack_skpos       : in     vl_logic;
        tx_val_dl       : in     vl_logic;
        cfg_compl_sos   : in     vl_logic;
        lane_rev_ltssm  : in     vl_logic_vector(3 downto 0);
        tx_ctrl         : in     vl_logic_vector(3 downto 0);
        tx_pad_ltssm    : in     vl_logic_vector;
        tx_linkpad      : in     vl_logic;
        tx_lanepad      : in     vl_logic;
        tx_speed_change : in     vl_logic;
        tx_nfts         : in     vl_logic_vector(7 downto 0);
        tx_rate         : in     vl_logic_vector(3 downto 1);
        tx_deemp        : in     vl_logic;
        tx_trctrl       : in     vl_logic_vector(4 downto 0);
        tx_ack          : out    vl_logic;
        lpbk_slave      : in     vl_logic;
        test_ltssm      : in     vl_logic_vector(4 downto 0);
        phy_status      : in     vl_logic_vector;
        tx_detectrx     : out    vl_logic_vector;
        lane_rev_maclane: out    vl_logic_vector(3 downto 0);
        tx_pad_maclane  : out    vl_logic_vector;
        tx_elecidle     : out    vl_logic;
        tx_tsctrl       : out    vl_logic_vector(2 downto 0);
        tx_data         : out    vl_logic_vector(15 downto 0);
        tx_datak        : out    vl_logic_vector(1 downto 0);
        nfts2tx         : in     vl_logic_vector(7 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 4;
    attribute mti_svvh_generic_type of LOGIC_ONE : constant is 4;
    attribute mti_svvh_generic_type of K28_5 : constant is 2;
    attribute mti_svvh_generic_type of K28_7 : constant is 2;
    attribute mti_svvh_generic_type of K23_7 : constant is 2;
    attribute mti_svvh_generic_type of K28_0 : constant is 2;
    attribute mti_svvh_generic_type of K28_1 : constant is 2;
    attribute mti_svvh_generic_type of K28_3 : constant is 2;
    attribute mti_svvh_generic_type of D21_5 : constant is 2;
    attribute mti_svvh_generic_type of D26_5 : constant is 2;
    attribute mti_svvh_generic_type of D10_2 : constant is 2;
    attribute mti_svvh_generic_type of D5_2 : constant is 2;
    attribute mti_svvh_generic_type of D0_0 : constant is 2;
    attribute mti_svvh_generic_type of D3_6 : constant is 2;
    attribute mti_svvh_generic_type of ELEC_IDLE : constant is 2;
    attribute mti_svvh_generic_type of TX_DETEC : constant is 2;
    attribute mti_svvh_generic_type of TS1_OS : constant is 2;
    attribute mti_svvh_generic_type of TS2_OS : constant is 2;
    attribute mti_svvh_generic_type of DATA_IDLE : constant is 2;
    attribute mti_svvh_generic_type of FTS_OS : constant is 2;
    attribute mti_svvh_generic_type of GEN1_ID_OS : constant is 2;
    attribute mti_svvh_generic_type of GEN2_ID_OS : constant is 2;
    attribute mti_svvh_generic_type of COMP_PATT : constant is 2;
    attribute mti_svvh_generic_type of COMP_PATT2 : constant is 2;
    attribute mti_svvh_generic_type of EIEOS : constant is 2;
    attribute mti_svvh_generic_type of EIEOS_CHAR : constant is 2;
    attribute mti_svvh_generic_type of TSA_OS : constant is 2;
    attribute mti_svvh_generic_type of SKP_OS : constant is 2;
    attribute mti_svvh_generic_type of NORMAL : constant is 2;
    attribute mti_svvh_generic_type of SET_LINK : constant is 2;
    attribute mti_svvh_generic_type of SET_LANE : constant is 2;
    attribute mti_svvh_generic_type of BCOMP_TX : constant is 2;
    attribute mti_svvh_generic_type of MCOMP_TX : constant is 2;
    attribute mti_svvh_generic_type of COMP_SKP : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_PHY_RST : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_NEW_CMD : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_SKPOS_WT : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_TS_OS : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_DET_WT : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_DET_END : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_TWO_CYC : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_TWO_SKP : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_GEN2_IDL : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_GEN2_EIES : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_MODIF_COMP : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_DEFAULT_COMP : constant is 2;
    attribute mti_svvh_generic_type of LTSTX_STATE_EIE_CHAR : constant is 2;
end pciexp125_ltstx;
