library verilog;
use verilog.vl_types.all;
entity pciexp125_maclane is
    generic(
        K28_5           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K23_7           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1);
        K28_0           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_1           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_3           : vl_logic_vector(8 downto 0) := (Hi1, Hi0, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        K28_7           : vl_logic_vector(8 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0);
        D21_5           : vl_logic_vector(8 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi1, Hi0, Hi1);
        D26_5           : vl_logic_vector(8 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi0);
        D10_2           : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi0);
        D5_2            : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1);
        D0_0            : vl_logic_vector(8 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        NORMAL          : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        SET_LINK        : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        SET_LANE        : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        BCOMP_TX        : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        MCOMP_TX        : vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi1);
        COMP_SKP        : vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        txEIAssertDelay_SIZE: integer := 4;
        eieosPartEie    : integer := 0;
        eieosPartTs1    : integer := 1;
        eieosPartEnd    : integer := 2
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(191 downto 0);
        en_txscramb     : in     vl_logic;
        en_rxscramb     : in     vl_logic;
        tx_data_dl      : in     vl_logic_vector(15 downto 0);
        tx_datak_dl     : in     vl_logic_vector(1 downto 0);
        tx_val_dl       : in     vl_logic;
        tx_tsctrl       : in     vl_logic_vector(2 downto 0);
        tx_elidl_gbl    : in     vl_logic;
        tx_elidl_lane   : in     vl_logic;
        tx_data         : in     vl_logic_vector(15 downto 0);
        tx_datak        : in     vl_logic_vector(1 downto 0);
        tx_linknum      : in     vl_logic_vector(7 downto 0);
        tx_lanenum      : in     vl_logic_vector(4 downto 0);
        rx_data_dl      : out    vl_logic_vector(15 downto 0);
        rx_datak_dl     : out    vl_logic_vector(1 downto 0);
        tx_pad          : in     vl_logic;
        turnOffexit     : in     vl_logic;
        rx_ts1          : out    vl_logic;
        rx_ts2          : out    vl_logic;
        rx_eieos        : out    vl_logic;
        rx_linkpad      : out    vl_logic;
        rx_lanepad      : out    vl_logic;
        rx_link         : out    vl_logic_vector(7 downto 0);
        rx_lane         : out    vl_logic_vector(4 downto 0);
        rx_nfts         : out    vl_logic_vector(7 downto 0);
        rx_rate         : out    vl_logic_vector(3 downto 1);
        rx_ts_bit6      : out    vl_logic;
        rx_speedchg     : out    vl_logic;
        rx_trctrl       : out    vl_logic_vector(4 downto 0);
        rx_polinv       : out    vl_logic;
        rx_idl          : out    vl_logic;
        rx_4_idl        : out    vl_logic;
        rx_skp          : out    vl_logic;
        rx_tsnum        : out    vl_logic_vector(7 downto 0);
        rst_rxtsnum     : in     vl_logic;
        rx_8d00         : out    vl_logic;
        txdata          : out    vl_logic_vector(15 downto 0);
        txdatak         : out    vl_logic_vector(1 downto 0);
        txcompl         : out    vl_logic;
        txelecidle      : out    vl_logic;
        rxstatus        : in     vl_logic_vector(2 downto 0);
        rxvalid         : in     vl_logic;
        rxdata          : in     vl_logic_vector(15 downto 0);
        rxdatak         : in     vl_logic_vector(1 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K28_5 : constant is 2;
    attribute mti_svvh_generic_type of K23_7 : constant is 2;
    attribute mti_svvh_generic_type of K28_0 : constant is 2;
    attribute mti_svvh_generic_type of K28_1 : constant is 2;
    attribute mti_svvh_generic_type of K28_3 : constant is 2;
    attribute mti_svvh_generic_type of K28_7 : constant is 2;
    attribute mti_svvh_generic_type of D21_5 : constant is 2;
    attribute mti_svvh_generic_type of D26_5 : constant is 2;
    attribute mti_svvh_generic_type of D10_2 : constant is 2;
    attribute mti_svvh_generic_type of D5_2 : constant is 2;
    attribute mti_svvh_generic_type of D0_0 : constant is 2;
    attribute mti_svvh_generic_type of NORMAL : constant is 2;
    attribute mti_svvh_generic_type of SET_LINK : constant is 2;
    attribute mti_svvh_generic_type of SET_LANE : constant is 2;
    attribute mti_svvh_generic_type of BCOMP_TX : constant is 2;
    attribute mti_svvh_generic_type of MCOMP_TX : constant is 2;
    attribute mti_svvh_generic_type of COMP_SKP : constant is 2;
    attribute mti_svvh_generic_type of txEIAssertDelay_SIZE : constant is 1;
    attribute mti_svvh_generic_type of eieosPartEie : constant is 1;
    attribute mti_svvh_generic_type of eieosPartTs1 : constant is 1;
    attribute mti_svvh_generic_type of eieosPartEnd : constant is 1;
end pciexp125_maclane;
