library verilog;
use verilog.vl_types.all;
entity pciexp250_phymac_075 is
    generic(
        G_NB_LANE       : integer := 8;
        PIPE_16B_MODE_A : vl_logic := Hi0;
        G_NB_LANE_A     : vl_notype;
        G_NB_LANE_MAX   : integer := 8;
        LOGIC_ZERO      : vl_logic_vector;
        LOGIC_ONE       : vl_logic_vector;
        NB_8LANE_EN     : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        NB_4LANE_EN     : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        NB_2LANE_EN     : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        NB_1LANE_EN     : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        REVERSE_LANE_EIGHT: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        REVERSE_LANE_FOUR: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        REVERSE_LANE_TWO: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        REVERSE_LANE_ONE: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        REVERSE_LANE_NONE: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        core_clk        : in     vl_logic;
        rstn            : in     vl_logic;
        core_rstn       : in     vl_logic;
        srst            : in     vl_logic;
        core_srst       : in     vl_logic;
        inh_ltssm       : out    vl_logic;
        swdn_hotrst     : in     vl_logic;
        swdn_wake       : out    vl_logic;
        swup_hotrst     : out    vl_logic;
        swup_wake       : in     vl_logic;
        out_l1rec       : out    vl_logic;
        out_l0s_req     : out    vl_logic;
        current_speed   : out    vl_logic_vector(1 downto 0);
        rate            : out    vl_logic;
        lane_reversal_enable: out    vl_logic;
        tx_margin       : out    vl_logic_vector(2 downto 0);
        current_deemp   : out    vl_logic;
        ctrl_link2      : in     vl_logic_vector(12 downto 0);
        dlcm_sm_act     : in     vl_logic;
        link_auto_bdw_status: out    vl_logic;
        link_bdw_mng_status: out    vl_logic;
        rst_tx_margin_field: out    vl_logic;
        rst_enter_comp_bit: out    vl_logic;
        retrain_link    : in     vl_logic;
        clkreqn_en      : in     vl_logic;
        clkreqn_l1_en_n : in     vl_logic;
        clkreqout       : in     vl_logic;
        clkreq_n        : out    vl_logic;
        req_phypm       : in     vl_logic_vector(3 downto 0);
        ack_phypm       : out    vl_logic_vector(3 downto 0);
        req_phycfg      : in     vl_logic_vector(3 downto 0);
        txcfg_nfts      : in     vl_logic_vector(7 downto 0);
        txcfg_extsy     : in     vl_logic;
        txcfg_rate      : in     vl_logic_vector(2 downto 0);
        updwn           : in     vl_logic;
        k_conf_func0    : in     vl_logic_vector(383 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(191 downto 0);
        test_in         : in     vl_logic_vector(31 downto 0);
        test_mac        : out    vl_logic_vector(167 downto 0);
        l2_exit         : out    vl_logic;
        hotrst_exit     : out    vl_logic;
        dlup_exit       : out    vl_logic;
        txlink_ini      : in     vl_logic_vector(7 downto 0);
        link_up         : out    vl_logic;
        link_train      : out    vl_logic;
        lane_act        : out    vl_logic_vector(3 downto 0);
        err_phy         : out    vl_logic_vector(2 downto 0);
        nfts2tx         : out    vl_logic_vector(7 downto 0);
        txok            : out    vl_logic;
        sop             : in     vl_logic;
        eop             : in     vl_logic;
        eot             : in     vl_logic;
        tdata           : in     vl_logic_vector(63 downto 0);
        tdatak          : in     vl_logic_vector(7 downto 0);
        rx_val_dl       : out    vl_logic;
        rx_data_dl      : out    vl_logic_vector(63 downto 0);
        rx_datak_dl     : out    vl_logic_vector(7 downto 0);
        l0state         : out    vl_logic;
        l0sstate        : out    vl_logic;
        req_wake        : in     vl_logic;
        clr_rxpath      : out    vl_logic;
        txdatak         : out    vl_logic_vector;
        tx_detectrx     : out    vl_logic_vector;
        txelecidle      : out    vl_logic_vector;
        txcompl         : out    vl_logic_vector;
        rxpolarity      : out    vl_logic_vector;
        rxdatak         : in     vl_logic_vector;
        rxvalid         : in     vl_logic_vector;
        phy_status      : in     vl_logic_vector;
        rxelecidle      : in     vl_logic_vector;
        powerdown       : out    vl_logic_vector(1 downto 0);
        txdata0         : out    vl_logic_vector(7 downto 0);
        rxdata0         : in     vl_logic_vector(7 downto 0);
        rxstatus0       : in     vl_logic_vector(2 downto 0);
        txdata1         : out    vl_logic_vector(7 downto 0);
        rxdata1         : in     vl_logic_vector(7 downto 0);
        rxstatus1       : in     vl_logic_vector(2 downto 0);
        txdata2         : out    vl_logic_vector(7 downto 0);
        rxdata2         : in     vl_logic_vector(7 downto 0);
        rxstatus2       : in     vl_logic_vector(2 downto 0);
        txdata3         : out    vl_logic_vector(7 downto 0);
        rxdata3         : in     vl_logic_vector(7 downto 0);
        rxstatus3       : in     vl_logic_vector(2 downto 0);
        txdata4         : out    vl_logic_vector(7 downto 0);
        rxdata4         : in     vl_logic_vector(7 downto 0);
        rxstatus4       : in     vl_logic_vector(2 downto 0);
        txdata5         : out    vl_logic_vector(7 downto 0);
        rxdata5         : in     vl_logic_vector(7 downto 0);
        rxstatus5       : in     vl_logic_vector(2 downto 0);
        txdata6         : out    vl_logic_vector(7 downto 0);
        rxdata6         : in     vl_logic_vector(7 downto 0);
        rxstatus6       : in     vl_logic_vector(2 downto 0);
        txdata7         : out    vl_logic_vector(7 downto 0);
        rxdata7         : in     vl_logic_vector(7 downto 0);
        rxstatus7       : in     vl_logic_vector(2 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of PIPE_16B_MODE_A : constant is 1;
    attribute mti_svvh_generic_type of G_NB_LANE_A : constant is 3;
    attribute mti_svvh_generic_type of G_NB_LANE_MAX : constant is 1;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 4;
    attribute mti_svvh_generic_type of LOGIC_ONE : constant is 4;
    attribute mti_svvh_generic_type of NB_8LANE_EN : constant is 2;
    attribute mti_svvh_generic_type of NB_4LANE_EN : constant is 2;
    attribute mti_svvh_generic_type of NB_2LANE_EN : constant is 2;
    attribute mti_svvh_generic_type of NB_1LANE_EN : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_EIGHT : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_FOUR : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_TWO : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_ONE : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_NONE : constant is 2;
end pciexp250_phymac_075;
