library verilog;
use verilog.vl_types.all;
entity pciexp64_confctrl is
    generic(
        G_TAG_NUM       : integer := 256;
        G_PH_FUNC       : integer := 0
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        npor            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        ev1us           : in     vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        test_in         : in     vl_logic_vector(31 downto 0);
        test_vcr        : out    vl_logic_vector(14 downto 0);
        test_pex        : out    vl_logic_vector(2 downto 0);
        test_err        : out    vl_logic_vector(15 downto 0);
        test_cfgchk     : out    vl_logic_vector(10 downto 0);
        cfg_rden        : in     vl_logic;
        cfg_wren        : in     vl_logic;
        cfg_addr        : in     vl_logic_vector(14 downto 0);
        cfg_din         : in     vl_logic_vector(31 downto 0);
        cfg_dout        : out    vl_logic_vector(31 downto 0);
        cfg_ack         : out    vl_logic;
        bkg_ok          : in     vl_logic;
        err_surpdwn_dll : in     vl_logic;
        surpdwn_conf    : out    vl_logic_vector(7 downto 0);
        err_msg_tx      : in     vl_logic_vector(2 downto 0);
        err_msg_en      : out    vl_logic_vector(2 downto 0);
        swdn_int        : out    vl_logic_vector(3 downto 0);
        swup_int        : in     vl_logic_vector(3 downto 0);
        swdn_hotrst     : in     vl_logic;
        slotclk_cfg     : in     vl_logic;
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        link_up         : in     vl_logic;
        link_train      : in     vl_logic;
        l0sstate        : in     vl_logic;
        cpl_pending     : in     vl_logic;
        cpl_err         : in     vl_logic_vector(6 downto 0);
        err_desc        : in     vl_logic_vector(127 downto 0);
        pm_auxpwr       : in     vl_logic;
        serr_out        : out    vl_logic;
        err_phy         : in     vl_logic_vector(1 downto 0);
        err_dll         : in     vl_logic_vector(4 downto 0);
        rxfc_err        : in     vl_logic;
        txfc_err        : in     vl_logic;
        tcvc_err        : in     vl_logic;
        comclk_reg      : out    vl_logic;
        extsy_reg       : out    vl_logic;
        max_pload_cr    : out    vl_logic_vector(2 downto 0);
        rx_bar_cfg      : out    vl_logic_vector(7 downto 0);
        rx_uns_cfg      : out    vl_logic;
        rx_uns_bar      : out    vl_logic;
        rx_uns_bar_mfep : in     vl_logic;
        rx_sup_cfg      : out    vl_logic;
        rx_mlf_cfg      : out    vl_logic;
        is_func_targ    : in     vl_logic_vector(2 downto 0);
        rx_td           : out    vl_logic;
        rx_wr           : out    vl_logic;
        clr_rxpath      : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_mlf_tlp      : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_ok_tlp       : in     vl_logic;
        tx_ecrcgen      : out    vl_logic;
        rx_ecrcchk      : out    vl_logic;
        t2c_req         : in     vl_logic;
        t2c_ack         : out    vl_logic;
        t2c_desc        : in     vl_logic_vector(127 downto 0);
        t2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_req         : in     vl_logic;
        r2c_ack         : out    vl_logic;
        r2c_desc        : in     vl_logic_vector(127 downto 0);
        r2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_sts         : in     vl_logic_vector(2 downto 0);
        c2t_req         : out    vl_logic;
        c2t_ack         : in     vl_logic;
        c2t_desc        : out    vl_logic_vector(127 downto 0);
        c2t_data        : out    vl_logic_vector(31 downto 0);
        c2r_req         : out    vl_logic;
        c2r_ack         : in     vl_logic;
        c2r_desc        : out    vl_logic_vector(127 downto 0);
        c2r_data        : out    vl_logic_vector(31 downto 0);
        txgen_cpl_func71: in     vl_logic_vector(6 downto 0);
        txgen_cpl_funcn : out    vl_logic;
        tx_ack_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0);
        cfg_busdev      : out    vl_logic_vector(12 downto 0);
        cfg_prmcsr      : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr       : out    vl_logic_vector(31 downto 0);
        cfg_msicsr      : out    vl_logic_vector(15 downto 0);
        cfg_devcsr      : out    vl_logic_vector(31 downto 0);
        cfg_dev2csr     : out    vl_logic_vector(31 downto 0);
        cfg_linkcsr     : out    vl_logic_vector(31 downto 0);
        cfg_slotcsr     : out    vl_logic_vector(31 downto 0);
        cfg_rootcsr     : out    vl_logic_vector(31 downto 0);
        cfg_seccsr      : out    vl_logic_vector(31 downto 0);
        cfg_prmbus      : out    vl_logic_vector(7 downto 0);
        cfg_secbus      : out    vl_logic_vector(7 downto 0);
        cfg_subbus      : out    vl_logic_vector(7 downto 0);
        cfg_io_bas      : out    vl_logic_vector(19 downto 0);
        cfg_io_lim      : out    vl_logic_vector(19 downto 0);
        cfg_np_bas      : out    vl_logic_vector(11 downto 0);
        cfg_np_lim      : out    vl_logic_vector(11 downto 0);
        cfg_pr_bas      : out    vl_logic_vector(43 downto 0);
        cfg_pr_lim      : out    vl_logic_vector(43 downto 0);
        cfg_msixcsr     : out    vl_logic_vector(15 downto 0);
        cfg_seclatency  : out    vl_logic_vector(7 downto 0);
        cfg_bar0        : out    vl_logic_vector(31 downto 0);
        cfg_bar1        : out    vl_logic_vector(31 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_dev           : in     vl_logic_vector(4 downto 0);
        k_port          : in     vl_logic_vector(7 downto 0);
        k_conf          : in     vl_logic_vector(383 downto 0);
        k_bar           : in     vl_logic_vector(227 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        pm_event        : in     vl_logic;
        pm_event_sec    : in     vl_logic;
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pm_data         : in     vl_logic_vector(9 downto 0);
        rx_msg_pme_to   : out    vl_logic;
        rx_msg_pmetoack : out    vl_logic;
        rx_msg_as_nak   : out    vl_logic;
        tx_msg_pmetoack : out    vl_logic;
        pm_msg_req      : in     vl_logic;
        pm_msg_sec      : in     vl_logic;
        pm_msg_typ      : in     vl_logic;
        pm_msg_ack      : out    vl_logic;
        app_intx_sts    : in     vl_logic;
        app_inta_ack    : out    vl_logic;
        app_intb_ack    : out    vl_logic;
        app_intc_ack    : out    vl_logic;
        app_intd_ack    : out    vl_logic;
        int_dn_out      : out    vl_logic_vector(3 downto 0);
        int_dn_in       : in     vl_logic_vector(3 downto 0);
        int_status      : out    vl_logic;
        inh_tlp         : in     vl_logic;
        app_msi_req     : in     vl_logic;
        app_msi_ack     : out    vl_logic;
        app_msi_tc      : in     vl_logic_vector(2 downto 0);
        app_msi_num     : in     vl_logic_vector(4 downto 0);
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        hpg_ctrler      : in     vl_logic_vector(4 downto 0);
        mult_func       : in     vl_logic;
        vc_ctrl         : out    vl_logic_vector(7 downto 0);
        vc_status       : in     vl_logic_vector(7 downto 0);
        vcid_map        : out    vl_logic_vector(23 downto 0);
        tcvc_map        : out    vl_logic_vector(23 downto 0);
        vc_en           : out    vl_logic_vector(7 downto 0);
        req_msg_fat     : out    vl_logic;
        req_msg_non     : out    vl_logic;
        req_msg_cor     : out    vl_logic;
        req_msg_fat_func: in     vl_logic;
        req_msg_non_func: in     vl_logic;
        req_msg_cor_func: in     vl_logic;
        ack_msg_fat_func: in     vl_logic;
        ack_msg_non_func: in     vl_logic;
        ack_msg_cor_func: in     vl_logic;
        pme_req         : out    vl_logic;
        pme_req_sec     : out    vl_logic;
        pme_l1tol0      : out    vl_logic;
        req_l1          : out    vl_logic;
        lpm_state       : in     vl_logic_vector(3 downto 0);
        req_wake        : out    vl_logic;
        flr_req         : out    vl_logic;
        flr_ack         : in     vl_logic;
        link_auto_bdw_status: in     vl_logic;
        link_bdw_mng_status: in     vl_logic;
        rst_tx_margin_field: in     vl_logic;
        rst_enter_comp_bit: in     vl_logic;
        current_speed   : in     vl_logic_vector(1 downto 0);
        current_deemp   : in     vl_logic;
        cfg_link2csr    : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_TAG_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 1;
end pciexp64_confctrl;
