library verilog;
use verilog.vl_types.all;
entity pciexp64_dlcmsm_075 is
    generic(
        dlcm_state_dl_inact: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        dlcm_state_dl_init: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        dlcm_state_dl_act: vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        fcip_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        fcip_state_prep0: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        fcip_state_prep1: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        fcip_state_initfc_p: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        fcip_state_initfc_np: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        fcip_state_initfc_cpl: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        fcip_state_initfc_wt: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        k_cnt           : in     vl_logic_vector(127 downto 0);
        test_dlcmsm     : out    vl_logic_vector(9 downto 0);
        link_up         : in     vl_logic;
        l0state         : in     vl_logic;
        l0sstate        : in     vl_logic;
        dl_up           : out    vl_logic;
        test_ltssm      : in     vl_logic_vector(4 downto 0);
        vc_ctrl         : in     vl_logic_vector(7 downto 0);
        vc_status       : out    vl_logic_vector(7 downto 0);
        vcid_map        : in     vl_logic_vector(23 downto 0);
        fc_adr_out      : out    vl_logic_vector(4 downto 0);
        fc_hdr_in       : in     vl_logic_vector(7 downto 0);
        fc_data_in      : in     vl_logic_vector(11 downto 0);
        rx_val_tlp      : in     vl_logic;
        rx_vcid_tlp     : in     vl_logic_vector(2 downto 0);
        rx_val_fc       : in     vl_logic;
        rx_typ_fc       : in     vl_logic_vector(3 downto 0);
        rx_vcid_fc      : in     vl_logic_vector(2 downto 0);
        tx_req_fc       : out    vl_logic;
        tx_ack_fc       : in     vl_logic;
        tx_typ_fc       : out    vl_logic_vector(3 downto 0);
        tx_vcid_fc      : out    vl_logic_vector(2 downto 0);
        tx_hdr_fc       : out    vl_logic_vector(7 downto 0);
        tx_data_fc      : out    vl_logic_vector(11 downto 0);
        init_fc1        : out    vl_logic;
        err_dlcmsm      : out    vl_logic;
        dlcm_sm_act     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of dlcm_state_dl_inact : constant is 2;
    attribute mti_svvh_generic_type of dlcm_state_dl_init : constant is 2;
    attribute mti_svvh_generic_type of dlcm_state_dl_act : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_idle : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_prep0 : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_prep1 : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_initfc_p : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_initfc_np : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_initfc_cpl : constant is 2;
    attribute mti_svvh_generic_type of fcip_state_initfc_wt : constant is 2;
end pciexp64_dlcmsm_075;
