library verilog;
use verilog.vl_types.all;
entity pciexp64_dlink_120 is
    generic(
        G_RTRY_BUF      : integer := 10;
        G_RTRY_NUM      : integer := 8
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_dlink      : out    vl_logic_vector(63 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_rtry          : in     vl_logic_vector;
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_ecrc          : in     vl_logic_vector(1 downto 0);
        cfg_secbus      : in     vl_logic_vector(7 downto 0);
        dl_bus_match    : out    vl_logic;
        rx_ecrcchk      : in     vl_logic;
        acknak_timax    : in     vl_logic_vector(14 downto 0);
        replay_timax    : in     vl_logic_vector(14 downto 0);
        dl_up           : out    vl_logic;
        vc_ctrl         : in     vl_logic_vector(7 downto 0);
        vc_status       : out    vl_logic_vector(7 downto 0);
        vcid_map        : in     vl_logic_vector(23 downto 0);
        err_dll         : out    vl_logic_vector(4 downto 0);
        rx_err_frame    : out    vl_logic;
        rpbuf_emp       : out    vl_logic;
        dll_req         : out    vl_logic;
        inh_dllp        : in     vl_logic;
        inh_ltssm       : in     vl_logic;
        rx_val_pm       : out    vl_logic;
        rx_typ_pm       : out    vl_logic_vector(2 downto 0);
        tx_req_pm       : in     vl_logic;
        tx_ack_pm       : out    vl_logic;
        tx_typ_pm       : in     vl_logic_vector(2 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        l0state         : in     vl_logic;
        l0sstate        : in     vl_logic;
        test_ltssm      : in     vl_logic_vector(4 downto 0);
        link_up         : in     vl_logic;
        link_train      : in     vl_logic;
        clr_rxpath      : in     vl_logic;
        rxval_dl        : in     vl_logic;
        rxdata_dl       : in     vl_logic_vector(63 downto 0);
        rxdatak_dl      : in     vl_logic_vector(7 downto 0);
        txok            : in     vl_logic;
        sop             : out    vl_logic;
        eop             : out    vl_logic;
        eot             : out    vl_logic;
        tdata           : out    vl_logic_vector(63 downto 0);
        tdatak          : out    vl_logic_vector(7 downto 0);
        tx_eop_timer    : in     vl_logic;
        tx_eop_ok       : out    vl_logic;
        dlcm_sm_act     : out    vl_logic;
        req_upfc        : in     vl_logic;
        snd_upfc        : in     vl_logic;
        ack_upfc        : out    vl_logic;
        ack_snd_upfc    : out    vl_logic;
        ack_req_upfc    : out    vl_logic;
        typ_upfc        : in     vl_logic_vector(1 downto 0);
        vcid_upfc       : in     vl_logic_vector(2 downto 0);
        hdr_upfc        : in     vl_logic_vector(7 downto 0);
        data_upfc       : in     vl_logic_vector(11 downto 0);
        fc_adr_out      : out    vl_logic_vector(4 downto 0);
        fc_hdr_in       : in     vl_logic_vector(7 downto 0);
        fc_data_in      : in     vl_logic_vector(11 downto 0);
        rx_val_fc       : out    vl_logic;
        rx_val_fc_real  : out    vl_logic;
        rx_ini_fc       : out    vl_logic;
        rx_ini_fc_real  : out    vl_logic;
        rx_typ_fc       : out    vl_logic_vector(1 downto 0);
        rx_vcid_fc      : out    vl_logic_vector(2 downto 0);
        rx_hdr_fc       : out    vl_logic_vector(7 downto 0);
        rx_data_fc      : out    vl_logic_vector(11 downto 0);
        wren_rpl        : out    vl_logic;
        rden_rpl        : out    vl_logic;
        adwr_rpl        : out    vl_logic_vector;
        din_rpl         : out    vl_logic_vector(63 downto 0);
        adrd_rpl        : out    vl_logic_vector;
        dout_rpl        : in     vl_logic_vector(63 downto 0);
        rx_val_tlp      : in     vl_logic;
        rx_vcid_tlp     : in     vl_logic_vector(2 downto 0);
        rx_data_tlp     : out    vl_logic_vector(63 downto 0);
        rx_dval_tlp     : out    vl_logic;
        rx_fval_tlp     : out    vl_logic;
        rx_hval_tlp     : out    vl_logic;
        rx_mlf_tlp      : out    vl_logic;
        rx_ecrcerr_tlp  : out    vl_logic;
        rx_discard_tlp  : out    vl_logic;
        rx_check_tlp    : out    vl_logic;
        rx_ok_tlp       : out    vl_logic;
        rx_err_tlp      : out    vl_logic;
        max_credit_replay_buffer: out    vl_logic_vector(11 downto 0);
        max_credit_replay_fifo: out    vl_logic_vector;
        tx_req_tlp      : in     vl_logic;
        tx_ack_tlp      : out    vl_logic;
        tx_dreq_tlp     : out    vl_logic;
        tx_err_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RTRY_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RTRY_NUM : constant is 1;
end pciexp64_dlink_120;
