library verilog;
use verilog.vl_types.all;
entity pciexp64_multifunc_confctrl_120 is
    generic(
        G_TAG_NUM0      : integer := 256;
        G_TAG_NUM1      : integer := 256;
        G_TAG_NUM2      : integer := 256;
        G_TAG_NUM3      : integer := 256;
        G_TAG_NUM4      : integer := 256;
        G_TAG_NUM5      : integer := 256;
        G_TAG_NUM6      : integer := 256;
        G_TAG_NUM7      : integer := 256;
        G_PH_FUNC       : integer := 0;
        G_IMPL_FN7      : integer := 1;
        G_IMPL_FN6      : integer := 1;
        G_IMPL_FN5      : integer := 1;
        G_IMPL_FN4      : integer := 1;
        G_IMPL_FN3      : integer := 1;
        G_IMPL_FN2      : integer := 1;
        G_IMPL_FN1      : integer := 1;
        c2t_state_idle  : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        c2t_state_ack   : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        int_state_intoff: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        int_state_intassert: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        int_state_inton : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        int_state_intdeassert: vl_logic_vector(1 downto 0) := (Hi1, Hi1);
        PORT_EP         : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        PORT_EPL        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        PORT_RC         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        PORT_SWUP       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        PORT_SWDN       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        PORT_BR         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        npor            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        ev1us           : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_vcr        : out    vl_logic_vector(14 downto 0);
        test_pmgt       : out    vl_logic_vector(12 downto 0);
        test_pex        : out    vl_logic_vector(2 downto 0);
        test_err        : out    vl_logic_vector(15 downto 0);
        test_cfgchk     : out    vl_logic_vector(10 downto 0);
        err_msg_tx      : in     vl_logic_vector(2 downto 0);
        err_msg_en      : out    vl_logic_vector(2 downto 0);
        cfg_rden        : in     vl_logic;
        cfg_wren        : in     vl_logic;
        cfg_addr        : in     vl_logic_vector(14 downto 0);
        cfg_din         : in     vl_logic_vector(31 downto 0);
        cfg_dout        : out    vl_logic_vector(31 downto 0);
        cfg_ack         : out    vl_logic;
        bkg_ok          : in     vl_logic;
        swdn_int        : out    vl_logic_vector(3 downto 0);
        swup_int        : in     vl_logic_vector(3 downto 0);
        swdn_hotrst     : in     vl_logic;
        in_l0s_req      : in     vl_logic;
        in_l1_ok        : in     vl_logic;
        slotclk_cfg     : in     vl_logic;
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        link_up         : in     vl_logic;
        link_train      : in     vl_logic;
        l0state         : in     vl_logic;
        l0sstate        : in     vl_logic;
        cpl_pending_func0: in     vl_logic;
        cpl_pending_func1: in     vl_logic;
        cpl_pending_func2: in     vl_logic;
        cpl_pending_func3: in     vl_logic;
        cpl_pending_func4: in     vl_logic;
        cpl_pending_func5: in     vl_logic;
        cpl_pending_func6: in     vl_logic;
        cpl_pending_func7: in     vl_logic;
        cpl_err_func0   : in     vl_logic_vector(6 downto 0);
        cpl_err_func1   : in     vl_logic_vector(6 downto 0);
        cpl_err_func2   : in     vl_logic_vector(6 downto 0);
        cpl_err_func3   : in     vl_logic_vector(6 downto 0);
        cpl_err_func4   : in     vl_logic_vector(6 downto 0);
        cpl_err_func5   : in     vl_logic_vector(6 downto 0);
        cpl_err_func6   : in     vl_logic_vector(6 downto 0);
        cpl_err_func7   : in     vl_logic_vector(6 downto 0);
        err_desc_func0  : in     vl_logic_vector(127 downto 0);
        err_desc_func1  : in     vl_logic_vector(127 downto 0);
        err_desc_func2  : in     vl_logic_vector(127 downto 0);
        err_desc_func3  : in     vl_logic_vector(127 downto 0);
        err_desc_func4  : in     vl_logic_vector(127 downto 0);
        err_desc_func5  : in     vl_logic_vector(127 downto 0);
        err_desc_func6  : in     vl_logic_vector(127 downto 0);
        err_desc_func7  : in     vl_logic_vector(127 downto 0);
        pm_auxpwr       : in     vl_logic;
        serr_out        : out    vl_logic;
        err_phy         : in     vl_logic_vector(1 downto 0);
        err_dll         : in     vl_logic_vector(4 downto 0);
        rxfc_err        : in     vl_logic;
        txfc_err        : in     vl_logic;
        tcvc_err        : in     vl_logic;
        comclk_reg      : out    vl_logic;
        extsy_reg       : out    vl_logic;
        max_pload_cr    : out    vl_logic_vector(2 downto 0);
        rx_bar_cfg      : out    vl_logic_vector(7 downto 0);
        rx_uns_cfg      : out    vl_logic;
        rx_sup_cfg      : out    vl_logic;
        rx_mlf_cfg      : out    vl_logic;
        rx_td           : out    vl_logic;
        rx_wr           : out    vl_logic;
        rx_func_cfg     : out    vl_logic_vector(2 downto 0);
        clr_rxpath      : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_mlf_tlp      : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_ok_tlp       : in     vl_logic;
        err_bar_dec     : out    vl_logic;
        tx_ecrcgen      : out    vl_logic;
        rx_ecrcchk      : out    vl_logic;
        t2c_req         : in     vl_logic;
        t2c_ack         : out    vl_logic;
        t2c_desc        : in     vl_logic_vector(127 downto 0);
        t2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_req         : in     vl_logic;
        r2c_ack         : out    vl_logic;
        r2c_desc        : in     vl_logic_vector(127 downto 0);
        r2c_data        : in     vl_logic_vector(31 downto 0);
        r2c_sts         : in     vl_logic_vector(2 downto 0);
        c2t_req         : out    vl_logic;
        c2t_ack         : in     vl_logic;
        c2t_desc        : out    vl_logic_vector(127 downto 0);
        c2t_data        : out    vl_logic_vector(31 downto 0);
        c2r_req         : out    vl_logic;
        c2r_ack         : in     vl_logic;
        c2r_desc        : out    vl_logic_vector(127 downto 0);
        c2r_data        : out    vl_logic_vector(31 downto 0);
        tx_ack_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0);
        cfg_busdev      : out    vl_logic_vector(12 downto 0);
        cfg_pmcsr_func0 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func1 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func2 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func3 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func4 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func5 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func6 : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr_func7 : out    vl_logic_vector(31 downto 0);
        cfg_slotcsr     : out    vl_logic_vector(31 downto 0);
        cfg_rootcsr     : out    vl_logic_vector(31 downto 0);
        cfg_seccsr      : out    vl_logic_vector(31 downto 0);
        cfg_prmbus      : out    vl_logic_vector(7 downto 0);
        cfg_secbus      : out    vl_logic_vector(7 downto 0);
        cfg_subbus      : out    vl_logic_vector(7 downto 0);
        cfg_io_bas      : out    vl_logic_vector(19 downto 0);
        cfg_io_lim      : out    vl_logic_vector(19 downto 0);
        cfg_np_bas      : out    vl_logic_vector(11 downto 0);
        cfg_np_lim      : out    vl_logic_vector(11 downto 0);
        cfg_pr_bas      : out    vl_logic_vector(43 downto 0);
        cfg_pr_lim      : out    vl_logic_vector(43 downto 0);
        cfg_seclatency  : out    vl_logic_vector(7 downto 0);
        cfg_bar0        : out    vl_logic_vector(31 downto 0);
        cfg_bar1        : out    vl_logic_vector(31 downto 0);
        cfg_msixcsr_func0: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func1: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func2: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func3: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func4: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func5: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func6: out    vl_logic_vector(15 downto 0);
        cfg_msixcsr_func7: out    vl_logic_vector(15 downto 0);
        cfg_prmcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_prmcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_msicsr_func0: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func1: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func2: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func3: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func4: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func5: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func6: out    vl_logic_vector(15 downto 0);
        cfg_msicsr_func7: out    vl_logic_vector(15 downto 0);
        cfg_devcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_devcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func0: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func1: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func2: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func3: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func4: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func5: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func6: out    vl_logic_vector(31 downto 0);
        cfg_dev2csr_func7: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func0: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func1: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func2: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func3: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func4: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func5: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func6: out    vl_logic_vector(31 downto 0);
        cfg_linkcsr_func7: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func0: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func1: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func2: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func3: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func4: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func5: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func6: out    vl_logic_vector(31 downto 0);
        cfg_link2csr_func7: out    vl_logic_vector(31 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_dev           : in     vl_logic_vector(4 downto 0);
        k_port          : in     vl_logic_vector(7 downto 0);
        k_conf_func0    : in     vl_logic_vector(383 downto 0);
        k_conf_func1    : in     vl_logic_vector(383 downto 0);
        k_conf_func2    : in     vl_logic_vector(383 downto 0);
        k_conf_func3    : in     vl_logic_vector(383 downto 0);
        k_conf_func4    : in     vl_logic_vector(383 downto 0);
        k_conf_func5    : in     vl_logic_vector(383 downto 0);
        k_conf_func6    : in     vl_logic_vector(383 downto 0);
        k_conf_func7    : in     vl_logic_vector(383 downto 0);
        k_bar_func0     : in     vl_logic_vector(227 downto 0);
        k_bar_func1     : in     vl_logic_vector(227 downto 0);
        k_bar_func2     : in     vl_logic_vector(227 downto 0);
        k_bar_func3     : in     vl_logic_vector(227 downto 0);
        k_bar_func4     : in     vl_logic_vector(227 downto 0);
        k_bar_func5     : in     vl_logic_vector(227 downto 0);
        k_bar_func6     : in     vl_logic_vector(227 downto 0);
        k_bar_func7     : in     vl_logic_vector(227 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        pme_to_cr       : in     vl_logic;
        pme_to_sr       : out    vl_logic;
        pm_event        : in     vl_logic;
        pm_event_sec    : in     vl_logic;
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pm_data         : in     vl_logic_vector(9 downto 0);
        app_intx_sts_func0: in     vl_logic;
        app_intx_sts_func1: in     vl_logic;
        app_intx_sts_func2: in     vl_logic;
        app_intx_sts_func3: in     vl_logic;
        app_intx_sts_func4: in     vl_logic;
        app_intx_sts_func5: in     vl_logic;
        app_intx_sts_func6: in     vl_logic;
        app_intx_sts_func7: in     vl_logic;
        app_msi_req_func0: in     vl_logic;
        app_msi_req_func1: in     vl_logic;
        app_msi_req_func2: in     vl_logic;
        app_msi_req_func3: in     vl_logic;
        app_msi_req_func4: in     vl_logic;
        app_msi_req_func5: in     vl_logic;
        app_msi_req_func6: in     vl_logic;
        app_msi_req_func7: in     vl_logic;
        app_msi_ack_func0: out    vl_logic;
        app_msi_ack_func1: out    vl_logic;
        app_msi_ack_func2: out    vl_logic;
        app_msi_ack_func3: out    vl_logic;
        app_msi_ack_func4: out    vl_logic;
        app_msi_ack_func5: out    vl_logic;
        app_msi_ack_func6: out    vl_logic;
        app_msi_ack_func7: out    vl_logic;
        app_msi_tc_func0: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func1: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func2: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func3: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func4: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func5: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func6: in     vl_logic_vector(2 downto 0);
        app_msi_tc_func7: in     vl_logic_vector(2 downto 0);
        app_msi_num_func0: in     vl_logic_vector(4 downto 0);
        app_msi_num_func1: in     vl_logic_vector(4 downto 0);
        app_msi_num_func2: in     vl_logic_vector(4 downto 0);
        app_msi_num_func3: in     vl_logic_vector(4 downto 0);
        app_msi_num_func4: in     vl_logic_vector(4 downto 0);
        app_msi_num_func5: in     vl_logic_vector(4 downto 0);
        app_msi_num_func6: in     vl_logic_vector(4 downto 0);
        app_msi_num_func7: in     vl_logic_vector(4 downto 0);
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        hpg_ctrler      : in     vl_logic_vector(4 downto 0);
        rx_val_pm       : in     vl_logic;
        rx_typ_pm       : in     vl_logic_vector(2 downto 0);
        tx_req_pm       : out    vl_logic;
        tx_ack_pm       : in     vl_logic;
        tx_typ_pm       : out    vl_logic_vector(2 downto 0);
        req_phypm       : out    vl_logic_vector(3 downto 0);
        ack_phypm       : in     vl_logic_vector(3 downto 0);
        req_phycfg      : out    vl_logic_vector(3 downto 0);
        vc_ctrl         : out    vl_logic_vector(7 downto 0);
        vc_status       : in     vl_logic_vector(7 downto 0);
        vcid_map        : out    vl_logic_vector(23 downto 0);
        tcvc_map        : out    vl_logic_vector(23 downto 0);
        vc_en           : out    vl_logic_vector(7 downto 0);
        rxfc_max        : in     vl_logic;
        txfc_max        : in     vl_logic;
        txbuf_emp       : in     vl_logic;
        cfgbuf_emp      : in     vl_logic;
        rpbuf_emp       : in     vl_logic;
        dll_req         : in     vl_logic;
        inh_dllp        : out    vl_logic;
        inh_tx_tlp      : out    vl_logic;
        req_wake        : out    vl_logic;
        retrain_link    : out    vl_logic;
        flr_req_func0   : out    vl_logic;
        flr_ack_func0   : in     vl_logic;
        flr_req_func1   : out    vl_logic;
        flr_ack_func1   : in     vl_logic;
        flr_req_func2   : out    vl_logic;
        flr_ack_func2   : in     vl_logic;
        flr_req_func3   : out    vl_logic;
        flr_ack_func3   : in     vl_logic;
        flr_req_func4   : out    vl_logic;
        flr_ack_func4   : in     vl_logic;
        flr_req_func5   : out    vl_logic;
        flr_ack_func5   : in     vl_logic;
        flr_req_func6   : out    vl_logic;
        flr_ack_func6   : in     vl_logic;
        flr_req_func7   : out    vl_logic;
        flr_ack_func7   : in     vl_logic;
        link_auto_bdw_status: in     vl_logic;
        link_bdw_mng_status: in     vl_logic;
        rst_tx_margin_field: in     vl_logic;
        rst_enter_comp_bit: in     vl_logic;
        current_speed   : in     vl_logic_vector(1 downto 0);
        current_deemp   : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_TAG_NUM0 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM1 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM2 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM3 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM4 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM5 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM6 : constant is 1;
    attribute mti_svvh_generic_type of G_TAG_NUM7 : constant is 1;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN1 : constant is 1;
    attribute mti_svvh_generic_type of c2t_state_idle : constant is 2;
    attribute mti_svvh_generic_type of c2t_state_ack : constant is 2;
    attribute mti_svvh_generic_type of int_state_intoff : constant is 2;
    attribute mti_svvh_generic_type of int_state_intassert : constant is 2;
    attribute mti_svvh_generic_type of int_state_inton : constant is 2;
    attribute mti_svvh_generic_type of int_state_intdeassert : constant is 2;
    attribute mti_svvh_generic_type of PORT_EP : constant is 2;
    attribute mti_svvh_generic_type of PORT_EPL : constant is 2;
    attribute mti_svvh_generic_type of PORT_RC : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWUP : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWDN : constant is 2;
    attribute mti_svvh_generic_type of PORT_BR : constant is 2;
end pciexp64_multifunc_confctrl_120;
