library verilog;
use verilog.vl_types.all;
entity pciexp64_rtry_120 is
    generic(
        G_RTRY_BUF      : integer := 10;
        G_RTRY_NUM      : integer := 8;
        rtry_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        rtry_state_rtry_ini: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        rtry_state_rtry_wt0: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        rtry_state_rtry_wt1: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        rtry_state_rtry_req: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        rtry_state_rtry_tlp: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        rtry_state_rtry_end: vl_logic_vector(2 downto 0) := (Hi1, Hi1, Hi0);
        storebuf_state_idle: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        storebuf_state_retry: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        storebuf_state_str_tlp: vl_logic_vector(1 downto 0) := (Hi1, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        link_train      : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_rtry       : out    vl_logic_vector(13 downto 0);
        k_rtry          : in     vl_logic_vector;
        replay_timax    : in     vl_logic_vector(14 downto 0);
        dl_up           : in     vl_logic;
        err_reptim      : out    vl_logic;
        err_repnum      : out    vl_logic;
        err_dllprot     : out    vl_logic;
        rx_val_nak      : in     vl_logic;
        rx_res_nak      : in     vl_logic;
        rx_seqnum_nak   : in     vl_logic_vector(11 downto 0);
        tx_eop_timer    : in     vl_logic;
        tx_eop_ok       : in     vl_logic;
        rpbuf_emp       : out    vl_logic;
        inh_tlp         : out    vl_logic;
        max_credit_replay_buffer: out    vl_logic_vector(11 downto 0);
        max_credit_replay_fifo: out    vl_logic_vector;
        wren_rpl        : out    vl_logic;
        rden_rpl        : out    vl_logic;
        adwr_rpl        : out    vl_logic_vector;
        din_rpl         : out    vl_logic_vector(63 downto 0);
        adrd_rpl        : out    vl_logic_vector;
        dout_rpl        : in     vl_logic_vector(63 downto 0);
        tx_ack_tl       : in     vl_logic;
        tx_dreq_tl      : in     vl_logic;
        tx_err_tl       : in     vl_logic;
        tx_ok_tl        : in     vl_logic;
        tx_seqnum_tl    : out    vl_logic_vector(11 downto 0);
        tx_data_tl      : in     vl_logic_vector(63 downto 0);
        tx_req_rb       : out    vl_logic;
        tx_ack_rb       : in     vl_logic;
        tx_dreq_rb      : in     vl_logic;
        tx_seqnum_rb    : out    vl_logic_vector(11 downto 0);
        tx_data_rb      : out    vl_logic_vector(63 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RTRY_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RTRY_NUM : constant is 1;
    attribute mti_svvh_generic_type of rtry_state_idle : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_ini : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_wt0 : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_wt1 : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_req : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_tlp : constant is 2;
    attribute mti_svvh_generic_type of rtry_state_rtry_end : constant is 2;
    attribute mti_svvh_generic_type of storebuf_state_idle : constant is 2;
    attribute mti_svvh_generic_type of storebuf_state_retry : constant is 2;
    attribute mti_svvh_generic_type of storebuf_state_str_tlp : constant is 2;
end pciexp64_rtry_120;
