library verilog;
use verilog.vl_types.all;
entity pciexp64_rxdl is
    generic(
        k_stp           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1);
        k_sdp           : vl_logic_vector(7 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        k_end           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1);
        k_edb           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0);
        d_idl           : vl_logic_vector(7 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_rxdl       : out    vl_logic_vector(17 downto 0);
        k_rxecrc        : in     vl_logic;
        acknak_timax    : in     vl_logic_vector(14 downto 0);
        l0state         : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        rx_ecrcchk      : in     vl_logic;
        clr_rxpath      : in     vl_logic;
        rxval_dl        : in     vl_logic;
        rxdata_dl       : in     vl_logic_vector(63 downto 0);
        rxdatak_dl      : in     vl_logic_vector(7 downto 0);
        cfg_secbus      : in     vl_logic_vector(7 downto 0);
        dl_bus_match    : out    vl_logic;
        rx_val_pm       : out    vl_logic;
        rx_typ_pm       : out    vl_logic_vector(2 downto 0);
        rx_val_fc       : out    vl_logic;
        rx_typ_fc       : out    vl_logic_vector(3 downto 0);
        rx_vcid_fc      : out    vl_logic_vector(2 downto 0);
        rx_hdr_fc       : out    vl_logic_vector(7 downto 0);
        rx_data_fc      : out    vl_logic_vector(11 downto 0);
        rx_val_nak      : out    vl_logic;
        rx_res_nak      : out    vl_logic;
        rx_num_nak      : out    vl_logic_vector(11 downto 0);
        tx_req_nak      : out    vl_logic;
        tx_snd_nak      : out    vl_logic;
        tx_ack_nak      : in     vl_logic;
        tx_res_nak      : out    vl_logic;
        tx_seqnum_nak   : out    vl_logic_vector(11 downto 0);
        rx_data_tlp     : out    vl_logic_vector(63 downto 0);
        rx_dval_tlp     : out    vl_logic;
        rx_hval_tlp     : out    vl_logic;
        rx_fval_tlp     : out    vl_logic;
        rx_mlf_tlp      : out    vl_logic;
        rx_ecrcerr_tlp  : out    vl_logic;
        rx_discard_tlp  : out    vl_logic;
        rx_check_tlp    : out    vl_logic;
        rx_ok_tlp       : out    vl_logic;
        rx_err_frame    : out    vl_logic;
        rx_err_dllp     : out    vl_logic;
        rx_err_tlp      : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of k_stp : constant is 2;
    attribute mti_svvh_generic_type of k_sdp : constant is 2;
    attribute mti_svvh_generic_type of k_end : constant is 2;
    attribute mti_svvh_generic_type of k_edb : constant is 2;
    attribute mti_svvh_generic_type of d_idl : constant is 2;
end pciexp64_rxdl;
