library verilog;
use verilog.vl_types.all;
entity pciexp64_rxtl_120 is
    generic(
        G_RX_BUF        : integer := 10;
        G_RH_NUM        : integer := 7;
        G_IMPL_VC7      : integer := 1;
        G_IMPL_VC6      : integer := 1;
        G_IMPL_VC5      : integer := 1;
        G_IMPL_VC4      : integer := 1;
        G_IMPL_VC3      : integer := 1;
        G_IMPL_VC2      : integer := 1;
        G_IMPL_VC1      : integer := 1;
        G_IMPL_FN7      : integer := 1;
        G_IMPL_FN6      : integer := 1;
        G_IMPL_FN5      : integer := 1;
        G_IMPL_FN4      : integer := 1;
        G_IMPL_FN3      : integer := 1;
        G_IMPL_FN2      : integer := 1;
        G_IMPL_FN1      : integer := 1
    );
    port(
        uclk_vc0        : in     vl_logic;
        uclk_vc1        : in     vl_logic;
        uclk_vc2        : in     vl_logic;
        uclk_vc3        : in     vl_logic;
        uclk_vc4        : in     vl_logic;
        uclk_vc5        : in     vl_logic;
        uclk_vc6        : in     vl_logic;
        uclk_vc7        : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev1us           : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_rxtl       : out    vl_logic_vector(27 downto 0);
        test_rxfc       : out    vl_logic_vector(55 downto 0);
        test_rxvc       : out    vl_logic_vector(31 downto 0);
        test_rxsm       : out    vl_logic_vector(8 downto 0);
        bkg_ok          : out    vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_vc0           : in     vl_logic_vector(55 downto 0);
        k_vc1           : in     vl_logic_vector(55 downto 0);
        k_vc2           : in     vl_logic_vector(55 downto 0);
        k_vc3           : in     vl_logic_vector(55 downto 0);
        k_vc4           : in     vl_logic_vector(55 downto 0);
        k_vc5           : in     vl_logic_vector(55 downto 0);
        k_vc6           : in     vl_logic_vector(55 downto 0);
        k_vc7           : in     vl_logic_vector(55 downto 0);
        k_ptr0          : in     vl_logic_vector;
        k_ptr1          : in     vl_logic_vector;
        k_ptr2          : in     vl_logic_vector;
        k_ptr3          : in     vl_logic_vector;
        k_ptr4          : in     vl_logic_vector;
        k_ptr5          : in     vl_logic_vector;
        k_ptr6          : in     vl_logic_vector;
        k_ptr7          : in     vl_logic_vector;
        l0sstate        : in     vl_logic;
        link_up         : in     vl_logic;
        dl_up           : in     vl_logic;
        dl_bus_match    : in     vl_logic;
        vc_status       : in     vl_logic_vector(7 downto 0);
        tcvc_map        : in     vl_logic_vector(23 downto 0);
        max_payload_size: in     vl_logic_vector(12 downto 0);
        rxfc_max        : out    vl_logic;
        rxfc_err        : out    vl_logic;
        tcvc_err        : out    vl_logic;
        sw_ctmod        : in     vl_logic_vector(1 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        req_upfc        : out    vl_logic;
        snd_upfc        : out    vl_logic;
        ack_upfc        : in     vl_logic;
        typ_upfc        : out    vl_logic_vector(1 downto 0);
        vcid_upfc       : out    vl_logic_vector(2 downto 0);
        hdr_upfc        : out    vl_logic_vector(7 downto 0);
        data_upfc       : out    vl_logic_vector(11 downto 0);
        rx_val_tlp      : out    vl_logic;
        rx_vcid_tlp     : out    vl_logic_vector(2 downto 0);
        clr_rxpath      : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_dval_tlp     : in     vl_logic;
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_ok_tlp       : in     vl_logic;
        rx_err_tlp      : in     vl_logic;
        rx_wr           : in     vl_logic;
        rx_td           : in     vl_logic;
        err_bar_dec     : in     vl_logic;
        wren_rcv        : out    vl_logic;
        rden_rcv        : out    vl_logic;
        adwr_rcv        : out    vl_logic_vector;
        din_rcv         : out    vl_logic_vector(63 downto 0);
        adrd_rcv        : out    vl_logic_vector;
        dout_rcv        : in     vl_logic_vector(63 downto 0);
        derr_rcv        : in     vl_logic;
        wren_rcv0       : out    vl_logic;
        rden_rcv0       : out    vl_logic;
        adwr_rcv0       : out    vl_logic_vector;
        din_rcv0        : out    vl_logic_vector(63 downto 0);
        adrd_rcv0       : out    vl_logic_vector;
        dout_rcv0       : in     vl_logic_vector(63 downto 0);
        derr_rcv0       : in     vl_logic;
        wren_rcv1       : out    vl_logic;
        rden_rcv1       : out    vl_logic;
        adwr_rcv1       : out    vl_logic_vector;
        din_rcv1        : out    vl_logic_vector(63 downto 0);
        adrd_rcv1       : out    vl_logic_vector;
        dout_rcv1       : in     vl_logic_vector(63 downto 0);
        derr_rcv1       : in     vl_logic;
        wren_rcv2       : out    vl_logic;
        rden_rcv2       : out    vl_logic;
        adwr_rcv2       : out    vl_logic_vector;
        din_rcv2        : out    vl_logic_vector(63 downto 0);
        adrd_rcv2       : out    vl_logic_vector;
        dout_rcv2       : in     vl_logic_vector(63 downto 0);
        derr_rcv2       : in     vl_logic;
        wren_rcv3       : out    vl_logic;
        rden_rcv3       : out    vl_logic;
        adwr_rcv3       : out    vl_logic_vector;
        din_rcv3        : out    vl_logic_vector(63 downto 0);
        adrd_rcv3       : out    vl_logic_vector;
        dout_rcv3       : in     vl_logic_vector(63 downto 0);
        derr_rcv3       : in     vl_logic;
        wren_rcv4       : out    vl_logic;
        rden_rcv4       : out    vl_logic;
        adwr_rcv4       : out    vl_logic_vector;
        din_rcv4        : out    vl_logic_vector(63 downto 0);
        adrd_rcv4       : out    vl_logic_vector;
        dout_rcv4       : in     vl_logic_vector(63 downto 0);
        derr_rcv4       : in     vl_logic;
        wren_rcv5       : out    vl_logic;
        rden_rcv5       : out    vl_logic;
        adwr_rcv5       : out    vl_logic_vector;
        din_rcv5        : out    vl_logic_vector(63 downto 0);
        adrd_rcv5       : out    vl_logic_vector;
        dout_rcv5       : in     vl_logic_vector(63 downto 0);
        derr_rcv5       : in     vl_logic;
        wren_rcv6       : out    vl_logic;
        rden_rcv6       : out    vl_logic;
        adwr_rcv6       : out    vl_logic_vector;
        din_rcv6        : out    vl_logic_vector(63 downto 0);
        adrd_rcv6       : out    vl_logic_vector;
        dout_rcv6       : in     vl_logic_vector(63 downto 0);
        derr_rcv6       : in     vl_logic;
        wren_rcv7       : out    vl_logic;
        rden_rcv7       : out    vl_logic;
        adwr_rcv7       : out    vl_logic_vector;
        din_rcv7        : out    vl_logic_vector(63 downto 0);
        adrd_rcv7       : out    vl_logic_vector;
        dout_rcv7       : in     vl_logic_vector(63 downto 0);
        derr_rcv7       : in     vl_logic;
        rx_vcsel0       : in     vl_logic;
        rx_status0      : out    vl_logic;
        rx_req0         : out    vl_logic;
        rx_ack0         : in     vl_logic;
        rx_abort0       : in     vl_logic;
        rx_retry0       : in     vl_logic;
        rx_mask0        : in     vl_logic;
        rx_desc0        : out    vl_logic_vector(135 downto 0);
        rx_ws0          : in     vl_logic;
        rx_data0        : out    vl_logic_vector(63 downto 0);
        rx_be0          : out    vl_logic_vector(7 downto 0);
        rx_err0         : out    vl_logic;
        rx_dv0          : out    vl_logic;
        rx_dfr0         : out    vl_logic;
        rx_ct_null0     : out    vl_logic;
        rx_func0        : out    vl_logic_vector(2 downto 0);
        rx_vcsel1       : in     vl_logic;
        rx_status1      : out    vl_logic;
        rx_req1         : out    vl_logic;
        rx_ack1         : in     vl_logic;
        rx_abort1       : in     vl_logic;
        rx_retry1       : in     vl_logic;
        rx_mask1        : in     vl_logic;
        rx_desc1        : out    vl_logic_vector(135 downto 0);
        rx_ws1          : in     vl_logic;
        rx_data1        : out    vl_logic_vector(63 downto 0);
        rx_be1          : out    vl_logic_vector(7 downto 0);
        rx_err1         : out    vl_logic;
        rx_dv1          : out    vl_logic;
        rx_dfr1         : out    vl_logic;
        rx_ct_null1     : out    vl_logic;
        rx_func1        : out    vl_logic_vector(2 downto 0);
        rx_vcsel2       : in     vl_logic;
        rx_status2      : out    vl_logic;
        rx_req2         : out    vl_logic;
        rx_ack2         : in     vl_logic;
        rx_abort2       : in     vl_logic;
        rx_retry2       : in     vl_logic;
        rx_mask2        : in     vl_logic;
        rx_desc2        : out    vl_logic_vector(135 downto 0);
        rx_ws2          : in     vl_logic;
        rx_data2        : out    vl_logic_vector(63 downto 0);
        rx_be2          : out    vl_logic_vector(7 downto 0);
        rx_err2         : out    vl_logic;
        rx_dv2          : out    vl_logic;
        rx_dfr2         : out    vl_logic;
        rx_ct_null2     : out    vl_logic;
        rx_func2        : out    vl_logic_vector(2 downto 0);
        rx_vcsel3       : in     vl_logic;
        rx_status3      : out    vl_logic;
        rx_req3         : out    vl_logic;
        rx_ack3         : in     vl_logic;
        rx_abort3       : in     vl_logic;
        rx_retry3       : in     vl_logic;
        rx_mask3        : in     vl_logic;
        rx_desc3        : out    vl_logic_vector(135 downto 0);
        rx_ws3          : in     vl_logic;
        rx_data3        : out    vl_logic_vector(63 downto 0);
        rx_be3          : out    vl_logic_vector(7 downto 0);
        rx_err3         : out    vl_logic;
        rx_dv3          : out    vl_logic;
        rx_dfr3         : out    vl_logic;
        rx_ct_null3     : out    vl_logic;
        rx_func3        : out    vl_logic_vector(2 downto 0);
        rx_vcsel4       : in     vl_logic;
        rx_status4      : out    vl_logic;
        rx_req4         : out    vl_logic;
        rx_ack4         : in     vl_logic;
        rx_abort4       : in     vl_logic;
        rx_retry4       : in     vl_logic;
        rx_mask4        : in     vl_logic;
        rx_desc4        : out    vl_logic_vector(135 downto 0);
        rx_ws4          : in     vl_logic;
        rx_data4        : out    vl_logic_vector(63 downto 0);
        rx_be4          : out    vl_logic_vector(7 downto 0);
        rx_err4         : out    vl_logic;
        rx_dv4          : out    vl_logic;
        rx_dfr4         : out    vl_logic;
        rx_ct_null4     : out    vl_logic;
        rx_func4        : out    vl_logic_vector(2 downto 0);
        rx_vcsel5       : in     vl_logic;
        rx_status5      : out    vl_logic;
        rx_req5         : out    vl_logic;
        rx_ack5         : in     vl_logic;
        rx_abort5       : in     vl_logic;
        rx_retry5       : in     vl_logic;
        rx_mask5        : in     vl_logic;
        rx_desc5        : out    vl_logic_vector(135 downto 0);
        rx_ws5          : in     vl_logic;
        rx_data5        : out    vl_logic_vector(63 downto 0);
        rx_be5          : out    vl_logic_vector(7 downto 0);
        rx_err5         : out    vl_logic;
        rx_dv5          : out    vl_logic;
        rx_dfr5         : out    vl_logic;
        rx_ct_null5     : out    vl_logic;
        rx_func5        : out    vl_logic_vector(2 downto 0);
        rx_vcsel6       : in     vl_logic;
        rx_status6      : out    vl_logic;
        rx_req6         : out    vl_logic;
        rx_ack6         : in     vl_logic;
        rx_abort6       : in     vl_logic;
        rx_retry6       : in     vl_logic;
        rx_mask6        : in     vl_logic;
        rx_desc6        : out    vl_logic_vector(135 downto 0);
        rx_ws6          : in     vl_logic;
        rx_data6        : out    vl_logic_vector(63 downto 0);
        rx_be6          : out    vl_logic_vector(7 downto 0);
        rx_err6         : out    vl_logic;
        rx_dv6          : out    vl_logic;
        rx_dfr6         : out    vl_logic;
        rx_ct_null6     : out    vl_logic;
        rx_func6        : out    vl_logic_vector(2 downto 0);
        rx_vcsel7       : in     vl_logic;
        rx_status7      : out    vl_logic;
        rx_req7         : out    vl_logic;
        rx_ack7         : in     vl_logic;
        rx_abort7       : in     vl_logic;
        rx_retry7       : in     vl_logic;
        rx_mask7        : in     vl_logic;
        rx_desc7        : out    vl_logic_vector(135 downto 0);
        rx_ws7          : in     vl_logic;
        rx_data7        : out    vl_logic_vector(63 downto 0);
        rx_be7          : out    vl_logic_vector(7 downto 0);
        rx_err7         : out    vl_logic;
        rx_dv7          : out    vl_logic;
        rx_dfr7         : out    vl_logic;
        rx_ct_null7     : out    vl_logic;
        rx_func7        : out    vl_logic_vector(2 downto 0);
        rx_bar_cfg      : in     vl_logic_vector(7 downto 0);
        rx_uns_cfg      : in     vl_logic;
        rx_sup_cfg      : in     vl_logic;
        rx_mlf_cfg      : in     vl_logic;
        rx_func_cfg     : in     vl_logic_vector(2 downto 0);
        r2c_req         : out    vl_logic;
        r2c_ack         : in     vl_logic;
        r2c_desc        : out    vl_logic_vector(127 downto 0);
        r2c_data        : out    vl_logic_vector(31 downto 0);
        r2c_sts         : out    vl_logic_vector(2 downto 0);
        c2r_req         : in     vl_logic;
        c2r_ack         : out    vl_logic;
        c2r_desc        : in     vl_logic_vector(127 downto 0);
        c2r_data        : in     vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RH_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_VC1 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN1 : constant is 1;
end pciexp64_rxtl_120;
