library verilog;
use verilog.vl_types.all;
entity pciexp64_rxvc_075 is
    generic(
        G_RX_BUF        : integer := 10;
        G_RH_NUM        : integer := 7;
        G_IMPL_FN7      : integer := 1;
        G_IMPL_FN6      : integer := 1;
        G_IMPL_FN5      : integer := 1;
        G_IMPL_FN4      : integer := 1;
        G_IMPL_FN3      : integer := 1;
        G_IMPL_FN2      : integer := 1;
        G_IMPL_FN1      : integer := 1;
        ct_start_8      : vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0);
        ct_start_4      : vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi1, Hi0);
        ct_start_2      : vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi0, Hi0);
        ct_start_1      : vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi0);
        desc_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        desc_state_desc0: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        desc_state_desc1: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        desc_state_desc2: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        desc_state_desc_wt: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        desc_state_desc1_ro: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1);
        data_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        data_state_data_first: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        data_state_data_next: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        data_state_data_last: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        data_state_data_cfg: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        ct_state_idle   : vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        ct_state_ct_wt  : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        ct_state_ct_proceed: vl_logic_vector(1 downto 0) := (Hi1, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_rxfc       : out    vl_logic_vector(55 downto 0);
        test_rxsm       : out    vl_logic_vector(8 downto 0);
        test_rxvc       : out    vl_logic_vector(3 downto 0);
        k_rxerr         : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_impl          : in     vl_logic;
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_vc            : in     vl_logic_vector(55 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        sw_ctmod        : in     vl_logic_vector(1 downto 0);
        ct_null         : out    vl_logic;
        pc_min          : in     vl_logic_vector;
        pc_max          : in     vl_logic_vector;
        np_min          : in     vl_logic_vector;
        np_max          : in     vl_logic_vector;
        adwr_ram        : out    vl_logic_vector;
        adrd_ram        : out    vl_logic_vector;
        dout_ram        : in     vl_logic_vector(63 downto 0);
        derr_ram        : in     vl_logic;
        rden_ram        : out    vl_logic;
        ev_1us          : in     vl_logic;
        l0sstate        : in     vl_logic;
        vc_status       : in     vl_logic;
        link_up         : in     vl_logic;
        max_payload_size: in     vl_logic_vector(12 downto 0);
        rxfc_max        : out    vl_logic;
        rxfc_err        : out    vl_logic;
        rxfc_mask       : out    vl_logic;
        req_upfc        : out    vl_logic;
        snd_upfc        : out    vl_logic;
        ack_upfc        : in     vl_logic;
        typ_upfc        : out    vl_logic_vector(1 downto 0);
        hdr_upfc        : out    vl_logic_vector(7 downto 0);
        data_upfc       : out    vl_logic_vector(11 downto 0);
        hdr_upfc_mem    : in     vl_logic_vector(7 downto 0);
        data_upfc_mem   : in     vl_logic_vector(11 downto 0);
        rx_ecrcerr_tlp  : in     vl_logic;
        rx_uns_cfg      : in     vl_logic;
        rx_sup_cfg      : in     vl_logic;
        err_bar_dec     : in     vl_logic;
        rx_func         : out    vl_logic_vector(2 downto 0);
        rx_wr           : in     vl_logic;
        rx_td           : in     vl_logic;
        req_in          : in     vl_logic;
        typ_in          : in     vl_logic_vector(1 downto 0);
        typ_in_fc       : in     vl_logic_vector(1 downto 0);
        dsiz_in         : in     vl_logic_vector(8 downto 0);
        dsiz_in_fc      : in     vl_logic_vector(8 downto 0);
        clr_rxpath      : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_mlf_cfg      : in     vl_logic;
        rx_err_tlp      : in     vl_logic;
        fval_ok         : in     vl_logic;
        hval_ok         : in     vl_logic;
        buf_chk         : in     vl_logic;
        buf_end         : in     vl_logic;
        buf_wr          : in     vl_logic;
        buf_din         : in     vl_logic_vector(63 downto 0);
        r2c_req         : out    vl_logic;
        r2c_ack         : in     vl_logic;
        r2c_desc        : out    vl_logic_vector(127 downto 0);
        r2c_data        : out    vl_logic_vector(31 downto 0);
        r2c_sts         : out    vl_logic_vector(2 downto 0);
        c2r_req         : in     vl_logic;
        c2r_ack         : out    vl_logic;
        c2r_desc        : in     vl_logic_vector(127 downto 0);
        c2r_data        : in     vl_logic_vector(31 downto 0);
        rx_vcsel        : in     vl_logic;
        rx_status       : out    vl_logic;
        rx_req          : out    vl_logic;
        rx_ack          : in     vl_logic;
        rx_abort        : in     vl_logic;
        rx_desc         : out    vl_logic_vector(135 downto 0);
        rx_retry        : in     vl_logic;
        rx_mask         : in     vl_logic;
        rx_data         : out    vl_logic_vector(63 downto 0);
        rx_be           : out    vl_logic_vector(7 downto 0);
        rx_ws           : in     vl_logic;
        rx_dv           : out    vl_logic;
        rx_err          : out    vl_logic;
        rx_dfr          : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RX_BUF : constant is 1;
    attribute mti_svvh_generic_type of G_RH_NUM : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN7 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN6 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN5 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN4 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN3 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN2 : constant is 1;
    attribute mti_svvh_generic_type of G_IMPL_FN1 : constant is 1;
    attribute mti_svvh_generic_type of ct_start_8 : constant is 2;
    attribute mti_svvh_generic_type of ct_start_4 : constant is 2;
    attribute mti_svvh_generic_type of ct_start_2 : constant is 2;
    attribute mti_svvh_generic_type of ct_start_1 : constant is 2;
    attribute mti_svvh_generic_type of desc_state_idle : constant is 2;
    attribute mti_svvh_generic_type of desc_state_desc0 : constant is 2;
    attribute mti_svvh_generic_type of desc_state_desc1 : constant is 2;
    attribute mti_svvh_generic_type of desc_state_desc2 : constant is 2;
    attribute mti_svvh_generic_type of desc_state_desc_wt : constant is 2;
    attribute mti_svvh_generic_type of desc_state_desc1_ro : constant is 2;
    attribute mti_svvh_generic_type of data_state_idle : constant is 2;
    attribute mti_svvh_generic_type of data_state_data_first : constant is 2;
    attribute mti_svvh_generic_type of data_state_data_next : constant is 2;
    attribute mti_svvh_generic_type of data_state_data_last : constant is 2;
    attribute mti_svvh_generic_type of data_state_data_cfg : constant is 2;
    attribute mti_svvh_generic_type of ct_state_idle : constant is 2;
    attribute mti_svvh_generic_type of ct_state_ct_wt : constant is 2;
    attribute mti_svvh_generic_type of ct_state_ct_proceed : constant is 2;
end pciexp64_rxvc_075;
