library verilog;
use verilog.vl_types.all;
entity pciexp64_txdl_120 is
    generic(
        k_stp           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1);
        k_sdp           : vl_logic_vector(7 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        k_end           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0, Hi1);
        k_edb           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi1, Hi0);
        d_idl           : vl_logic_vector(7 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        d_pad           : vl_logic_vector(7 downto 0) := (Hi1, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1);
        txdl_state_idle : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        txdl_state_tlp1 : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        txdl_state_tlp2 : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        txdl_state_tlp3a: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        txdl_state_tlp5a: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        txdl_state_tlp6a: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_txdl       : out    vl_logic_vector(15 downto 0);
        k_txecrc        : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        dll_req         : out    vl_logic;
        inh_dllp        : in     vl_logic;
        inh_ltssm       : in     vl_logic;
        txok            : in     vl_logic;
        sop             : out    vl_logic;
        eop             : out    vl_logic;
        eot             : out    vl_logic;
        tdata           : out    vl_logic_vector(63 downto 0);
        tdatak          : out    vl_logic_vector(7 downto 0);
        tx_req_tlp      : in     vl_logic;
        tx_ack_tlp      : out    vl_logic;
        tx_dreq_tlp     : out    vl_logic;
        tx_err_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0);
        tx_eop_ok       : out    vl_logic;
        inh_tlp         : in     vl_logic;
        tx_seqnum_tl    : in     vl_logic_vector(11 downto 0);
        tx_seqnum_rb    : in     vl_logic_vector(11 downto 0);
        tx_req_rb       : in     vl_logic;
        tx_ack_rb       : out    vl_logic;
        tx_dreq_rb      : out    vl_logic;
        tx_data_rb      : in     vl_logic_vector(63 downto 0);
        tx_req_pm       : in     vl_logic;
        tx_ack_pm       : out    vl_logic;
        tx_typ_pm       : in     vl_logic_vector(2 downto 0);
        tx_req_fc       : in     vl_logic;
        tx_ack_fc       : out    vl_logic;
        tx_typ_fc       : in     vl_logic_vector(3 downto 0);
        tx_vcid_fc      : in     vl_logic_vector(2 downto 0);
        tx_hdr_fc       : in     vl_logic_vector(7 downto 0);
        tx_data_fc      : in     vl_logic_vector(11 downto 0);
        req_upfc        : in     vl_logic;
        snd_upfc        : in     vl_logic;
        ack_upfc        : out    vl_logic;
        typ_upfc        : in     vl_logic_vector(1 downto 0);
        vcid_upfc       : in     vl_logic_vector(2 downto 0);
        hdr_upfc        : in     vl_logic_vector(7 downto 0);
        data_upfc       : in     vl_logic_vector(11 downto 0);
        ack_snd_upfc    : out    vl_logic;
        ack_req_upfc    : out    vl_logic;
        tx_req_nak      : in     vl_logic;
        tx_snd_nak      : in     vl_logic;
        tx_ack_nak      : out    vl_logic;
        tx_res_nak      : in     vl_logic;
        tx_num_nak      : in     vl_logic_vector(11 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of k_stp : constant is 2;
    attribute mti_svvh_generic_type of k_sdp : constant is 2;
    attribute mti_svvh_generic_type of k_end : constant is 2;
    attribute mti_svvh_generic_type of k_edb : constant is 2;
    attribute mti_svvh_generic_type of d_idl : constant is 2;
    attribute mti_svvh_generic_type of d_pad : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_idle : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_tlp1 : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_tlp2 : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_tlp3a : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_tlp5a : constant is 2;
    attribute mti_svvh_generic_type of txdl_state_tlp6a : constant is 2;
end pciexp64_txdl_120;
