library verilog;
use verilog.vl_types.all;
entity pciexp64_txvc_075 is
    generic(
        G_RTRY_NUM      : integer := 8;
        txbk_state_idle : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        txbk_state_desc4dw: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        txbk_state_desc3dw_norm: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        txbk_state_desc3dw_shft: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi1);
        txbk_state_data_norm: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        txbk_state_data_shft: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        txbk_state_data_last: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        txbk_state_config0: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        txbk_state_config1: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        vc_en           : in     vl_logic;
        test_txsm       : out    vl_logic_vector(3 downto 0);
        test_txfc       : out    vl_logic_vector(55 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_upstr         : in     vl_logic;
        k_swupbr        : in     vl_logic;
        k_vc0           : in     vl_logic;
        k_impl          : in     vl_logic;
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        err_msg_tx      : out    vl_logic_vector(2 downto 0);
        err_msg_en      : in     vl_logic_vector(2 downto 0);
        dl_up           : in     vl_logic;
        max_payload_size: in     vl_logic_vector(12 downto 0);
        txbuf_emp       : out    vl_logic;
        inh_tx_tlp      : in     vl_logic;
        txfc_max        : out    vl_logic;
        fc_inf          : out    vl_logic;
        t2c_req         : out    vl_logic;
        t2c_ack         : in     vl_logic;
        t2c_desc        : out    vl_logic_vector(127 downto 0);
        t2c_data        : out    vl_logic_vector(31 downto 0);
        c2t_req         : in     vl_logic;
        c2t_ack         : out    vl_logic;
        c2t_desc        : in     vl_logic_vector(127 downto 0);
        c2t_data        : in     vl_logic_vector(31 downto 0);
        sec_bus         : in     vl_logic_vector(7 downto 0);
        tx_ecrcgen      : in     vl_logic;
        tx_cred         : out    vl_logic_vector(35 downto 0);
        tx_req          : in     vl_logic;
        tx_desc         : in     vl_logic_vector(127 downto 0);
        tx_ack          : out    vl_logic;
        tx_dfr          : in     vl_logic;
        tx_data         : in     vl_logic_vector(63 downto 0);
        tx_err          : in     vl_logic;
        tx_ws           : out    vl_logic;
        rx_val_fc       : in     vl_logic;
        rx_ini_fc       : in     vl_logic;
        rx_typ_fc       : in     vl_logic_vector(1 downto 0);
        rx_hdr_fc       : in     vl_logic_vector(7 downto 0);
        rx_data_fc      : in     vl_logic_vector(11 downto 0);
        max_credit_replay_buffer: in     vl_logic_vector(11 downto 0);
        max_credit_replay_fifo: in     vl_logic_vector;
        tx_ok_tlp       : in     vl_logic;
        tx_req_tlp      : out    vl_logic;
        tx_ack_tlp      : in     vl_logic;
        tx_dreq_tlp     : in     vl_logic;
        tx_err_tlp      : out    vl_logic;
        tx_data_tlp     : out    vl_logic_vector(63 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_RTRY_NUM : constant is 1;
    attribute mti_svvh_generic_type of txbk_state_idle : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_desc4dw : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_desc3dw_norm : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_desc3dw_shft : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_data_norm : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_data_shft : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_data_last : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_config0 : constant is 2;
    attribute mti_svvh_generic_type of txbk_state_config1 : constant is 2;
end pciexp64_txvc_075;
