library verilog;
use verilog.vl_types.all;
entity pciexp_conf_120 is
    generic(
        G_PH_FUNC       : integer := 0;
        PORT_EPN        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        PORT_EPL        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        PORT_ROOT       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        PORT_SWUP       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        PORT_SWDN       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        PORT_BRIDGE     : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        npor            : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        ev1us           : in     vl_logic;
        k_func          : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        test_in         : in     vl_logic_vector(31 downto 0);
        test_vcr        : out    vl_logic_vector(14 downto 0);
        test_pex        : out    vl_logic_vector(2 downto 0);
        swdn_hotrst     : in     vl_logic;
        surpdwn_conf    : out    vl_logic_vector(7 downto 0);
        slotclk_cfg     : in     vl_logic;
        cfg_wr          : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        cfg_mux         : out    vl_logic_vector(31 downto 0);
        cfg_msixcsr     : out    vl_logic_vector(15 downto 0);
        cfg_base        : in     vl_logic;
        cfg_pex         : in     vl_logic;
        cfg_wre         : in     vl_logic;
        cfg_vcreg       : in     vl_logic;
        rx_msg_attbut   : in     vl_logic;
        rx_msg_spls     : in     vl_logic;
        rx_data_spls    : in     vl_logic_vector(9 downto 0);
        rx_pm_pme       : in     vl_logic;
        rx_pme_reqid    : in     vl_logic_vector(15 downto 0);
        is_mem32        : in     vl_logic;
        is_mem64        : in     vl_logic;
        is_io           : in     vl_logic;
        is_cpl          : in     vl_logic;
        is_cfg0         : in     vl_logic;
        is_cfg1         : in     vl_logic;
        rx_addrini      : in     vl_logic_vector(63 downto 0);
        rx_addrend      : in     vl_logic_vector(11 downto 0);
        rx_bus          : in     vl_logic_vector(7 downto 0);
        rx_dec          : out    vl_logic_vector(7 downto 0);
        rx_ovf          : out    vl_logic_vector(7 downto 0);
        cfg_prmcsr      : out    vl_logic_vector(31 downto 0);
        cfg_seccsr      : out    vl_logic_vector(31 downto 0);
        cfg_pmcsr       : out    vl_logic_vector(31 downto 0);
        cfg_msicsr      : out    vl_logic_vector(15 downto 0);
        cfg_devcsr      : out    vl_logic_vector(31 downto 0);
        cfg_dev2csr     : out    vl_logic_vector(31 downto 0);
        cfg_linkcsr     : out    vl_logic_vector(31 downto 0);
        cfg_slotcsr     : out    vl_logic_vector(31 downto 0);
        cfg_rootcsr     : out    vl_logic_vector(31 downto 0);
        cfg_bar0        : out    vl_logic_vector(31 downto 0);
        cfg_bar1        : out    vl_logic_vector(31 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_conf          : in     vl_logic_vector(383 downto 0);
        k_bar           : in     vl_logic_vector(227 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        k_port          : in     vl_logic_vector(7 downto 0);
        primbus_reg     : out    vl_logic_vector(7 downto 0);
        secbus_reg      : out    vl_logic_vector(7 downto 0);
        subbus_reg      : out    vl_logic_vector(7 downto 0);
        seclatency_reg  : out    vl_logic_vector(7 downto 0);
        io_bas_reg      : out    vl_logic_vector(19 downto 0);
        io_lim_reg      : out    vl_logic_vector(19 downto 0);
        np_bas_reg      : out    vl_logic_vector(11 downto 0);
        np_lim_reg      : out    vl_logic_vector(11 downto 0);
        pr_bas_reg      : out    vl_logic_vector(43 downto 0);
        pr_lim_reg      : out    vl_logic_vector(43 downto 0);
        txfc_err        : in     vl_logic;
        req_wake        : out    vl_logic;
        pme_req         : out    vl_logic;
        pme_req_sec     : out    vl_logic;
        pme_l1tol0      : out    vl_logic;
        req_l1          : out    vl_logic;
        lpm_state       : in     vl_logic_vector(3 downto 0);
        flr_req         : out    vl_logic;
        flr_ack         : in     vl_logic;
        app_intx_sts    : in     vl_logic;
        int_status      : out    vl_logic;
        inh_tlp         : in     vl_logic;
        app_msi_req     : in     vl_logic;
        app_msi_ack     : out    vl_logic;
        app_msi_tc      : in     vl_logic_vector(2 downto 0);
        app_msi_num     : in     vl_logic_vector(4 downto 0);
        aer_int_sts     : in     vl_logic;
        aer_msi_req     : in     vl_logic;
        aer_msi_ack     : out    vl_logic;
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        pex_msi_num     : in     vl_logic_vector(4 downto 0);
        hpg_ctrler      : in     vl_logic_vector(4 downto 0);
        mult_func       : in     vl_logic;
        msi_req         : out    vl_logic;
        msi_req_rc_fromapp: out    vl_logic;
        msi_ack         : in     vl_logic;
        msi_tc          : out    vl_logic_vector(2 downto 0);
        msi_addr        : out    vl_logic_vector(63 downto 0);
        msi_data        : out    vl_logic_vector(15 downto 0);
        int_dn          : out    vl_logic_vector(3 downto 0);
        pm_event        : in     vl_logic;
        pm_event_sec    : in     vl_logic;
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pm_data         : in     vl_logic_vector(9 downto 0);
        prm_err         : in     vl_logic_vector(5 downto 0);
        sec_err         : in     vl_logic_vector(6 downto 0);
        err_phy         : in     vl_logic_vector(1 downto 0);
        err_dll         : in     vl_logic_vector(4 downto 0);
        err_uns_dsr     : in     vl_logic;
        err_non_dsr     : in     vl_logic;
        err_non_msg     : in     vl_logic;
        err_fat_dsr     : in     vl_logic;
        err_fat_msg     : in     vl_logic;
        err_cor_dsr     : in     vl_logic;
        err_cor_msg     : in     vl_logic;
        msi_en          : out    vl_logic;
        bdg_serr_en     : out    vl_logic;
        cmd_serr_en     : out    vl_logic;
        dcr_cor_en      : out    vl_logic;
        dcr_fat_en      : out    vl_logic;
        dcr_non_en      : out    vl_logic;
        dcr_uns_en      : out    vl_logic;
        rcr_cor_en      : out    vl_logic;
        rcr_fat_en      : out    vl_logic;
        rcr_non_en      : out    vl_logic;
        vc_ctrl         : out    vl_logic_vector(7 downto 0);
        vc_status       : in     vl_logic_vector(7 downto 0);
        vcid_map        : out    vl_logic_vector(23 downto 0);
        tcvc_map        : out    vl_logic_vector(23 downto 0);
        vc_en           : out    vl_logic_vector(7 downto 0);
        lane_act        : in     vl_logic_vector(3 downto 0);
        dl_up           : in     vl_logic;
        link_up         : in     vl_logic;
        link_train      : in     vl_logic;
        l0sstate        : in     vl_logic;
        trans_pending   : in     vl_logic;
        auxpwr_det      : in     vl_logic;
        req_msg_hp      : out    vl_logic;
        typ_msg_hp      : out    vl_logic_vector(2 downto 0);
        ack_msg_hp      : in     vl_logic;
        req_msg_spls    : out    vl_logic;
        data_msg_spls   : out    vl_logic_vector(9 downto 0);
        ack_msg_spls    : in     vl_logic;
        req_msg_fat     : out    vl_logic;
        ack_msg_fat     : in     vl_logic;
        req_msg_non     : out    vl_logic;
        ack_msg_non     : in     vl_logic;
        req_msg_cor     : out    vl_logic;
        ack_msg_cor     : in     vl_logic;
        comclk_reg      : out    vl_logic;
        extsy_reg       : out    vl_logic;
        max_pload_cr    : out    vl_logic_vector(2 downto 0);
        link_auto_bdw_status: in     vl_logic;
        link_bdw_mng_status: in     vl_logic;
        rst_tx_margin_field: in     vl_logic;
        rst_enter_comp_bit: in     vl_logic;
        current_speed   : in     vl_logic_vector(1 downto 0);
        current_deemp   : in     vl_logic;
        cfg_link2csr    : out    vl_logic_vector(31 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of G_PH_FUNC : constant is 1;
    attribute mti_svvh_generic_type of PORT_EPN : constant is 2;
    attribute mti_svvh_generic_type of PORT_EPL : constant is 2;
    attribute mti_svvh_generic_type of PORT_ROOT : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWUP : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWDN : constant is 2;
    attribute mti_svvh_generic_type of PORT_BRIDGE : constant is 2;
end pciexp_conf_120;
