library verilog;
use verilog.vl_types.all;
entity pciexp_errmgt_120 is
    generic(
        PORT_EP         : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        PORT_EPL        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        PORT_RC         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        PORT_SWUP       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        PORT_SWDN       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        PORT_BR         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        CPL_STATUS_SC   : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        CPL_STATUS_UR   : vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        CPL_STATUS_CRS  : vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        CPL_STATUS_CA   : vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        sticky_rstn     : in     vl_logic;
        crst            : in     vl_logic;
        srst            : in     vl_logic;
        function_num    : in     vl_logic_vector(2 downto 0);
        k_func          : in     vl_logic;
        test_err        : out    vl_logic_vector(15 downto 0);
        cfg_wre         : in     vl_logic;
        cfg_aer         : in     vl_logic;
        cfg_sel         : in     vl_logic_vector(31 downto 0);
        cfg_be          : in     vl_logic_vector(3 downto 0);
        cfg_data        : in     vl_logic_vector(31 downto 0);
        cfg_mux         : out    vl_logic_vector(31 downto 0);
        cfg_busdev      : in     vl_logic_vector(12 downto 0);
        k_aer           : in     vl_logic;
        k_ecrc          : in     vl_logic_vector(1 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        tx_ack_tlp      : in     vl_logic;
        tx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_fval_tlp     : in     vl_logic;
        rx_hval_tlp     : in     vl_logic;
        rx_data_tlp     : in     vl_logic_vector(63 downto 0);
        rx_ok_tlp       : in     vl_logic;
        is_rxwr_r       : in     vl_logic;
        is_rxcpl_r      : in     vl_logic;
        is_rxep_r       : in     vl_logic;
        rx_cfg0_r       : in     vl_logic;
        rx_cpl_r        : in     vl_logic;
        is_func_targ    : in     vl_logic_vector(2 downto 0);
        rx_uns_tlp      : in     vl_logic;
        rx_mlf_tlp      : in     vl_logic;
        rx_err_tlp      : in     vl_logic;
        rx_check_tlp    : in     vl_logic;
        rx_discard_tlp  : in     vl_logic;
        rx_ecrcerr_tlp  : in     vl_logic;
        tx_ecrcgen      : out    vl_logic;
        rx_ecrcchk      : out    vl_logic;
        non_posted      : in     vl_logic;
        err_phy         : in     vl_logic_vector(1 downto 0);
        err_dll         : in     vl_logic_vector(4 downto 0);
        err_surpdwn_dll : in     vl_logic;
        err_cpl         : in     vl_logic_vector(6 downto 0);
        err_desc        : in     vl_logic_vector(127 downto 0);
        txfc_err        : in     vl_logic;
        rx_fc_ovf       : in     vl_logic;
        rxunexpcpl      : in     vl_logic;
        rx_msg_errfat   : in     vl_logic;
        rx_msg_errnon   : in     vl_logic;
        rx_msg_errcor   : in     vl_logic;
        rx_msg_reqid    : in     vl_logic_vector(15 downto 0);
        err_msg_tx      : in     vl_logic_vector(2 downto 0);
        err_msg_en      : out    vl_logic_vector(2 downto 0);
        prm_err         : out    vl_logic_vector(5 downto 0);
        sec_err         : out    vl_logic_vector(6 downto 0);
        msi_en          : in     vl_logic;
        bdg_serr_en     : in     vl_logic;
        cmd_serr_en     : in     vl_logic;
        dcr_cor_en      : in     vl_logic;
        dcr_fat_en      : in     vl_logic;
        dcr_non_en      : in     vl_logic;
        dcr_uns_en      : in     vl_logic;
        rcr_cor_en      : in     vl_logic;
        rcr_fat_en      : in     vl_logic;
        rcr_non_en      : in     vl_logic;
        err_non_dsr     : out    vl_logic;
        err_non_msg     : out    vl_logic;
        err_fat_dsr     : out    vl_logic;
        err_fat_msg     : out    vl_logic;
        err_cor_dsr     : out    vl_logic;
        err_cor_msg     : out    vl_logic;
        err_uns_dsr     : out    vl_logic;
        aer_int_sts     : out    vl_logic;
        aer_msi_req     : out    vl_logic;
        aer_msi_ack     : in     vl_logic;
        aer_msi_num     : in     vl_logic_vector(4 downto 0);
        serr_out        : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PORT_EP : constant is 2;
    attribute mti_svvh_generic_type of PORT_EPL : constant is 2;
    attribute mti_svvh_generic_type of PORT_RC : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWUP : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWDN : constant is 2;
    attribute mti_svvh_generic_type of PORT_BR : constant is 2;
    attribute mti_svvh_generic_type of CPL_STATUS_SC : constant is 2;
    attribute mti_svvh_generic_type of CPL_STATUS_UR : constant is 2;
    attribute mti_svvh_generic_type of CPL_STATUS_CRS : constant is 2;
    attribute mti_svvh_generic_type of CPL_STATUS_CA : constant is 2;
end pciexp_errmgt_120;
