library verilog;
use verilog.vl_types.all;
entity pciexp_inferred_ei_075 is
    generic(
        PIPE_16B_MODE   : vl_logic := Hi0;
        G_NB_LANE       : integer := 8;
        ALL_LANES_ONE   : vl_logic_vector;
        ALL_LANES_ZERO  : vl_logic_vector;
        LTSSM_BW        : integer := 5;
        DET_QUIET       : vl_logic_vector;
        DET_ACT         : vl_logic_vector;
        POL_ACT         : vl_logic_vector;
        POL_COMP        : vl_logic_vector;
        POL_CFG         : vl_logic_vector;
        CFG_LKST        : vl_logic_vector;
        CFG_LKAC        : vl_logic_vector;
        CFG_LNAC        : vl_logic_vector;
        CFG_LNWT        : vl_logic_vector;
        CFG_CPL         : vl_logic_vector;
        CFG_IDL         : vl_logic_vector;
        REC_RXLK        : vl_logic_vector;
        REC_RXCFG       : vl_logic_vector;
        REC_SPEED       : vl_logic_vector;
        REC_IDL         : vl_logic_vector;
        L0              : vl_logic_vector;
        DISAB           : vl_logic_vector;
        LPBK_ENT        : vl_logic_vector;
        LPBK_ACT        : vl_logic_vector;
        LPBK_EXIT       : vl_logic_vector;
        HOT_RST         : vl_logic_vector;
        L0S             : vl_logic_vector;
        L1_ENT          : vl_logic_vector;
        L1_IDL          : vl_logic_vector;
        L2_IDL          : vl_logic_vector;
        L2_TXWK         : vl_logic_vector;
        SPEED_SIZE      : integer := 2;
        GEN_1_SPEED     : vl_logic_vector;
        GEN_2_SPEED     : vl_logic_vector;
        TIMER_SIZE      : integer := 16;
        tWatchDogType_SKP_WD: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        tWatchDogType_TS_WD: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        tWatchDogType_DEFAULT_WD: vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        t128us_4x_i     : integer := 64000;
        t128us_4x_u     : vl_logic_vector;
        t128us_2x_i_short: integer := 5703;
        t128us_4x_i_short: vl_notype;
        t128us_4x_u_short: vl_logic_vector
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        k_gbl           : in     vl_logic_vector(63 downto 0);
        ltssm           : in     vl_logic_vector(4 downto 0);
        speed_nego_ok   : in     vl_logic;
        current_speed   : in     vl_logic_vector(1 downto 0);
        lpbk_slave      : in     vl_logic;
        en_lane         : in     vl_logic_vector;
        rx_skp          : in     vl_logic_vector;
        rx_ts1          : in     vl_logic_vector;
        rx_ts2          : in     vl_logic_vector;
        rxelecidle      : in     vl_logic_vector;
        rxelecidle_inferOrDet: out    vl_logic_vector;
        test_in         : in     vl_logic_vector(31 downto 0);
        rxelecidle_infer: out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PIPE_16B_MODE : constant is 1;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of ALL_LANES_ONE : constant is 4;
    attribute mti_svvh_generic_type of ALL_LANES_ZERO : constant is 4;
    attribute mti_svvh_generic_type of LTSSM_BW : constant is 1;
    attribute mti_svvh_generic_type of DET_QUIET : constant is 4;
    attribute mti_svvh_generic_type of DET_ACT : constant is 4;
    attribute mti_svvh_generic_type of POL_ACT : constant is 4;
    attribute mti_svvh_generic_type of POL_COMP : constant is 4;
    attribute mti_svvh_generic_type of POL_CFG : constant is 4;
    attribute mti_svvh_generic_type of CFG_LKST : constant is 4;
    attribute mti_svvh_generic_type of CFG_LKAC : constant is 4;
    attribute mti_svvh_generic_type of CFG_LNAC : constant is 4;
    attribute mti_svvh_generic_type of CFG_LNWT : constant is 4;
    attribute mti_svvh_generic_type of CFG_CPL : constant is 4;
    attribute mti_svvh_generic_type of CFG_IDL : constant is 4;
    attribute mti_svvh_generic_type of REC_RXLK : constant is 4;
    attribute mti_svvh_generic_type of REC_RXCFG : constant is 4;
    attribute mti_svvh_generic_type of REC_SPEED : constant is 4;
    attribute mti_svvh_generic_type of REC_IDL : constant is 4;
    attribute mti_svvh_generic_type of L0 : constant is 4;
    attribute mti_svvh_generic_type of DISAB : constant is 4;
    attribute mti_svvh_generic_type of LPBK_ENT : constant is 4;
    attribute mti_svvh_generic_type of LPBK_ACT : constant is 4;
    attribute mti_svvh_generic_type of LPBK_EXIT : constant is 4;
    attribute mti_svvh_generic_type of HOT_RST : constant is 4;
    attribute mti_svvh_generic_type of L0S : constant is 4;
    attribute mti_svvh_generic_type of L1_ENT : constant is 4;
    attribute mti_svvh_generic_type of L1_IDL : constant is 4;
    attribute mti_svvh_generic_type of L2_IDL : constant is 4;
    attribute mti_svvh_generic_type of L2_TXWK : constant is 4;
    attribute mti_svvh_generic_type of SPEED_SIZE : constant is 1;
    attribute mti_svvh_generic_type of GEN_1_SPEED : constant is 4;
    attribute mti_svvh_generic_type of GEN_2_SPEED : constant is 4;
    attribute mti_svvh_generic_type of TIMER_SIZE : constant is 1;
    attribute mti_svvh_generic_type of tWatchDogType_SKP_WD : constant is 2;
    attribute mti_svvh_generic_type of tWatchDogType_TS_WD : constant is 2;
    attribute mti_svvh_generic_type of tWatchDogType_DEFAULT_WD : constant is 2;
    attribute mti_svvh_generic_type of t128us_4x_i : constant is 1;
    attribute mti_svvh_generic_type of t128us_4x_u : constant is 4;
    attribute mti_svvh_generic_type of t128us_2x_i_short : constant is 1;
    attribute mti_svvh_generic_type of t128us_4x_i_short : constant is 3;
    attribute mti_svvh_generic_type of t128us_4x_u_short : constant is 4;
end pciexp_inferred_ei_075;
