library verilog;
use verilog.vl_types.all;
entity pciexp_ltssm is
    generic(
        PIPE_16B_MODE   : vl_logic := Hi0;
        G_NB_LANE       : integer := 8;
        G_NB_LANE_MAX   : integer := 8;
        GEN_1_SPEED     : vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        GEN_2_SPEED     : vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        REVERSE_LANE_EIGHT: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        REVERSE_LANE_FOUR: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        REVERSE_LANE_TWO: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        REVERSE_LANE_ONE: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        REVERSE_LANE_NONE: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        ELEC_IDLE       : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        TX_DETEC        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        TS1_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        TS2_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi1);
        DATA_IDLE       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        FTS_OS          : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        GEN1_ID_OS      : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        GEN2_ID_OS      : vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi1, Hi0);
        COMP_PATT       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        COMP_PATT2      : vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi1, Hi1);
        EIEOS           : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        EIEOS_CHAR      : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi1);
        TSA_OS          : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi0);
        SKP_OS          : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi1);
        LOGIC_ZERO      : vl_logic_vector;
        LOGIC_ONE       : vl_logic_vector;
        INIT_CHG_SPEED_COMPLIANCE: vl_logic_vector(18 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1);
        INIT_CHG_SPEED_LPBK: vl_logic_vector(18 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1);
        INIT_CHG_SPEED_CNT_800NS: vl_logic_vector(18 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0);
        INIT_CHG_SPEED_CNT_6US: vl_logic_vector(18 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0);
        INIT_CHG_SPEED_CNT_6US_TEST: vl_logic_vector(18 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1);
        LTSSM_STATE_DET_QUIET: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi0);
        LTSSM_STATE_DET_ACT: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi0, Hi0, Hi1);
        LTSSM_STATE_POL_ACT: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi0, Hi1, Hi0);
        LTSSM_STATE_POL_COMP: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi0, Hi1, Hi1);
        LTSSM_STATE_POL_CFG: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi0);
        LTSSM_STATE_CFG_LKST: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi0, Hi1);
        LTSSM_STATE_CFG_LKAC: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi1, Hi0);
        LTSSM_STATE_CFG_LNAC: vl_logic_vector(4 downto 0) := (Hi0, Hi0, Hi1, Hi1, Hi1);
        LTSSM_STATE_CFG_LNWT: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi0, Hi0);
        LTSSM_STATE_CFG_CPL: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi0, Hi1);
        LTSSM_STATE_CFG_IDL: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi0);
        LTSSM_STATE_REC_RXLK: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi0, Hi1, Hi1);
        LTSSM_STATE_REC_RXCFG: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi1, Hi0, Hi0);
        LTSSM_STATE_REC_SPEED: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi1, Hi0, Hi1);
        LTSSM_STATE_REC_IDL: vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi1, Hi1, Hi0);
        LTSSM_STATE_L0  : vl_logic_vector(4 downto 0) := (Hi0, Hi1, Hi1, Hi1, Hi1);
        LTSSM_STATE_DISAB: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi0);
        LTSSM_STATE_LPBK_ENT: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi0, Hi0, Hi1);
        LTSSM_STATE_LPBK_ACT: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi0, Hi1, Hi0);
        LTSSM_STATE_LPBK_EXIT: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi0, Hi1, Hi1);
        LTSSM_STATE_HOT_RST: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi1, Hi0, Hi0);
        LTSSM_STATE_L0S : vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi1, Hi0, Hi1);
        LTSSM_STATE_L1_ENT: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi1, Hi1, Hi0);
        LTSSM_STATE_L1_IDL: vl_logic_vector(4 downto 0) := (Hi1, Hi0, Hi1, Hi1, Hi1);
        LTSSM_STATE_L2_IDL: vl_logic_vector(4 downto 0) := (Hi1, Hi1, Hi0, Hi0, Hi0);
        cpt1ms_SIZE     : integer := 19;
        pwrdown_timeout_SIZE: integer := 4;
        RXL0S_STATE_RXL0S_INACT: vl_logic_vector(1 downto 0) := (Hi0, Hi0);
        RXL0S_STATE_RXL0S_IDLE: vl_logic_vector(1 downto 0) := (Hi0, Hi1);
        RXL0S_STATE_RXL0S_FTS: vl_logic_vector(1 downto 0) := (Hi1, Hi0);
        RXL0S_STATE_RXL0S_OUT_REC: vl_logic_vector(1 downto 0) := (Hi1, Hi1);
        TXL0S_STATE_TXL0S_INACT: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi0);
        TXL0S_STATE_TXL0S_ENTRY: vl_logic_vector(2 downto 0) := (Hi0, Hi0, Hi1);
        TXL0S_STATE_TXL0S_IDLE: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi0);
        TXL0S_STATE_TXL0S_FTS: vl_logic_vector(2 downto 0) := (Hi0, Hi1, Hi1);
        TXL0S_STATE_TXL0S_OUT_L0: vl_logic_vector(2 downto 0) := (Hi1, Hi0, Hi0);
        txcfg_nfts_size : integer := 8;
        nfts_timax_size : integer := 14
    );
    port(
        clk             : in     vl_logic;
        core_clk        : in     vl_logic;
        rstn            : in     vl_logic;
        core_rstn       : in     vl_logic;
        srst            : in     vl_logic;
        core_srst       : in     vl_logic;
        test_in         : in     vl_logic_vector(31 downto 0);
        test_ltssm      : out    vl_logic_vector(63 downto 0);
        l2_exit         : out    vl_logic;
        hotrst_exit     : out    vl_logic;
        dlup_exit       : out    vl_logic;
        updwn           : in     vl_logic;
        k_conf_func0    : in     vl_logic_vector(383 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(191 downto 0);
        clkreqn_en      : in     vl_logic;
        clkreqn_l1_en_n : in     vl_logic;
        clkreqout       : in     vl_logic;
        clkreq_n        : out    vl_logic;
        swdn_hotrst     : in     vl_logic;
        swdn_wake       : out    vl_logic;
        swup_hotrst     : out    vl_logic;
        swup_wake       : in     vl_logic;
        out_l1rec       : out    vl_logic;
        out_l0s_req     : out    vl_logic;
        stp_sdp         : in     vl_logic;
        retrain_link    : in     vl_logic;
        req_phypm       : in     vl_logic_vector(3 downto 0);
        ack_phypm       : out    vl_logic_vector(3 downto 0);
        req_phycfg      : in     vl_logic_vector(3 downto 0);
        txcfg_nfts      : in     vl_logic_vector(7 downto 0);
        txcfg_extsy     : in     vl_logic;
        txcfg_rate      : in     vl_logic_vector(2 downto 0);
        txlink_ini      : in     vl_logic_vector(7 downto 0);
        link_up         : out    vl_logic;
        link_train      : out    vl_logic;
        l0state         : out    vl_logic;
        l0sstate        : out    vl_logic;
        err_deskew      : in     vl_logic_vector;
        err_phy         : out    vl_logic_vector(2 downto 0);
        nfts2tx         : out    vl_logic_vector(7 downto 0);
        eot_ok          : in     vl_logic;
        en_lane_logical : out    vl_logic_vector;
        en_lane_physical: out    vl_logic_vector;
        lane_rev        : out    vl_logic_vector(3 downto 0);
        en_deskew       : out    vl_logic;
        en_txscramb     : out    vl_logic;
        en_rxscramb     : out    vl_logic;
        tx_ctrl         : out    vl_logic_vector(3 downto 0);
        tx_linkpad      : out    vl_logic;
        tx_lanepad      : out    vl_logic;
        tx_link         : out    vl_logic_vector(7 downto 0);
        tx_rate         : out    vl_logic_vector(3 downto 1);
        tx_deemp        : out    vl_logic;
        tx_speed_change : out    vl_logic;
        tx_trctrl       : out    vl_logic_vector(4 downto 0);
        tx_ack          : in     vl_logic;
        lpbk_slave      : out    vl_logic;
        tx_pad          : out    vl_logic_vector;
        turnOffexit     : out    vl_logic;
        rx_8d00         : in     vl_logic_vector;
        rx_ts1          : in     vl_logic_vector;
        rx_ts2          : in     vl_logic_vector;
        rx_linkpad      : in     vl_logic_vector;
        rx_lanepad      : in     vl_logic_vector;
        rx_polinv       : in     vl_logic_vector;
        rx_idl          : in     vl_logic_vector;
        rx_4_idl        : in     vl_logic_vector;
        rx_skp          : in     vl_logic_vector;
        rx_link0        : in     vl_logic_vector(7 downto 0);
        rx_link1        : in     vl_logic_vector(7 downto 0);
        rx_link2        : in     vl_logic_vector(7 downto 0);
        rx_link3        : in     vl_logic_vector(7 downto 0);
        rx_link4        : in     vl_logic_vector(7 downto 0);
        rx_link5        : in     vl_logic_vector(7 downto 0);
        rx_link6        : in     vl_logic_vector(7 downto 0);
        rx_link7        : in     vl_logic_vector(7 downto 0);
        rx_lane0        : in     vl_logic_vector(4 downto 0);
        rx_lane1        : in     vl_logic_vector(4 downto 0);
        rx_lane2        : in     vl_logic_vector(4 downto 0);
        rx_lane3        : in     vl_logic_vector(4 downto 0);
        rx_lane4        : in     vl_logic_vector(4 downto 0);
        rx_lane5        : in     vl_logic_vector(4 downto 0);
        rx_lane6        : in     vl_logic_vector(4 downto 0);
        rx_lane7        : in     vl_logic_vector(4 downto 0);
        rx_nfts         : in     vl_logic_vector(7 downto 0);
        rx_rate0        : in     vl_logic_vector(3 downto 1);
        rx_rate1        : in     vl_logic_vector(3 downto 1);
        rx_rate2        : in     vl_logic_vector(3 downto 1);
        rx_rate3        : in     vl_logic_vector(3 downto 1);
        rx_rate4        : in     vl_logic_vector(3 downto 1);
        rx_rate5        : in     vl_logic_vector(3 downto 1);
        rx_rate6        : in     vl_logic_vector(3 downto 1);
        rx_rate7        : in     vl_logic_vector(3 downto 1);
        rx_trctrl0      : in     vl_logic_vector(4 downto 0);
        rx_trctrl1      : in     vl_logic_vector(4 downto 0);
        rx_trctrl2      : in     vl_logic_vector(4 downto 0);
        rx_trctrl3      : in     vl_logic_vector(4 downto 0);
        rx_trctrl4      : in     vl_logic_vector(4 downto 0);
        rx_trctrl5      : in     vl_logic_vector(4 downto 0);
        rx_trctrl6      : in     vl_logic_vector(4 downto 0);
        rx_trctrl7      : in     vl_logic_vector(4 downto 0);
        rx_tsnum0       : in     vl_logic_vector(7 downto 0);
        rx_tsnum1       : in     vl_logic_vector(7 downto 0);
        rx_tsnum2       : in     vl_logic_vector(7 downto 0);
        rx_tsnum3       : in     vl_logic_vector(7 downto 0);
        rx_tsnum4       : in     vl_logic_vector(7 downto 0);
        rx_tsnum5       : in     vl_logic_vector(7 downto 0);
        rx_tsnum6       : in     vl_logic_vector(7 downto 0);
        rx_tsnum7       : in     vl_logic_vector(7 downto 0);
        rx_speedchg     : in     vl_logic_vector;
        rx_ts_bit6      : in     vl_logic_vector;
        powerdown_async : in     vl_logic_vector(1 downto 0);
        powerdown       : out    vl_logic_vector(1 downto 0);
        rxpolarity      : out    vl_logic_vector;
        txelidl_det     : out    vl_logic_vector;
        tx_margin       : out    vl_logic_vector(2 downto 0);
        phy_status      : in     vl_logic_vector;
        rxvalid         : in     vl_logic_vector;
        rxelecidle      : in     vl_logic_vector;
        rxeieos         : in     vl_logic_vector;
        rxstatus0       : in     vl_logic_vector(2 downto 0);
        rxstatus1       : in     vl_logic_vector(2 downto 0);
        rxstatus2       : in     vl_logic_vector(2 downto 0);
        rxstatus3       : in     vl_logic_vector(2 downto 0);
        rxstatus4       : in     vl_logic_vector(2 downto 0);
        rxstatus5       : in     vl_logic_vector(2 downto 0);
        rxstatus6       : in     vl_logic_vector(2 downto 0);
        rxstatus7       : in     vl_logic_vector(2 downto 0);
        rst_rxtsnum     : out    vl_logic;
        inh_txval       : out    vl_logic;
        inh_ltssm       : out    vl_logic;
        current_speed   : out    vl_logic_vector(1 downto 0);
        current_deemp   : out    vl_logic;
        ctrl_link2      : in     vl_logic_vector(12 downto 0);
        dlcm_sm_act     : in     vl_logic;
        rate            : out    vl_logic;
        lane_reversal_enable: out    vl_logic;
        link_auto_bdw_status: out    vl_logic;
        link_bdw_mng_status: out    vl_logic;
        rst_tx_margin_field: out    vl_logic;
        rst_enter_comp_bit: out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PIPE_16B_MODE : constant is 1;
    attribute mti_svvh_generic_type of G_NB_LANE : constant is 1;
    attribute mti_svvh_generic_type of G_NB_LANE_MAX : constant is 1;
    attribute mti_svvh_generic_type of GEN_1_SPEED : constant is 2;
    attribute mti_svvh_generic_type of GEN_2_SPEED : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_EIGHT : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_FOUR : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_TWO : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_ONE : constant is 2;
    attribute mti_svvh_generic_type of REVERSE_LANE_NONE : constant is 2;
    attribute mti_svvh_generic_type of ELEC_IDLE : constant is 2;
    attribute mti_svvh_generic_type of TX_DETEC : constant is 2;
    attribute mti_svvh_generic_type of TS1_OS : constant is 2;
    attribute mti_svvh_generic_type of TS2_OS : constant is 2;
    attribute mti_svvh_generic_type of DATA_IDLE : constant is 2;
    attribute mti_svvh_generic_type of FTS_OS : constant is 2;
    attribute mti_svvh_generic_type of GEN1_ID_OS : constant is 2;
    attribute mti_svvh_generic_type of GEN2_ID_OS : constant is 2;
    attribute mti_svvh_generic_type of COMP_PATT : constant is 2;
    attribute mti_svvh_generic_type of COMP_PATT2 : constant is 2;
    attribute mti_svvh_generic_type of EIEOS : constant is 2;
    attribute mti_svvh_generic_type of EIEOS_CHAR : constant is 2;
    attribute mti_svvh_generic_type of TSA_OS : constant is 2;
    attribute mti_svvh_generic_type of SKP_OS : constant is 2;
    attribute mti_svvh_generic_type of LOGIC_ZERO : constant is 4;
    attribute mti_svvh_generic_type of LOGIC_ONE : constant is 4;
    attribute mti_svvh_generic_type of INIT_CHG_SPEED_COMPLIANCE : constant is 2;
    attribute mti_svvh_generic_type of INIT_CHG_SPEED_LPBK : constant is 2;
    attribute mti_svvh_generic_type of INIT_CHG_SPEED_CNT_800NS : constant is 2;
    attribute mti_svvh_generic_type of INIT_CHG_SPEED_CNT_6US : constant is 2;
    attribute mti_svvh_generic_type of INIT_CHG_SPEED_CNT_6US_TEST : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_DET_QUIET : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_DET_ACT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_POL_ACT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_POL_COMP : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_POL_CFG : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_LKST : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_LKAC : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_LNAC : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_LNWT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_CPL : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_CFG_IDL : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_REC_RXLK : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_REC_RXCFG : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_REC_SPEED : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_REC_IDL : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_L0 : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_DISAB : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_LPBK_ENT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_LPBK_ACT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_LPBK_EXIT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_HOT_RST : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_L0S : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_L1_ENT : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_L1_IDL : constant is 2;
    attribute mti_svvh_generic_type of LTSSM_STATE_L2_IDL : constant is 2;
    attribute mti_svvh_generic_type of cpt1ms_SIZE : constant is 1;
    attribute mti_svvh_generic_type of pwrdown_timeout_SIZE : constant is 1;
    attribute mti_svvh_generic_type of RXL0S_STATE_RXL0S_INACT : constant is 2;
    attribute mti_svvh_generic_type of RXL0S_STATE_RXL0S_IDLE : constant is 2;
    attribute mti_svvh_generic_type of RXL0S_STATE_RXL0S_FTS : constant is 2;
    attribute mti_svvh_generic_type of RXL0S_STATE_RXL0S_OUT_REC : constant is 2;
    attribute mti_svvh_generic_type of TXL0S_STATE_TXL0S_INACT : constant is 2;
    attribute mti_svvh_generic_type of TXL0S_STATE_TXL0S_ENTRY : constant is 2;
    attribute mti_svvh_generic_type of TXL0S_STATE_TXL0S_IDLE : constant is 2;
    attribute mti_svvh_generic_type of TXL0S_STATE_TXL0S_FTS : constant is 2;
    attribute mti_svvh_generic_type of TXL0S_STATE_TXL0S_OUT_L0 : constant is 2;
    attribute mti_svvh_generic_type of txcfg_nfts_size : constant is 1;
    attribute mti_svvh_generic_type of nfts_timax_size : constant is 1;
end pciexp_ltssm;
