library verilog;
use verilog.vl_types.all;
entity pciexp_multifunc_powermgt_120 is
    generic(
        PORT_EP         : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        PORT_EPL        : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        PORT_RC         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        PORT_SWUP       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        PORT_SWDN       : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        PORT_BR         : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        lpm_state_l0_rst: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi0);
        lpm_state_l0    : vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi0, Hi1);
        lpm_state_aspm_l1_in0: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi0);
        lpm_state_aspm_l1_in1: vl_logic_vector(3 downto 0) := (Hi0, Hi0, Hi1, Hi1);
        lpm_state_aspm_l1_out: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi0);
        lpm_state_l1_in0: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi0, Hi1);
        lpm_state_l1_in1: vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi0);
        lpm_state_l1    : vl_logic_vector(3 downto 0) := (Hi0, Hi1, Hi1, Hi1);
        lpm_state_l0_in : vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi0);
        lpm_state_l0_in_wt: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi0, Hi1);
        lpm_state_l2l3_in0: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi0);
        lpm_state_l2l3_in1: vl_logic_vector(3 downto 0) := (Hi1, Hi0, Hi1, Hi1);
        lpm_state_l2l3_rdy: vl_logic_vector(3 downto 0) := (Hi1, Hi1, Hi0, Hi0)
    );
    port(
        clk             : in     vl_logic;
        rstn            : in     vl_logic;
        srst            : in     vl_logic;
        ev256ns         : in     vl_logic;
        ev1us           : in     vl_logic;
        func_en         : in     vl_logic_vector(7 downto 0);
        test_in         : in     vl_logic_vector(31 downto 0);
        k_gbl           : in     vl_logic_vector(63 downto 0);
        k_cnt           : in     vl_logic_vector(127 downto 0);
        surpdwn_cap     : in     vl_logic;
        dl_up           : in     vl_logic;
        err_surpdwn_dll : out    vl_logic;
        surpdwn_conf    : in     vl_logic_vector(5 downto 0);
        test_pmgt       : out    vl_logic_vector(12 downto 0);
        aspm_support    : in     vl_logic_vector(1 downto 0);
        aspm_cr0        : in     vl_logic_vector(1 downto 0);
        aspm_cr1        : in     vl_logic_vector(1 downto 0);
        aspm_cr2        : in     vl_logic_vector(1 downto 0);
        aspm_cr3        : in     vl_logic_vector(1 downto 0);
        aspm_cr4        : in     vl_logic_vector(1 downto 0);
        aspm_cr5        : in     vl_logic_vector(1 downto 0);
        aspm_cr6        : in     vl_logic_vector(1 downto 0);
        aspm_cr7        : in     vl_logic_vector(1 downto 0);
        req_l1_func     : in     vl_logic_vector(7 downto 0);
        req_wake        : in     vl_logic;
        pme_req         : in     vl_logic_vector(7 downto 0);
        pme_req_sec     : in     vl_logic;
        pme_l1tol0_func : in     vl_logic_vector(7 downto 0);
        pm_event_func   : in     vl_logic_vector(2 downto 0);
        pme_state       : in     vl_logic_vector(1 downto 0);
        rxfc_max        : in     vl_logic;
        txfc_max        : in     vl_logic;
        txbuf_emp       : in     vl_logic;
        cfgbuf_emp      : in     vl_logic;
        rpbuf_emp       : in     vl_logic;
        dll_req         : in     vl_logic;
        l0state         : in     vl_logic;
        l0sstate        : in     vl_logic;
        in_l0s_req      : in     vl_logic;
        in_l1_ok        : in     vl_logic;
        cpl_pending     : in     vl_logic;
        int_status      : in     vl_logic_vector(7 downto 0);
        pmestatus       : in     vl_logic_vector(7 downto 0);
        pme_enab        : in     vl_logic_vector(7 downto 0);
        inh_tlp         : out    vl_logic;
        inh_tx_tlp      : out    vl_logic;
        inh_dllp        : out    vl_logic;
        pme_to_cr       : in     vl_logic;
        pme_to_sr       : out    vl_logic;
        rx_msg_pme_to   : in     vl_logic;
        rx_msg_pmetoack : in     vl_logic;
        rx_msg_as_nak   : in     vl_logic_vector(7 downto 0);
        tx_msg_pmetoack : in     vl_logic_vector(7 downto 0);
        pm_msg_req      : out    vl_logic_vector(7 downto 0);
        pm_msg_typ      : out    vl_logic_vector(7 downto 0);
        pm_msg_ack      : in     vl_logic_vector(7 downto 0);
        pm_msg_sec      : out    vl_logic;
        rx_val_pm       : in     vl_logic;
        rx_typ_pm       : in     vl_logic_vector(2 downto 0);
        tx_req_pm       : out    vl_logic;
        tx_ack_pm       : in     vl_logic;
        tx_typ_pm       : out    vl_logic_vector(2 downto 0);
        req_phypm       : out    vl_logic_vector(3 downto 0);
        l1_pending      : out    vl_logic;
        l2_pending      : out    vl_logic;
        low_power_wt    : out    vl_logic;
        ack_phypm       : in     vl_logic_vector(3 downto 0)
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PORT_EP : constant is 2;
    attribute mti_svvh_generic_type of PORT_EPL : constant is 2;
    attribute mti_svvh_generic_type of PORT_RC : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWUP : constant is 2;
    attribute mti_svvh_generic_type of PORT_SWDN : constant is 2;
    attribute mti_svvh_generic_type of PORT_BR : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l0_rst : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l0 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_aspm_l1_in0 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_aspm_l1_in1 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_aspm_l1_out : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l1_in0 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l1_in1 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l1 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l0_in : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l0_in_wt : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l2l3_in0 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l2l3_in1 : constant is 2;
    attribute mti_svvh_generic_type of lpm_state_l2l3_rdy : constant is 2;
end pciexp_multifunc_powermgt_120;
