library verilog;
use verilog.vl_types.all;
entity pcs_lane_120 is
    port(
        scan_rx_clk     : in     vl_logic;
        scan_tx_clk     : in     vl_logic;
        scan_mode       : in     vl_logic;
        fast_init       : in     vl_logic;
        pipe_rstn       : in     vl_logic;
        pipe_pclkin     : in     vl_logic;
        pipe_pclkout    : out    vl_logic;
        pipe_powerdown  : in     vl_logic_vector(1 downto 0);
        pipe_txdetectrx : in     vl_logic;
        pipe_phystatus  : out    vl_logic;
        pipe_rate       : in     vl_logic;
        pipe_txmargin   : in     vl_logic_vector(2 downto 0);
        pipe_txdeemp    : in     vl_logic;
        pipe_txswing    : in     vl_logic;
        pipe_rxdata     : out    vl_logic_vector(15 downto 0);
        pipe_rxdatak    : out    vl_logic_vector(1 downto 0);
        pipe_rxstatus   : out    vl_logic_vector(2 downto 0);
        pipe_rxvalid    : out    vl_logic;
        pipe_rxelecidle : out    vl_logic;
        pipe_rxpolarity : in     vl_logic;
        pipe_txdata     : in     vl_logic_vector(15 downto 0);
        pipe_txdatak    : in     vl_logic_vector(1 downto 0);
        pipe_txelecidle : in     vl_logic;
        pipe_txcompl    : in     vl_logic;
        txpmff_val      : out    vl_logic;
        txpmff_all      : in     vl_logic;
        det_done_lane   : out    vl_logic;
        det_done_all    : in     vl_logic;
        pwrdn_done_lane : out    vl_logic;
        pwrdn_done_all  : in     vl_logic;
        pma_rdy_lane    : out    vl_logic;
        pma_rdy_all     : in     vl_logic;
        new_rate_lane   : out    vl_logic;
        new_rate_all    : in     vl_logic;
        lane_disable    : out    vl_logic;
        arefclk         : in     vl_logic;
        atxclkp         : in     vl_logic;
        atxclkn         : in     vl_logic;
        arxclkp         : in     vl_logic;
        arxclkn         : in     vl_logic;
        atxclkstable    : in     vl_logic;
        arxclkstable    : in     vl_logic;
        aforcetxhiz     : out    vl_logic;
        aforcerxhiz     : out    vl_logic;
        atxplldivinit   : out    vl_logic;
        arxplldivinit   : out    vl_logic;
        arxskipbit      : out    vl_logic;
        alpbknearend    : out    vl_logic;
        atxselrxfb      : out    vl_logic;
        atxm            : out    vl_logic_vector(1 downto 0);
        atxn            : out    vl_logic_vector(4 downto 0);
        atxf            : out    vl_logic_vector(3 downto 0);
        arxm            : out    vl_logic_vector(1 downto 0);
        arxn            : out    vl_logic_vector(4 downto 0);
        arxf            : out    vl_logic_vector(3 downto 0);
        atxicp          : out    vl_logic_vector(2 downto 0);
        arxicp          : out    vl_logic_vector(2 downto 0);
        arxcdricp       : out    vl_logic_vector(2 downto 0);
        atxpllrstb      : out    vl_logic;
        acdrpllrstb     : out    vl_logic;
        atxhfclkdnb     : out    vl_logic;
        arxhfclkdnb     : out    vl_logic;
        arxpwrdwnb      : out    vl_logic;
        ashutvmainbyvmainb: out    vl_logic;
        azcalib         : out    vl_logic_vector(6 downto 0);
        azcalibtype     : out    vl_logic_vector(1 downto 0);
        azcalibmir      : out    vl_logic;
        azcompout       : in     vl_logic;
        asertx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdata        : out    vl_logic;
        aserdatt        : out    vl_logic;
        aserdatp        : out    vl_logic;
        aserrx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdatr        : out    vl_logic;
        atxdetectrxdisable: out    vl_logic;
        afarendrxabsent : in     vl_logic;
        atrandet        : in     vl_logic;
        atrandetctrlb   : out    vl_logic;
        asigdetsetting  : out    vl_logic;
        arxtest         : out    vl_logic;
        acdrdiagin      : out    vl_logic;
        arxfdip0        : out    vl_logic;
        arxfdip1        : out    vl_logic;
        acdrdiagout     : in     vl_logic;
        arxdnull        : out    vl_logic_vector(3 downto 0);
        arxdnullcal     : out    vl_logic;
        arxdnulldir     : out    vl_logic;
        arxdnulldat     : in     vl_logic;
        arxtnull        : out    vl_logic_vector(3 downto 0);
        arxtnullcal     : out    vl_logic;
        arxtnulldir     : out    vl_logic;
        arxtnulldat     : in     vl_logic;
        aschnull        : out    vl_logic_vector(3 downto 0);
        aschnullcal     : out    vl_logic;
        aschnulldir     : out    vl_logic;
        aschmittout     : in     vl_logic;
        arxdo           : in     vl_logic_vector(19 downto 0);
        atxdi           : out    vl_logic_vector(19 downto 0);
        epcs_rstn       : in     vl_logic;
        epcs_ready      : out    vl_logic;
        epcs_sel        : in     vl_logic;
        epcs_pwrdn      : in     vl_logic;
        epcs_txclk      : out    vl_logic;
        epcs_txval      : in     vl_logic;
        epcs_txoob      : in     vl_logic;
        epcs_txdata     : in     vl_logic_vector(19 downto 0);
        epcs_rxclk      : out    vl_logic;
        epcs_rxidle     : out    vl_logic;
        epcs_rxval      : out    vl_logic;
        epcs_rxdata     : out    vl_logic_vector(19 downto 0);
        epcs_rxerr      : in     vl_logic;
        epcs_txrstn     : out    vl_logic;
        epcs_rxrstn     : out    vl_logic;
        pll_default     : in     vl_logic_vector(31 downto 0);
        reg_default     : in     vl_logic_vector(383 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic;
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic;
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        rext_sel        : in     vl_logic_vector(1 downto 0);
        rext_din_up     : in     vl_logic_vector(23 downto 0);
        rext_din_dn     : in     vl_logic_vector(23 downto 0);
        rext_dout_up    : out    vl_logic_vector(23 downto 0);
        rext_dout_dn    : out    vl_logic_vector(23 downto 0)
    );
end pcs_lane_120;
