library verilog;
use verilog.vl_types.all;
entity pcs_pcie is
    port(
        scan_mode       : in     vl_logic;
        fast_init       : in     vl_logic;
        pipe_rstn       : in     vl_logic;
        pipe_pclk       : in     vl_logic;
        pipe_powerdown  : in     vl_logic_vector(1 downto 0);
        pipe_txdetectrx : in     vl_logic;
        pipe_phystatus  : out    vl_logic;
        pipe_rate       : in     vl_logic;
        pipe_txmargin   : in     vl_logic_vector(2 downto 0);
        pipe_txdeemp    : in     vl_logic;
        pipe_txswing    : in     vl_logic;
        pipe_rxdata     : out    vl_logic_vector(15 downto 0);
        pipe_rxdatak    : out    vl_logic_vector(1 downto 0);
        pipe_rxstatus   : out    vl_logic_vector(2 downto 0);
        pipe_rxvalid    : out    vl_logic;
        pipe_rxelecidle : out    vl_logic;
        pipe_rxpolarity : in     vl_logic;
        pipe_txdata     : in     vl_logic_vector(15 downto 0);
        pipe_txdatak    : in     vl_logic_vector(1 downto 0);
        pipe_txelecidle : in     vl_logic;
        pipe_txcompl    : in     vl_logic;
        det_done_lane   : out    vl_logic;
        det_done_all    : in     vl_logic;
        pwrdn_done_lane : out    vl_logic;
        pwrdn_done_all  : in     vl_logic;
        pma_rdy_lane    : out    vl_logic;
        pma_rdy_all     : in     vl_logic;
        new_rate_lane   : out    vl_logic;
        new_rate_all    : in     vl_logic;
        lane_disable    : out    vl_logic;
        pma_rdy         : in     vl_logic;
        det_tx_req      : out    vl_logic;
        det_tx_typ      : out    vl_logic_vector(1 downto 0);
        det_tx_done     : in     vl_logic;
        pcs_pwrdn_req   : out    vl_logic;
        pcs_pwrdn_typ   : out    vl_logic_vector(1 downto 0);
        pcs_pwrdn_done  : in     vl_logic;
        pcs_rxabsent    : in     vl_logic;
        pcs_rxerr       : out    vl_logic;
        pcs_rxidle      : in     vl_logic;
        pcs_rxval       : in     vl_logic;
        pcs_rxdata      : in     vl_logic_vector(19 downto 0);
        pcs_rxclk       : in     vl_logic;
        pcs_rxrstn      : in     vl_logic;
        pcs_txval       : out    vl_logic;
        pcs_txdata      : out    vl_logic_vector(19 downto 0);
        pcs_rate        : out    vl_logic;
        pcs_deemp       : out    vl_logic;
        pcs_margin      : out    vl_logic_vector(2 downto 0);
        pcs_swing       : out    vl_logic;
        pcs_calc_req    : out    vl_logic;
        pcs_calc_done   : in     vl_logic;
        plesio_lpbk     : in     vl_logic;
        par_lpbk        : in     vl_logic;
        mask_phystatus  : in     vl_logic;
        async_p2exit    : out    vl_logic;
        new_rate        : in     vl_logic;
        ev1us_lvl       : in     vl_logic
    );
end pcs_pcie;
