library verilog;
use verilog.vl_types.all;
entity phy_apb_wrp is
    port(
        axiclk          : in     vl_logic;
        axirst_n        : in     vl_logic;
        pclk            : in     vl_logic;
        presetn         : in     vl_logic;
        psel            : in     vl_logic;
        paddr           : in     vl_logic_vector(7 downto 0);
        pwrite          : in     vl_logic;
        pwdata          : in     vl_logic_vector(15 downto 0);
        penable         : in     vl_logic;
        apb_sync_pready_ctrl_q: in     vl_logic;
        axi_rd_data_ctrl_0_q: in     vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_1_q: in     vl_logic_vector(15 downto 0);
        axi_rd_data_ctrl_2_q: in     vl_logic_vector(15 downto 0);
        prdata          : out    vl_logic_vector(15 downto 0);
        pready          : out    vl_logic;
        pslverr         : out    vl_logic;
        update_phy_dyn_q: out    vl_logic;
        phy_dyn_bist_test_config_q: out    vl_logic_vector(4 downto 0);
        phy_dyn_bist_test_err_clr_q: out    vl_logic_vector(44 downto 0);
        phy_dyn_bist_test_shift_pattern_q: out    vl_logic_vector(44 downto 0);
        phy_dyn_loopback_q: out    vl_logic;
        phy_dyn_board_loopback_tx_rx_q: out    vl_logic_vector(9 downto 0);
        phy_ctrl_slave_ratio_q: out    vl_logic_vector(9 downto 0);
        phy_ctrl_slave_force_q: out    vl_logic;
        phy_ctrl_slave_delay_q: out    vl_logic_vector(8 downto 0);
        phy_data_slice_in_use_q: out    vl_logic_vector(4 downto 0);
        phy_lvl_num_of_dq0_q: out    vl_logic_vector(7 downto 0);
        phy_dq_offset_q : out    vl_logic_vector(34 downto 0);
        phy_dyn_dis_calib_rst_q: out    vl_logic;
        phy_dll_lock_diff_q: out    vl_logic_vector(3 downto 0);
        phy_fifo_we_in_delay_q: out    vl_logic_vector(44 downto 0);
        phy_fifo_we_in_force_q: out    vl_logic_vector(4 downto 0);
        phy_fifo_we_slave_ratio_q: out    vl_logic_vector(54 downto 0);
        phy_gatelvl_init_mode_q: out    vl_logic;
        phy_gatelvl_init_ratio_q: out    vl_logic_vector(54 downto 0);
        phy_local_odt_q : out    vl_logic_vector(3 downto 0);
        phy_invert_clkout_q: out    vl_logic;
        phy_rd_dqs_slave_delay_q: out    vl_logic_vector(44 downto 0);
        phy_rd_dqs_slave_force_q: out    vl_logic_vector(4 downto 0);
        phy_rd_dqs_slave_ratio_q: out    vl_logic_vector(49 downto 0);
        phy_wr_dqs_slave_delay_q: out    vl_logic_vector(44 downto 0);
        phy_wr_dqs_slave_force_q: out    vl_logic_vector(4 downto 0);
        phy_wr_dqs_slave_ratio_q: out    vl_logic_vector(49 downto 0);
        phy_wr_data_slave_delay_q: out    vl_logic_vector(44 downto 0);
        phy_wr_data_slave_force_q: out    vl_logic_vector(4 downto 0);
        phy_wr_data_slave_ratio_q: out    vl_logic_vector(49 downto 0);
        phy_wrlvl_init_mode_q: out    vl_logic;
        phy_wrlvl_init_ratio_q: out    vl_logic_vector(49 downto 0);
        phy_wr_rd_rl_q  : out    vl_logic_vector(9 downto 0);
        phy_dyn_rdc_fifo_rst_err_cnt_clr_q: out    vl_logic;
        phy_rdc_we_to_re_delay_q: out    vl_logic_vector(3 downto 0);
        phy_use_fixed_re_q: out    vl_logic;
        phy_use_rank0_delays_q: out    vl_logic;
        phy_use_lvl_trng_level_ctrl_q: out    vl_logic_vector(2 downto 0);
        phy_dyn_rst_q   : out    vl_logic;
        phy_dyn_config_q: out    vl_logic_vector(4 downto 0);
        phy_dyn_rd_wr_gate_lvl_q: out    vl_logic_vector(14 downto 0);
        penable_ctrl_q  : out    vl_logic;
        paddr_q         : out    vl_logic_vector(7 downto 0)
    );
end phy_apb_wrp;
