library verilog;
use verilog.vl_types.all;
entity phy_data_slice_010 is
    port(
        core_clk        : in     vl_logic;
        rstn_p          : in     vl_logic;
        rstn_n          : in     vl_logic;
        clk_stall_level : in     vl_logic;
        loopback        : in     vl_logic;
        bl2             : in     vl_logic;
        slice_in_use    : in     vl_logic;
        use_wr_level    : in     vl_logic;
        use_rd_data_eye_level: in     vl_logic;
        use_rd_dqs_gate_level: in     vl_logic;
        reg_phy_wrlvl_inc_mode: in     vl_logic;
        reg_phy_rdlvl_inc_mode: in     vl_logic;
        phy_reg_wrlvl_inc_fail: out    vl_logic;
        phy_reg_rdlvl_inc_fail: out    vl_logic;
        reg_phy_gatelvl_inc_mode: in     vl_logic;
        phy_reg_gatelvl_inc_fail: out    vl_logic;
        reg_phy_bist_enable: in     vl_logic;
        reg_phy_bist_force_err: in     vl_logic;
        reg_phy_bist_mode: in     vl_logic_vector(1 downto 0);
        reg_phy_bist_shift_dq: in     vl_logic_vector(8 downto 0);
        reg_phy_bist_err_clr: in     vl_logic_vector(8 downto 0);
        phy_reg_bist_err: out    vl_logic_vector(8 downto 0);
        reg_phy_gatelvl_num_of_dq0: in     vl_logic_vector(3 downto 0);
        reg_phy_wrlvl_num_of_dq0: in     vl_logic_vector(3 downto 0);
        reg_phy_board_lpbk_tx: in     vl_logic;
        reg_phy_board_lpbk_rx: in     vl_logic;
        reg_phy_at_spd_atpg: in     vl_logic;
        select_all_1_wr : in     vl_logic;
        select_all_1_rd : in     vl_logic;
        test_enable     : in     vl_logic;
        scan_enable     : in     vl_logic;
        scan_in_p0      : in     vl_logic;
        scan_out_p0     : out    vl_logic;
        scan_in_p1      : in     vl_logic;
        scan_out_p1     : out    vl_logic;
        scan_in_p2      : in     vl_logic;
        scan_out_p2     : out    vl_logic;
        scan_in_n0      : in     vl_logic;
        scan_out_n0     : out    vl_logic;
        reg_phy_rd_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_wr_local_odt: in     vl_logic_vector(1 downto 0);
        reg_phy_idle_local_odt: in     vl_logic_vector(1 downto 0);
        local_odt_bit1_dq: out    vl_logic_vector(7 downto 0);
        local_odt_bit0_dq: out    vl_logic_vector(7 downto 0);
        local_odt_bit1_dqs: out    vl_logic;
        local_odt_bit0_dqs: out    vl_logic;
        local_odt_bit1_dm: out    vl_logic;
        local_odt_bit0_dm: out    vl_logic;
        local_odt_bit1_fifo_we_in: out    vl_logic;
        local_odt_bit0_fifo_we_in: out    vl_logic;
        reg_phy_dif_sel : in     vl_logic;
        reg_phy_dif_on  : in     vl_logic_vector(3 downto 0);
        reg_phy_dif_off : in     vl_logic_vector(3 downto 0);
        difen_dq0       : out    vl_logic_vector(3 downto 0);
        difen_dq1       : out    vl_logic_vector(3 downto 0);
        difen_dq2       : out    vl_logic_vector(3 downto 0);
        difen_dq3       : out    vl_logic_vector(3 downto 0);
        difen_dq4       : out    vl_logic_vector(3 downto 0);
        difen_dq5       : out    vl_logic_vector(3 downto 0);
        difen_dq6       : out    vl_logic_vector(3 downto 0);
        difen_dq7       : out    vl_logic_vector(3 downto 0);
        difen_dqs       : out    vl_logic_vector(3 downto 0);
        difen_dm        : out    vl_logic_vector(3 downto 0);
        bs_difen        : in     vl_logic_vector(1 downto 0);
        bs_local_odt    : in     vl_logic_vector(1 downto 0);
        bs_fifowein_sel : in     vl_logic;
        bs_dq           : in     vl_logic_vector(7 downto 0);
        bs_dq_sel       : in     vl_logic_vector(7 downto 0);
        bs_dqoe         : in     vl_logic_vector(7 downto 0);
        bs_dqoe_sel     : in     vl_logic_vector(7 downto 0);
        bs_dqoeb        : in     vl_logic_vector(7 downto 0);
        bs_dqoeb_sel    : in     vl_logic_vector(7 downto 0);
        bs_dqs          : in     vl_logic;
        bs_dqs_sel      : in     vl_logic;
        bs_dqsoe        : in     vl_logic;
        bs_dqsoe_sel    : in     vl_logic;
        bs_dqsoeb       : in     vl_logic;
        bs_dqsoeb_sel   : in     vl_logic;
        bs_dm           : in     vl_logic;
        bs_dm_sel       : in     vl_logic;
        bs_fifoweout    : in     vl_logic;
        bs_fifoweout_sel: in     vl_logic;
        bs_dm_oeb       : in     vl_logic;
        bs_dm_oeb_sel   : in     vl_logic;
        bs_dm_oeb_observe: out    vl_logic;
        bs_dm_oe        : in     vl_logic;
        bs_dm_oe_sel    : in     vl_logic;
        bs_dm_oe_observe: out    vl_logic;
        bs_dm_in_observe: out    vl_logic;
        bs_dqs_n        : in     vl_logic;
        bs_dqs_n_sel    : in     vl_logic;
        bs_dqs_n_observe: out    vl_logic;
        bs_fifowein_observe: out    vl_logic;
        bs_fifoweout_observe: out    vl_logic;
        bs_dqs_in_observe: out    vl_logic;
        bs_dq_in_observe: out    vl_logic_vector(7 downto 0);
        bs_dq_observe   : out    vl_logic_vector(7 downto 0);
        bs_dqoe_observe : out    vl_logic_vector(7 downto 0);
        bs_dqoeb_observe: out    vl_logic_vector(7 downto 0);
        bs_dm_observe   : out    vl_logic;
        bs_dqs_observe  : out    vl_logic;
        bs_dqsoe_observe: out    vl_logic;
        bs_dqsoeb_observe: out    vl_logic;
        ddrc_dfi_wrdata_en: in     vl_logic;
        ddrc_dfi_wrdata : in     vl_logic_vector(15 downto 0);
        ddrc_dfi_wrdata_mask: in     vl_logic_vector(1 downto 0);
        ddrc_dfi_rddata_en: in     vl_logic;
        phy_dfi_rddata  : out    vl_logic_vector(15 downto 0);
        phy_dfi_rddata_dm: out    vl_logic_vector(1 downto 0);
        phy_dfi_rddata_valid: out    vl_logic;
        dq_in           : in     vl_logic_vector(7 downto 0);
        dqs_in          : in     vl_logic;
        dm_in           : in     vl_logic;
        dqs_out         : out    vl_logic;
        dqs_out_n       : out    vl_logic;
        dm_rdqs_out     : out    vl_logic;
        dm_oe           : out    vl_logic;
        dm_oeb          : out    vl_logic;
        dq_out          : out    vl_logic_vector(7 downto 0);
        dq_oe           : out    vl_logic_vector(7 downto 0);
        dq_oeb          : out    vl_logic_vector(7 downto 0);
        dqs_oe          : out    vl_logic;
        dqs_oeb         : out    vl_logic;
        dll_calib_rdl   : in     vl_logic;
        dis_calib_rst   : in     vl_logic;
        fifo_we_in      : in     vl_logic;
        fifo_we_out     : out    vl_logic;
        active_read_rank: in     vl_logic_vector(0 downto 0);
        active_write_rank: in     vl_logic_vector(0 downto 0);
        sr_c_master     : in     vl_logic_vector(6 downto 0);
        sr_f_master     : in     vl_logic_vector(1 downto 0);
        re_with_notempty: in     vl_logic;
        rd_fifo_empty   : out    vl_logic;
        wp_gray         : out    vl_logic_vector(2 downto 0);
        reg_phy_rdc_we_to_re_delay: in     vl_logic_vector(3 downto 0);
        reg_phy_use_fixed_re: in     vl_logic;
        reg_rd_dqs_slave_ratio: in     vl_logic_vector(9 downto 0);
        reg_rd_dqs_slave_force: in     vl_logic_vector(0 downto 0);
        reg_rd_dqs_slave_delay: in     vl_logic_vector(8 downto 0);
        reg_wr_dqs_slave_ratio: in     vl_logic_vector(9 downto 0);
        reg_wr_dqs_slave_force: in     vl_logic_vector(0 downto 0);
        reg_wr_dqs_slave_delay: in     vl_logic_vector(8 downto 0);
        reg_fifo_we_slave_ratio: in     vl_logic_vector(10 downto 0);
        reg_fifo_we_in_force: in     vl_logic_vector(0 downto 0);
        reg_fifo_we_in_delay: in     vl_logic_vector(8 downto 0);
        reg_wr_data_slave_ratio: in     vl_logic_vector(9 downto 0);
        reg_wr_data_slave_force: in     vl_logic_vector(0 downto 0);
        reg_wr_data_slave_delay: in     vl_logic_vector(8 downto 0);
        reg_status_rd_dqs_slave_value: out    vl_logic_vector(8 downto 0);
        reg_status_wr_data_slave_dll_value: out    vl_logic_vector(8 downto 0);
        reg_status_wr_dqs_slave_dll_value: out    vl_logic_vector(8 downto 0);
        reg_status_fifo_we_slave_dll_value: out    vl_logic_vector(8 downto 0);
        ddrc_dfi_rdlvl_en: in     vl_logic;
        rd_level_fsm    : out    vl_logic_vector(3 downto 0);
        ddrc_dfi_rdlvl_cs_n: in     vl_logic_vector(0 downto 0);
        ddrc_dfi_rdlvl_edge: in     vl_logic;
        phy_dfi_rdlvl_resp_int: out    vl_logic;
        ddrc_dfi_rdlvl_gate_en: in     vl_logic;
        gate_level_fsm  : out    vl_logic_vector(2 downto 0);
        data_wrlvl_en   : in     vl_logic;
        ddrc_dfi_wrlvl_en: in     vl_logic;
        ddrc_dfi_wrlvl_cs_n: in     vl_logic_vector(0 downto 0);
        ddrc_dfi_wrlvl_strobe: in     vl_logic;
        phy_dfi_wrlvl_resp_int: out    vl_logic;
        wrlvl_done_all  : in     vl_logic;
        wrlvl_init_ratio: in     vl_logic_vector(9 downto 0);
        wr_level_fsm    : out    vl_logic_vector(2 downto 0);
        gatelvl_init_ratio: in     vl_logic_vector(10 downto 0);
        reg_dq_offset   : in     vl_logic_vector(6 downto 0);
        reg_wrlvl_dqs_ratio: out    vl_logic_vector(9 downto 0);
        reg_wrlvl_dq_ratio: out    vl_logic_vector(9 downto 0);
        reg_rdlvl_dqs_ratio: out    vl_logic_vector(9 downto 0);
        reg_rdlvl_fifowein_ratio: out    vl_logic_vector(10 downto 0);
        fifo_we_out_delay: out    vl_logic_vector(2 downto 0);
        neighbor_fifo_we_out_delay: in     vl_logic_vector(2 downto 0)
    );
end phy_data_slice_010;
