library verilog;
use verilog.vl_types.all;
entity phy_gate_level_fsm_010 is
    generic(
        FSM_IDLE        : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi0);
        FSM_START       : vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi0);
        FSM_WAIT_FOR_ALL_0: vl_logic_vector(0 to 2) := (Hi0, Hi0, Hi1);
        FSM_ALL_0       : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi0);
        FSM_FROM_0_TO_1 : vl_logic_vector(0 to 2) := (Hi0, Hi1, Hi1);
        FSM_PASSED      : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi0);
        FSM_FAILED      : vl_logic_vector(0 to 2) := (Hi1, Hi0, Hi1);
        FSM_ALL_1       : vl_logic_vector(0 to 2) := (Hi1, Hi1, Hi1)
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        dfi_lvl_en      : in     vl_logic;
        wr_level_inc    : in     vl_logic;
        wr_level_inc_fail: out    vl_logic;
        init_ratio      : in     vl_logic_vector(10 downto 0);
        num_of_dq0      : in     vl_logic_vector(3 downto 0);
        dq0_in          : in     vl_logic;
        dq0_in_valid    : in     vl_logic;
        dq_offset       : in     vl_logic_vector(6 downto 0);
        dqs_ratio       : out    vl_logic_vector(10 downto 0);
        load_ratio      : out    vl_logic;
        dq_ratio        : out    vl_logic_vector(10 downto 0);
        wr_level_fsm    : out    vl_logic_vector(2 downto 0);
        dfi_lvl_done    : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of FSM_IDLE : constant is 1;
    attribute mti_svvh_generic_type of FSM_START : constant is 1;
    attribute mti_svvh_generic_type of FSM_WAIT_FOR_ALL_0 : constant is 1;
    attribute mti_svvh_generic_type of FSM_ALL_0 : constant is 1;
    attribute mti_svvh_generic_type of FSM_FROM_0_TO_1 : constant is 1;
    attribute mti_svvh_generic_type of FSM_PASSED : constant is 1;
    attribute mti_svvh_generic_type of FSM_FAILED : constant is 1;
    attribute mti_svvh_generic_type of FSM_ALL_1 : constant is 1;
end phy_gate_level_fsm_010;
