library verilog;
use verilog.vl_types.all;
entity phy_pmapcs_top is
    port(
        aRefClk         : in     vl_logic_vector(3 downto 0);
        Rext            : in     vl_logic_vector(3 downto 0);
        RXDP            : in     vl_logic_vector(3 downto 0);
        RXDN            : in     vl_logic_vector(3 downto 0);
        TXDP            : out    vl_logic_vector(3 downto 0);
        TXDN            : out    vl_logic_vector(3 downto 0);
        fast_init       : in     vl_logic;
        test_out        : out    vl_logic_vector(31 downto 0);
        phy_mode        : in     vl_logic_vector(15 downto 0);
        epcs_sel        : in     vl_logic_vector(3 downto 0);
        pipe_ln2lk      : in     vl_logic_vector(3 downto 0);
        rext_sel        : in     vl_logic_vector(7 downto 0);
        rext_up_in      : in     vl_logic_vector(23 downto 0);
        rext_up_out     : out    vl_logic_vector(23 downto 0);
        rext_dn_in      : in     vl_logic_vector(23 downto 0);
        rext_dn_out     : out    vl_logic_vector(23 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic_vector(3 downto 0);
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic_vector(3 downto 0);
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        pwr_good        : in     vl_logic_vector(3 downto 0);
        bcon_clk        : in     vl_logic_vector(3 downto 0);
        bcon_rstn       : in     vl_logic_vector(3 downto 0);
        bcon_gen        : in     vl_logic_vector(3 downto 0);
        bcon_det        : out    vl_logic_vector(3 downto 0);
        pipe_rstn       : in     vl_logic_vector(0 downto 0);
        pipe_powerdown  : in     vl_logic_vector(1 downto 0);
        pipe_txdetectrx : in     vl_logic_vector(0 downto 0);
        pipe_phystatus  : out    vl_logic_vector(0 downto 0);
        pipe_rate       : in     vl_logic_vector(0 downto 0);
        pipe_txmargin   : in     vl_logic_vector(2 downto 0);
        pipe_txdeemp    : in     vl_logic_vector(0 downto 0);
        pipe_txswing    : in     vl_logic_vector(0 downto 0);
        pipe_pclkout    : out    vl_logic_vector(3 downto 0);
        pipe_pclkin     : in     vl_logic_vector(3 downto 0);
        pipe_rxdata     : out    vl_logic_vector(63 downto 0);
        pipe_rxdatak    : out    vl_logic_vector(7 downto 0);
        pipe_rxstatus   : out    vl_logic_vector(11 downto 0);
        pipe_rxvalid    : out    vl_logic_vector(3 downto 0);
        pipe_rxelecidle : out    vl_logic_vector(3 downto 0);
        pipe_rxpolarity : in     vl_logic_vector(3 downto 0);
        pipe_txdata     : in     vl_logic_vector(63 downto 0);
        pipe_txdatak    : in     vl_logic_vector(7 downto 0);
        pipe_txelecidle : in     vl_logic_vector(3 downto 0);
        pipe_txcompl    : in     vl_logic_vector(3 downto 0);
        epcs_rstn       : in     vl_logic_vector(3 downto 0);
        epcs_ready      : out    vl_logic_vector(3 downto 0);
        epcs_pwrdn      : in     vl_logic_vector(3 downto 0);
        epcs_rxclk      : out    vl_logic_vector(3 downto 0);
        epcs_txclk      : out    vl_logic_vector(3 downto 0);
        epcs_rxdata     : out    vl_logic_vector(79 downto 0);
        epcs_rxval      : out    vl_logic_vector(3 downto 0);
        epcs_rxidle     : out    vl_logic_vector(3 downto 0);
        epcs_txdata     : in     vl_logic_vector(79 downto 0);
        epcs_txval      : in     vl_logic_vector(3 downto 0);
        epcs_txoob      : in     vl_logic_vector(3 downto 0);
        epcs_rxerr      : in     vl_logic_vector(3 downto 0);
        epcs_rxrstn     : out    vl_logic_vector(3 downto 0);
        epcs_txrstn     : out    vl_logic_vector(3 downto 0);
        atxclkstable    : out    vl_logic_vector(3 downto 0);
        aIDDQ           : in     vl_logic_vector(3 downto 0);
        acjtagP         : out    vl_logic_vector(3 downto 0);
        acjtagN         : out    vl_logic_vector(3 downto 0);
        scan_mode       : in     vl_logic;
        scan_rx_clk     : in     vl_logic;
        scan_tx_clk     : in     vl_logic;
        acjtag_mode     : in     vl_logic;
        acjtag_enable   : in     vl_logic_vector(3 downto 0);
        acjtag_acmode   : in     vl_logic_vector(3 downto 0);
        acjtag_drive1   : in     vl_logic_vector(3 downto 0);
        acjtag_highz    : in     vl_logic_vector(3 downto 0);
        VDDPLL          : in     vl_logic_vector(3 downto 0);
        PLL_REF_RETURN  : in     vl_logic_vector(3 downto 0);
        VAUX            : in     vl_logic_vector(3 downto 0);
        VDDIO           : in     vl_logic_vector(3 downto 0);
        VSSIO           : in     vl_logic_vector(3 downto 0)
    );
end phy_pmapcs_top;
