library verilog;
use verilog.vl_types.all;
entity phypcs_lane is
    port(
        arefclk         : in     vl_logic;
        pwr_good        : in     vl_logic;
        bcon_clk        : in     vl_logic;
        bcon_rstn       : in     vl_logic;
        bcon_gen        : in     vl_logic;
        bcon_det        : out    vl_logic;
        fast_init       : in     vl_logic;
        test_out        : out    vl_logic_vector(7 downto 0);
        phy_mode        : in     vl_logic_vector(3 downto 0);
        scan_mode       : in     vl_logic;
        scan_rx_clk     : in     vl_logic;
        scan_tx_clk     : in     vl_logic;
        pipe_rstn       : in     vl_logic;
        pipe_pclkin     : in     vl_logic;
        pipe_pclkout    : out    vl_logic;
        pipe_powerdown  : in     vl_logic_vector(1 downto 0);
        pipe_txdetectrx : in     vl_logic;
        pipe_phystatus  : out    vl_logic;
        pipe_rate       : in     vl_logic;
        pipe_txmargin   : in     vl_logic_vector(2 downto 0);
        pipe_txdeemp    : in     vl_logic;
        pipe_txswing    : in     vl_logic;
        pipe_rxdata     : out    vl_logic_vector(15 downto 0);
        pipe_rxdatak    : out    vl_logic_vector(1 downto 0);
        pipe_rxstatus   : out    vl_logic_vector(2 downto 0);
        pipe_rxvalid    : out    vl_logic;
        pipe_rxelecidle : out    vl_logic;
        pipe_rxpolarity : in     vl_logic;
        pipe_txdata     : in     vl_logic_vector(15 downto 0);
        pipe_txdatak    : in     vl_logic_vector(1 downto 0);
        pipe_txelecidle : in     vl_logic;
        pipe_txcompl    : in     vl_logic;
        txpmff_val      : out    vl_logic;
        txpmff_all      : in     vl_logic;
        det_done_lane   : out    vl_logic;
        det_done_all    : in     vl_logic;
        pwrdn_done_lane : out    vl_logic;
        pwrdn_done_all  : in     vl_logic;
        pma_rdy_lane    : out    vl_logic;
        pma_rdy_all     : in     vl_logic;
        new_rate_lane   : out    vl_logic;
        new_rate_all    : in     vl_logic;
        lane_disable    : out    vl_logic;
        epcs_rstn       : in     vl_logic;
        epcs_ready      : out    vl_logic;
        epcs_sel        : in     vl_logic;
        epcs_pwrdn      : in     vl_logic;
        epcs_txclk      : out    vl_logic;
        epcs_txval      : in     vl_logic;
        epcs_txoob      : in     vl_logic;
        epcs_txdata     : in     vl_logic_vector(19 downto 0);
        epcs_rxclk      : out    vl_logic;
        epcs_rxidle     : out    vl_logic;
        epcs_rxval      : out    vl_logic;
        epcs_rxdata     : out    vl_logic_vector(19 downto 0);
        epcs_rxerr      : in     vl_logic;
        epcs_txrstn     : out    vl_logic;
        epcs_rxrstn     : out    vl_logic;
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic;
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic;
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        rext_sel        : in     vl_logic_vector(1 downto 0);
        rext_din_up     : in     vl_logic_vector(23 downto 0);
        rext_din_dn     : in     vl_logic_vector(23 downto 0);
        rext_dout_up    : out    vl_logic_vector(23 downto 0);
        rext_dout_dn    : out    vl_logic_vector(23 downto 0);
        acjtag_mode     : in     vl_logic;
        acjtag_enable   : in     vl_logic;
        acjtag_acmode   : in     vl_logic;
        acjtag_drive1   : in     vl_logic;
        acjtag_highz    : in     vl_logic;
        atxclkp         : in     vl_logic;
        atxclkn         : in     vl_logic;
        arxclkp         : in     vl_logic;
        arxclkn         : in     vl_logic;
        atxclkstable    : in     vl_logic;
        arxclkstable    : in     vl_logic;
        aforcetxhiz     : out    vl_logic;
        aforcerxhiz     : out    vl_logic;
        atxplldivinit   : out    vl_logic;
        arxplldivinit   : out    vl_logic;
        arxskipbit      : out    vl_logic;
        alpbknearend    : out    vl_logic;
        atxselrxfb      : out    vl_logic;
        atxm0           : out    vl_logic;
        atxm1           : out    vl_logic;
        atxn0           : out    vl_logic;
        atxn1           : out    vl_logic;
        atxn2           : out    vl_logic;
        atxn3           : out    vl_logic;
        atxn4           : out    vl_logic;
        atxf0           : out    vl_logic;
        atxf1           : out    vl_logic;
        atxf2           : out    vl_logic;
        atxf3           : out    vl_logic;
        arxm0           : out    vl_logic;
        arxm1           : out    vl_logic;
        arxn0           : out    vl_logic;
        arxn1           : out    vl_logic;
        arxn2           : out    vl_logic;
        arxn3           : out    vl_logic;
        arxn4           : out    vl_logic;
        arxf0           : out    vl_logic;
        arxf1           : out    vl_logic;
        arxf2           : out    vl_logic;
        arxf3           : out    vl_logic;
        atxpllrstb      : out    vl_logic;
        acdrpllrstb     : out    vl_logic;
        atxhfclkdnb     : out    vl_logic;
        arxhfclkdnb     : out    vl_logic;
        arxpwrdwnb      : out    vl_logic;
        ashutvmainbyvmainb: out    vl_logic;
        azcalib0        : out    vl_logic;
        azcalib1        : out    vl_logic;
        azcalib2        : out    vl_logic;
        azcalib3        : out    vl_logic;
        azcalib4        : out    vl_logic;
        azcalib5        : out    vl_logic;
        azcalib6        : out    vl_logic;
        azcalibtype0    : out    vl_logic;
        azcalibtype1    : out    vl_logic;
        azcalibmir      : out    vl_logic;
        azcompout       : in     vl_logic;
        asertx_ctr0     : out    vl_logic;
        asertx_ctr1     : out    vl_logic;
        aserdata        : out    vl_logic;
        aserdatt        : out    vl_logic;
        aserdatp        : out    vl_logic;
        aserrx_ctr0     : out    vl_logic;
        aserrx_ctr1     : out    vl_logic;
        aserdatr        : out    vl_logic;
        atxdetectrxdisable: out    vl_logic;
        afarendrxabsent : in     vl_logic;
        atrandet        : in     vl_logic;
        atrandetctrlb   : out    vl_logic;
        asigdetsetting  : out    vl_logic;
        arxtest         : out    vl_logic;
        acdrdiagin      : out    vl_logic;
        arxfdip0        : out    vl_logic;
        arxfdip1        : out    vl_logic;
        acdrdiagout     : in     vl_logic;
        arxdnull0       : out    vl_logic;
        arxdnull1       : out    vl_logic;
        arxdnull2       : out    vl_logic;
        arxdnull3       : out    vl_logic;
        arxdnullcal     : out    vl_logic;
        arxdnulldir     : out    vl_logic;
        arxdnulldat     : in     vl_logic;
        arxtnull0       : out    vl_logic;
        arxtnull1       : out    vl_logic;
        arxtnull2       : out    vl_logic;
        arxtnull3       : out    vl_logic;
        arxtnullcal     : out    vl_logic;
        arxtnulldir     : out    vl_logic;
        arxtnulldat     : in     vl_logic;
        aschnull0       : out    vl_logic;
        aschnull1       : out    vl_logic;
        aschnull2       : out    vl_logic;
        aschnull3       : out    vl_logic;
        aschnullcal     : out    vl_logic;
        aschnulldir     : out    vl_logic;
        aschmittout     : in     vl_logic;
        arxdo0          : in     vl_logic;
        arxdo1          : in     vl_logic;
        arxdo2          : in     vl_logic;
        arxdo3          : in     vl_logic;
        arxdo4          : in     vl_logic;
        arxdo5          : in     vl_logic;
        arxdo6          : in     vl_logic;
        arxdo7          : in     vl_logic;
        arxdo8          : in     vl_logic;
        arxdo9          : in     vl_logic;
        arxdo10         : in     vl_logic;
        arxdo11         : in     vl_logic;
        arxdo12         : in     vl_logic;
        arxdo13         : in     vl_logic;
        arxdo14         : in     vl_logic;
        arxdo15         : in     vl_logic;
        arxdo16         : in     vl_logic;
        arxdo17         : in     vl_logic;
        arxdo18         : in     vl_logic;
        arxdo19         : in     vl_logic;
        atxdi0          : out    vl_logic;
        atxdi1          : out    vl_logic;
        atxdi2          : out    vl_logic;
        atxdi3          : out    vl_logic;
        atxdi4          : out    vl_logic;
        atxdi5          : out    vl_logic;
        atxdi6          : out    vl_logic;
        atxdi7          : out    vl_logic;
        atxdi8          : out    vl_logic;
        atxdi9          : out    vl_logic;
        atxdi10         : out    vl_logic;
        atxdi11         : out    vl_logic;
        atxdi12         : out    vl_logic;
        atxdi13         : out    vl_logic;
        atxdi14         : out    vl_logic;
        atxdi15         : out    vl_logic;
        atxdi16         : out    vl_logic;
        atxdi17         : out    vl_logic;
        atxdi18         : out    vl_logic;
        atxdi19         : out    vl_logic;
        arxdivbaudclk   : in     vl_logic;
        atxdivbaudclk   : in     vl_logic;
        abeacond        : out    vl_logic;
        beaconon        : out    vl_logic;
        ashutvauxbyvauxb: out    vl_logic;
        atxicp0         : out    vl_logic;
        atxicp1         : out    vl_logic;
        atxicp2         : out    vl_logic;
        arxicp0         : out    vl_logic;
        arxicp1         : out    vl_logic;
        arxicp2         : out    vl_logic;
        arxcdricp0      : out    vl_logic;
        arxcdricp1      : out    vl_logic;
        arxcdricp2      : out    vl_logic
    );
end phypcs_lane;
