library verilog;
use verilog.vl_types.all;
entity phypcs_top_075 is
    port(
        arefclk         : in     vl_logic_vector(3 downto 0);
        fast_init       : in     vl_logic;
        test_out        : out    vl_logic_vector(31 downto 0);
        phy_mode        : in     vl_logic_vector(15 downto 0);
        epcs_sel        : in     vl_logic_vector(3 downto 0);
        pipe_ln2lk      : in     vl_logic_vector(7 downto 0);
        rext_sel        : in     vl_logic_vector(7 downto 0);
        rext_up_in      : in     vl_logic_vector(23 downto 0);
        rext_up_out     : out    vl_logic_vector(23 downto 0);
        rext_dn_in      : in     vl_logic_vector(23 downto 0);
        rext_dn_out     : out    vl_logic_vector(23 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic_vector(3 downto 0);
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic_vector(3 downto 0);
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        pwr_good        : in     vl_logic_vector(3 downto 0);
        bcon_clk        : in     vl_logic_vector(3 downto 0);
        bcon_rstn       : in     vl_logic_vector(3 downto 0);
        bcon_gen        : in     vl_logic_vector(3 downto 0);
        bcon_det        : out    vl_logic_vector(3 downto 0);
        pipe_rstn       : in     vl_logic_vector(1 downto 0);
        pipe_powerdown  : in     vl_logic_vector(3 downto 0);
        pipe_txdetectrx : in     vl_logic_vector(1 downto 0);
        pipe_phystatus  : out    vl_logic_vector(1 downto 0);
        pipe_rate       : in     vl_logic_vector(1 downto 0);
        pipe_txmargin   : in     vl_logic_vector(5 downto 0);
        pipe_txdeemp    : in     vl_logic_vector(1 downto 0);
        pipe_txswing    : in     vl_logic_vector(1 downto 0);
        pipe_pclkout    : out    vl_logic_vector(3 downto 0);
        pipe_pclkin     : in     vl_logic_vector(3 downto 0);
        pipe_rxdata     : out    vl_logic_vector(63 downto 0);
        pipe_rxdatak    : out    vl_logic_vector(7 downto 0);
        pipe_rxstatus   : out    vl_logic_vector(11 downto 0);
        pipe_rxvalid    : out    vl_logic_vector(3 downto 0);
        pipe_rxelecidle : out    vl_logic_vector(3 downto 0);
        pipe_rxpolarity : in     vl_logic_vector(3 downto 0);
        pipe_txdata     : in     vl_logic_vector(63 downto 0);
        pipe_txdatak    : in     vl_logic_vector(7 downto 0);
        pipe_txelecidle : in     vl_logic_vector(3 downto 0);
        pipe_txcompl    : in     vl_logic_vector(3 downto 0);
        epcs_rstn       : in     vl_logic_vector(3 downto 0);
        epcs_ready      : out    vl_logic_vector(3 downto 0);
        epcs_pwrdn      : in     vl_logic_vector(3 downto 0);
        epcs_rxclk      : out    vl_logic_vector(3 downto 0);
        epcs_txclk      : out    vl_logic_vector(3 downto 0);
        epcs_rxdata     : out    vl_logic_vector(79 downto 0);
        epcs_rxval      : out    vl_logic_vector(3 downto 0);
        epcs_rxidle     : out    vl_logic_vector(3 downto 0);
        epcs_txdata     : in     vl_logic_vector(79 downto 0);
        epcs_txval      : in     vl_logic_vector(3 downto 0);
        epcs_txoob      : in     vl_logic_vector(3 downto 0);
        epcs_rxerr      : in     vl_logic_vector(3 downto 0);
        epcs_rxrstn     : out    vl_logic_vector(3 downto 0);
        epcs_txrstn     : out    vl_logic_vector(3 downto 0);
        scan_mode       : in     vl_logic;
        scan_rx_clk     : in     vl_logic;
        scan_tx_clk     : in     vl_logic;
        acjtag_mode     : in     vl_logic;
        acjtag_enable   : in     vl_logic_vector(3 downto 0);
        acjtag_acmode   : in     vl_logic_vector(3 downto 0);
        acjtag_drive1   : in     vl_logic_vector(3 downto 0);
        acjtag_highz    : in     vl_logic_vector(3 downto 0);
        atxclkp         : in     vl_logic_vector(3 downto 0);
        atxclkn         : in     vl_logic_vector(3 downto 0);
        arxclkp         : in     vl_logic_vector(3 downto 0);
        arxclkn         : in     vl_logic_vector(3 downto 0);
        atxclkstable    : in     vl_logic_vector(3 downto 0);
        arxclkstable    : in     vl_logic_vector(3 downto 0);
        aforcetxhiz     : out    vl_logic_vector(3 downto 0);
        aforcerxhiz     : out    vl_logic_vector(3 downto 0);
        atxplldivinit   : out    vl_logic_vector(3 downto 0);
        arxplldivinit   : out    vl_logic_vector(3 downto 0);
        arxskipbit      : out    vl_logic_vector(3 downto 0);
        alpbknearend    : out    vl_logic_vector(3 downto 0);
        atxselrxfb      : out    vl_logic_vector(3 downto 0);
        atxm0           : out    vl_logic_vector(3 downto 0);
        atxm1           : out    vl_logic_vector(3 downto 0);
        atxn0           : out    vl_logic_vector(3 downto 0);
        atxn1           : out    vl_logic_vector(3 downto 0);
        atxn2           : out    vl_logic_vector(3 downto 0);
        atxn3           : out    vl_logic_vector(3 downto 0);
        atxn4           : out    vl_logic_vector(3 downto 0);
        atxf0           : out    vl_logic_vector(3 downto 0);
        atxf1           : out    vl_logic_vector(3 downto 0);
        atxf2           : out    vl_logic_vector(3 downto 0);
        atxf3           : out    vl_logic_vector(3 downto 0);
        arxm0           : out    vl_logic_vector(3 downto 0);
        arxm1           : out    vl_logic_vector(3 downto 0);
        arxn0           : out    vl_logic_vector(3 downto 0);
        arxn1           : out    vl_logic_vector(3 downto 0);
        arxn2           : out    vl_logic_vector(3 downto 0);
        arxn3           : out    vl_logic_vector(3 downto 0);
        arxn4           : out    vl_logic_vector(3 downto 0);
        arxf0           : out    vl_logic_vector(3 downto 0);
        arxf1           : out    vl_logic_vector(3 downto 0);
        arxf2           : out    vl_logic_vector(3 downto 0);
        arxf3           : out    vl_logic_vector(3 downto 0);
        atxpllrstb      : out    vl_logic_vector(3 downto 0);
        acdrpllrstb     : out    vl_logic_vector(3 downto 0);
        atxhfclkdnb     : out    vl_logic_vector(3 downto 0);
        arxhfclkdnb     : out    vl_logic_vector(3 downto 0);
        arxpwrdwnb      : out    vl_logic_vector(3 downto 0);
        ashutvmainbyvmainb: out    vl_logic_vector(3 downto 0);
        azcalib0        : out    vl_logic_vector(3 downto 0);
        azcalib1        : out    vl_logic_vector(3 downto 0);
        azcalib2        : out    vl_logic_vector(3 downto 0);
        azcalib3        : out    vl_logic_vector(3 downto 0);
        azcalib4        : out    vl_logic_vector(3 downto 0);
        azcalib5        : out    vl_logic_vector(3 downto 0);
        azcalib6        : out    vl_logic_vector(3 downto 0);
        azcalibtype0    : out    vl_logic_vector(3 downto 0);
        azcalibtype1    : out    vl_logic_vector(3 downto 0);
        azcalibmir      : out    vl_logic_vector(3 downto 0);
        azcompout       : in     vl_logic_vector(3 downto 0);
        asertx_ctr0     : out    vl_logic_vector(3 downto 0);
        asertx_ctr1     : out    vl_logic_vector(3 downto 0);
        aserdata        : out    vl_logic_vector(3 downto 0);
        aserdatt        : out    vl_logic_vector(3 downto 0);
        aserdatp        : out    vl_logic_vector(3 downto 0);
        aserrx_ctr0     : out    vl_logic_vector(3 downto 0);
        aserrx_ctr1     : out    vl_logic_vector(3 downto 0);
        aserdatr        : out    vl_logic_vector(3 downto 0);
        atxdetectrxdisable: out    vl_logic_vector(3 downto 0);
        afarendrxabsent : in     vl_logic_vector(3 downto 0);
        atrandet        : in     vl_logic_vector(3 downto 0);
        atrandetctrlb   : out    vl_logic_vector(3 downto 0);
        asigdetsetting  : out    vl_logic_vector(3 downto 0);
        arxtest         : out    vl_logic_vector(3 downto 0);
        acdrdiagin      : out    vl_logic_vector(3 downto 0);
        arxfdip0        : out    vl_logic_vector(3 downto 0);
        arxfdip1        : out    vl_logic_vector(3 downto 0);
        acdrdiagout     : in     vl_logic_vector(3 downto 0);
        arxdnull0       : out    vl_logic_vector(3 downto 0);
        arxdnull1       : out    vl_logic_vector(3 downto 0);
        arxdnull2       : out    vl_logic_vector(3 downto 0);
        arxdnull3       : out    vl_logic_vector(3 downto 0);
        arxdnullcal     : out    vl_logic_vector(3 downto 0);
        arxdnulldir     : out    vl_logic_vector(3 downto 0);
        arxdnulldat     : in     vl_logic_vector(3 downto 0);
        arxtnull0       : out    vl_logic_vector(3 downto 0);
        arxtnull1       : out    vl_logic_vector(3 downto 0);
        arxtnull2       : out    vl_logic_vector(3 downto 0);
        arxtnull3       : out    vl_logic_vector(3 downto 0);
        arxtnullcal     : out    vl_logic_vector(3 downto 0);
        arxtnulldir     : out    vl_logic_vector(3 downto 0);
        arxtnulldat     : in     vl_logic_vector(3 downto 0);
        aschnull0       : out    vl_logic_vector(3 downto 0);
        aschnull1       : out    vl_logic_vector(3 downto 0);
        aschnull2       : out    vl_logic_vector(3 downto 0);
        aschnull3       : out    vl_logic_vector(3 downto 0);
        aschnullcal     : out    vl_logic_vector(3 downto 0);
        aschnulldir     : out    vl_logic_vector(3 downto 0);
        aschmittout     : in     vl_logic_vector(3 downto 0);
        arxdo0          : in     vl_logic_vector(3 downto 0);
        arxdo1          : in     vl_logic_vector(3 downto 0);
        arxdo2          : in     vl_logic_vector(3 downto 0);
        arxdo3          : in     vl_logic_vector(3 downto 0);
        arxdo4          : in     vl_logic_vector(3 downto 0);
        arxdo5          : in     vl_logic_vector(3 downto 0);
        arxdo6          : in     vl_logic_vector(3 downto 0);
        arxdo7          : in     vl_logic_vector(3 downto 0);
        arxdo8          : in     vl_logic_vector(3 downto 0);
        arxdo9          : in     vl_logic_vector(3 downto 0);
        arxdo10         : in     vl_logic_vector(3 downto 0);
        arxdo11         : in     vl_logic_vector(3 downto 0);
        arxdo12         : in     vl_logic_vector(3 downto 0);
        arxdo13         : in     vl_logic_vector(3 downto 0);
        arxdo14         : in     vl_logic_vector(3 downto 0);
        arxdo15         : in     vl_logic_vector(3 downto 0);
        arxdo16         : in     vl_logic_vector(3 downto 0);
        arxdo17         : in     vl_logic_vector(3 downto 0);
        arxdo18         : in     vl_logic_vector(3 downto 0);
        arxdo19         : in     vl_logic_vector(3 downto 0);
        atxdi0          : out    vl_logic_vector(3 downto 0);
        atxdi1          : out    vl_logic_vector(3 downto 0);
        atxdi2          : out    vl_logic_vector(3 downto 0);
        atxdi3          : out    vl_logic_vector(3 downto 0);
        atxdi4          : out    vl_logic_vector(3 downto 0);
        atxdi5          : out    vl_logic_vector(3 downto 0);
        atxdi6          : out    vl_logic_vector(3 downto 0);
        atxdi7          : out    vl_logic_vector(3 downto 0);
        atxdi8          : out    vl_logic_vector(3 downto 0);
        atxdi9          : out    vl_logic_vector(3 downto 0);
        atxdi10         : out    vl_logic_vector(3 downto 0);
        atxdi11         : out    vl_logic_vector(3 downto 0);
        atxdi12         : out    vl_logic_vector(3 downto 0);
        atxdi13         : out    vl_logic_vector(3 downto 0);
        atxdi14         : out    vl_logic_vector(3 downto 0);
        atxdi15         : out    vl_logic_vector(3 downto 0);
        atxdi16         : out    vl_logic_vector(3 downto 0);
        atxdi17         : out    vl_logic_vector(3 downto 0);
        atxdi18         : out    vl_logic_vector(3 downto 0);
        atxdi19         : out    vl_logic_vector(3 downto 0);
        arxdivbaudclk   : in     vl_logic_vector(3 downto 0);
        atxdivbaudclk   : in     vl_logic_vector(3 downto 0);
        abeacond        : out    vl_logic_vector(3 downto 0);
        beaconon        : out    vl_logic_vector(3 downto 0);
        ashutvauxbyvauxb: out    vl_logic_vector(3 downto 0);
        atxicp0         : out    vl_logic_vector(3 downto 0);
        atxicp1         : out    vl_logic_vector(3 downto 0);
        atxicp2         : out    vl_logic_vector(3 downto 0);
        arxicp0         : out    vl_logic_vector(3 downto 0);
        arxicp1         : out    vl_logic_vector(3 downto 0);
        arxicp2         : out    vl_logic_vector(3 downto 0);
        arxcdricp0      : out    vl_logic_vector(3 downto 0);
        arxcdricp1      : out    vl_logic_vector(3 downto 0);
        arxcdricp2      : out    vl_logic_vector(3 downto 0)
    );
end phypcs_top_075;
