library verilog;
use verilog.vl_types.all;
entity pi_120 is
    generic(
        RMW_TYPE_BITS   : integer := 2;
        RD_TAG_BITS     : integer := 4;
        RDCMD_ENTRY_BITS: integer := 3;
        WRCMD_ENTRY_BITS: integer := 3;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10;
        WORD_BITS       : integer := 2;
        PHY_ADDR_BITS   : integer := 16
    );
    port(
        dh_pi_resetb    : in     vl_logic;
        co_pi_clk       : in     vl_logic;
        dh_pi_clock_stop_en: in     vl_logic;
        gs_pi_stop_clk_ok: in     vl_logic;
        gs_pi_op_is_enter_deeppowerdown: in     vl_logic;
        gs_pi_op_is_exit_deeppowerdown: in     vl_logic;
        dh_pi_2t        : in     vl_logic;
        dh_pi_data_cycles: in     vl_logic_vector(2 downto 0);
        dh_pi_burst_rdwr: in     vl_logic_vector(3 downto 0);
        dh_pi_write_latency: in     vl_logic_vector(4 downto 0);
        dh_pi_read_latency: in     vl_logic_vector(4 downto 0);
        dh_pi_loopback  : in     vl_logic;
        te_pi_rd_retry  : in     vl_logic;
        te_pi_rd_row    : in     vl_logic_vector;
        te_pi_rd_ecc_row: in     vl_logic_vector;
        te_pi_rd_blk    : in     vl_logic_vector;
        te_pi_rd_word   : in     vl_logic_vector;
        te_pi_rd_rmw_type: in     vl_logic_vector;
        te_pi_rd_link_addr: in     vl_logic_vector;
        te_pi_rd_is_blk : in     vl_logic;
        te_pi_rd_tag    : in     vl_logic_vector;
        te_pi_wr_row    : in     vl_logic_vector;
        te_pi_wr_blk    : in     vl_logic_vector;
        te_pi_wr_word   : in     vl_logic_vector;
        te_pi_autopre   : in     vl_logic;
        te_pi_rd_valid  : in     vl_logic;
        te_pi_wr_valid  : in     vl_logic;
        ih_pi_xact_valid: in     vl_logic;
        ih_pi_bank_num  : in     vl_logic_vector;
        ih_pi_page_num  : in     vl_logic_vector;
        ih_pi_block_num : in     vl_logic_vector;
        ih_pi_word_num  : in     vl_logic_vector;
        ih_pi_block_rd  : in     vl_logic;
        be_pi_act_bypass_match: in     vl_logic;
        ih_pi_rmw_type  : in     vl_logic_vector(1 downto 0);
        ih_pi_link_addr : in     vl_logic_vector;
        ih_pi_rd_tag    : in     vl_logic_vector;
        be_pi_rd_bypass_match: in     vl_logic;
        gs_pi_init_cke  : in     vl_logic;
        gs_pi_op_is_load_mode: in     vl_logic;
        gs_pi_op_is_precharge_all: in     vl_logic;
        gs_pi_mrs_ba    : in     vl_logic_vector;
        gs_pi_mrs_a     : in     vl_logic_vector(15 downto 0);
        gs_pi_op_is_activate: in     vl_logic;
        gs_pi_op_is_precharge: in     vl_logic;
        gs_pi_bank_num  : in     vl_logic_vector;
        gs_pi_op_is_rd  : in     vl_logic;
        gs_pi_op_is_wr  : in     vl_logic;
        gs_pi_op_is_refresh: in     vl_logic;
        gs_pi_op_is_enter_selfref: in     vl_logic;
        gs_pi_op_is_exit_selfref: in     vl_logic;
        gs_pi_op_is_enter_powerdown: in     vl_logic;
        gs_pi_op_is_exit_powerdown: in     vl_logic;
        gs_pi_init_in_progress: in     vl_logic;
        gs_pi_init_cs_n : in     vl_logic_vector;
        gs_pi_trg_in_progress: in     vl_logic;
        dti_pi_rdlvl_strobe: in     vl_logic;
        dti_pi_dfi_rdlvl_en: in     vl_logic;
        dti_pi_dfi_rdlvl_gate_en: in     vl_logic;
        gs_pi_op_is_zqcl: in     vl_logic;
        gs_pi_op_is_zqcs: in     vl_logic;
        gs_pi_dram_rst_n: in     vl_logic;
        dh_pi_burstchop : in     vl_logic;
        dh_pi_ddr3      : in     vl_logic;
        pi_gs_burst_chop_rd: out    vl_logic;
        gs_pi_wr_mode   : in     vl_logic;
        gs_pi_act_bypass_disable: in     vl_logic;
        gs_pi_rd_bypass_disable: in     vl_logic;
        gs_pi_pad_en    : in     vl_logic;
        gs_pi_local_odt : in     vl_logic;
        gs_pi_ddr2_odt  : in     vl_logic_vector;
        gs_pi_data_pipeline_empty: in     vl_logic;
        gs_pi_dll_calib_req: in     vl_logic;
        pi_gs_dll_calib_ok: out    vl_logic;
        pi_bs_bank      : out    vl_logic_vector;
        pi_bs_xtra_rd   : out    vl_logic;
        pi_bs_xtra_wr   : out    vl_logic;
        pi_bs_autopre   : out    vl_logic;
        pi_gs_xtra_rd   : out    vl_logic;
        pi_gs_xtra_wr   : out    vl_logic;
        pi_gs_noxact    : out    vl_logic;
        pi_gs_rd_vld    : out    vl_logic;
        pi_rt_rd_vld    : out    vl_logic;
        pi_rt_rd_partial: out    vl_logic;
        pi_rt_rd_tag    : out    vl_logic_vector;
        pi_rt_rankbank_num: out    vl_logic_vector;
        pi_rt_page_num  : out    vl_logic_vector;
        pi_rt_block_num : out    vl_logic_vector;
        pi_rt_critical_word: out    vl_logic_vector;
        pi_rt_rmw_type  : out    vl_logic_vector;
        pi_rt_wr_ram_addr: out    vl_logic_vector;
        dh_pi_dfi_t_rddata_en: in     vl_logic_vector(4 downto 0);
        pi_ph_dfi_rddata_en: out    vl_logic;
        gs_pi_ctrlupd_req: in     vl_logic;
        pi_ph_stop_clk  : out    vl_logic;
        pi_ph_dram_rst_n: out    vl_logic;
        pi_ph_oe        : out    vl_logic;
        pi_ph_local_odt : out    vl_logic;
        pi_ph_odt       : out    vl_logic_vector;
        pi_ph_cke       : out    vl_logic;
        pi_ph_cs_n      : out    vl_logic_vector;
        pi_ph_ras_n     : out    vl_logic;
        pi_ph_cas_n     : out    vl_logic;
        pi_ph_we_n      : out    vl_logic;
        pi_ph_bank      : out    vl_logic_vector;
        pi_ph_addr      : out    vl_logic_vector;
        dh_pi_mobile    : in     vl_logic;
        pi_ph_cs_n_any  : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of RD_TAG_BITS : constant is 1;
    attribute mti_svvh_generic_type of RDCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of WRCMD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of WORD_BITS : constant is 1;
    attribute mti_svvh_generic_type of PHY_ADDR_BITS : constant is 1;
end pi_120;
