library verilog;
use verilog.vl_types.all;
entity pma_ctrl_075 is
    port(
        scan_mode       : in     vl_logic;
        scan_rx_clk     : in     vl_logic;
        scan_tx_clk     : in     vl_logic;
        fast_init       : in     vl_logic;
        phy_rstn        : in     vl_logic;
        pma_rdy         : out    vl_logic;
        arefclk         : in     vl_logic;
        atxclkp         : in     vl_logic;
        atxclkn         : in     vl_logic;
        arxclkp         : in     vl_logic;
        arxclkn         : in     vl_logic;
        atxclkstable    : in     vl_logic;
        arxclkstable    : in     vl_logic;
        aforcetxhiz     : out    vl_logic;
        aforcerxhiz     : out    vl_logic;
        atxplldivinit   : out    vl_logic;
        arxplldivinit   : out    vl_logic;
        arxskipbit      : out    vl_logic;
        alpbknearend    : out    vl_logic;
        atxselrxfb      : out    vl_logic;
        atxm            : out    vl_logic_vector(1 downto 0);
        atxn            : out    vl_logic_vector(4 downto 0);
        atxf            : out    vl_logic_vector(3 downto 0);
        arxm            : out    vl_logic_vector(1 downto 0);
        arxn            : out    vl_logic_vector(4 downto 0);
        arxf            : out    vl_logic_vector(3 downto 0);
        atxicp          : out    vl_logic_vector(2 downto 0);
        arxicp          : out    vl_logic_vector(2 downto 0);
        arxcdricp       : out    vl_logic_vector(2 downto 0);
        atxpllrstb      : out    vl_logic;
        acdrpllrstb     : out    vl_logic;
        atxhfclkdnb     : out    vl_logic;
        arxhfclkdnb     : out    vl_logic;
        arxpwrdwnb      : out    vl_logic;
        ashutvmainbyvmainb: out    vl_logic;
        azcalib         : out    vl_logic_vector(6 downto 0);
        azcalibtype     : out    vl_logic_vector(1 downto 0);
        azcalibmir      : out    vl_logic;
        azcompout       : in     vl_logic;
        asertx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdata        : out    vl_logic;
        aserdatt        : out    vl_logic;
        aserdatp        : out    vl_logic;
        aserrx_ctr      : out    vl_logic_vector(1 downto 0);
        aserdatr        : out    vl_logic;
        atxdetectrxdisable: out    vl_logic;
        afarendrxabsent : in     vl_logic;
        atrandet        : in     vl_logic;
        atrandetctrlb   : out    vl_logic;
        asigdetsetting  : out    vl_logic;
        arxtest         : out    vl_logic;
        acdrdiagin      : out    vl_logic;
        arxfdip0        : out    vl_logic;
        arxfdip1        : out    vl_logic;
        acdrdiagout     : in     vl_logic;
        arxdnull        : out    vl_logic_vector(3 downto 0);
        arxdnullcal     : out    vl_logic;
        arxdnulldir     : out    vl_logic;
        arxdnulldat     : in     vl_logic;
        arxtnull        : out    vl_logic_vector(3 downto 0);
        arxtnullcal     : out    vl_logic;
        arxtnulldir     : out    vl_logic;
        arxtnulldat     : in     vl_logic;
        aschnull        : out    vl_logic_vector(3 downto 0);
        aschnullcal     : out    vl_logic;
        aschnulldir     : out    vl_logic;
        aschmittout     : in     vl_logic;
        arxdo           : in     vl_logic_vector(19 downto 0);
        atxdi           : out    vl_logic_vector(19 downto 0);
        epcs_sel        : in     vl_logic;
        epcs_pwrdn      : in     vl_logic;
        epcs_txclk      : out    vl_logic;
        epcs_txval      : in     vl_logic;
        epcs_txoob      : in     vl_logic;
        epcs_txdata     : in     vl_logic_vector(19 downto 0);
        epcs_rxclk      : out    vl_logic;
        epcs_rxidle     : out    vl_logic;
        epcs_rxval      : out    vl_logic;
        epcs_rxdata     : out    vl_logic_vector(19 downto 0);
        epcs_rxerr      : in     vl_logic;
        epcs_txrstn     : out    vl_logic;
        epcs_rxrstn     : out    vl_logic;
        det_tx_req      : in     vl_logic;
        det_tx_typ      : in     vl_logic_vector(1 downto 0);
        det_tx_done     : out    vl_logic;
        pcs_rxabsent    : out    vl_logic;
        pcs_rxerr       : in     vl_logic;
        pcs_rxidle      : out    vl_logic;
        pcs_rxval       : out    vl_logic;
        pcs_rxdata      : out    vl_logic_vector(19 downto 0);
        pcs_rxclk       : out    vl_logic;
        pcs_pclkin      : in     vl_logic;
        pcs_pclkout     : out    vl_logic;
        pcs_txval       : in     vl_logic;
        pcs_txdata      : in     vl_logic_vector(19 downto 0);
        pcs_rate        : in     vl_logic;
        pcs_deemp       : in     vl_logic;
        pcs_margin      : in     vl_logic_vector(2 downto 0);
        pcs_swing       : in     vl_logic;
        pcs_calc_req    : in     vl_logic;
        pcs_calc_done   : out    vl_logic;
        pcs_pwrdn_req   : in     vl_logic;
        pcs_pwrdn_typ   : in     vl_logic_vector(1 downto 0);
        pcs_pwrdn_done  : out    vl_logic;
        plesio_lpbk     : out    vl_logic;
        par_lpbk        : out    vl_logic;
        mask_phystatus  : out    vl_logic;
        async_p2exit    : in     vl_logic;
        new_rate        : out    vl_logic;
        ev1us_lvl       : out    vl_logic;
        pcs_rxrstn      : out    vl_logic;
        pcs_txrstn      : out    vl_logic;
        txpmff_val      : out    vl_logic;
        txpmff_all      : in     vl_logic;
        pll_default     : in     vl_logic_vector(31 downto 0);
        reg_default     : in     vl_logic_vector(383 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic;
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic;
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        rext_sel        : in     vl_logic_vector(1 downto 0);
        rext_din_up     : in     vl_logic_vector(23 downto 0);
        rext_din_dn     : in     vl_logic_vector(23 downto 0);
        rext_dout_up    : out    vl_logic_vector(23 downto 0);
        rext_dout_dn    : out    vl_logic_vector(23 downto 0)
    );
end pma_ctrl_075;
