library verilog;
use verilog.vl_types.all;
entity pma_regs is
    port(
        pll_default     : in     vl_logic_vector(31 downto 0);
        reg_default     : in     vl_logic_vector(383 downto 0);
        reg_clk         : in     vl_logic;
        reg_rstn        : in     vl_logic;
        reg_req         : in     vl_logic;
        reg_ack         : out    vl_logic;
        reg_rwn         : in     vl_logic;
        reg_lane        : in     vl_logic;
        reg_addr        : in     vl_logic_vector(7 downto 0);
        reg_wdata       : in     vl_logic_vector(7 downto 0);
        reg_rdata       : out    vl_logic_vector(7 downto 0);
        tx_sweep_center : in     vl_logic_vector(6 downto 0);
        ri_sweep_center : in     vl_logic_vector(6 downto 0);
        re_sweep_center : in     vl_logic_vector(6 downto 0);
        val_sweep_center: in     vl_logic_vector(2 downto 0);
        pcs_rate        : in     vl_logic;
        pcs_deemp       : in     vl_logic;
        pcs_margin      : in     vl_logic_vector(2 downto 0);
        pcs_swing       : in     vl_logic;
        cur_rate        : in     vl_logic;
        errcnt_dec      : out    vl_logic_vector(7 downto 0);
        errcnt_thr      : out    vl_logic_vector(3 downto 0);
        rxidle_max      : out    vl_logic_vector(3 downto 0);
        ev250ns_max     : out    vl_logic_vector(8 downto 0);
        endcalib_max    : out    vl_logic_vector(7 downto 0);
        stable_max      : out    vl_logic_vector(7 downto 0);
        settle_max      : out    vl_logic_vector(7 downto 0);
        rxoff_max       : out    vl_logic_vector(7 downto 0);
        force_detect    : out    vl_logic;
        pwdn_ctrl       : out    vl_logic_vector(7 downto 0);
        atxdrr_sel0     : in     vl_logic_vector(14 downto 0);
        atxdrp_sel0     : in     vl_logic_vector(20 downto 0);
        atxdra_sel0     : in     vl_logic_vector(20 downto 0);
        atxdrt_sel0     : in     vl_logic_vector(20 downto 0);
        atxdrp_sel1     : in     vl_logic_vector(20 downto 0);
        atxdra_sel1     : in     vl_logic_vector(20 downto 0);
        atxdrt_sel1     : in     vl_logic_vector(20 downto 0);
        atxdrp_sel2     : in     vl_logic_vector(20 downto 0);
        atxdra_sel2     : in     vl_logic_vector(20 downto 0);
        atxdrt_sel2     : in     vl_logic_vector(20 downto 0);
        rxdat           : out    vl_logic_vector(20 downto 0);
        txdatp          : out    vl_logic_vector(20 downto 0);
        txdata          : out    vl_logic_vector(20 downto 0);
        txdatt          : out    vl_logic_vector(20 downto 0);
        arxd_in         : in     vl_logic_vector(4 downto 0);
        arxt_in         : in     vl_logic_vector(4 downto 0);
        asch_in         : in     vl_logic_vector(4 downto 0);
        arxd_out        : out    vl_logic_vector(4 downto 0);
        arxt_out        : out    vl_logic_vector(4 downto 0);
        asch_out        : out    vl_logic_vector(4 downto 0);
        phyrst_reg      : out    vl_logic_vector(8 downto 0);
        prbs_en         : out    vl_logic_vector(1 downto 0);
        prbs_typ        : out    vl_logic_vector(1 downto 0);
        prbs_err_cyc_first: in     vl_logic_vector(49 downto 0);
        prbs_err_cyc_last: in     vl_logic_vector(49 downto 0);
        prbs_err        : in     vl_logic_vector(7 downto 0);
        custom_pattern  : out    vl_logic_vector(79 downto 0);
        custom_sel      : out    vl_logic;
        custom_skip     : out    vl_logic;
        custom_auto     : out    vl_logic;
        custom_sync     : in     vl_logic;
        custom_chk      : out    vl_logic;
        custom_err      : in     vl_logic_vector(3 downto 0);
        custom_state    : in     vl_logic_vector(2 downto 0);
        plesio_lpbk     : out    vl_logic;
        par_lpbk        : out    vl_logic;
        meso_lpbk       : out    vl_logic;
        meso_sync       : in     vl_logic;
        alpbknearend    : out    vl_logic;
        atxselrxfb      : out    vl_logic;
        atxm            : out    vl_logic_vector(1 downto 0);
        atxn            : out    vl_logic_vector(4 downto 0);
        atxf            : out    vl_logic_vector(3 downto 0);
        arxm            : out    vl_logic_vector(1 downto 0);
        arxn            : out    vl_logic_vector(4 downto 0);
        arxf            : out    vl_logic_vector(3 downto 0);
        atxicp          : out    vl_logic_vector(2 downto 0);
        arxicp          : out    vl_logic_vector(2 downto 0);
        arxcdricp       : out    vl_logic_vector(2 downto 0);
        asigdetsetting  : out    vl_logic;
        auto_shft       : out    vl_logic;
        cdrpll_dis      : out    vl_logic;
        cdrpll_delta    : out    vl_logic;
        cdrpll_man      : out    vl_logic_vector(2 downto 0);
        div_mode0       : out    vl_logic_vector(1 downto 0);
        div_mode1       : out    vl_logic_vector(1 downto 0);
        reg_calc_req    : out    vl_logic;
        reg_calc_done   : in     vl_logic;
        imp_ratio       : out    vl_logic_vector(7 downto 0);
        re_amp_ratio    : out    vl_logic_vector(7 downto 0);
        re_cut_ratio    : out    vl_logic_vector(7 downto 0);
        tx_amp_ratio    : out    vl_logic_vector(7 downto 0);
        tx_pst_ratio    : out    vl_logic_vector(7 downto 0);
        tx_pre_ratio    : out    vl_logic_vector(7 downto 0);
        asch_err        : in     vl_logic_vector(1 downto 0);
        arxd_err        : in     vl_logic_vector(1 downto 0);
        arxt_err        : in     vl_logic_vector(1 downto 0);
        pma_rdy         : in     vl_logic
    );
end pma_regs;
