library verilog;
use verilog.vl_types.all;
entity pma_sm is
    port(
        pclk            : in     vl_logic;
        rstn            : in     vl_logic;
        phy_rstn        : in     vl_logic;
        pma_rdy         : out    vl_logic;
        p2_state        : out    vl_logic;
        prbs_en         : in     vl_logic;
        epcs_sel        : in     vl_logic;
        epcs_pwrdn      : in     vl_logic;
        atxclkstable    : in     vl_logic;
        aforcetxhiz     : out    vl_logic;
        aforcerxhiz     : out    vl_logic;
        atxplldivinit   : out    vl_logic;
        arxplldivinit   : out    vl_logic;
        atxpllrstb      : out    vl_logic;
        acdrpllrstb     : out    vl_logic;
        atxhfclkdnb     : out    vl_logic;
        arxhfclkdnb     : out    vl_logic;
        arxpwrdwnb      : out    vl_logic;
        ashutvmainbyvmainb: out    vl_logic;
        tx_sweep_center : out    vl_logic_vector(6 downto 0);
        ri_sweep_center : out    vl_logic_vector(6 downto 0);
        re_sweep_center : out    vl_logic_vector(6 downto 0);
        val_sweep_center: out    vl_logic_vector(2 downto 0);
        rext_sel        : in     vl_logic_vector(1 downto 0);
        rext_din_up     : in     vl_logic_vector(23 downto 0);
        rext_din_dn     : in     vl_logic_vector(23 downto 0);
        rext_dout_up    : out    vl_logic_vector(23 downto 0);
        rext_dout_dn    : out    vl_logic_vector(23 downto 0);
        calib_req       : out    vl_logic;
        calib_typ       : out    vl_logic_vector(1 downto 0);
        calib_ack       : in     vl_logic;
        sweep_center    : in     vl_logic_vector(6 downto 0);
        endcalib_max    : in     vl_logic_vector(7 downto 0);
        pwdn_ctrl       : in     vl_logic_vector(7 downto 0);
        pma_tx_req      : out    vl_logic;
        pma_tx_typ      : out    vl_logic;
        pma_tx_done     : in     vl_logic;
        rx_req          : out    vl_logic;
        rx_ack          : in     vl_logic;
        ev1us_lvl       : in     vl_logic;
        cdrpll_ena      : out    vl_logic;
        atx_txen        : out    vl_logic;
        calc_req        : out    vl_logic;
        calc_typ        : out    vl_logic_vector(1 downto 0);
        calc_ack        : in     vl_logic;
        calc_done       : in     vl_logic;
        reg_calc_req    : in     vl_logic;
        reg_calc_done   : out    vl_logic;
        pcs_calc_req    : in     vl_logic;
        pcs_calc_done   : out    vl_logic;
        pcs_pwrdn_req   : in     vl_logic;
        pcs_pwrdn_typ   : in     vl_logic_vector(1 downto 0);
        pcs_pwrdn_done  : out    vl_logic;
        arxd_req        : out    vl_logic;
        arxd_done       : in     vl_logic;
        arxt_req        : out    vl_logic;
        arxt_done       : in     vl_logic;
        asch_req        : out    vl_logic;
        asch_done       : in     vl_logic
    );
end pma_sm;
