library verilog;
use verilog.vl_types.all;
entity rd is
    generic(
        PHY_DATA_WIDTH  : integer := 288;
        CORE_DATA_WIDTH : integer := 288;
        RMW_TYPE_BITS   : integer := 2;
        RA_INFO_WIDTH   : integer := 47;
        ECC_INFO_WIDTH  : integer := 35;
        WU_INFO_WIDTH   : integer := 47;
        CORE_INT_ECC_WIDTH: integer := 8
    );
    port(
        co_yy_clk       : in     vl_logic;
        dh_rd_resetb    : in     vl_logic;
        dh_rd_data_bus_width: in     vl_logic_vector(1 downto 0);
        ph_rd_rdata     : in     vl_logic_vector;
        rt_rd_rd_valid  : in     vl_logic;
        rt_rd_eod       : in     vl_logic;
        rt_rd_non_blk   : in     vl_logic;
        rt_rd_ra_info   : in     vl_logic_vector;
        test_mode       : in     vl_logic;
        dh_rd_ecc_mode  : in     vl_logic_vector(2 downto 0);
        rt_rd_ecc_info  : in     vl_logic_vector;
        rt_rd_ecc_word  : in     vl_logic_vector(1 downto 0);
        rd_wu_ecc_corrected_err: out    vl_logic_vector(0 downto 0);
        rd_wu_ecc_uncorrected_err: out    vl_logic_vector(0 downto 0);
        rd_ra_ecc_uncorrected_err: out    vl_logic;
        rd_ra_ecc_rdata : out    vl_logic_vector;
        rd_dh_ecc_corrected_err: out    vl_logic_vector(0 downto 0);
        rd_dh_ecc_uncorrected_err: out    vl_logic_vector(0 downto 0);
        rd_dh_ecc_syndromes: out    vl_logic_vector(71 downto 0);
        rd_dh_ecc_corrected_bit_num: out    vl_logic_vector(6 downto 0);
        rd_dh_ecc_corr_bit_mask: out    vl_logic_vector(63 downto 0);
        rd_dh_ecc_info  : out    vl_logic_vector;
        rd_dh_word_num  : out    vl_logic_vector(3 downto 0);
        rd_dh_parity_err_byte: out    vl_logic_vector(7 downto 0);
        rd_dh_parity_err: out    vl_logic;
        rt_rd_rmwtype   : in     vl_logic_vector;
        rt_rd_rmw_word_sel: in     vl_logic;
        rt_rd_wu_info   : in     vl_logic_vector;
        rd_wu_rdata_valid: out    vl_logic;
        rd_wu_info      : out    vl_logic_vector;
        rd_rw_rdata     : out    vl_logic_vector;
        rd_rw_rdata_valid: out    vl_logic;
        rt_rd_burst_chop_rd: in     vl_logic;
        rd_wu_burst_chop_rd: out    vl_logic;
        rd_ra_rdata_valid: out    vl_logic;
        rd_ra_rdata     : out    vl_logic_vector;
        rd_ra_eod       : out    vl_logic;
        rd_ra_non_blk   : out    vl_logic;
        rd_ra_info      : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of PHY_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_DATA_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of RMW_TYPE_BITS : constant is 1;
    attribute mti_svvh_generic_type of RA_INFO_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of ECC_INFO_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of WU_INFO_WIDTH : constant is 1;
    attribute mti_svvh_generic_type of CORE_INT_ECC_WIDTH : constant is 1;
end rd;
