library verilog;
use verilog.vl_types.all;
entity rx_diffamp is
    generic(
        SUPPLY_VOLTAGE  : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0);
        VSUPPLY         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        GROUND          : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        RX_RCVR_OFFSET  : integer := 75;
        RX_RCVR_NOISE_ST_DEV: integer := 10;
        RX_RCVR_NULL_DELAY: integer := 25000;
        SCHMITT_OFFSET  : integer := 50;
        SCHMITT_NOISE_ST_DEV: integer := 10;
        SCHMITT_NULL_DELAY: integer := 6000;
        REXT_VAL        : integer := 1200;
        RINT_TX         : integer := 1200;
        RINT_RX         : integer := 1200;
        RINT_RX_EQ      : integer := 975;
        CAL_NOISE_ST_DEV: integer := 6;
        CAL_AMP_OFFSET  : integer := 10;
        CAL_VIN_AMP_LSB : integer := 3;
        CALIBRATOR_AMP_DELAY: integer := 6600;
        DETECT_AMP_SUPPLY: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        DETECT_AMP_DELAY: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0, Hi0, Hi0, Hi0);
        TX_VCM          : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi0, Hi0, Hi0);
        MIN_DIFF_VOLTAGE: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1);
        VCM_DELTA_LIMIT : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        RON_PUP         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        RON_PDN         : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0);
        RCVR_RON_PUP    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        RCVR_RON_PDN    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0);
        PUP_SLEW_RATE   : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        PDN_SLEW_RATE   : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi0);
        CLK_PERIOD      : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        HALF_CLK        : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        BEACON_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi1, Hi1, Hi1, Hi0, Hi0, Hi0);
        BEACON_HALF_CLK : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        SAMPLING_OFFSET : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        REST_OF_HALF_CLK: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        REST_OF_QUARTER_CLK: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi0, Hi0, Hi1, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        TXSYNC_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0);
        RXSYNC_DELAY    : vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi1, Hi1, Hi1, Hi1, Hi0);
        NUM_RXSYNC_DELAY_CYCLES: vl_logic_vector(0 to 15) := (Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0, Hi0);
        RX_PLL_INIT_REFCLK_PERIOD: integer := 100000;
        TX_PLL_INIT_REFCLK_PERIOD: integer := 100000;
        TX_CLK_STABLE_DLY_NUM_REF_CYCL: integer := 100
    );
    port(
        schmittout      : out    vl_logic;
        \in\            : in     vl_logic;
        inb             : in     vl_logic;
        schnullcal      : in     vl_logic;
        schnulldir      : in     vl_logic;
        schnull3        : in     vl_logic;
        schnull2        : in     vl_logic;
        schnull1        : in     vl_logic;
        schnull0        : in     vl_logic;
        dis_able        : in     vl_logic;
        hiThresh        : in     vl_logic;
        von12           : in     vl_logic;
        von33           : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of SUPPLY_VOLTAGE : constant is 1;
    attribute mti_svvh_generic_type of VSUPPLY : constant is 1;
    attribute mti_svvh_generic_type of GROUND : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of RX_RCVR_NULL_DELAY : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of SCHMITT_NULL_DELAY : constant is 1;
    attribute mti_svvh_generic_type of REXT_VAL : constant is 1;
    attribute mti_svvh_generic_type of RINT_TX : constant is 1;
    attribute mti_svvh_generic_type of RINT_RX : constant is 1;
    attribute mti_svvh_generic_type of RINT_RX_EQ : constant is 1;
    attribute mti_svvh_generic_type of CAL_NOISE_ST_DEV : constant is 1;
    attribute mti_svvh_generic_type of CAL_AMP_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of CAL_VIN_AMP_LSB : constant is 1;
    attribute mti_svvh_generic_type of CALIBRATOR_AMP_DELAY : constant is 1;
    attribute mti_svvh_generic_type of DETECT_AMP_SUPPLY : constant is 1;
    attribute mti_svvh_generic_type of DETECT_AMP_DELAY : constant is 1;
    attribute mti_svvh_generic_type of TX_VCM : constant is 1;
    attribute mti_svvh_generic_type of MIN_DIFF_VOLTAGE : constant is 1;
    attribute mti_svvh_generic_type of VCM_DELTA_LIMIT : constant is 1;
    attribute mti_svvh_generic_type of RON_PUP : constant is 1;
    attribute mti_svvh_generic_type of RON_PDN : constant is 1;
    attribute mti_svvh_generic_type of RCVR_RON_PUP : constant is 1;
    attribute mti_svvh_generic_type of RCVR_RON_PDN : constant is 1;
    attribute mti_svvh_generic_type of PUP_SLEW_RATE : constant is 1;
    attribute mti_svvh_generic_type of PDN_SLEW_RATE : constant is 1;
    attribute mti_svvh_generic_type of CLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of BEACON_DELAY : constant is 1;
    attribute mti_svvh_generic_type of BEACON_HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of SAMPLING_OFFSET : constant is 1;
    attribute mti_svvh_generic_type of REST_OF_HALF_CLK : constant is 1;
    attribute mti_svvh_generic_type of REST_OF_QUARTER_CLK : constant is 1;
    attribute mti_svvh_generic_type of TXSYNC_DELAY : constant is 1;
    attribute mti_svvh_generic_type of RXSYNC_DELAY : constant is 1;
    attribute mti_svvh_generic_type of NUM_RXSYNC_DELAY_CYCLES : constant is 1;
    attribute mti_svvh_generic_type of RX_PLL_INIT_REFCLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of TX_PLL_INIT_REFCLK_PERIOD : constant is 1;
    attribute mti_svvh_generic_type of TX_CLK_STABLE_DLY_NUM_REF_CYCL : constant is 1;
end rx_diffamp;
