library verilog;
use verilog.vl_types.all;
entity sysreg_logic_120 is
    port(
        sysreset_n      : in     vl_logic;
        poreset_n       : in     vl_logic;
        hclk            : in     vl_logic;
        CC_IC_MISS_P    : in     vl_logic;
        CC_IC_HIT_P     : in     vl_logic;
        CC_DC_HIT_P     : in     vl_logic;
        CC_DC_MISS_P    : in     vl_logic;
        CC_IC_TRANS_P   : in     vl_logic;
        CC_DC_TRANS_P   : in     vl_logic;
        CC_IC_MISS_CNTCLR: in     vl_logic;
        CC_IC_HIT_CNTCLR: in     vl_logic;
        CC_DC_MISS_CNTCLR: in     vl_logic;
        CC_DC_HIT_CNTCLR: in     vl_logic;
        CC_IC_TRANS_CNTCLR: in     vl_logic;
        CC_DC_TRANS_CNTCLR: in     vl_logic;
        CC_IC_MISS_CNT  : out    vl_logic_vector(31 downto 0);
        CC_IC_HIT_CNT   : out    vl_logic_vector(31 downto 0);
        CC_DC_MISS_CNT  : out    vl_logic_vector(31 downto 0);
        CC_DC_HIT_CNT   : out    vl_logic_vector(31 downto 0);
        CC_IC_TRANS_CNT : out    vl_logic_vector(31 downto 0);
        CC_DC_TRANS_CNT : out    vl_logic_vector(31 downto 0);
        ESRAM0_EDAC_1E_SET: in     vl_logic;
        ESRAM0_EDAC_2E_SET: in     vl_logic;
        ESRAM1_EDAC_1E_SET: in     vl_logic;
        ESRAM1_EDAC_2E_SET: in     vl_logic;
        CC_EDAC_1E_SET  : in     vl_logic;
        CC_EDAC_2E_SET  : in     vl_logic;
        USB_EDAC_1E_SET : in     vl_logic;
        USB_EDAC_2E_SET : in     vl_logic;
        MAC_EDAC_TX_1E_SET: in     vl_logic;
        MAC_EDAC_TX_2E_SET: in     vl_logic;
        MAC_EDAC_RX_1E_SET: in     vl_logic;
        MAC_EDAC_RX_2E_SET: in     vl_logic;
        CAN_EDAC_1E_SET : in     vl_logic;
        CAN_EDAC_2E_SET : in     vl_logic;
        ESRAM0_EDAC_CNT_1E: out    vl_logic_vector(15 downto 0);
        ESRAM0_EDAC_CNT_2E: out    vl_logic_vector(15 downto 0);
        ESRAM1_EDAC_CNT_1E: out    vl_logic_vector(15 downto 0);
        ESRAM1_EDAC_CNT_2E: out    vl_logic_vector(15 downto 0);
        CC_EDAC_CNT_1E  : out    vl_logic_vector(15 downto 0);
        CC_EDAC_CNT_2E  : out    vl_logic_vector(15 downto 0);
        USB_EDAC_CNT_1E : out    vl_logic_vector(15 downto 0);
        USB_EDAC_CNT_2E : out    vl_logic_vector(15 downto 0);
        SW_ERRORSTATUS  : in     vl_logic_vector(6 downto 0);
        SW_INTERRUPT_EN : in     vl_logic_vector(6 downto 0);
        SW_ERRORINTERRUPT: out    vl_logic;
        CC_HRESP_ERR    : in     vl_logic_vector(2 downto 0);
        CC_INTERRUPT_EN : in     vl_logic_vector(2 downto 0);
        CACHE_ERRINTR   : out    vl_logic;
        DDRB_INTERRUPT_EN: in     vl_logic_vector(9 downto 0);
        DDRB_RDWR_ERR_REG: in     vl_logic_vector(5 downto 0);
        DDRB_DS_WR_ERR  : in     vl_logic;
        DDRB_SW_WR_ERR  : in     vl_logic;
        DDRB_HPD_WR_ERR : in     vl_logic;
        DDRB_LCKOUT     : in     vl_logic;
        DDRB_INTR       : out    vl_logic;
        ESRAM0_EDAC_CNTCLR_1E: in     vl_logic;
        ESRAM0_EDAC_CNTCLR_2E: in     vl_logic;
        ESRAM1_EDAC_CNTCLR_1E: in     vl_logic;
        ESRAM1_EDAC_CNTCLR_2E: in     vl_logic;
        CC_EDAC_CNTCLR_1E: in     vl_logic;
        CC_EDAC_CNTCLR_2E: in     vl_logic;
        MAC_EDAC_TX_CNTCLR_1E: in     vl_logic;
        MAC_EDAC_TX_CNTCLR_2E: in     vl_logic;
        USB_EDAC_CNTCLR_1E: in     vl_logic;
        USB_EDAC_CNTCLR_2E: in     vl_logic;
        ESRAM0_EDAC_1E  : in     vl_logic;
        ESRAM0_EDAC_2E  : in     vl_logic;
        ESRAM1_EDAC_1E  : in     vl_logic;
        ESRAM1_EDAC_2E  : in     vl_logic;
        CC_EDAC_1E      : in     vl_logic;
        CC_EDAC_2E      : in     vl_logic;
        USB_EDAC_1E     : in     vl_logic;
        USB_EDAC_2E     : in     vl_logic;
        CAN_EDAC_1E     : in     vl_logic;
        CAN_EDAC_2E     : in     vl_logic;
        MAC_EDAC_TX_1E  : in     vl_logic;
        MAC_EDAC_TX_2E  : in     vl_logic;
        MAC_EDAC_RX_1E  : in     vl_logic;
        MAC_EDAC_RX_2E  : in     vl_logic;
        ESRAM0_EDAC_1E_EN: in     vl_logic;
        ESRAM0_EDAC_2E_EN: in     vl_logic;
        ESRAM1_EDAC_1E_EN: in     vl_logic;
        ESRAM1_EDAC_2E_EN: in     vl_logic;
        CC_EDAC_1E_EN   : in     vl_logic;
        CC_EDAC_2E_EN   : in     vl_logic;
        MAC_EDAC_TX_1E_EN: in     vl_logic;
        MAC_EDAC_TX_2E_EN: in     vl_logic;
        MAC_EDAC_RX_1E_EN: in     vl_logic;
        MAC_EDAC_RX_2E_EN: in     vl_logic;
        USB_EDAC_1E_EN  : in     vl_logic;
        USB_EDAC_2E_EN  : in     vl_logic;
        CAN_EDAC_1E_EN  : in     vl_logic;
        CAN_EDAC_2E_EN  : in     vl_logic;
        ESRAM0_EDAC_AD  : in     vl_logic_vector(12 downto 0);
        ESRAM1_EDAC_AD  : in     vl_logic_vector(12 downto 0);
        CC_DECC_ERR_ADD : in     vl_logic_vector(5 downto 0);
        MAC_EDAC_RX_AD  : in     vl_logic_vector(10 downto 0);
        MAC_EDAC_TX_1E_AD_SYNC: in     vl_logic_vector(9 downto 0);
        MAC_EDAC_TX_2E_AD_SYNC: in     vl_logic_vector(9 downto 0);
        CAN_EDAC_AD     : in     vl_logic_vector(8 downto 0);
        USB_EDAC_AD     : in     vl_logic_vector(10 downto 0);
        ESRAM0_EDAC_1E_AD: out    vl_logic_vector(12 downto 0);
        ESRAM0_EDAC_2E_AD: out    vl_logic_vector(12 downto 0);
        ESRAM1_EDAC_1E_AD: out    vl_logic_vector(12 downto 0);
        ESRAM1_EDAC_2E_AD: out    vl_logic_vector(12 downto 0);
        CC_DECC_ERR_1E_ADD: out    vl_logic_vector(5 downto 0);
        CC_DECC_ERR_2E_ADD: out    vl_logic_vector(5 downto 0);
        MAC_EDAC_RX_1E_AD: out    vl_logic_vector(10 downto 0);
        MAC_EDAC_RX_2E_AD: out    vl_logic_vector(10 downto 0);
        MAC_EDAC_TX_1E_AD: out    vl_logic_vector(9 downto 0);
        MAC_EDAC_TX_2E_AD: out    vl_logic_vector(9 downto 0);
        CAN_EDAC_1E_AD  : out    vl_logic_vector(8 downto 0);
        CAN_EDAC_2E_AD  : out    vl_logic_vector(8 downto 0);
        USB_EDAC_1E_AD  : out    vl_logic_vector(10 downto 0);
        USB_EDAC_2E_AD  : out    vl_logic_vector(10 downto 0);
        ECCINTR         : out    vl_logic;
        EDAC_ERROR      : out    vl_logic_vector(7 downto 0);
        MDDR_ECC_INT_EN : in     vl_logic;
        MDDR_ECC_INT    : in     vl_logic;
        MPLL_LOCK       : in     vl_logic;
        MPLL_LOCK_EN    : in     vl_logic;
        MPLL_LOCK_LOST_EN: in     vl_logic;
        MPLL_LOCK_INT_raw: in     vl_logic;
        MPLL_LOCKLOST_INT_raw: in     vl_logic;
        MPLL_LOCK_INT_SET: out    vl_logic;
        MPLL_LOCKLOST_INT_SET: out    vl_logic;
        MPLL_LOCK_INT   : out    vl_logic;
        MPLL_LOCKLOST_INT: out    vl_logic;
        FAB_PLL_LOCK    : in     vl_logic;
        FAB_PLL_LOCK_EN : in     vl_logic;
        FAB_PLL_LOCK_LOST_EN: in     vl_logic;
        FAB_PLL_LOCK_INT_raw: in     vl_logic;
        FAB_PLL_LOCKLOST_INT_raw: in     vl_logic;
        FAB_PLL_LOCK_INT_SET: out    vl_logic;
        FAB_PLL_LOCKLOST_INT_SET: out    vl_logic;
        FAB_PLL_LOCK_INT: out    vl_logic;
        FAB_PLL_LOCKLOST_INT: out    vl_logic
    );
end sysreg_logic_120;
