library verilog;
use verilog.vl_types.all;
entity te_rd_cam_010 is
    generic(
        RD_CAM_ADDR_BITS: integer := 3;
        RANK_BITS       : integer := 2;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10;
        OTHER_RD_ENTRY_BITS: integer := 31
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        i_rd_command    : in     vl_logic;
        i_wr_command    : in     vl_logic;
        ih_te_rmw       : in     vl_logic;
        ih_te_bank_num  : in     vl_logic_vector;
        ih_te_page_num  : in     vl_logic_vector;
        ih_te_block_num : in     vl_logic_vector;
        ih_te_rd_other_fields: in     vl_logic_vector;
        ih_te_rd_entry_num: in     vl_logic_vector;
        ih_te_autopre   : in     vl_logic;
        te_te_lo_rd_prefer: in     vl_logic_vector;
        ih_te_hi_pri    : in     vl_logic;
        te_te_hi_rd_prefer: in     vl_logic_vector;
        te_yy_wr_combine: in     vl_logic;
        te_ih_retry     : in     vl_logic;
        be_te_bypass_match: in     vl_logic;
        be_te_page_num  : in     vl_logic_vector(15 downto 0);
        ts_te_bank_num4rdwr: in     vl_logic_vector;
        ts_te_op_is_rd  : in     vl_logic;
        ts_te_bypass_disable: in     vl_logic;
        te_ts_hi_bank_hint: out    vl_logic_vector;
        te_ts_lo_bank_hint: out    vl_logic_vector;
        te_te_entry_valid: out    vl_logic_vector;
        te_te_entry_pri : out    vl_logic_vector;
        te_te_act_entry : in     vl_logic_vector;
        te_te_rd_entry  : in     vl_logic_vector;
        te_gs_rd_vld    : out    vl_logic;
        te_pi_rd_addr_row: out    vl_logic_vector;
        te_pi_rd_addr_ecc_row: out    vl_logic_vector;
        te_te_rd_addr_row: out    vl_logic_vector;
        te_pi_rd_addr_blk: out    vl_logic_vector;
        te_pi_rd_other_fields_rd: out    vl_logic_vector;
        te_pi_rd_other_fields_act: out    vl_logic_vector;
        te_pi_rd_autopre: out    vl_logic_vector(0 downto 0);
        te_te_rd_flush  : out    vl_logic;
        te_te_rd_flush_started: out    vl_logic;
        te_te_rd_col_entry: out    vl_logic_vector;
        te_te_page_hit  : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_RD_ENTRY_BITS : constant is 1;
end te_rd_cam_010;
