library verilog;
use verilog.vl_types.all;
entity te_rd_entry is
    generic(
        RANKBANK_BITS   : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10;
        OTHER_ENTRY_BITS: integer := 31
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        ih_te_rmw       : in     vl_logic;
        ih_te_hi_pri    : in     vl_logic;
        ih_te_rankbank_num: in     vl_logic_vector;
        ih_te_page_num  : in     vl_logic_vector;
        ih_te_block_num : in     vl_logic_vector;
        ih_te_other_fields: in     vl_logic_vector;
        ih_te_autopre   : in     vl_logic;
        ts_te_bank_num  : in     vl_logic_vector;
        ts_te_op_is_rd  : in     vl_logic;
        be_te_page_num  : in     vl_logic_vector;
        i_load          : in     vl_logic;
        i_entry_del     : in     vl_logic;
        i_entry_out_rankbank: out    vl_logic_vector;
        i_entry_out_row : out    vl_logic_vector;
        i_entry_out_blk : out    vl_logic_vector;
        i_entry_out_other_fields: out    vl_logic_vector;
        i_entry_out_autopre: out    vl_logic_vector(0 downto 0);
        i_entry_out_pri : out    vl_logic;
        i_same_addr     : out    vl_logic;
        i_same_addr_rmw : out    vl_logic;
        i_bank_hit      : out    vl_logic;
        i_page_hit      : out    vl_logic;
        i_entry_valid   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANKBANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_ENTRY_BITS : constant is 1;
end te_rd_entry;
