library verilog;
use verilog.vl_types.all;
entity te_wr_cam is
    generic(
        WR_CAM_ADDR_BITS: integer := 3;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10;
        OTHER_WR_ENTRY_BITS: integer := 1
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        dh_te_dis_wc    : in     vl_logic;
        ih_te_rd_valid  : in     vl_logic;
        ih_te_wr_valid  : in     vl_logic;
        ih_te_bank_num  : in     vl_logic_vector;
        ih_te_page_num  : in     vl_logic_vector;
        ih_te_block_num : in     vl_logic_vector;
        ih_te_wr_entry_num: in     vl_logic_vector;
        ih_te_link_to_write: in     vl_logic;
        ih_te_wr_other_fields: in     vl_logic_vector;
        ih_te_autopre   : in     vl_logic;
        te_te_wr_prefer : in     vl_logic_vector;
        be_te_page_open : in     vl_logic;
        be_te_wr_combine_replace_page_num: in     vl_logic_vector;
        te_te_wr_pghit_vld: in     vl_logic;
        te_ih_retry     : in     vl_logic;
        i_enc_entry     : out    vl_logic_vector;
        wu_te_enable_wr : in     vl_logic_vector(1 downto 0);
        wu_te_entry_num : in     vl_logic_vector;
        i_load_ntt      : out    vl_logic;
        be_te_page_num  : in     vl_logic_vector;
        ts_te_op_is_wr  : in     vl_logic;
        ts_te_wr_possible: in     vl_logic;
        ts_te_bank_num4rdwr: in     vl_logic_vector;
        te_be_rankbank_num: out    vl_logic_vector;
        te_be_page_num  : out    vl_logic_vector;
        te_gs_wr_vld    : out    vl_logic;
        te_ts_wr_bank_hint: out    vl_logic_vector;
        te_te_entry_valid: out    vl_logic_vector;
        te_te_act_entry : in     vl_logic_vector;
        te_te_wr_entry  : in     vl_logic_vector;
        te_mr_wr_ram_addr: out    vl_logic_vector;
        te_pi_wr_addr_row: out    vl_logic_vector;
        te_te_wr_addr_row: out    vl_logic_vector;
        te_pi_wr_addr_blk: out    vl_logic_vector;
        te_pi_wr_other_fields_act: out    vl_logic_vector;
        te_pi_wr_other_fields_wr: out    vl_logic_vector;
        te_pi_wr_autopre: out    vl_logic_vector(0 downto 0);
        te_yy_wr_combine: out    vl_logic;
        te_te_flush     : out    vl_logic;
        te_te_flush_started: out    vl_logic;
        te_te_wr_col_entry: out    vl_logic_vector;
        te_te_page_hit  : out    vl_logic_vector
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_WR_ENTRY_BITS : constant is 1;
end te_wr_cam;
