library verilog;
use verilog.vl_types.all;
entity teengine_120 is
    generic(
        RD_CAM_ADDR_BITS: integer := 3;
        WR_CAM_ADDR_BITS: integer := 3;
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        ROW_BITS        : integer := 16;
        BLK_BITS        : integer := 10;
        OTHER_RD_ENTRY_BITS: integer := 30;
        OTHER_WR_ENTRY_BITS: integer := 1;
        TOTAL_RMW_BITS  : integer := 2
    );
    port(
        dh_te_resetb    : in     vl_logic;
        co_te_clk       : in     vl_logic;
        dh_te_dis_wc    : in     vl_logic;
        dh_te_dis_autopre_collide_opt: in     vl_logic;
        te_dh_rd_valid  : out    vl_logic_vector;
        te_dh_rd_page_hit: out    vl_logic_vector;
        te_dh_wr_valid  : out    vl_logic_vector;
        te_dh_wr_page_hit: out    vl_logic_vector;
        ih_te_rd_entry_num: in     vl_logic_vector;
        ih_te_rd_valid  : in     vl_logic;
        ih_te_wr_entry_num: in     vl_logic_vector;
        ih_te_wr_valid  : in     vl_logic;
        ih_te_autopre   : in     vl_logic;
        ih_te_hi_pri    : in     vl_logic;
        ih_te_rmw       : in     vl_logic;
        ih_te_bank_num  : in     vl_logic_vector;
        ih_te_page_num  : in     vl_logic_vector;
        ih_te_block_num : in     vl_logic_vector;
        ih_te_rd_other_fields: in     vl_logic_vector;
        ih_te_wr_other_fields: in     vl_logic_vector;
        ih_te_lo_rd_prefer: in     vl_logic_vector;
        ih_te_hi_rd_prefer: in     vl_logic_vector;
        ih_te_wr_prefer : in     vl_logic_vector;
        te_ih_retry     : out    vl_logic;
        te_wu_wr_retry  : out    vl_logic;
        te_be_rd_retry  : out    vl_logic;
        te_ih_free_rd_entry_valid: out    vl_logic;
        te_ih_free_rd_entry: out    vl_logic_vector;
        wu_te_enable_wr : in     vl_logic_vector(1 downto 0);
        wu_te_entry_num : in     vl_logic_vector;
        te_mr_wr_ram_addr: out    vl_logic_vector;
        be_te_page_open : in     vl_logic;
        be_te_wr_combine_replace_page_num: in     vl_logic_vector;
        te_yy_wr_combine: out    vl_logic;
        te_wu_entry_num : out    vl_logic_vector;
        be_te_rd_bypass_match: in     vl_logic;
        gs_te_rd_bypass_disable: in     vl_logic;
        be_te_act_bypass_match: in     vl_logic;
        gs_te_act_bypass_disable: in     vl_logic;
        be_te_page_hit  : in     vl_logic;
        be_te_wr_page_hit: in     vl_logic;
        be_te_rdwr_page_num: in     vl_logic_vector;
        te_be_page_addr : out    vl_logic_vector;
        te_be_rankbank_num: out    vl_logic_vector;
        te_be_page_num  : out    vl_logic_vector;
        te_be_autopre   : out    vl_logic;
        gs_te_bank_num  : in     vl_logic_vector;
        gs_te_bank_num4rdwr: in     vl_logic_vector;
        gs_te_bank_num4act: in     vl_logic_vector;
        gs_te_op_is_rd  : in     vl_logic;
        gs_te_op_is_wr  : in     vl_logic;
        gs_te_op_is_precharge: in     vl_logic;
        gs_te_op_is_activate: in     vl_logic;
        gs_te_wr_mode   : in     vl_logic;
        gs_te_wr_possible: in     vl_logic;
        gs_te_pri_level : in     vl_logic;
        te_bs_rd_page_hit: out    vl_logic_vector;
        te_bs_rd_hi     : out    vl_logic_vector;
        te_bs_rd_valid  : out    vl_logic_vector;
        te_bs_wr_page_hit: out    vl_logic_vector;
        te_bs_wr_valid  : out    vl_logic_vector;
        te_bs_autopre   : out    vl_logic;
        te_bs_rd_retry  : out    vl_logic;
        te_gs_rd_retry  : out    vl_logic;
        te_gs_rd_flush  : out    vl_logic;
        te_gs_wr_flush  : out    vl_logic;
        te_gs_rd_vld    : out    vl_logic;
        te_gs_hi_rd_page_hit_vld: out    vl_logic;
        te_gs_wr_vld    : out    vl_logic;
        te_os_hi_bank_hint: out    vl_logic_vector;
        te_os_lo_bank_hint: out    vl_logic_vector;
        te_os_wr_bank_hint: out    vl_logic_vector;
        te_pi_rd_retry  : out    vl_logic;
        te_os_rd_entry_table: out    vl_logic_vector;
        te_os_wr_entry_table: out    vl_logic_vector;
        os_te_rd_entry  : in     vl_logic_vector;
        os_te_wr_entry  : in     vl_logic_vector;
        os_te_rd_act_entry: in     vl_logic_vector;
        os_te_wr_act_entry: in     vl_logic_vector;
        te_pi_rd_addr_row: out    vl_logic_vector;
        te_pi_rd_addr_ecc_row: out    vl_logic_vector;
        te_pi_rd_addr_blk: out    vl_logic_vector;
        te_pi_rd_other_fields_act: out    vl_logic_vector;
        te_pi_rd_other_fields_rd: out    vl_logic_vector;
        te_pi_wr_addr_row: out    vl_logic_vector;
        te_pi_wr_addr_blk: out    vl_logic_vector;
        te_pi_wr_other_fields_act: out    vl_logic_vector;
        te_pi_wr_other_fields_wr: out    vl_logic_vector;
        te_pi_autopre   : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of ROW_BITS : constant is 1;
    attribute mti_svvh_generic_type of BLK_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_RD_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of OTHER_WR_ENTRY_BITS : constant is 1;
    attribute mti_svvh_generic_type of TOTAL_RMW_BITS : constant is 1;
end teengine_120;
