library verilog;
use verilog.vl_types.all;
entity trans_schd_010 is
    generic(
        K_DDRC_TKN_VLD_WD: integer := 4;
        K_F_TKN_DP      : integer := 10;
        K_F_RD_CMD_FIFO_DP: integer := 4;
        K_B_RD_CMD_FIFO_DP: integer := 4
    );
    port(
        clk             : in     vl_logic;
        rst_n           : in     vl_logic;
        soft_reset      : in     vl_logic;
        f_pri_high      : in     vl_logic;
        pr_b_rd_req     : in     vl_logic;
        pr_b_rd_priority: in     vl_logic;
        pr_b_rd_cmd_ptr : in     vl_logic_vector;
        pr_b_wr_req     : in     vl_logic;
        pr_b_rmw        : in     vl_logic;
        pr_f_rmw        : in     vl_logic;
        pr_b_rd_grant   : out    vl_logic;
        pr_f_rd_req     : in     vl_logic;
        pr_f_rd_priority: in     vl_logic;
        pr_f_rd_cmd_ptr : in     vl_logic_vector;
        pr_f_wr_req     : in     vl_logic;
        pr_f_rd_grant   : out    vl_logic;
        pr_wr_grant     : out    vl_logic;
        pr_trans_end    : out    vl_logic;
        pr_rd_cmd       : in     vl_logic_vector(39 downto 0);
        pr_wr_cmd       : in     vl_logic_vector(39 downto 0);
        pr_wrstrb       : in     vl_logic_vector(7 downto 0);
        pr_wrdata       : in     vl_logic_vector(63 downto 0);
        pr_wvalid       : in     vl_logic;
        pr_wlast        : in     vl_logic;
        pr_wready       : out    vl_logic;
        ddrc_lpr_credit : in     vl_logic;
        ddrc_hpr_credit : in     vl_logic;
        ddrc_wr_credit  : in     vl_logic;
        ddrc_wdata_ptr_valid: in     vl_logic;
        ddrc_co_stall   : in     vl_logic;
        ddrc_rxdata_stall: in     vl_logic;
        ddrc_rxcmd_valid: out    vl_logic;
        ddrc_rxcmd_type : out    vl_logic_vector(1 downto 0);
        ddrc_rxcmd_addr : out    vl_logic_vector(31 downto 0);
        ddrc_rxcmd_pri  : out    vl_logic;
        ddrc_rxcmd_token: out    vl_logic_vector;
        ddrc_rxcmd_length: out    vl_logic;
        ddrc_rxdata_valid: out    vl_logic;
        ddrc_rxdata     : out    vl_logic_vector(63 downto 0);
        ddrc_rxdata_end : out    vl_logic;
        ddrc_rxdata_mask: out    vl_logic_vector(7 downto 0);
        ddrc_go2critical_rd: out    vl_logic;
        full_tkn_avl    : in     vl_logic;
        full_tkn_val    : in     vl_logic_vector;
        prtl_tkn_avl    : in     vl_logic;
        prtl_tkn_val    : in     vl_logic_vector;
        trans_schd_tkn_tab_wr_ptr: out    vl_logic_vector;
        trans_schd_seq  : out    vl_logic_vector(2 downto 0);
        trans_schd_cmd  : out    vl_logic_vector;
        trans_schd_update: out    vl_logic;
        trans_schd_cmd_type: out    vl_logic;
        ecc_enb         : in     vl_logic;
        ddrc_lpseq_mode : in     vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of K_DDRC_TKN_VLD_WD : constant is 1;
    attribute mti_svvh_generic_type of K_F_TKN_DP : constant is 1;
    attribute mti_svvh_generic_type of K_F_RD_CMD_FIFO_DP : constant is 1;
    attribute mti_svvh_generic_type of K_B_RD_CMD_FIFO_DP : constant is 1;
end trans_schd_010;
