library verilog;
use verilog.vl_types.all;
entity ts_120 is
    generic(
        RANK_BITS       : integer := 0;
        BANK_BITS       : integer := 3;
        NUM_TOTAL_BANKS : integer := 8;
        NUM_RANKS       : integer := 1;
        PAGE_BITS       : integer := 16;
        RD_CAM_ADDR_BITS: integer := 3;
        WR_CAM_ADDR_BITS: integer := 3
    );
    port(
        dh_bs_resetb    : in     vl_logic;
        dh_os_resetb    : in     vl_logic;
        dh_gs_resetb    : in     vl_logic;
        co_yy_clk       : in     vl_logic;
        dh_bs_t_ras_max : in     vl_logic_vector(5 downto 0);
        dh_bs_refresh_margin: in     vl_logic_vector(3 downto 0);
        dh_bs_t_ras_min : in     vl_logic_vector(4 downto 0);
        dh_bs_t_rc      : in     vl_logic_vector(5 downto 0);
        dh_bs_t_rcd     : in     vl_logic_vector(3 downto 0);
        dh_bs_t_rp      : in     vl_logic_vector(3 downto 0);
        dh_bs_rd2pre    : in     vl_logic_vector(4 downto 0);
        dh_bs_wr2pre    : in     vl_logic_vector(4 downto 0);
        dh_gs_t_ccd     : in     vl_logic_vector(2 downto 0);
        dh_gs_t_cke     : in     vl_logic_vector(3 downto 0);
        dh_gs_t_faw     : in     vl_logic_vector(5 downto 0);
        dh_gs_t_rfc_min : in     vl_logic_vector(7 downto 0);
        dh_gs_t_rfc_nom_x32: in     vl_logic_vector(11 downto 0);
        dh_gs_t_rp      : in     vl_logic_vector(3 downto 0);
        dh_gs_t_rrd     : in     vl_logic_vector(2 downto 0);
        dh_bs_pageclose : in     vl_logic;
        dh_gs_mr        : in     vl_logic_vector(15 downto 0);
        dh_gs_emr       : in     vl_logic_vector(15 downto 0);
        dh_gs_emr2      : in     vl_logic_vector(15 downto 0);
        dh_gs_emr3      : in     vl_logic_vector(15 downto 0);
        dh_gs_mobile    : in     vl_logic;
        dh_gs_deeppowerdown_en: in     vl_logic;
        dh_gs_deeppowerdown_to_x1024: in     vl_logic_vector(7 downto 0);
        dh_gs_ddr3      : in     vl_logic;
        dh_gs_t_mod     : in     vl_logic_vector(9 downto 0);
        dh_gs_t_zq_long_nop: in     vl_logic_vector(9 downto 0);
        dh_gs_t_zq_short_nop: in     vl_logic_vector(9 downto 0);
        dh_gs_t_zq_short_interval_x1024: in     vl_logic_vector(19 downto 0);
        co_gs_zq_calib_short: in     vl_logic;
        dh_gs_dis_auto_zq: in     vl_logic;
        dh_gs_dram_rstn_x1024: in     vl_logic_vector(7 downto 0);
        gs_pi_dram_rst_n: out    vl_logic;
        dh_gs_mr_wr     : in     vl_logic;
        dh_gs_mr_type   : in     vl_logic;
        dh_gs_mr_addr   : in     vl_logic_vector(1 downto 0);
        dh_gs_mr_data   : in     vl_logic_vector(15 downto 0);
        gs_dh_mr_wr_busy: out    vl_logic;
        gs_dh_init_curr_state: out    vl_logic_vector(4 downto 0);
        gs_dh_init_next_state: out    vl_logic_vector(4 downto 0);
        gs_dh_dll_calib_state: out    vl_logic_vector(1 downto 0);
        phy_dfi_ctrlupd_ack1: in     vl_logic;
        phy_dfi_ctrlupd_ack2: in     vl_logic;
        phy_dfi_init_complete: in     vl_logic;
        ddrc_dfi_ctrlupd_req: out    vl_logic;
        dh_gs_dfi_t_ctrlup_min: in     vl_logic_vector(9 downto 0);
        dh_gs_dfi_t_ctrlup_max: in     vl_logic_vector(9 downto 0);
        gs_dh_ctrlupd_state: out    vl_logic_vector(1 downto 0);
        dti_gs_dfi_wrlvl_en: in     vl_logic;
        dti_gs_dfi_rdlvl_en: in     vl_logic;
        dti_gs_dfi_rdlvl_gate_en: in     vl_logic;
        dti_lvl_csn_to_init_fsm: in     vl_logic_vector;
        dti_leveling_start_rank: in     vl_logic;
        dh_gs_ddr1_mode : in     vl_logic;
        dh_gs_data_bus_width: in     vl_logic_vector(1 downto 0);
        dh_gs_burst_rdwr: in     vl_logic_vector(3 downto 0);
        dh_gs_rd2wr     : in     vl_logic_vector(4 downto 0);
        dh_gs_wr2rd     : in     vl_logic_vector(4 downto 0);
        dh_gs_rd_odt_delay: in     vl_logic_vector(3 downto 0);
        dh_gs_wr_odt_delay: in     vl_logic_vector(3 downto 0);
        dh_gs_rd_odt_hold: in     vl_logic_vector(3 downto 0);
        dh_gs_wr_odt_hold: in     vl_logic_vector(3 downto 0);
        dh_gs_use_wr_mode_odt: in     vl_logic;
        dh_gs_refresh_burst: in     vl_logic_vector(2 downto 0);
        dh_gs_refresh_to_x32: in     vl_logic_vector(4 downto 0);
        dh_gs_skip_ocd  : in     vl_logic;
        dh_gs_pre_cke_x1024: in     vl_logic_vector(9 downto 0);
        dh_gs_post_cke_x1024: in     vl_logic_vector(9 downto 0);
        dh_gs_t_mrd     : in     vl_logic_vector(2 downto 0);
        dh_gs_pre_ocd_x32: in     vl_logic_vector(3 downto 0);
        dh_gs_final_wait_x32: in     vl_logic_vector(6 downto 0);
        dh_gs_prefer_write: in     vl_logic;
        dh_gs_rdwr_idle_gap: in     vl_logic_vector(6 downto 0);
        dh_gs_powerdown_en: in     vl_logic;
        dh_gs_powerdown_to_x32: in     vl_logic_vector(4 downto 0);
        dh_gs_t_xp      : in     vl_logic_vector(4 downto 0);
        dh_gs_selfref_en: in     vl_logic;
        dh_gs_post_selfref_gap_x32: in     vl_logic_vector(6 downto 0);
        dh_gs_dimm_stagger_cs_en: in     vl_logic;
        dh_gs_dimm_addr_mirr_en: in     vl_logic;
        dh_gs_mr_rank   : in     vl_logic_vector;
        dh_gs_refresh_margin: in     vl_logic_vector(3 downto 0);
        dh_gs_rank0_rd_odt: in     vl_logic_vector;
        dh_gs_rank0_wr_odt: in     vl_logic_vector;
        dh_gs_refresh_update_level: in     vl_logic;
        co_gs_rank_refresh: in     vl_logic_vector;
        dh_gs_dis_auto_refresh: in     vl_logic;
        co_gs_dll_calib : in     vl_logic;
        dh_gs_dis_dll_calib: in     vl_logic;
        rt_gs_empty     : in     vl_logic;
        mr_gs_empty     : in     vl_logic;
        dh_gs_hpr_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_hpr_max_starve_x32: in     vl_logic_vector(10 downto 0);
        dh_gs_hpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        ih_gs_rdhigh_empty: in     vl_logic;
        te_bs_rd_hi     : in     vl_logic_vector;
        dh_gs_lpr_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_lpr_max_starve_x32: in     vl_logic_vector(10 downto 0);
        dh_gs_lpr_min_non_critical: in     vl_logic_vector(10 downto 0);
        ih_gs_rdlow_empty: in     vl_logic;
        dh_gs_w_xact_run_length: in     vl_logic_vector(7 downto 0);
        dh_gs_w_min_non_critical: in     vl_logic_vector(10 downto 0);
        dh_gs_pad_pd    : in     vl_logic_vector(3 downto 0);
        dh_gs_dis_pad_pd: in     vl_logic;
        dh_gs_dll_calib_min_to_x1024: in     vl_logic_vector(7 downto 0);
        dh_gs_dll_calib_max_to_x1024: in     vl_logic_vector(7 downto 0);
        pi_gs_dll_calib_ok: in     vl_logic;
        pi_gs_rd_vld    : in     vl_logic;
        pi_gs_noxact    : in     vl_logic;
        pi_gs_xtra_rd   : in     vl_logic;
        pi_gs_xtra_wr   : in     vl_logic;
        pi_bs_xtra_rd   : in     vl_logic;
        pi_bs_xtra_wr   : in     vl_logic;
        pi_bs_autopre   : in     vl_logic;
        pi_bs_bank      : in     vl_logic_vector;
        te_bs_rd_page_hit: in     vl_logic_vector;
        te_bs_rd_valid  : in     vl_logic_vector;
        te_bs_wr_page_hit: in     vl_logic_vector;
        te_bs_wr_valid  : in     vl_logic_vector;
        te_bs_autopre   : in     vl_logic;
        te_os_hi_bank_hint: in     vl_logic_vector;
        te_os_lo_bank_hint: in     vl_logic_vector;
        te_os_wr_bank_hint: in     vl_logic_vector;
        dh_bs_dis_dq    : in     vl_logic;
        wu_gs_enable_wr : in     vl_logic_vector(1 downto 0);
        dh_gs_dis_dq    : in     vl_logic;
        te_gs_rd_retry  : in     vl_logic;
        te_bs_rd_retry  : in     vl_logic;
        dh_gs_dis_rd_bypass: in     vl_logic;
        be_bs_rd_bypass_match: in     vl_logic;
        be_gs_rd_bypass_match: in     vl_logic;
        gs_ih_rd_bypass_disable: out    vl_logic;
        gs_te_rd_bypass_disable: out    vl_logic;
        gs_pi_rd_bypass_disable: out    vl_logic;
        bs_be_bank_rd_bypass_ok: out    vl_logic_vector(7 downto 0);
        dh_gs_dis_act_bypass: in     vl_logic;
        be_bs_act_bypass_match: in     vl_logic;
        be_gs_act_bypass_match: in     vl_logic;
        gs_ih_act_bypass_disable: out    vl_logic;
        gs_be_act_bypass_disable: out    vl_logic;
        gs_te_act_bypass_disable: out    vl_logic;
        gs_pi_act_bypass_disable: out    vl_logic;
        bs_be_bank_act_bypass_ok: out    vl_logic_vector(7 downto 0);
        ih_bs_bank_num  : in     vl_logic_vector;
        co_gs_go2critical_rd: in     vl_logic;
        co_gs_go2critical_wr: in     vl_logic;
        dh_gs_go2critical_hysteresis: in     vl_logic_vector(7 downto 0);
        ih_yy_xact_valid: in     vl_logic;
        te_gs_rd_flush  : in     vl_logic;
        te_gs_wr_flush  : in     vl_logic;
        te_gs_rd_vld    : in     vl_logic;
        te_gs_wr_vld    : in     vl_logic;
        ra_gs_bubble    : in     vl_logic;
        gs_dh_operating_mode: out    vl_logic_vector(2 downto 0);
        gs_dh_global_fsm_state: out    vl_logic_vector(4 downto 0);
        gs_pi_dll_calib_req: out    vl_logic;
        gs_pi_data_pipeline_empty: out    vl_logic;
        gs_pi_pads_powerdown: out    vl_logic;
        gs_pi_pads_selfref: out    vl_logic;
        gs_pi_pad_en    : out    vl_logic;
        gs_pi_stop_clk_ok: out    vl_logic;
        gs_pi_op_is_enter_deeppowerdown: out    vl_logic;
        gs_pi_op_is_exit_deeppowerdown: out    vl_logic;
        gs_be_rdwr_bank_num: out    vl_logic_vector;
        gs_be_actpre_bank_num: out    vl_logic_vector;
        gs_be_op_is_activate: out    vl_logic;
        gs_be_op_is_precharge: out    vl_logic;
        gs_be_op_is_rdwr: out    vl_logic;
        gs_te_op_is_rd  : out    vl_logic;
        gs_te_op_is_wr  : out    vl_logic;
        gs_te_op_is_activate: out    vl_logic;
        gs_te_op_is_precharge: out    vl_logic;
        gs_te_bank_num  : out    vl_logic_vector;
        gs_te_bank_num4rdwr: out    vl_logic_vector;
        gs_te_bank_num4act: out    vl_logic_vector;
        gs_te_wr_mode   : out    vl_logic;
        gs_te_wr_possible: out    vl_logic;
        gs_te_pri_level : out    vl_logic;
        gs_dh_hpr_q_state: out    vl_logic_vector(1 downto 0);
        gs_dh_lpr_q_state: out    vl_logic_vector(1 downto 0);
        gs_dh_w_q_state : out    vl_logic_vector(1 downto 0);
        gs_pi_wr_mode   : out    vl_logic;
        gs_pi_op_is_activate: out    vl_logic;
        gs_pi_op_is_precharge: out    vl_logic;
        gs_pi_op_is_rd  : out    vl_logic;
        gs_pi_op_is_wr  : out    vl_logic;
        gs_pi_op_is_refresh: out    vl_logic;
        gs_pi_op_is_enter_selfref: out    vl_logic;
        gs_pi_op_is_exit_selfref: out    vl_logic;
        gs_pi_op_is_enter_powerdown: out    vl_logic;
        gs_pi_op_is_exit_powerdown: out    vl_logic;
        gs_pi_op_is_zqcs: out    vl_logic;
        gs_pi_bank_num  : out    vl_logic_vector;
        gs_pi_init_cke  : out    vl_logic;
        gs_pi_op_is_load_mode: out    vl_logic;
        gs_pi_op_is_precharge_all: out    vl_logic;
        gs_pi_op_is_zqcl: out    vl_logic;
        gs_pi_trg_in_progress: out    vl_logic;
        reg_ddrc_wr_level_en: in     vl_logic;
        reg_ddrc_rd_dqs_gate_level: in     vl_logic;
        reg_ddrc_rd_data_eye_train: in     vl_logic;
        wr_leveling_done: in     vl_logic;
        wr_leveling_start: out    vl_logic;
        wr_leveling_on  : in     vl_logic;
        rd_dqs_gate_trg_done: in     vl_logic;
        rd_dqs_gate_trg_start: out    vl_logic;
        rd_data_eye_trg_done: in     vl_logic;
        rd_data_eye_trg_start: out    vl_logic;
        rd_leveling_mr3_wr: in     vl_logic;
        wr_leveling_mr1_wr: in     vl_logic;
        dti_gs_wrlvl_odt: in     vl_logic;
        gs_pi_init_cs_n : out    vl_logic_vector;
        gs_pi_mrs_ba    : out    vl_logic_vector;
        gs_pi_mrs_a     : out    vl_logic_vector(15 downto 0);
        gs_pi_init_in_progress: out    vl_logic;
        gs_pi_local_odt : out    vl_logic;
        gs_pi_ddr2_odt  : out    vl_logic_vector;
        be_os_page_table: in     vl_logic_vector;
        os_te_rdwr_page : out    vl_logic_vector;
        te_os_rd_entry_table: in     vl_logic_vector;
        te_os_wr_entry_table: in     vl_logic_vector;
        os_te_rd_entry  : out    vl_logic_vector;
        os_te_wr_entry  : out    vl_logic_vector;
        os_te_rd_act_entry: out    vl_logic_vector;
        os_te_wr_act_entry: out    vl_logic_vector;
        gs_mr_write     : out    vl_logic
    );
    attribute mti_svvh_generic_type : integer;
    attribute mti_svvh_generic_type of RANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of BANK_BITS : constant is 1;
    attribute mti_svvh_generic_type of NUM_TOTAL_BANKS : constant is 1;
    attribute mti_svvh_generic_type of NUM_RANKS : constant is 1;
    attribute mti_svvh_generic_type of PAGE_BITS : constant is 1;
    attribute mti_svvh_generic_type of RD_CAM_ADDR_BITS : constant is 1;
    attribute mti_svvh_generic_type of WR_CAM_ADDR_BITS : constant is 1;
end ts_120;
